<?php

/**
 * Description of Report
 *
 * @author Softpro India Pvt. Ltd
 */
class Report extends CI_Controller
{

    //put your code here
    public function __construct()
    {
        parent::__construct();
        $this->load->model("admin/ReportManagement");
        $this->load->model("admin/CourseManagement");
        $this->load->model("user/StudentManagement");
        $this->load->model("admin/SessionManagement");
        $this->load->model("admin/DocumentManagement");
        $this->load->model("admin/IDProofManagement");
    }

    public function admissionReport()
    {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["sessions"] = $this->SessionManagement->getNonDeletedActiveSessions(array('C','N'))->result();
            if (isset($_POST["filterSubmitBtn"])) {
                $viewData["courses"] = $this->CourseManagement->getCoursesBySessionAndFormFee('T', 'F')->result();
                $formno = $this->input->post("form_no");
                $session_id = $this->input->post("session_id");
                $formStatus = $this->input->post("form_status");
                $startDate = trim($this->input->post("startDate")) == "" ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $this->input->post("startDate"))));
                $endDate = trim($this->input->post("endDate")) == "" ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $this->input->post("endDate"))));
                $course = $this->input->post("course");
                $viewData["co"] = $course;
                $viewData["fno"] = $formno;
                $viewData["f_status"] = $formStatus;
                $viewData["admissionForms"] = $this->ReportManagement->getAllAdmissionFormsWithDetails($formno, $formStatus, $startDate, $endDate, $course, $session_id)->result();
                $this->load->view("admin/admissionReport", $viewData);
            } else {
                $viewData["courses"] = $this->CourseManagement->getCoursesBySessionAndFormFee('T', 'F')->result();
                $viewData["co"] = "";
                $viewData["fno"] = "";
                $session_id = "";
                $viewData["f_status"] = "";
                $currentSession = $this->SessionManagement->getCurrentSessionDetails()->result()[0];
                $viewData["admissionForms"] = $this->ReportManagement->getAllAdmissionFormsWithDetails('','','','','',$currentSession->session_id)->result();
                $this->load->view("admin/admissionReport", $viewData);
            }
        } else {
            redirect("admin/");
        }
    }

    public function admissionFormDetailedReport($tspi_id, $transactionStatus = '')
    {
        if ($this->sessionvalidator->validateSession()) {
            if ($transactionStatus == "F") {
                $personalInfo = $this->StudentManagement->getStudentPersonalInfoAndPhotoSignBy($tspi_id)->result()[0];
            } else {
                $personalInfo = $this->StudentManagement->getStudentPersonalInfoAndPhotoSignBy($tspi_id)->result()[0];
            }

            $viewData['stuPersonalInfoWithPicAndSign'] = $personalInfo;
            $viewData['stuContactInfo'] = $this->StudentManagement->getStudentContactInfoBy($personalInfo->tspi_id)->result()[0];
            $viewData['stuEntranceExamAndProfExpInfo'] = $this->StudentManagement->getStudentStudentEntranceExamProfExpAndExtraCurricularInfoBy($personalInfo->tspi_id)->result()[0];
            $viewData['stuFamilyBGInfo'] = $this->StudentManagement->getStudentFamilyBackgroundInfoBy($personalInfo->tspi_id)->result();
            $viewData['stuEduQualifInfo'] = $this->StudentManagement->getStudentEducationalQualificationInfo($personalInfo->tspi_id)->result();
            //$studentCourseInfo = $this->CourseManagement->getCoursesBy($viewData['stuPersonalInfoWithPicAndSign']->course_id)->result()[0];

            $aadharIdInfo = $this->IDProofManagement->getIDProofAndSubIdProofInfoBy(2, "S")->result()[0]->tipsm_id;
            $aadharInfo = $this->IDProofManagement->getIdProofInfoBy($personalInfo->tspi_id, $aadharIdInfo)->result()[0];
            $viewData['aadharInfo'] = $aadharInfo;

            $PANInfoID = $this->IDProofManagement->getIDProofAndSubIdProofInfoBy(1, "S")->result()[0]->tipsm_id;
            $PANInfo = $this->IDProofManagement->getIdProofInfoBy($personalInfo->tspi_id, $PANInfoID)->result()[0];
            $viewData['PANInfo'] = $PANInfo;

            $casteCertificateInfoID = $this->IDProofManagement->getIDProofAndSubIdProofInfoBy(5, "S")->result()[0]->tipsm_id;
            $casteCertificateInfo = $this->IDProofManagement->getIdProofInfoBy($personalInfo->tspi_id, $casteCertificateInfoID)->result()[0];
            $viewData['casteCertificateInfo'] = $casteCertificateInfo;

            $incomeCertificateInfoID = $this->IDProofManagement->getIDProofAndSubIdProofInfoBy(6, "S")->result()[0]->tipsm_id;
            $incomeCertificateInfo = $this->IDProofManagement->getIdProofInfoBy($personalInfo->tspi_id, $incomeCertificateInfoID)->result()[0];
            $viewData['incomeCertificateInfo'] = $incomeCertificateInfo;

            $studentPhotographDocId = $this->DocumentManagement->getDocumentByFlag("SP")->result()[0]->doc_id;
            $studentPhotographDoc = $this->DocumentManagement->getUploadedDocumentOfStudentBy($personalInfo->tspi_id, $studentPhotographDocId)->result()[0];

            $viewData['studentPhotographDoc'] = $studentPhotographDoc;

            $studentSignDocId = $this->DocumentManagement->getDocumentByFlag("SS")->result()[0]->doc_id;
            $studentSignDoc = $this->DocumentManagement->getUploadedDocumentOfStudentBy($personalInfo->tspi_id, $studentSignDocId)->result()[0];
            $viewData['studentSignDoc'] = $studentSignDoc;

            $viewData['hostelInfo'] = $this->StudentManagement->getStudentHostelInfoBy($personalInfo->tspi_id)->result()[0];


            $viewData['stuFatherName'] = $this->StudentManagement->getStudentFatherInfoBy($personalInfo->tspi_id)->result()[0]->tfbi_name;
            $viewData['stuFatherFamBGId'] = $this->StudentManagement->getStudentFatherInfoBy($personalInfo->tspi_id)->result()[0]->tfbi_id;
            $viewData['stuMotherName'] = $this->StudentManagement->getStudentMotherInfoBy($personalInfo->tspi_id)->result()[0]->tfbi_name;
            $viewData['stuMotherFamBGId'] = $this->StudentManagement->getStudentMotherInfoBy($personalInfo->tspi_id)->result()[0]->tfbi_id;
            $this->load->view("admin/admissionFormDetailedReport", $viewData);
        } else {
            redirect("admin/");
        }
    }

    public function feeAcknowledgement($tspi_id)
    {
        if ($this->sessionvalidator->validateSession()) {
            $viewData["feeDetails"] = $this->StudentManagement->getFeeDetails($tspi_id)->result();
            $this->load->view("admin/feeAcknowledgement", $viewData);
        } else {
            redirect("admin/");
        }
    }
}
