<?php

/**
 * Model For Handling All DB Operations Related To Branches
 *
 * @author Ankit Srivastava
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class BranchManagement extends CI_Model {

    function getAllBranches() {
        $this->db->select("TSBM.branch_id,TSBM.branch_name,TSBM.branch_short_name,TSBM.branch_full_address,TSBM.branch_tel_no,TSBM.branch_mobile_no,TSBM.branch_email,"
                . "TSBM.branch_website_url,TSBM.branch_state,TSBM.branch_city,TSBM.branch_active_status,TSBM.branch_delete_status,TSBM.branch_added_by,TSBM.branch_added_on,"
                . "TSBM.branch_fax,TSBM.branch_bg_image,TSBM.branch_lh_image,TSBM.branch_updated_on,TSBM.branch_updated_by,"
                . "CONCAT(TPRFLA.tprfl_firstname,' ',TPRFLA.tprfl_lastname) addedByAdmin,"
                . "CONCAT(TPRFLU.tprfl_firstname,' ',TPRFLU.tprfl_lastname) updatedByAdmin,TCM.city_name,TSM.state_name");
        $this->db->from('tbl_sms_branch_master TSBM');
        $this->db->join('tbl_city_master TCM', 'TSBM.branch_city = TCM.city_id');
        $this->db->join('tbl_states_master TSM', 'TSBM.branch_state = TSM.state_id');
        $this->db->join('tbl_staff_members TSMA', 'TSBM.branch_added_by = TSMA.smember_id');
        $this->db->join('tbl_profile TPRFLA', 'TSMA.smember_id = TPRFLA.tprfl_id');
        $this->db->join('tbl_staff_members TSMU', 'TSBM.branch_updated_by = TSMU.smember_id');
        $this->db->join('tbl_profile TPRFLU', 'TSMU.smember_id = TPRFLU.tprfl_id');
        $this->db->order_by("TSBM.branch_updated_on", "desc");
        return $this->db->get();
    }

}
