<!doctype html>
<html lang="en" id="html">
    <head id='head'>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admission Form Acknowledgement :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <?php $this->load->view("admin/navAndHeader"); ?>
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Report/admissionReport"); ?>">Reports</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Admission Form Reports</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-5">
                        <div class=" col-lg-12 " id="appPrint">
                            <div class="card-header text-center">
                                <a href="#"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                                <h1> <a href="#"><?php echo $this->session->userdata("branchData")["branch_short_name"]; ?></a></h1>  
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="card-body">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>FORM DETAILS</h2><br>
                                </div>
                                <hr>
                                <div class="form-row mt-3">
                                    <div class="col-sm-3 font-weight-bold">Acknoledgement No. :</div>
                                    <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_id; ?></div>
                                    <div class="col-sm-3 font-weight-bold">Form Number :</div>
                                    <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_form_no; ?></div>

                                </div>
                                <div class="form-row mt-3">                                
                                    <div class="col-sm-3 font-weight-bold">Submission Date :</div>
                                    <div class="col-sm-3"><?php echo date("d-m-Y", strtotime($stuPersonalInfoWithPicAndSign->tspi_added_on)); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Session :</div>
                                    <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->session_name; ?></div>
                                </div>
                                <hr class="mt-2" style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>COURSE APPLIED FOR</h2><br>
                                </div>
                                <HR >
                                <div class="form-row" style="border:0px solid black;">
                                    <div class="col-sm-12 p-2" style="font-size:16px; border:0px solid black;">
                                        <ul>
                                            <li><?php echo $stuPersonalInfoWithPicAndSign->course_name; ?> ( <?php echo $stuPersonalInfoWithPicAndSign->course_full_name . "-" . $stuPersonalInfoWithPicAndSign->tcsm_course_type; ?> )</li>
                                        </ul>
                                    </div>
                                </div>

                                <hr class="mt-2" style="border-top: 1px solid black;">
                                <div class="form-row ">
                                    <h2 class="card__title font-weight-bold"></i>PERSONAL DETAILS    </h2><br>
                                </div>
                                <hr >
                                <div class="form-row p-2" style="border:0px solid black;">
                                    <div class="col-sm-9 p-2" style="font-size:16px; border:0px solid black;">
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Name :</div>
                                            <div class="col-sm-9"><?php echo $stuPersonalInfoWithPicAndSign->tspi_name; ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Gender :</div>
                                            <div class="col-sm-3"><?php
                                                if ($stuPersonalInfoWithPicAndSign->tspi_gender == "M")
                                                    echo "MALE";
                                                else
                                                    echo "FEMALE";
                                                ?></div>
                                            <div class="col-sm-3 font-weight-bold" >D.O.B. : </div>
                                            <div class="col-sm-3"><?php echo date("d-m-Y", strtotime($stuPersonalInfoWithPicAndSign->tspi_dob)); ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Category :</div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_category; ?></div>
                                            <div class="col-sm-3 font-weight-bold" >Religion : </div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_religion; ?></div>
                                        </div>
                                        <div class="form-row mt-2">
                                            <div class="col-sm-3 font-weight-bold">Mobile :</div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_mobile; ?></div>
                                            <div class="col-sm-2 font-weight-bold">Email : </div>
                                            <div class="col-sm-4"><?php echo $stuPersonalInfoWithPicAndSign->tspi_email; ?></div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-sm-3 font-weight-bold">Parent Mobile/Landline :</div>
                                            <div class="col-sm-3"><?php
                                                echo $stuContactInfo->tsci_parent_mobile;
                                                echo ($stuContactInfo->tsci_parent_landline == "" ) ? "" : "/" . $stuContactInfo->tsci_parent_landline;
                                                ?></div>
                                            <div class="col-sm-3 font-weight-bold">Parent Annual Income : </div>
                                            <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_parent_annual_income; ?></div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3" style="border:0px solid black;">
                                        <div class="img-responsive text-center">
                                            <img src="<?php echo base_url() . $studentPhotographDoc->tddi_doc_file_path; ?>" width="140px">
                                        </div>
                                    </div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-2">
                                    <div class="col-lg-10">Mailing Address :</div>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold"> Street :</div>
                                    <div class="col-sm-9"><?php
                                        echo $stuContactInfo->tsci_resid_address_line_one;
                                        echo ($stuContactInfo->tsci_resid_address_line_two == "" || $stuContactInfo->tsci_resid_address_line_two == null) ? "" : ", " . $stuContactInfo->tsci_resid_address_line_two;
                                        echo ($stuContactInfo->tsci_resid_address_line_three == "" || $stuContactInfo->tsci_resid_address_line_three == null) ? "" : ", " . $stuContactInfo->tsci_resid_address_line_three;
                                        ?>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-1 font-weight-bold"> City :</div>
                                    <div class="col-sm-2"><?php echo $stuContactInfo->m_city_name; ?></div>
                                    <div class="col-sm-2 font-weight-bold"> State :</div>
                                    <div class="col-sm-3"><?php echo $stuContactInfo->m_state_name; ?></div>
                                    <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                    <div class="col-sm-2"><?php echo $stuContactInfo->tsci_resid_zipcode; ?></div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-2">
                                    <div class="col-lg-10">Permanent Address :</div> 

                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Street :</div>
                                    <div class="col-sm-9"><?php
                                        echo $stuContactInfo->tsci_perma_address_line_one;
                                        echo ($stuContactInfo->tsci_perma_address_line_two == "" || $stuContactInfo->tsci_perma_address_line_two == null) ? "" : ", " . $stuContactInfo->tsci_perma_address_line_two;
                                        echo ($stuContactInfo->tsci_perma_address_line_three == "" || $stuContactInfo->tsci_perma_address_line_three == null) ? "" : ", " . $stuContactInfo->tsci_perma_address_line_three;
                                        ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-1 font-weight-bold"> City :</div>
                                    <div class="col-sm-2"><?php echo $stuContactInfo->p_city_name; ?></div>
                                    <div class="col-sm-2 font-weight-bold"> State :</div>
                                    <div class="col-sm-3"><?php echo $stuContactInfo->p_state_name; ?></div>
                                    <div class="col-sm-2 font-weight-bold"> Pincode :</div>
                                    <div class="col-sm-2"><?php echo $stuContactInfo->tsci_perma_zipcode; ?></div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Aadhar No. :</div>
                                    <div class="col-sm-3"><?php echo $aadharInfo->tipi_number; ?></div>
                                    <div class="col-sm-3 font-weight-bold">PAN No. : </div>
                                    <div class="col-sm-3"><?php echo $PANInfo->tipi_number; ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Caste Certificate No. :</div>
                                    <div class="col-sm-3"><?php echo $casteCertificateInfo->tipi_number; ?></div>
                                    <div class="col-sm-3 font-weight-bold">Income Certificate No.   : </div>
                                    <div class="col-sm-3"><?php echo $incomeCertificateInfo->tipi_number; ?></div>
                                </div>




                                <hr class="mt-2" style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>EDUCATIONAL QUALIFICATION   </h2><br>
                                </div>
                                <hr >
                                <div class="form-row mt-4">
                                    <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                        <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                            <thead>
                                                <tr valign="center" align="center">
                                                    <th>Name Of Examination</th>
                                                    <th>Board / University of Examination</th>
                                                    <th>Stream</th>
                                                    <th>Year of Passing</th>
                                                    <th>Max. Marks / CGPA</th>
                                                    <th>Marks / CGPA Obtained</th>
                                                    <th>% of Marks/CGPA Obtained</th>
                                                    <th>Division</th>                                             
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($stuEduQualifInfo); $i++) {
                                                    $rec = $stuEduQualifInfo[$i];
                                                    ?>
                                                    <tr>
                                                        <th><?php echo $rec->exam_name; ?></th>
                                                        <td><?php echo $rec->tesi_board; ?></td>
                                                        <td><?php echo $rec->tesi_stream; ?></td>
                                                        <td style="word-wrap:break-word;"><?php echo $rec->tesi_passing_year; ?></td>
                                                        <td><?php echo $rec->tesi_max_marks_cgpa; ?></td>
                                                        <td><?php echo $rec->tesi_cgpa; ?></td>
                                                        <td><?php echo $rec->tesi_percnt; ?></td>
                                                        <td><?php echo $rec->tesi_division; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <h2 class="card__title font-weight-bold"></i>FAMILY BACKGROUND DETAILS</h2><br>
                                </div>
                                <hr class="mt-3" >

                                <div class="form-row">
                                    <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                        <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                            <thead>
                                                <tr valign="center">
                                                    <th >Name</th>
                                                    <th >Relationship</th>
                                                    <th >Designation</th>
                                                    <th>Organization</th>                                            
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($stuFamilyBGInfo); $i++) {
                                                    $rec = $stuFamilyBGInfo[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo $rec->tfbi_name; ?></td>
                                                        <td><?php echo $rec->rel_title; ?></td>
                                                        <td style="word-wrap:break-word;"><?php echo $rec->tfbi_designation; ?></td>
                                                        <td><?php echo $rec->tfbi_organization; ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <hr class="" style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-4">
                                    <h2 class="card__title font-weight-bold">HOSTLE DESIRED</h2>                     
                                </div>
                                <hr>
                                <div class="form-row mt-2">
                                    <div class="col-sm-3 font-weight-bold">Opted : </div>
                                    <div class="col-sm-9"><?php
                                        if ($hostelInfo->tshri_is_hostel_opted == "T")
                                            echo "YES";
                                        else
                                            echo "NO";
                                        ?></div>
                                </div>
                                <hr class="mt-3" style="border-top: 1px solid black;">
                                <div class="form-row font-weight-bold mt-4 ">
                                    <h4 class="card__title font-weight-bold">HOW DID YOU COME TO KNOW ABOUT IET, AGRA?</h4>                     
                                </div>
                                <hr >
                                <div class="form-row mt-3">
                                    <div class="col-sm-12"><?php
                                        if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "F")
                                            echo "FRIENDS/RELATIVES";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "A")
                                            echo "ADVERTISEMENT";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "T")
                                            echo "TEACHERS";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "I")
                                            echo "INTERNET";
                                        else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "O")
                                            echo $stuEntranceExamAndProfExpInfo->tsevi_how_know_sms;
                                        ?></div>
                                </div>

                                <hr style="border-top: 1px solid black;">
                                <div class="form-row">
                                    <div class="col-sm-12">
                                        <h3 class="" style="text-align: center">Declaration</h3>
                                        <label class="form-check-label" style="text-decoration: none;" for="declaration">I hereby declared that information supplied above 
                                            is true and complete to the best of my knowledge and belief 
                                            and my admission may be cancelled at any state if it is found 
                                            to be incorrect.I also undertake to abide by all the rules 
                                            and regulations of the institute from time to time.</label>
                                    </div>
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col-sm-3 font-weight-bold">Date: </div>
                                    <div class="col-sm-3"><?php echo date("d-m-Y", strtotime($stuPersonalInfoWithPicAndSign->tspi_added_on)); ?></div>
                                    <div class="col-sm-3 font-weight-bold">Place: </div>
                                    <div class="col-sm-3"><?php echo $stuContactInfo->m_city_name; ?></div>
                                </div>
                                <div class="form-row">
                                    <div class="col-sm-3 font-weight-bold">Parent/Guardian Sign: </div>
                                    <div class="col-sm-3" style="border:2px solid black"></div>
                                    <div class="col-sm-3 font-weight-bold">Signature : </div>
                                    <div class="col-sm-3"><img src="<?php echo base_url($studentSignDoc->tddi_doc_file_path); ?>" width="100"></div>
                                </div>
                                <hr class="mt-4" style="border-top: 1px solid black;">
                                <h5 style="text-align: center">Address For Correspondence :</h5>
                                <hr style="border-top: 1px solid black;">
                                <div class="form-row mt-3">
                                    <div class="col-sm-12">
                                        <p style="font-weight: bold; text-align: center">
                                            <?php echo $this->session->userdata("branchData")["branch_name"]; ?><br>
                                            <i class="fa fa-phone"></i> &nbsp;Phone No:-<?php echo $this->session->userdata("branchData")["branch_tel"] . "-" . $this->session->userdata("branchData")["branch_mobile"]; ?><br>
                                            <i class="fa fa-envelope"></i>&nbsp;<?php echo $this->session->userdata("branchData")["branch_email"]; ?><br>
                                            <i class="fa fa-globe"></i> &nbsp; <?php echo $this->session->userdata("branchData")["branch_website"]; ?>
                                        </p>
                                    </div>
                                </div>
                                <hr style="border-top: 1px solid black;">
                            </div>
                        </div>
                        <div class="form-row mt-3 ">
                            <div class="text-center col-sm-12">

                                <button class="btn btn-primary" onclick="printDiv()" id="print">Print</button>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div> 
        <?php $this->load->view("admin/footer"); ?>
        <script>
            function printDiv()
            {
                var divToPrint = document.getElementById('appPrint');
                var head = document.getElementById('head');
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html>' + head.innerHTML + '<body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("payment").classList.remove("active");
                document.getElementById("upload").classList.remove("active");
                document.getElementById("reports").classList.add("active");
            });
        </script>
    </body>
</html>


