<!DOCTYPE html>
<html lang="zxx">
    <head>
        <title>|| Admission Portal || <?php echo (sizeof($branch)) ? $branch[0]->branch_short_name : ""; ?></title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>" type="text/css" media="all">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/styleHome.css"); ?>" type="text/css" media="all">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>" type="text/css" media="all">
        <link href="https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;500;700&amp;display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <section class="main">
            <div class="container">
                <div class="logo text-center">
                    <img width="12%" src="<?php echo base_url("assets/images/logo.png"); ?>" />
                    <h1 style="letter-spacing: 1px;color:#4755AB;font-weight: 500;font-family: 'Nunito';margin-bottom: 0rem !important;padding-bottom: 0rem !important;"> <a href="<?php echo site_url("Home"); ?>"><?php echo (sizeof($branch)) ? $branch[0]->branch_name : ""; ?></a></h1>
                </div>
                <div class="text-center">
                    <p style="letter-spacing: 1px;font-size:1.5rem;font-family: 'Nunito';margin-bottom: 0rem;"><a style="color:#000;" href="<?php echo site_url("Home"); ?>">A Constituent College under Lalit Narayan Mithila University, Darbhanga</a></p>
                </div>
                <div class="text-center">
                    <p style="letter-spacing: 1px;font-size:1.5rem;font-family: 'Nunito';"><a style="color:#000;" href="<?php echo site_url("Home"); ?>">Online Enquiry & Admission Portal</a></p>
                </div>
                <?php if ($this->session->flashdata('successMessage')) { ?>
                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('errorMessage')) { ?>
                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                <?php } ?>
                <div class="row mb-4">
                    <div class="login-form"> 
                        <div class="form-row">
                            <div class="wthree-field col-sm-12">
                                <div class="wthree-field col-sm-12">
                                    <button onClick='window.location.href = "<?php echo site_url("user/Student/validateCounsellingReferenceNumber"); ?>"' type="button" class="btn btn-default btn-lg">
                                        Apply For Admission
                                    </button>
                                </div>
                                <div class="wthree-field col-sm-12">
                                    <button onClick='window.location.href = "<?php echo site_url("user/Student/acknowledgement"); ?>"' type="button" class="btn btn-primary btn-lg">
                                        Print Filled Up Form
                                    </button>
                                </div>
                                <div class="wthree-field col-sm-12">
                                    <button type="button" onClick='window.location.href = "<?php echo site_url("user/Student/acknowledgement"); ?>"' class="btn btn-primary btn-lg">
                                        Print Fee Receipt
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class=""> 
                            <div class="sub-head-w3-agileits">
                                <h2 style="color:#000;font-weight: bold;text-decoration: underline;">Instructions</h2>
                                <p style="font-size: 25px;color:#000;">Please ensure that you have the following documents ready at hand before you fill the online application form:</p>
                            </div>
                            <ul>
                                <li><span>1 :</span> Scanned copy of signature in JPG / JPEG / PNG format (File size should not exceed 500 KB).</li>
                                <li><span>2 :</span> Scanned copy of passport size color photograph in JPEG / PNG / GIF format (File size should not exceed 500 KB).</li>
                                <li><span>3 :</span> An active e-mail account & a working mobile number.</li>
                                <?php
                                if (file_exists("./assets/uploads/instructions.pdf")) {
                                    ?>
                                    <li><span>4 :</span> To View/Download Admission Process <a target="_blank" href="<?php echo base_url("assets/uploads/instructions.pdf"); ?>">Click Here.</a></li> 
                                    <?php
                                }
                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <footer class="dashboard text-center" style="margin-top: 20px;">
                    <p style="color:#000;word-break: break-all">&copy <?php echo date("Y"); ?> Admission Portal. All Rights Reserved  | Designed and Developed By <a href="http://www.softproindia.in/" target="_blank">Softpro India Computer Technologies (P) Ltd.</a></p>
                </footer>
        </section>
        <script>
            $(document).ready(function () {
                var bool = '<?php echo ($this->session->flashdata("model")) ? $this->session->flashdata("model") : ""; ?>';
                if (bool === "true") {
                    $('#myModal').modal('show');
                }
            });
        </script>
        <!-- Modal -->
        <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="myModalLabel">Admission Enquiry</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    </div>
                    <div class="modal-body">
                        <div class="card card_border ">
                            <div class="card-body">
                                <?php echo form_open(site_url("Home/saveEnquiry")); ?>

                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <div class="form-row">
                                    <div class="form-group col-sm-4">
                                        <label for="enq_name" class="input__label required">Name</label>
                                        <input type="text" value="<?php echo set_value("enq_name"); ?>" name="enq_name" id="enq_name" class="form-control login_text_field_bg input-style"
                                               aria-describedby="enq_name" placeholder="Enter Your Name" autofocus>
                                    </div>
                                    <div class="form-group col-sm-4">
                                        <label for="enq_mobile" class="input__label required">Mobile</label>
                                        <input type="text" onkeypress="return event.charCode >= 48 && event.charCode <= 57"  value="<?php echo set_value("enq_mobile"); ?>" name="enq_mobile" id="enq_mobile" class="form-control login_text_field_bg input-style"
                                               aria-describedby="enq_mobile" placeholder="Enter Mobile No."   maxlength="10" autofocus>
                                    </div>
                                    <div class="form-group  col-sm-4">
                                        <label for="enq_email" class="input__label required">Email</label>
                                        <input type="text" class="form-control login_text_field_bg input-style"
                                               id="enq_email" value="<?php echo set_value("enq_email"); ?>" name="enq_email" aria-describedby="enq_email" placeholder="Enter your Email" >
                                    </div>
                                    <div class="form-group  col-sm-6">
                                        <label for="enq_course" class="input__label required">Course</label>
                                        <select class="form-control login_text_field_bg input-style"
                                                id="enq_course" value="<?php echo set_value("enq_course"); ?>" name="enq_course" aria-describedby="enq_course" >
                                            <option value="">-Select Course-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($course); $i++) {
                                                $ct = $course[$i];
                                                ?>
                                                <option value="<?php echo $ct->course_id; ?>"><?php echo $ct->course_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group  col-sm-6">
                                        <label for="enq_city" class="input__label required">City</label>
                                        <input type="text" value="<?php echo set_value("enq_city"); ?>" class="form-control login_text_field_bg input-style"
                                               id="enq_city" name="enq_city" placeholder="Enter your City" >
                                    </div>
                                    <div class="form-group  col-sm-12">
                                        <label for="enq_query" class="input__label required">Query</label>
                                        <textarea class="form-control" rows="3" id="enq_query" name="enq_query" aria-describedby="enq_query" placeholder="Enter your Enquiry" style="resize: none"   maxlength="500" ><?php echo set_value("enq_email"); ?></textarea>
                                    </div>
                                </div>
                                <div class="d-flex align-items-center flex-wrap justify-content-center">
                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CREATE</button>
                                </div>
                                <br>
                                <span style="color:red;">(*) marked fields are mandatory.</span>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function () {
            //$("#myModal").modal("show");
        });
    </script>
</body>
</html>