<?php

/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class PostManagement extends CI_Model {

    //put your code here
    function savePost($postData) {
        $this->db->insert("tbl_post", $postData);
        return $this->db->insert_id();
    }

    function getPosts($userid) {
        $this->db->select("*");
        $this->db->from("tbl_post");
        $this->db->Where("userid", $userid);
        $this->db->Where("pst_delete_status", "f");
        $this->db->order_by("datentime", "DESC");
        return $this->db->get();
    }

    function getPostsByID($pst_id) {
        $this->db->select("*");
        $this->db->from("tbl_post");
        $this->db->Where("pst_id", $pst_id);
        return $this->db->get();
    }

    function getPostForReport($userid, $usertype, $limit, $offset) {
        $this->db->select("*");
        $this->db->from("tbl_post p");
        $this->db->join("tbl_stu_alu sa", "sa.userid = p.userid");
        $this->db->join("tbl_profile pr", "pr.user_id = sa.userid");
        $this->db->where("p.userid NOT IN ($userid)");
        $this->db->where("p.pst_for  IN ('All','$usertype')");
        $this->db->Where("p.pst_delete_status", "f");
        $this->db->Where("p.pst_publish_status", "t");
        $this->db->limit($limit, $offset);
        $this->db->order_by("datentime", "DESC");
        return $this->db->get();
    }

    function getNumOfPosts($userid, $usertype) {
        $this->db->select("*");
        $this->db->from("tbl_post p");
        $this->db->join("tbl_stu_alu sa", "sa.userid = p.userid");
        $this->db->where("p.userid NOT IN ($userid)");
        $this->db->where("p.pst_for  IN ('All','$usertype')");
        $this->db->Where("p.pst_delete_status", "f");
        $this->db->Where("p.pst_publish_status", "t");
        return $this->db->get()->num_rows();
    }

    function updatePost($postArrayData, $pst_id) {
        $this->db->where("pst_id", $pst_id);
        return $this->db->update("tbl_post", $postArrayData);
    }

}
