<!doctype html>
<html lang="en">
    <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admin Login | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css") ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
    </head>
    <body class="sidebar-menu-collapsed">   
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag() {
                dataLayer.push(arguments);
            }
            gtag('js', new Date());
            gtag('config', 'UA-149859901-1');
        </script>
        <meta name="robots" content="noindex">
        <section>
            <!-- content -->
            <div class="">
                <!-- login form -->
                <section class="login-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php
                            echo form_open(site_url("admin/Authentication/authLogin"))
                            ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                    <img width="25%" src="<?php echo base_url("/assets/admin/images/branchLogo/branchlogo.png");?>">
                                <h4>Alumni Portal</h4>
                                <p>Admin Login</p>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="username" class="input__label">Username</label>
                                <input placeholder="Enter Username" type="text" class="form-control login_text_field_bg input-style"
                                       id="username" aria-describedby="email" 
                                       autofocus name="username">
                            </div>
                            <div class="form-group">
                                <label for="password" class="input__label">Password</label>
                                <input placeholder="Enter Password" type="password" class="form-control login_text_field_bg input-style"
                                       id="password" name="password" >
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Login now</button>
                            </div>
                            <?php
                            echo form_close();
                            ?>
                            <!-- //form -->
                            <p class="backtohome mt-4"><a href="<?php echo site_url("Home"); ?>" class="back"><i class="fa fa-chevron-left"
                                                                                                                 aria-hidden="true"></i>Back to Alumni Portal </a></p>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </section>
    </body>
 
</html>
