
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Set Gallary Limit :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Admin</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Gallary/setGallaryLimit") ?>">Set Gallary Limit</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12 pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("admin/Gallary/saveGallaryLimits")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2">Set Gallary Limit</h3>
<!--                                    <p>Create your account here, and continue </p>-->
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="lim_for" class="input__label required">Limit For</label>
                                <select name="lim_for" id="lim_for" class="form-control login_text_field_bg input-style" aria-describedby="c_name" autofocus >
                                    <option selected disabled="true">-Limit For-</option>                                    
                                    <option <?php echo set_select("lim_for", "Alumni"); ?> value="Alumni">Alumni</option>
                                    <option <?php echo set_select("lim_for", "Student"); ?> value="Student">Student</option>
                                </select>
                                <input type="hidden" id="Alumni" value="<?php echo $limitData[0]->lim_pics ?>">
                                <input type="hidden" id="Student" value="<?php echo $limitData[1]->lim_pics ?>">
                            </div>
                            <div class="form-group">
                                <label for="lim_pics" class="input__label required">Pic Count</label>
                                <input type="text" value="<?php echo set_value("lim_pics"); ?>" class="form-control login_text_field_bg input-style"
                                       id="lim_pics" name="lim_pics" placeholder="Enter Pic Count" >
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">SET</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {         
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("admin").classList.remove("active");
            document.getElementById("notification").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("adminManagement").classList.remove("active");
            document.getElementById("admin").classList.add("active");
            $("#lim_for").on("change", function () {
                
                var limFor = this.value;
                //alert(limFor);
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                $("#lim_pics").val($("#" + limFor).val());  
                //alert($("#" + limFor).val());
                $(".se-pre-con").fadeOut("slow");
            });
        });
    </script>
