<!DOCTYPE html>
<html lang="zxx">
<head>
    <title>Register | Alumni Portal</title>
    <!--meta tags -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
    <link href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>" rel="stylesheet" type="text/css" media="all">
    <link href="<?php echo base_url("assets/css/font-awesome.min.css"); ?>" rel="stylesheet">
    <link href="<?php echo base_url("assets/css/style.css"); ?>" rel='stylesheet' type='text/css' media="all">
    <link href="https://fonts.googleapis.com/css?family=Fira+Sans:400,500,600,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Oxygen:400,700" rel="stylesheet">
    <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
    <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
    <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>
</head>
<body>
    <div class="welcome-msg p-3">
        <center>
            <h1 class="d-flex justify-content-center"><a class="text-center" href="<?php echo site_url("Home"); ?>"><img class="img-thumbnail" src="<?php echo base_url("/assets/images/header.png"); ?>"></a></h1>
            <h3>Alumni Portal</h3>
        </center>
    </div>
    <hr>
    <div class="container">
        <?php
        echo form_open(site_url("Authentication/saveData"))
        ?>
        <div class="row p-2">
            <div class="col-lg-12 mb-3">
                <?php if (validation_errors() != false) { ?>
                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('successMessage')) { ?>
                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('errorMessage')) { ?>
                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                <?php } ?>
                <h3 class="text-center ">Signup Form</h3>
            </div>
            <div class="col-lg-6">
                <div class="form-group">
                    <label class="required" for="passingYear">Passing Year</label>
                    <select tabindex="1" class="form-control" name="passingYear" id="passingYear" autofocus="true">
                        <option selected disabled="true">-Passing Year-</option>
                        <?php
                        $year = date("Y");
                        echo $year;
                        for ($i = ($year + 4); $i >= 1995; $i--) {
                        ?>
                            <option <?php echo set_select("passingYear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                        <?php
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group">
                    <label class="required" for="fullName">Full Name</label>
                    <input tabindex="3" type="text" value="<?php echo set_value("fullName"); ?>" name="fullName" class="form-control" id="fullName" placeholder="Enter Full Name">
                </div>
                <div class="form-group">
                    <label class="required" for="email">Email address</label>
                    <input tabindex="6" type="text" value="<?php echo set_value("email"); ?>" name="email" class="form-control" id="email" placeholder="Enter Email">
                </div>
                <div class="form-group">
                    <label class="required" for="password">Password</label>
                    <input tabindex="8" type="password" class="form-control" name="password" id="password" placeholder="Password">
                </div>
                <div class="form-group">
                    <label class="required" for="DOB">DOB</label>
                    <input tabindex="10" type="text" readonly="readonly" value="<?php echo set_value("DOB"); ?>" class="form-control" name="DOB" id="DOB" autocomplete="off" placeholder="Select DOB">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group">
                    <label class="required" for="course">Course</label>
                    <select tabindex="2" name="course" id="course" class="form-control">
                        <option selected disabled="true">-Course-</option>
                        <?php
                        for ($i = 0; $i < sizeof($courses); $i++) {
                            $course = $courses[$i];
                        ?>
                            <option <?php echo set_select("course", $course->c_id); ?> value="<?php echo $course->c_id; ?>"><?php echo $course->c_name; ?></option>
                        <?php
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group">
                    <label class="required" for="gender">Gender</label>&nbsp;&nbsp;
                    <div class="form-row ml-4">
                        <input tabindex="4" class="form-check-input" <?php echo set_radio("gender", "M"); ?> type="radio" name="gender" id="gender" value="M">
                        <label class="form-check-label">Male</label>
                    </div>
                    <div class="form-row ml-4">
                        <input tabindex="5" class="form-check-input" <?php echo set_radio("gender", "F") ?> type="radio" name="gender" id="" value="F">
                        <label class="form-check-label">Female</label>
                    </div>
                </div>
                <div class="form-group">
                    <label class="required" for="mobile">Mobile</label>
                    <input tabindex="7" type="text" value="<?php echo set_value("mobile"); ?>" name="mobile" class="form-control" id="mobile" maxlength="10" minlength="10" placeholder="Enter mobile">
                </div>
                <div class="form-group">
                    <label class="required" for="confirmPassword">Confirm Password</label>
                    <input tabindex="9" type="password" class="form-control" name="confirmPassword" id="confirmPassword" placeholder="Enter Confirm Password">
                </div>
                <div class="form-group">
                    <label class="required" for="collegeBranch">College Branch</label>
                    <select tabindex="11" name="collegeBranch" id="collegeBranch" class="form-control">
                        <option disabled="true">-Branch-</option>
                        <?php
                        if (sizeof($branch)) {
                            for ($i = 0; $i < sizeof($branch); $i++) {
                                $br = $branch[0];
                        ?>
                                <option selected <?php echo set_select("collegeBranch", $br->branch_short_name); ?>><?php echo $br->branch_short_name; ?></option>
                        <?php
                            }
                        }
                        ?>

                    </select>
                </div>
            </div>
            <div class="col-lg-12">
                <button tabindex="12" type="submit" class="form-control btn btn-success">Continue <i class="fa fa-arrow-right"></i></button>
                <span>Already have an account ?
                    <a href="<?php echo site_url("Home#loginModal") ?> " data-target="#loginModal" data-toggle="modal">click here</a>
                    <br> <br>

                    <span style="color:red;">(*) marked fields are mandatory.</span>
                </span>
            </div>
        </div>
        <?php
        echo form_close();
        ?>
    </div>
    <script>
        $("#DOB").datepicker({
            dateFormat: "dd/mm/yy",
            changeMonth: true,
            changeYear: true,
            numberOfMonths: 1,
            yearRange: '1980:-15'
        });
    </script>
    <?php
    $this->load->view("footer");
    ?>