<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit Post :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">PostManagement</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Edit Post</a></li>
                    </ol>
                </nav>
                <div class="card card_border p-4 " >
                    <h3 class="card__title"><i class="fa fa-edit"></i> &nbsp;Edit Post  </h3><br>
                    <?php if (validation_errors() != false) { ?>
                        <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                    <?php } ?>
                    <?php if ($this->session->flashdata('successMessage')) { ?>
                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                        <?php
                    }
                    ?>
                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                    <?php } ?>
                    <?php echo form_open_multipart(site_url("user/Post/updatePost")) ?>       
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label for="postContent" class="input__label required">Post Content</label>
                            <textarea type="text" value="" name="postContent" id="postContent" class="form-control login_text_field_bg input-style"
                                      aria-describedby="postContent" placeholder="Enter Post Content" autofocus><?php echo $post->pst_content; ?></textarea>
                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Character Length:10000.</small>
                        </div>
                        <div class="col-md-8"> 
                            <div class="form-group ">
                                <label for="postFor" class="input__label required">Publish For</label>
                                <select class="form-control login_text_field_bg input-style"
                                        id="postFor" name="postFor" >
                                    <option <?php if ($post->pst_for == 'ALL') echo "selected"; ?> value="All" selected>Everyone</option>
                                    <option <?php if ($post->pst_for == 'Alumni') echo "selected"; ?> value="Alumni" >Alumni</option>
                                    <option <?php if ($post->pst_for == 'Student') echo "selected"; ?> value="Student" >Student</option>
                                </select>
                            </div>
                            <div class="form-group ">
                                <label for="postImg" class="input__label">Post Image</label>
                                <input type="file" class="form-control login_text_field_bg input-style"
                                       id="postImg" value="<?php echo set_value("postImg"); ?>" name="postImg" aria-describedby="postImg">
                                <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 1MB.</small>
                                <input type="hidden" name="currentPostImg" value="<?php echo $post->pst_pic; ?>">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-row">
                                <div class="form-group col-md-8">
                                    <label class="input__label">Currect Image</label>
                                    <div class="text-center">
                                        <img class="img-fluid" src="<?php echo base_url() . $post->pst_pic; ?>" >
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="text-center">
                        <input type="hidden" name="pst_id" value="<?php echo $post->pst_id; ?>">
                        <button type="submit" class="btn btn-primary btn-block btn-style mt-2">SAVE</button>
                    </div>
                    <br>
                    <span style="color:red;">(*) marked fields are mandatory.</span>
                    <?php echo form_close() ?>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            <?php
            $user = $this->session->userdata("userData");
            if ($user["user_role"] == "Alumni")
                echo 'document.getElementById("job").classList.remove("active");';
            ?>
            document.getElementById("postMgt").classList.remove("active");
            document.getElementById("gallery").classList.remove("active");
            document.getElementById("postMgt").classList.add("active");
        });
    </script>
