<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Profile Management :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("user/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="">My Profile</a></li>
                        </ol>
                    </nav>
                    <section>
                        <div class="card card_border py-2 mb-4 p-4">
                            <h3 class="card__title"><i class="fa fa-user-circle ml-3"></i>&nbsp;My Profile  </h3><br>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="row">
                                <div class="col-lg-3 ">
                                    <div class="nav flex-column nav-pills p-3" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                                        <a class="nav-link <?php echo $this->session->flashdata('primaryInfoTab'); ?>" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">Primary Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('mailingInfoTab'); ?>" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-profile" aria-selected="false">Mailing Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('additionalInfoTab'); ?>" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">Additional Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('profileImageTab'); ?>" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Profile Image</a>
                                    </div>
                                </div>
                                <div class="col-lg-9">
                                    <div class="tab-content p-3" id="v-pills-tabContent">
                                        <!-- Primary Info Form Start-->
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('primaryInfoTab'); ?>" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
                                            <?php echo form_open(site_url('user/Profile/updatePrimaryInfo'), ['name' => 'primaryInfoUpdateFrm', 'id' => 'primaryInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="passingYear" class="input__label required">Passing Year</label>
                                                    <select class="form-control input-style" name="passingYear" id="passingYear">
                                                        <option selected disabled="true">-Passing Year-</option>
                                                        <?php
                                                        $year = date("Y");
                                                        echo $year;
                                                        for ($i = ($year + 4); $i >= 1995; $i--) {
                                                            ?>
                                                            <option <?php if ($userData[0]->passing_year == $i) echo "Selected"; ?> <?php echo set_select("passingYear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="course" class="input__label required">Course</label>
                                                    <select name="course" id="course" class="form-control input-style">
                                                        <option selected disabled="true">-Course-</option>
                                                        <?php
                                                        for ($i = 0; $i < sizeof($Courses); $i++) {
                                                            $course = $Courses[$i];
                                                            ?>
                                                            <option  <?php if ($userData[0]->c_id == $course->c_id) echo "Selected"; ?> <?php echo set_select("course", $course->c_id); ?> value="<?php echo $course->c_id; ?>" ><?php echo $course->c_name; ?></option>
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="fullName" class="input__label required">Full Name </label>
                                                    <input type="text" value="<?php echo $userData[0]->name; ?>" name="fullName" class="form-control input-style" id="fullName"  placeholder="Enter Full Name">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="email" class="input__label">Email</label>
                                                    <input type="text" value="<?php echo $userData[0]->email; ?>" name="email" class="form-control input-style" id="email"  placeholder="Enter Email">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="DOB" class="input__label">D.O.B.</label>
                                                    <input type="text" readonly="readonly" value="<?php echo ($userData[0]->dob == NULL || $userData[0]->dob == "") ? "" : date("d/m/Y", strtotime($userData[0]->dob)); ?>" class="form-control input-style" name="DOB" id="DOB" autocomplete="off" placeholder="Select DOB">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label class="input__label required">Gender </label><br>
                                                    <input type="radio" id="genMale" name="gender" value="M" <?php echo ($userData[0]->gender == "M") ? "checked" : ""; ?>/>&nbsp;<label for="genMale">Male</label>
                                                    <input type="radio" id="genFemale" name="gender" value="F" <?php echo ($userData[0]->gender == "F") ? "checked" : ""; ?>/>&nbsp;<label for="genFemale">Female</label>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="mobile" class="input__label required">Mobile </label>
                                                    <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo $userData[0]->mobile; ?>" name="mobile" class="form-control input-style" id="mobile"  placeholder="Enter Mobile Number">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="collegeBranch" class="input__label required">Branch</label>
                                                    <select name="collegeBranch" id="collegeBranch" class="form-control input-style">
                                                        <option disabled="true">-Branch-</option>
                                                        <option selected <?php echo set_select("collegeBranch", "IET,Main Branch"); ?>>IET,Main Branch</option>                            
                                                    </select>
                                                </div>
                                            </div>
                                            <input type="hidden" name="userid" value="<?php echo $userData[0]->userid; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <!-- Primary Info Form End-->
                                        <!-- Mailing Info Form Start-->
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('mailingInfoTab'); ?>" id="v-pills-profile" role="tabpanel" aria-labelledby="v-pills-profile-tab">
                                            <?php echo form_open(site_url('user/Profile/updateMailingInformation'), ['name' => 'mailInfoUpdateFrm', 'id' => 'mailInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="p_address1" class="input__label required">Permanent Address Line 1</label>
                                                    <input type="text" value="<?php echo ($profile[0]->p_address1 == NULL || $profile[0]->p_address1 == "") ? "" : $profile[0]->p_address1; ?>" name="p_address1" id="p_address1" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="p_address1" placeholder="Enter Permanent Address Line 1">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="p_address2" class="input__label required">Permanent Address Line 2</label>
                                                    <input type="text" value="<?php echo ($profile[0]->p_address2 == NULL || $profile[0]->p_address1 == "") ? "" : $profile[0]->p_address2; ?>" name="p_address2" id="p_address2" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="p_address2" placeholder="Enter Permanent Address Line 2">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="p_state" class="input__label required">Permanent Address State</label>
                                                    <select id="p_state" name="p_state" class="form-control input-style">
                                                        <option value="">Select State</option>
                                                        <?php
                                                        foreach ($states as $state) {
                                                            $selected = ($state->state == $profile[0]->p_state) ? "selected" : "";
                                                            ?>
                                                            <option <?php echo $selected; ?> value="<?php echo $state->state; ?>"><?php echo $state->state; ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="p_city" class="input__label required">Permanent Address City</label>
                                                    <select id="p_city" name="p_city" class="form-control input-style">
                                                        <option value="">Select City</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="p_country" class="input__label required">Permanent Country</label>
                                                    <select  name="p_country" id="p_country" class="form-control login_text_field_bg input-style"
                                                             aria-describedby="p_country">
                                                        <option  selected>-Country-</option>
                                                        <?php
                                                        for ($i = 0; $i < sizeof($countries); $i++) {
                                                            $record = $countries[$i];
                                                            $selected = ($record->country_name == $profile[0]->p_country) ? "selected" : "";
                                                            ?>
                                                            <option  <?php echo $selected; ?> value="<?php echo $record->country_name; ?>"><?php echo $record->country_name; ?></option>
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="p_pincode" class="input__label required">Permanent Pincode</label>
                                                    <input type="text" value="<?php echo ($profile[0]->p_pin == NULL || $profile[0]->p_pin == "") ? "" : $profile[0]->p_pin; ?>" name="p_pincode" id="p_pincode" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="p_pincode" placeholder="Enter Your Permanent Pincode." s>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <input type="checkbox" name="mailingAsPermanent" id="mailingAsPermanent" value="T" <?php echo set_radio("mailingAsPermanent", "T"); ?>>&nbsp;<label for="mailingAsPermanent"><strong>Mailing Address Same As Permanent Address</strong></label>
                                                </div>
                                            </div>
                                            <!-- Mailing Addresss Start -->
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="m_address1" class="input__label ">Mailing Address Line 1</label>
                                                    <input type="text" value="<?php echo ($profile[0]->m_address1 == NULL || $profile[0]->m_address1 == "") ? "" : $profile[0]->m_address1; ?>" name="m_address1" id="m_address1" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="m_address1" placeholder="Enter mailing Address Line 1">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="m_address2" class="input__label ">Mailing Address Line 2</label>
                                                    <input type="text" value="<?php echo ($profile[0]->m_address2 == NULL || $profile[0]->m_address2 == "") ? "" : $profile[0]->m_address2; ?>" name="m_address2" id="m_address2" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="m_address2" placeholder="Enter Mailing Address Line 2">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="m_state" class="input__label ">Mailing Address State</label>
                                                    <select id="m_state" name="m_state" class="form-control input-style">
                                                        <option value="">Select State</option>
                                                        <?php
                                                        foreach ($states as $state) {
                                                            $selected = ($state->state == $profile[0]->m_state) ? "selected" : "";
                                                            ?>
                                                            <option <?php echo $selected; ?> value="<?php echo $state->state; ?>"><?php echo $state->state; ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="m_city" class="input__label ">Mailing Address City</label>
                                                    <select id="m_city" name="m_city" class="form-control input-style">
                                                        <option value="">Select City</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="m_country" class="input__label ">Mailing Country</label>
                                                    <select value="<?php echo set_value("m_country"); ?>" name="m_country" id="m_country" class="form-control login_text_field_bg input-style"
                                                            aria-describedby="m_country">
                                                        <option selected>-Country-</option>
                                                        <?php
                                                        for ($i = 0; $i < sizeof($countries); $i++) {
                                                            $record = $countries[$i];
                                                            $selected = ($record->country_name == $profile[0]->m_country) ? "selected" : "";
                                                            ?>
                                                            <option <?php echo $selected; ?> value="<?php echo $record->country_name; ?>"><?php echo $record->country_name; ?></option>
                                                            <?php
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="m_pincode" class="input__label ">Mailing Pincode</label>
                                                    <input type="text" value="<?php echo ($profile[0]->m_pin == NULL || $profile[0]->m_pin == "") ? "" : $profile[0]->m_pin; ?>" name="m_pincode" id="m_pincode" class="form-control login_text_field_bg input-style"
                                                           aria-describedby="m_pincode" placeholder="Enter Your Mailing Pincode." s>
                                                </div>
                                            </div>
                                            <input type="hidden" name="p_id" value="<?php echo $profile[0]->p_id; ?>">
                                            <input type="hidden" name="userid" value="<?php echo $userData[0]->userid; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <!-- Mailing Info Form End-->
                                        <!-- Profile photo start-->
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('profileImageTab'); ?>" id="v-pills-settings" role="tabpanel" aria-labelledby="v-pills-settings-tab">
                                            <?php echo form_open_multipart(site_url('user/Profile/updateProfilePhoto'), ['name' => 'profilePicUpdateFrm', 'id' => 'profilePicUpdateFrm']); ?>
                                            <div class="image-upload">
                                                <center>
                                                    <label for="file-input">
                                                        <img src="<?php echo ($profile[0]->p_photo == null || $profile[0]->p_photo == "") ? base_url() . "assets/user/uploads/profileimg.png" : base_url() . $profile[0]->p_photo; ?>" width=50%"/>
                                                    </label>
                                                    <br><br>
                                                    <input id="file-input" type="file" name="p_photo" />
                                                </center>
                                            </div>
                                            <input type="hidden" name="profilePhoto" value="<?php echo $profile[0]->p_photo; ?>">
                                            <input type="hidden" name="p_id" value="<?php echo $profile[0]->p_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>
                                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 1MB.</small>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <!-- profile photo end -->
                                        <!-- Additional Info start-->
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('additionalInfoTab'); ?>" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">
                                            <?php echo form_open(site_url('user/Profile/updateAdditionalInfo'), ['name' => 'additionalInfoUpdateFrm', 'id' => 'additionalInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-4">
                                                    <label for="alternateEmail" class="input__label">Alternate Email</label>
                                                    <input type="text" class="form-control input-style" id="alternateEmail" name="alternateEmail" value="<?php echo ($profile[0]->a_mail == NULL || $profile[0]->a_mail == "") ? "" : $profile[0]->a_mail; ?>" placeholder="Enter Alternate Email" autocomplete="off" maxlength="200">
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label for="alternateMobile" class="input__label">Alternate Mobile</label>

                                                    <input type="text" class="form-control input-style" id="alternateMobile" name="alternateMobile" value="<?php echo ($profile[0]->a_mobile == NULL || $profile[0]->a_mobile == "") ? "" : $profile[0]->a_mobile; ?>" placeholder="Enter Alternate Mobile" autocomplete="off" maxlength="10">
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label for="anniversaryDate" class="input__label">Anniversary Date</label>

                                                    <input type="text" class="form-control input-style" id="anniversaryDate" name="anniversaryDate" value="<?php echo ($profile[0]->a_date == NULL || $profile[0]->a_date == "") ? "" : date("d/m/Y", strtotime($profile[0]->a_date)); ?>" placeholder="Choose Anniversary Date" autocomplete="off" maxlength="50" readonly="readonly">
                                                </div>
                                            </div>
                                            <input type="hidden" name="p_id" value="<?php echo $profile[0]->p_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>

                                            <?php echo form_close(); ?>
                                        </div>
                                        <!-- Additional Info End-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#DOB").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1,
                yearRange: '1980:-15'
            });
            $("#anniversaryDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1,
                yearRange: '1980:+0'
            });
            $("#p_state").on("change", function () {
                // alert($(this).val());
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#p_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            mailInfoUpdateFrm.csrf_token.value = csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            additionalInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#p_city").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
            $("#m_state").on("change", function () {
                // alert($(this).val());
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#m_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            mailInfoUpdateFrm.csrf_token.value = csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            additionalInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#m_city").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
            $("#mailingAsPermanent").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#m_state").val($("#p_state").val());
                    $("#m_state").trigger("change");
                    $("#m_city").val($("#p_city").val());
                    $("#m_country").val($("#p_country").val());
                    $("#m_pincode").val($("#p_pincode").val());
                    $("#m_address1").val($("#p_address1").val());
                    $("#m_address2").val($("#p_address2").val());
                } else {
                    $("#m_state").val("");
                    $("#m_city").val("");
                    $("#m_address1").val("");
                    $("#m_pincode").val("");
                    $("#m_address2").val("");
                    $("#m_country").val("");
                }
            });
            //alert($("#p_state").val() + "sdsed");
            $(document).ready(function () {
                if ($("#p_state").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getActiveCitiesByStateSelected/') ?>',
                        data: {state: '<?php echo $profile[0]->p_state; ?>', city: '<?php echo $profile[0]->p_city; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            // alert();
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#p_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            mailInfoUpdateFrm.csrf_token.value = csrfHash;
                            additionalInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
                if ($("#m_state").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getActiveCitiesByStateSelected/') ?>',
                        data: {state: '<?php echo $profile[0]->m_state; ?>', city: '<?php echo $profile[0]->m_city; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            //alert();
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#m_city").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            mailInfoUpdateFrm.csrf_token.value = csrfHash;
                            additionalInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>