<?php

/**
 * Request handler for all requestes related to student's attendance
 *
 * @author Softpro India Pvt. Ltd.
 */
class Attendance extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->model("admin/AttendanceManagement");
        $this->load->model("admin/SubjectManagement");
    }

    public function index() {
        if ($this->sessionvalidator->isStudentLoggedIn()) {
            $studentData = $this->session->userdata("studentData");
            $viewData["selectedFrom"] = "";
            $viewData["selectedTo"] = "";
            $attendanceReportArray = array();
            if (isset($_POST["filterAttendanceBtn"])) {
                $from = $this->input->post("from");
                $to = $this->input->post("to");
                $viewData["selectedFrom"] = $from;
                $viewData["selectedTo"] = $to;
                $allottedSubjectsToStudent = $this->SubjectManagement->getAllSubjectsAllotedToStudent($studentData["stu_id"], $studentData["stu_current_semester"])->result();
                $viewData["totalClasses"] = "";
                $overAllTotalClassesAttended = 0;
                $overAllTotalClassesHeld = 0;
                $overAllTotalPercentage = 0;
                if (sizeof($allottedSubjectsToStudent)) {
                    for ($i = 0; $i < sizeof($allottedSubjectsToStudent); $i++) {
                        $subject = $allottedSubjectsToStudent[$i];
                        $totalClasses = $this->AttendanceManagement->getTotalClasesCountBy($subject->sta_id, ($from == "" || $from == null ) ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $from))), ($to == "" || $to == null ) ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $to))))->result()[0]->total_classes;
                        $totalPresent = $this->AttendanceManagement->getTotalAttendanceOfStudentBy($subject->stta_id, ($from == "" || $from == null ) ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $from))), ($to == "" || $to == null ) ? "" : date('Y-m-d', strtotime(str_replace('/', '-', $to))))->result()[0];
                        $studentSingleSubjectAttendanceData = array(
                            'subject_name' => " <span style='color: blue;'>( $subject->sm_code - $subject->sta_id ) </span> " . $subject->sm_name,
                            'total_classes' => $totalClasses,
                            'present' => $totalPresent->present_count,
                            'absent' => ($totalClasses - $totalPresent->present_count),
                            'percent' => ceil(($totalPresent->present_count == 0) ? "0.00" : number_format((float) (($totalPresent->present_count / $totalClasses) * 100), 2, '.', '')),
                        );
                        $overAllTotalClassesAttended = $overAllTotalClassesAttended + $totalPresent->present_count;
                        $overAllTotalClassesHeld = $overAllTotalClassesHeld + $totalClasses;
                        array_push($attendanceReportArray, $studentSingleSubjectAttendanceData);
                    }
                    $viewData["overAllTotalClassesAttended"] = $overAllTotalClassesAttended;
                    $viewData["overAllTotalClassesHeld"] = $overAllTotalClassesHeld;
                    $viewData["overAllTotalPercentage"] = ($overAllTotalClassesHeld == 0 || $overAllTotalClassesAttended == 0) ? 0: ceil(($overAllTotalClassesAttended / $overAllTotalClassesHeld) * 100);
                } else {
                    $this->session->set_flashdata("errorMessage", "No Subject Allotted Yet. Try Later.");
                }
                $viewData["attendanceData"] = $attendanceReportArray;
                $this->load->view("student/attendanceSummary", $viewData);
            } else {
                $viewData["attendanceData"] = array();
                $this->load->view("student/academics/attendanceSummary", $viewData);
            }
        } else {
            redirect("student/");
        }
    }

}
