<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Course Allotments | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Admin</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Allotment/assignedCourses"); ?>">Course Allotment Management</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> Allotted Course Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Allotment/courseAllotment"); ?>'"><i class="fa fa-plus"></i> New Allotment</button><br><br>
                                <table id="allCourseAllotments" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Name</th>
                                            <th>Designation</th>
                                            <th>Dept./Sub. Dept</th>
                                            <th>Allotted Course</th>
                                            <th>Allotted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Name</th>
                                            <th>Designation</th>
                                            <th>Sub Dept./Dept</th>
                                            <th>Allotted Course</th>
                                            <th>Allotted By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $thisEmployee = "";
                                        $tempVar = 1;
                                        for ($i = 0; $i < sizeof($allCourseAllotment); $i++) {
                                            $record = $allCourseAllotment[$i];
                                            $tempEmployee = "";
                                            if ($thisEmployee != stripslashes($record->allottedUser)) {
                                                $thisEmployee = stripslashes($record->allottedUser);
                                                $tempEmployee = stripslashes($record->allottedUser);
                                                $tempVar++;
                                            } else {
                                                $tempEmployee = "";
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->allottedUserId) . "' target='_blank'>" . $tempEmployee . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->desig_name); ?></td>
                                                <td><?php echo stripslashes($record->sub_dept_name . "" . $record->dept_name); ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->addedByAdmin) . " On " . date("d-m-Y h:i:s a", strtotime($record->sca_assigned_on)); ?></td>
                                                <td>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Course Allotment" onClick="deleteAllotment(<?php echo $record->sca_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allCourseAllotments").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteAllotment(sca_id) {
                if (confirm("Do You Really Want To Delete This Course Allotment?")) {
                    window.location.href = '<?php echo site_url("admin/Allotment/deleteCourseAllotment/"); ?>' + sca_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>