<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>New Course Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Admin</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Allotment/assignedCourses"); ?>">Course Allotment Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Allotment/courseAllotment"); ?>">New Course Allotment</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-plus"></i> New Course Allotment</h3><br>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Course Allotment Info</legend>
                                    <?php echo form_open(site_url('admin/Allotment/saveNewCourseAllotment'), ['name' => 'courseAllotmentFrm', 'id' => 'courseAllotmentFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="empRole" class="input__label">Role *</label>
                                            <select id="empRole" name="empRole" class="custom-select">
                                                <option value="" <?php echo set_select("empRole", "") ?>>Select Role</option>
                                                <?php foreach ($roles as $role) { ?>
                                                    <option value="<?php echo $role->role_id; ?>" <?php echo set_select("empRole", $role->role_id); ?>><?php echo stripslashes($role->role_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-8">
                                            <label for="employee" class="input__label">Employee *</label>
                                            <select id="employee" name="employee" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Employee">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="courses" class="input__label">Course *</label><br>
                                            <select id="courses" name="courses[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Course(s)">
                                                        <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>"><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <hr>
                                    <button id="allotCourseSubmitBtn" name="allotCourseSubmitBtn" type="submit" class="btn btn-primary btn-block">Allot Course(s)&nbsp;<i class="fa fa-level-up"></i></button>
                                        <?php echo form_close(); ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empRole").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/') ?>',
                        data: {role_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            courseAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
            
            $(document).ready(function () {
                if ($("#empRole").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByRoleForDropDown/') ?>',
                        data: {role_id: $("#empRole").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#employee").html(employeeInfo.emp_list);
                            $("#employee").selectpicker('refresh');
                            csrfHash = employeeInfo.csrfHash;
                            courseAllotmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#employee").html("<option value=''>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>