<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/simple-calendar.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.simple-calendar.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                        </ol>
                    </nav>
                    <div class="welcome-msg pt-3 pb-4">
                        <?php if ($this->session->flashdata('successMessage')) { ?>
                            <div class="alert alert-success alert-dismissible fade show">
                                <strong><?php echo $this->session->flashdata('successMessage'); ?></strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                            <div class="alert alert-danger alert-dismissible fade show">
                                <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        <?php } ?>
                        <div class="pull-left">
                            <h1><?php echo $wishMessage; ?><span class="text-primary"><?php echo $this->session->userdata('adminData')['first_name']; ?></span>! Welcome back</h1>
                        </div>
                        <?php if ($this->session->userdata("adminData")["role_code"] == '001' || $this->session->userdata("adminData")["role_code"] == '004' || $this->session->userdata("adminData")["role_code"] == '005') { ?>
                            <div class="pull-right">
                                <?php echo form_open(site_url('admin/Dashboard/differentSession'), ['id' => 'changeSessionFrm', 'name' => 'changeSessionFrm']); ?>
                                <label for="sessions">Sessions</label>
                                <select id="sessions" name="session" class="form-control" onChange="changeSessionFrm.submit();">
                                    <?php
                                    for ($i = 0; $i < sizeof($allSessions); $i++) {
                                        $color = ($allSessions[$i]->session_status == 'C') ? "#00FF00" : "#FF0000";
                                        $sessionId = $allSessions[$i]->session_id;
                                        $sessionName = $allSessions[$i]->session_name;
                                        if ($selectedSessionId) {
                                            $selected = ($allSessions[$i]->session_id == $selectedSessionId) ? "selected" : "";
                                        } else {
                                            $selected = ($allSessions[$i]->session_status == 'C') ? "selected" : "";
                                        }
                                        ?>
                                        <option style="color:<?php echo $color; ?>;" value="<?php echo $sessionId; ?>" <?php echo $selected; ?>><?php echo $sessionName; ?></option>
                                    <?php } ?>
                                </select>
                                <?php echo form_close(); ?>
                            </div>
                        <?php } ?>
                    </div><br><br>
                    <?php if ($this->session->userdata("adminData")["role_code"] == '001') { ?>
                        <!-- statistics data -->
                        <div class="statistics">
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-graduation-cap text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $totEnrolledStudents; ?></h3>
                                                <p class="stat-text">Students Enrolled</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-book text-primary"> </i>
                                                <h3 class="text-secondary number"><?php echo $totCourses; ?></h3>
                                                <p class="stat-text">Courses Running</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-users text-primary"> </i>
                                                <h3 class="text-success number"><?php echo $totERPUsers; ?></h3>
                                                <p class="stat-text">ERP Users</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-address-book text-primary"> </i>
                                                <h3 class="text-danger number"><?php echo $totSessions; ?></h3>
                                                <p class="stat-text">Sessions</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //statistics data -->
                        <!-- charts -->
                        <div class="chart">
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            Category Wise
                                        </div>
                                        <div class="card-body">
                                            <!-- Category Report Using Bar Chart -->
                                            <div>
                                                <canvas id="categoryWiseReport"></canvas>
                                            </div>
                                            <!-- //Category Report -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            Gender Wise
                                        </div>
                                        <div class="card-body">
                                            <!-- Gender Report Using Pie Chart -->
                                            <div>
                                                <canvas id="genderWiseReport"></canvas>
                                            </div>
                                            <!-- //Gender Report -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 chart-grid">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            Religion Wise
                                        </div>
                                        <div class="card-body">
                                            <!-- pie chart -->
                                            <div>
                                                <canvas id="religionWiseReport"></canvas>
                                            </div>
                                            <!-- //pie chart -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            Course-Student Wise
                                        </div>
                                        <div class="card-body">
                                            <!-- stacked bar chart -->
                                            <div>
                                                <canvas id="courseStudentWiseCountReport"></canvas>
                                            </div>
                                            <!-- //stacked bar chart -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 pl-lg-2 chart-grid">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            Operator Performance
                                        </div>
                                        <div class="card-body">
                                            <!-- stacked bar chart -->
                                            <div>
                                                <canvas id="operatorPerformanceWiseReport"></canvas>
                                            </div>
                                            <!-- //stacked bar chart -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //charts -->
                    <?php } else if ($this->session->userdata("adminData")["role_code"] == '004') { ?>
                        <div class="chart">
                            <div class="row">
                                <div class="col-lg-12 pl-lg-2 chart-grid">
                                    <div class="card text-center card_border">
                                        <div class="card-header chart-grid__header">
                                            My Performance
                                        </div>
                                        <div class="card-body">
                                            <!-- stacked bar chart -->
                                            <div>
                                                <canvas id="myPerformanceReport"></canvas>
                                            </div>
                                            <!-- //stacked bar chart -->
                                        </div>
                                        <div class="card-footer text-muted chart-grid__footer">
                                            All Courses | <?php echo $selectedSessionName; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php } else if ($this->session->userdata("adminData")["role_code"] == '005') { ?>
                        <!-- Alloted Subjects -->
                        <div class="statistics">
                            Allotted Subjects:
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <?php
                                        if (sizeof($allottedSubjectsReportData)) {
                                            for ($subject = 0; $subject < sizeof($allottedSubjectsReportData); $subject++) {
                                                ?>
                                                <div class="col-sm-4 pr-sm-2 statistics-grid">
                                                    <div class="card card_border border-primary-top p-4">
                                                        <h3 class="text-primary number"><?php echo stripslashes($allottedSubjectsReportData[$subject]->sm_code); ?></h3>
                                                        <p class="stat-text"><?php echo stripslashes($allottedSubjectsReportData[$subject]->sm_name); ?></p>
                                                    </div>
                                                </div> 
                                                <?php
                                            }
                                        } else {
                                            echo "You have not been allotted any subject. Once you are allotted subjects, they will appear here.";
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Alloted Subjects -->
                    <?php } else if ($this->session->userdata("adminData")["role_code"] == '006') { ?>
                        <!-- Alloted Courses -->
                        <div class="statistics">
                            Allotted Courses:
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <?php
                                        if (sizeof($allottedCoursesReportData)) {
                                            for ($course = 0; $course < sizeof($allottedCoursesReportData); $course++) {
                                                ?>
                                                <div class="col-sm-6 pr-sm-2 statistics-grid">
                                                    <div class="card card_border border-primary-top p-4">
                                                        <h3 class="text-primary number"><?php echo stripslashes($allottedCoursesReportData[$course]->course_name); ?></h3>
                                                        <p class="stat-text"><?php echo stripslashes($allottedCoursesReportData[$course]->course_full_name); ?></p>
                                                    </div>
                                                </div> 
                                                <?php
                                            }
                                        } else {
                                            echo "You have not been allotted any course(s). Once you are allotted course(s), they will appear here.";
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Alloted Courses -->
                    <?php } ?>
                    <section class="data-tables">
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="container" style="margin-bottom: 1%;"></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="card card_border p-4">
                                    <h3 class="card__title"><i class="fa fa-commenting"></i> Query/Feedback Tracker</h3><br>
                                    <div class="table-responsive">
                                        <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Feedback/submitFeedback"); ?>'" tooltip="Submit New Query/Feedback"><i class="fa fa-plus"></i> Submit New Query/Feedback</button><br><br>
                                        <table id="allFeedbacks" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                            <thead>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Subject</th>
                                                    <th>Extension</th>
                                                    <th>Description</th>
                                                    <th>Screenshot</th>
                                                    <th>Submitted On</th>
                                                    <th>Status</th>
                                                    <th>Admin Reply/Remarks</th>
                                                </tr>
                                            </thead>
                                            <tfoot>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Subject</th>
                                                    <th>Extension</th>
                                                    <th>Description</th>
                                                    <th>Screenshot</th>
                                                    <th>Submitted On</th>
                                                    <th>Status</th>
                                                    <th>Admin Reply/Remarks</th>
                                                </tr>
                                            </tfoot>
                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($userFeedbacks); $i++) {
                                                    $record = $userFeedbacks[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <td><?php echo stripslashes($record->fb_subject); ?></td>
                                                        <td><?php echo ($record->fb_extension_no == "" || $record->fb_extension_no == NULL) ? "-" : $record->fb_extension_no; ?></td>
                                                        <td><?php echo stripslashes($record->fb_detail); ?></td>
                                                        <td><?php echo ($record->fb_image_file != "" || $record->fb_image_file != NULL) ? "<a href='" . base_url($record->fb_image_file) . "' target='_blank' title='Click To See Full Image'><img src='" . base_url($record->fb_image_file) . "' width='25px'></a>" : "-"; ?></td>
                                                        <td><?php echo date("d-m-Y h:i:s A", strtotime($record->fb_submitted_on)); ?></td>
                                                        <td><?php echo $record->fb_resolve_status; ?></td>
                                                        <td><?php echo ($record->fb_resolve_remarks == "" || $record->fb_resolve_remarks == NULL ) ? "NA" : stripslashes($record->fb_resolve_remarks); ?></td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <!--                            <div class="col-lg-4 pl-lg-2 chart-grid">
                            <?php print_r($todaysBirthdays); ?>
                                                        </div>-->
                        </div>
                    </section>
                </div>
                <!-- //content -->
            </div>
            <!-- main content end-->
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
    <script>
<?php if ($this->session->userdata("adminData")["role_code"] == '001') { ?>
            /*Category Report Starts*/
            var categoryReport = <?php echo $categoryReportData; ?>;
            new Chart(document.getElementById("categoryWiseReport"), {
                type: 'pie',
                data: {
                    labels: categoryReport.labels,
                    datasets: [{
                            data: categoryReport.data,
                            label: 'Categories',
                            backgroundColor: [
                                window.chartColors.navy,
                                window.chartColors.green,
                                window.chartColors.danger,
                                window.chartColors.blue,
                                window.chartColors.purple,
                                window.chartColors.grey,
                                window.chartColors.orange,
                                window.chartColors.yellow,
                                window.chartColors.orange,
                                window.chartColors.pink,
                                window.chartColors.teal
                            ],
                            borderWidth: 1
                        }]
                },
                options: {
                    responsive: true,
                    legend: {
                        position: 'top'
                    }
                }
            });
            /*Category Report Ends*/

            /*Gender Report Starts*/
            var genderReport = <?php echo $genderReportData; ?>;
            var configGen = {
                type: 'polarArea',
                data: {
                    datasets: [{
                            data: genderReport.data,
                            backgroundColor: [
                                window.chartColors.navy,
                                window.chartColors.danger,
                                window.chartColors.purple
                            ],
                            label: 'Gender'
                        }],
                    labels: genderReport.labels
                },
                options: {
                    responsive: true
                }
            };
            /*Gender Report Ends*/

            /*Religion Report Starts*/
            var religionReport = <?php echo $religionReportData; ?>;
            var configReligion = {
                type: 'doughnut',
                data: {
                    datasets: [{
                            data: religionReport.data,
                            backgroundColor: [
                                window.chartColors.danger,
                                window.chartColors.orange,
                                window.chartColors.green,
                                window.chartColors.blue,
                                window.chartColors.purple,
                                window.chartColors.grey,
                                window.chartColors.white
                            ],
                            label: 'Religions'
                        }],
                    labels: religionReport.labels
                },
                options: {
                    responsive: true
                }
            };
            /*Religion Report Ends*/

            /*Rendering Gender & Religion Reports*/
            window.onload = function () {
                var religionPie = document.getElementById('religionWiseReport').getContext('2d');
                window.myReligionPie = new Chart(religionPie, configReligion);
                var genderPie = document.getElementById('genderWiseReport').getContext('2d');
                window.myGenderPie = new Chart(genderPie, configGen);
            };
            /*Rendering Gender & Religion Reports*/

            /*Course-Student Count Report Starts*/
            var courseStudentCountReport = <?php echo $courseStudentReportData; ?>;
            new Chart(document.getElementById("courseStudentWiseCountReport"), {
                type: 'bar',
                data: {
                    labels: courseStudentCountReport.labels,
                    datasets: [{
                            data: courseStudentCountReport.data,
                            label: 'Students',
                            backgroundColor: ["#007bff", "#343a40", "#6f42c1", "#e83e8c", "#dc3545", "#fd7e14", "#ffc107", "#28a745", "#20c997","#17a2b8","#fff","#6c757d"],
                            borderWidth: 1
                        }]
                },
                options: {
                    responsive: true,
                    legend: {
                        position: 'top'
                    }
                }
            });
            /*Course-Student Count Report Ends*/

            /*Operator Performance Report Starts*/
            var operatorPerformanceReport = <?php echo $operatorPerformanceReportData; ?>;
            new Chart(document.getElementById("operatorPerformanceWiseReport"), {
                type: 'line',
                data: {
                    labels: operatorPerformanceReport.labels,
                    datasets: [{
                            label: 'Entries Done',
                            backgroundColor: window.chartColors.navy,
                            borderColor: window.chartColors.navy,
                            data: operatorPerformanceReport.data,
                            fill: false
                        }]
                },
                options: {
                    responsive: true,
                    scales: {
                        xAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'Operators'
                                }
                            }],
                        yAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'No. Of Entries'
                                }
                            }]
                    }
                }
            });
            /*Operator Performance Report Ends*/
<?php } else if ($this->session->userdata("adminData")["role_code"] == '004') { ?>
            /*My Performance Report Starts*/
            var myPerformanceReport = <?php echo $myPerformanceReportData; ?>;
            new Chart(document.getElementById("myPerformanceReport"), {
                type: 'line',
                data: {
                    labels: myPerformanceReport.labels,
                    datasets: [{
                            label: 'Entries Done',
                            backgroundColor: window.chartColors.navy,
                            borderColor: window.chartColors.navy,
                            data: myPerformanceReport.data,
                            fill: false
                        }]
                },
                options: {
                    responsive: true,
                    scales: {
                        xAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'Courses'
                                }
                            }],
                        yAxes: [{
                                display: true,
                                scaleLabel: {
                                    display: true,
                                    labelString: 'No. Of Entries'
                                }
                            }]
                    }
                }
            });
            /*My Performance Report Ends*/
<?php } ?>
        $(document).ready(function () {
            $("#allFeedbacks").DataTable({responsive: true, dom: 'Blfrtip'});
            /*Holiday Calendar Script*/
            $(function () {
                $("#container").simpleCalendar();
            });

            $("#container").simpleCalendar({
                displayEvent: true,
                events: [
<?php
for ($i = 0; $i < sizeof($holiday); $i++) {
    echo "{";
    echo "startDate : new Date('" . $holiday[$i]->hc_date . "'),";
    echo "endDate : new Date('" . $holiday[$i]->hc_date . "'),";
    echo "summary : '" . $holiday[$i]->hc_name . "'";
    echo "},";
}
?>
                ],
                disableEventDetails: false,
                disableEmptyDetails: false
            });

            $("#container").simpleCalendar({
                displayYear: true
            });

            $("#container").simpleCalendar({
                fixedStartDay: true
            });

            $("#container").simpleCalendar({
                onInit: function (calendar) {},
                onMonthChange: function (month, year) {},
                onDateSelect: function (date, events) {}
            });
            /*Holiday Calendar Script*/
        });
    </script>
</html>
