<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($achievementInfo->sam_title); ?> Achievement| College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Profile/myAchievements"); ?>">My Achievements</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Profile/editAchievement/" . $achievementInfo->sam_id); ?>">Edit Achievement</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Achievement => <b><?php echo stripslashes($achievementInfo->sam_title); ?></b> </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Profile/updateAchievement'), ['name' => 'achievementUpdateFrm', 'id' => 'achievementUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Update Achievement Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="achvTitle" class="input__label">Title *</label>
                                            <input type="text" class="form-control input-style" id="achvTitle" name="achvTitle" value="<?php echo stripslashes($achievementInfo->sam_title); ?>" placeholder="Enter Your Achievement Title" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="achvHead" class="input__label">Achievement Type/Head *</label>
                                            <select id="achvHead" name="achvHead" class="form-control input-style">
                                                <option value="" <?php echo set_select("achvHead", ""); ?>>Achievement Type/Head *</option>
                                                <?php
                                                foreach ($achievementHeads as $achvHeads) {
                                                    $selected = ($achvHeads->tsam_id == $achievementInfo->tsam_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $achvHeads->tsam_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($achvHeads->tsam_short_title); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="form-control input-style">
                                                <option value="" <?php echo set_select("session", ""); ?>>Select Session</option>
                                                <?php
                                                foreach ($sessions as $session) {
                                                    $selected = ($session->session_id == $achievementInfo->session_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="achvDesc" class="input__label">Description *</label>
                                            <textarea class="form-control input-style" name="achvDesc" id="achvDesc" placeholder="Describe Your Achievement In Brief (Max. 1000 Chars)" maxlength="1000"><?php echo stripslashes($achievementInfo->sam_description); ?></textarea>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="achvFile" class="input__label">File (Optional)</label>
                                            <input type="file" class="form-control input-style" id="achvFile" name="achvFile">
                                            <small id="achvFileInstruction" class="form-text text-muted"><b>Max. Upload Size 2 MB. Allowed Extension : *.pdf. Upload Supporting Document/Certificate (If Any).</b></small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <?php if ($achievementInfo->sam_file != "" || $achievementInfo->sam_file != NULL) { ?>
                                                <label class="input__label"></label><br>
                                                <label class="input__label pull-right"><a href="<?php echo base_url($achievementInfo->sam_file); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View Uploaded File</a></label>
                                            <?php }
                                            ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="currentAchievementFile" value="<?php echo $achievementInfo->sam_file; ?>">
                                <input type="hidden" name="achvId" value="<?php echo $achievementInfo->sam_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>