<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($operationInfo->oprtn_name); ?> Operation | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Operation/"); ?>">Operation Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Operation/editOperation/".$operationInfo->oprtn_id); ?>">Edit Operation</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Operation => <b><?php echo stripslashes($operationInfo->oprtn_name); ?></b> <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Operation/updateOperation'), ['name' => 'operationUpdateFrm', 'id' => 'operationUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Operation Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="opGroup" class="input__label">Operation Group *</label>
                                            <select class="form-control input-style" id="opGroup" name="opGroup">
                                                <option value="">Select Operation Group</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($operationGroups); $i++) {
                                                    $opgRecord = $operationGroups[$i];
                                                    $selected = ($opgRecord->group_id == $operationInfo->group_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $opgRecord->group_id; ?>" <?php echo $selected; ?>><?php echo $opgRecord->group_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="opName" class="input__label">Operation Name *</label>
                                            <input type="text" class="form-control input-style" id="opName" name="opName" value="<?php echo stripslashes($operationInfo->oprtn_name); ?>" placeholder="Enter Operation Name" maxlength="50">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="opTooltip" class="input__label">Tooltip *</label>
                                            <input type="text" class="form-control input-style" id="opTooltip" name="opTooltip" value="<?php echo stripslashes($operationInfo->oprtn_tooltip); ?>" placeholder="Enter Operation Tooltip" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="opTitle" class="input__label">Title *</label>
                                            <input type="text" class="form-control input-style" id="opTitle" name="opTitle" value="<?php echo stripslashes($operationInfo->oprtn_title); ?>" placeholder="Enter Operation Title" maxlength="50">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="opSlug" class="input__label">Slug *</label>
                                            <input type="text" class="form-control input-style" id="opSlug" name="opSlug" value="<?php echo stripslashes($operationInfo->oprtn_slug_url); ?>" placeholder="Enter Operation Slug" maxlength="50">
                                        </div>
                                        <?php
                                        if ($operationInfo->oprtn_hidden_status == "T") {
                                            $hiddenYesChecked = "checked";
                                            $hiddenNoChecked = "";
                                        } else {
                                            $hiddenYesChecked = "";
                                            $hiddenNoChecked = "checked";
                                        }
                                        ?>
                                        <div class="form-group col-md-6">
                                            <label for="" class="input__label">Is Hidden Operation? *</label><br>
                                            <input type="radio" name="opHiddenFlag" value="T" id="isHiddenT" <?php echo $hiddenYesChecked; ?>><label for="isHiddenT">&nbsp;Yes</label>
                                            <input type="radio" name="opHiddenFlag" value="F" id="isHiddenF" <?php echo $hiddenNoChecked; ?>><label for="isHiddenF">&nbsp;No</label>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="opId" value="<?php echo $operationInfo->oprtn_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#opName").on("keyup", function () {
                $("#opTooltip").val($(this).val());
                $("#opTitle").val($(this).val());
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>