<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Event <?php echo stripslashes($eventInfo->iem_title) . $eventInfo->iem_courses; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Events/"); ?>">Event Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Events/editEvent/" . $eventInfo->iem_id); ?>">Edit Event</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Event => <b><?php echo stripslashes($eventInfo->iem_title); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Events/updateExam'), ['name' => 'eventUpdateFrm', 'id' => 'eventUpdateFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-8">
                                        <label for="eventTitle" class="input__label">Event Title *</label>
                                        <input type="text" class="form-control" id="eventTitle" name="eventTitle" value="<?php echo stripslashes($eventInfo->iem_title); ?>" placeholder="Enter Event Title" maxlength="500">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="eventType" class="input__label">Event Type *</label>
                                        <select id="eventType" name="eventType" class="custom-select">
                                            <option value="" <?php echo set_select("eventType", ""); ?>>Select Event Type</option>
                                            <?php
                                            foreach ($achievementHeads as $achievementHead) {
                                                $selected = ($achievementHead->tsam_id == $eventInfo->tsam_id) ? "selected" : "";
                                                $for = ($achievementHead->tsam_for == "S") ? "For Students Only" : (($achievementHead->tsam_for == "E") ? "For Employees Only" : "Both Employees & Students");
                                                ?>
                                                <option value="<?php echo $achievementHead->tsam_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($achievementHead->tsam_short_title) . " (" . $for . ")"; ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="eventSession" class="input__label">Session *</label>
                                        <select id="eventSession" name="eventSession" class="custom-select">
                                            <option value="" <?php echo set_select("eventSession", ""); ?>>Select Session</option>
                                            <?php
                                            foreach ($sessions as $session) {
                                                $selected = ($session->session_id == $eventInfo->session_id) ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="eventFrom" class="input__label">From *</label>
                                        <input type="text" class="form-control" id="eventFrom" name="eventFrom" placeholder="Enter Event Start Date" autocomplete="off" value="<?php echo date("d/m/Y", strtotime($eventInfo->iem_start_date)); ?>">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="eventTo" class="input__label">To *</label>
                                        <input type="text" class="form-control" id="eventTo" name="eventTo" placeholder="Enter Event End Date" autocomplete="off" value="<?php echo date("d/m/Y", strtotime($eventInfo->iem_end_date)); ?>">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="eventCourses" class="input__label">Course(s) *</label>
                                        <select id="eventCourses" name="eventCourses[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                    this.size = 2;
                                                }" title="Select Courses(s)">
                                                    <?php
                                                    foreach ($courses as $course) {
                                                        ?>
                                                <option value="<?php echo $course->course_id; ?>"><?php echo stripslashes($course->course_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="eventDepts" class="input__label">Department(s) *</label>
                                        <select id="eventDepts" name="eventDepts[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                    this.size = 2;
                                                }" title="Select Departmnet(s)">
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        ?>
                                                <option value="<?php echo $department->dept_id; ?>"><?php echo stripslashes($department->dept_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="eventSubDepts" class="input__label">Sub-Department(s) *</label>
                                        <select id="eventSubDepts" name="eventSubDepts[]" class="form-control selectpicker" multiple data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                    this.size = 2;
                                                }" title="Select Sub-Departmnet(s)">
                                                    <?php
                                                    foreach ($subDepartments as $subDepartment) {
                                                        ?>
                                                <option value="<?php echo $subDepartment->sub_dept_id; ?>"><?php echo stripslashes($subDepartment->sub_dept_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="eventDescription" class="input__label">Description *</label>
                                        <textarea class="form-control" name="eventDescription" id="eventDescription" placeholder="Enter Event Description (Max. 1500 Chars)" maxlength="100"><?php echo stripslashes($eventInfo->iem_description); ?></textarea>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="eventFile" class="input__label">File (Optional)</label>
                                        <input type="file" class="form-control" id="eventFile" name="eventFile">
                                        <small id="eventFileInstruction" class="form-text text-muted">Allowed Extensions:*.pdf,*.doc,*.docx,*.ppt,*.pptx,*.xls,*.xlsx,*.jpg,*.jpeg,*.png. Max. File Size: 5MB</small>
                                    </div>
                                    <?php if ($eventInfo->iem_file != NULL || $eventInfo->iem_file != "") { ?>
                                        <div class="form-group col-md-6">
                                            <label class="input__label"></label><br>
                                            <label class="input__label pull-right"><a href="<?php echo base_url($eventInfo->iem_file); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View/Download Uploaded File</a></label>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </div>
                                <input type="hidden" name="event_id" value="<?php echo $eventInfo->iem_id; ?>">
                                <input type="hidden" name="current_event_file_path" value="<?php echo $eventInfo->iem_file; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Event</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(function () {
                $('#eventCourses').selectpicker('val', [<?php echo $eventInfo->iem_courses; ?>]);
                $('#eventCourses').selectpicker('refresh');
                $('#eventDepts').selectpicker('val', [<?php echo $eventInfo->iem_depts; ?>]);
                $('#eventDepts').selectpicker('refresh');
                $('#eventSubDepts').selectpicker('val', [<?php echo $eventInfo->iem_sub_depts; ?>]);
                $('#eventSubDepts').selectpicker('refresh');

                var dateFormat = "dd/mm/yy",
                        from = $("#eventFrom")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#eventTo").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>