<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create/Edit Optional Fee Structure | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/optionalStructure"); ?>">All Optional Fee Structures</a></li> 
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/createEditFeeOptionalStructure"); ?>">Create/Edit Optional Fee Structure</a></li> 
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Create/EditOptional Fee Structure</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/createEditFeeOptionalStructure'), ['name' => 'optionalFeeStructureCreationFrm', 'id' => 'optionalFeeStructureCreationFrm']); ?>
                                <fieldset>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="session" class="input__label">Session</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="getFeeHeads" class="input__label"></label>
                                            <button id="getFeeHeads" name="getFeeHeads" type="submit" class="btn btn-sm btn-warning pull-right">Get Fee Heads&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                </fieldset>
                                <?php if (sizeof($feeHeadAndStructure)) { ?>
                                    <fieldset>
                                        <legend>Fee Structure Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select All</th>
                                                    <th>Sr. No</th>
                                                    <th>Fee Head</th>
                                                    <th>Fee Type</th>
                                                    <th>Amount</th>
                                                </tr>
                                                <?php for ($i = 0; $i < sizeof($feeHeadAndStructure); $i++) { ?>
                                                    <tr>
                                                        <th><input type='checkbox' name='selectedFeeHeads[]' value="<?php echo $feeHeadAndStructure[$i]['fhom_id']; ?>" <?php echo ($feeHeadAndStructure[$i]['if_checked']) ? "checked" : ""; ?>></th>
                                                        <th><?php echo ($i + 1); ?></th>
                                                        <th><label><?php echo $feeHeadAndStructure[$i]['fhom_name']; ?></label></th>
                                                        <th><label><?php echo $feeHeadAndStructure[$i]['fhom_type']; ?></label></th>
                                                        <td><input type="text" id="feeAmt<?php echo $i; ?>" name="amount[<?php echo $feeHeadAndStructure[$i]['fhom_id']; ?>]" class="form-control input-sm" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount(<?php echo $i ?>);" placeholder="Enter Amount Here" value="<?php echo $feeHeadAndStructure[$i]['fsom_amount']; ?>"></td>
                                                    <input type="hidden" name="fsmIds[<?php echo $feeHeadAndStructure[$i]['fhom_id']; ?>]" value="<?php echo $feeHeadAndStructure[$i]['fsom_id']; ?>">
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td colspan="4">* Blank Amount Will Be Treated As INR 0/-.</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                <button id="saveBtn" name="saveBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4" <?php echo sizeof($feeHeadAndStructure) ? "" : "disabled"; ?>>Save</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#saveBtn").on("click", function () {
                if ($("#session").val() === "") {
                    $("#spnErr").html("Please Select Any Session");
                    $("#session").focus();
                } else if ($("[name='selectedFeeHeads[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Fee Head To Save Fee Structure.");
                } else {
                    $("#spnErr").html("");
                    $("#optionalFeeStructureCreationFrm").submit();
                }
            });

            function checkAndSetAmount(index) {
                var feeAmt = "#feeAmt" + index;
                if (isNaN($(feeAmt).val().trim())) {
                    alert('Only Numbers Are Accepted In Fee Amount Field.');
                    $(feeAmt).val("");
                    $(feeAmt).focus();
                }
            }

            function isValidAmount(evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>