<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Optional Fee Head | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/optionalHeads"); ?>">Optional Fee Head Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/createOptionalFeeHead"); ?>">Create New Optional Fee Head</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Optional Fee Head</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/saveNewOptionalFeeHead'), ['name' => 'optionalFeeHeadCreationFrm', 'id' => 'optionalFeeHeadCreationFrm']); ?>
                                <fieldset>
                                    <legend>Optional Fee Head Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="optFeeHeadName" class="input__label">Optional Head Name *</label>
                                            <input type="text" class="form-control input-style" id="optFeeHeadName" name="optFeeHeadName" value="<?php echo set_value('optFeeHeadName'); ?>" placeholder="Enter Optional Fee Head Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="optFeeHeadShortName" class="input__label">Optional Short Name *</label>
                                            <input type="text" class="form-control input-style" id="optFeeHeadShortName" name="optFeeHeadShortName" value="<?php echo set_value('optFeeHeadShortName'); ?>" placeholder="Enter Optional Fee Head Short Name" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="optFeeHeadType" class="input__label">Type *</label>
                                            <select id="optFeeHeadType" name="optFeeHeadType" class="form-control input-style">
                                                <option value="" <?php echo set_select("optFeeHeadType", ""); ?>>Select Type</option>
                                                <option value="T" <?php echo set_select("optFeeHeadType", "M"); ?> selected="selected">Miscellaneous</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="optFeeHeadCap" class="input__label">Capacity *</label>
                                            <input type="text" class="form-control input-style readonly" id="optFeeHeadCap" name="optFeeHeadCap" value="<?php echo set_value('optFeeHeadCap'); ?>" placeholder="Enter Capacity" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="optFeeHeadDesc" class="input__label">Description</label>
                                            <textarea id="optFeeHeadDesc" name="optFeeHeadDesc" class="form-control input-style" placeholder="Enter Description (Max. 500 Chars)" maxlength="500"><?php echo set_value('optFeeHeadDesc'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Optional Fee Head</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#optFeeHeadName").on("keyup", function () {
                $("#optFeeHeadShortName").val($(this).val());
            });

            $("#optFeeHeadType").on("change", function () {
                if ($(this).val().trim() === "H") {
                    $("#optFeeHeadCap").val(0);
                    document.getElementById("optFeeHeadCap").classList.remove("readonly");
                } else {
                    $("#optFeeHeadCap").val('');
                    document.getElementById("optFeeHeadCap").classList.add("readonly");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>