<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Student's Fee Structure | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/structure"); ?>">All Fee Structures</a></li> 
                            <li class="breadcrumb-item active" aria-current="page">Create Student's Fee Structure</li> 
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create Student's Fee Structure</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/FeeConfig/setupStudentFee'), ['name' => 'studentFeeStructureCreationFrm', 'id' => 'studentFeeStructureCreationFrm']); ?>
                                <?php if (sizeof($studentInfo)) { ?>
                                    <fieldset id="studentDetails">
                                        <legend>Student Info</legend>
                                        <div>
                                            <table border="1" class="table table-warning table-hover table-striped">
                                                <tr>
                                                    <td rowspan="4">
                                                        <a href="<?php echo $studentInfo['stu_photograph']; ?>" target="_blank" title="Click To Open Photograph"><img src="<?php echo $studentInfo['stu_photograph']; ?>" id="photograph" height="78px" alt="Photograph Not Available"/></a><br><br>
                                                        <a href="<?php echo $studentInfo['stu_sign']; ?>" target="_blank" title="Click To Open Signature"><img src="<?php echo $studentInfo['stu_sign']; ?>" id="sign" width="78px" alt="Signature Not Available"/></a>
                                                    </td>
                                                    <th>Form No.</th>
                                                    <td><b><span id="formNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_form_no']; ?></span></b></td>
                                                    <th>Enrl. No.</th>
                                                    <td><b><span id="enrollmentNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_enrollment_no']; ?></span></b></td>
                                                    <th>Roll No.</th>
                                                    <td><b><span id="rollNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_roll_no']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Name</th>
                                                    <td><b><span id="name" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_name']; ?></span></b></td>
                                                    <th>Father's Name</th>
                                                    <td><b><span id="fatherName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_father_name']; ?></span></b></td>
                                                    <th>D.O.B.</th>
                                                    <td><b><span id="dob" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_dob']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Course</th>
                                                    <td><b><span id="course" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_course'] . " (" . $studentInfo['stu_entry_type'] . ")"; ?></span></b></td>
                                                    <th>Batch</th>
                                                    <td><b><span id="batch" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_batch']; ?></span></b></td>
                                                    <th>Current Semester/Year</th>
                                                    <td><b><span id="semesterOrYear" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_current_semester']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Scholarship Eligibility & Applicable Percentage</th>
                                                    <td colspan="1"><b><span style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_sch_eligible']; ?></span></b></td>
                                                    <th colspan="1">Gender & Category</th>
                                                    <td colspan="2"><b><span style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_gender'] . "/" . $studentInfo['stu_category']; ?></span></b></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                                <?php if (sizeof($feeInfo)) { ?>
                                    <fieldset>
                                        <legend>Student's Fee Structure Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active table-bordered">
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A" checked="checked" disabled="disabled">&nbsp;Select All</th>
                                                    <th>Sr. No</th>
                                                    <th>Fee Head</th>
                                                    <th>Fee Type</th>
                                                    <th>Semester/Year</th>
                                                    <th>Amount</th>
                                                    <th>Remarks</th>
                                                </tr>
                                                <?php for ($i = 0; $i < sizeof($feeInfo); $i++) { ?>
                                                    <tr>
                                                        <th><input type='checkbox' name='selectedFeeHeads[]' class="readonly" value="<?php echo $feeInfo[$i]['fhm_id']; ?>" checked="checked"></th>
                                                        <th><?php echo ($i + 1); ?></th>
                                                        <th><label><?php echo $feeInfo[$i]['fhm_name']; ?></label></th>
                                                        <th><label><?php echo $feeInfo[$i]['fhm_type']; ?></label></th>
                                                        <th><label><?php echo $feeInfo[$i]['paying_for_year_sem'] . " " . $feeInfo[$i]['course_time_type']; ?></label></th>
                                                        <td>
                                                            <?php
                                                            if (!($feeInfo[$i]['fhm_type_flag'] == "E" || $feeInfo[$i]['fhm_type_flag'] == "S")) {
                                                                ?>   
                                                                <input type="text" id="feeAmt<?php echo $i; ?>" name="amount[]" class="form-control input-sm" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount(<?php echo $i ?>);" placeholder="Enter Amount Here" value="<?php echo $feeInfo[$i]['fsm_amount']; ?>">
                                                            <?php } else {
                                                                ?>
                                                                -<input type="hidden" id="feeAmt<?php echo $i; ?>" name="amount[]" class="form-control input-sm" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount(<?php echo $i ?>);" placeholder="Enter Amount Here" value="<?php echo $feeInfo[$i]['fsm_amount']; ?>">
                                                                <?php
                                                            }
                                                            ?>
                                                        </td>
                                                        <td><input type="text" id="remarks<?php echo $i; ?>" name="remarks[]" class="form-control input-sm" placeholder="Remarks (Max. 200 Chars)" maxlength="200"></td>
                                                    <input type="hidden" name="fsmIds[]" value="<?php echo $feeInfo[$i]['fsm_id']; ?>">
                                                    <input type='hidden' name="semesterOrYear[]" value="<?php echo $feeInfo[$i]['paying_for_year_sem']; ?>">
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td colspan="4">* Blank Amount Will Be Treated As INR 0/-.</td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                    <input type="hidden" name="new_or_old" value="<?php echo $feeInfo[0]['new_or_old_flag']; ?>">
                                    <input type='hidden' name='tspi_id' value="<?php echo $studentInfo['stu_id']; ?>">
                                    <input type='hidden' name='session' value="<?php echo $studentInfo['stu_session_id']; ?>">
                                    <input type='hidden' name='entryType' value="<?php echo $studentInfo['stu_ucs_map_id']; ?>">
                                    <input type='hidden' name='course' value="<?php echo $studentInfo['stu_course_id']; ?>">
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <button id="saveBtn" name="saveBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4" <?php echo sizeof($feeInfo) ? "" : "disabled"; ?>><i class="fa fa-save"></i> Save</button>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <a href="<?php echo ($feeInfo[0]['new_or_old_flag'] == "N") ? site_url("admin/Fee/collectFee/") : site_url("admin/Fee/collectFeeOld/" . $studentInfo['stu_id']); ?>" class="btn btn-success btn-block btn-style mt-4"><i class="fa fa-arrow-left"></i> Back To Fee Collection</a>
                                        </div>
                                    </div>

                                    <?php
                                    echo form_close();
                                } else {
                                    ?>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"><?php echo $error; ?></span><br><br>
                                    <center>
                                        <a href="<?php echo site_url("admin/Fee/collectFee"); ?>" class="btn btn-primary btn-sm"><i class="fa fa-inr"></i> Collect Another Fee (Fresh)</a>
                                        <a href="<?php echo site_url("admin/Fee/collectFeeOld"); ?>" class="btn btn-warning btn-sm"><i class="fa fa-inr"></i> Collect Another Fee (Old)</a>
                                    </center>
                                <?php } ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            function checkAndSetAmount(index) {
                var feeAmt = "#feeAmt" + index;
                if (isNaN($(feeAmt).val().trim())) {
                    alert('Only Numbers Are Accepted In Fee Amount Field.');
                    $(feeAmt).val("");
                    $(feeAmt).focus();
                }
            }

            function isValidAmount(evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>