<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Fee Structures | College Automation System | <?php echo stripslashes($this->session->userdata("adminData")["branch_short_name"]); ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Fee Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/FeeConfig/structure"); ?>">All Fee Structures</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-money"></i> All Fee Structures</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend><i class="fa fa-filter"></i> Filters</legend>
                                    <?php echo form_open(site_url('admin/FeeConfig/structure'), ['name' => 'feeStructureFilterFrm', 'id' => 'feeStructureFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="branch" class="input__label">Branch *</label>
                                            <select id="branch" name="branch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="course" class="input__label">Course *</label>
                                            <select id="course" name="course" class="custom-select">
                                                <option value="" <?php echo set_select("course", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("course", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="entryType" class="input__label">Entry Type</label>
                                            <select id="entryType" name="entryType" class="custom-select">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="semesterOrYear" class="input__label">Semester/Year</label>
                                            <select id="semesterOrYear" name="semesterOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="category" class="input__label">Category</label>
                                            <select id="category" name="category" class="custom-select">
                                                <option value="">Select Category</option>
                                                <?php foreach ($categories as $category) { ?>
                                                    <option value="<?php echo addslashes($category['category_name']); ?>" <?php echo set_select("category", addslashes($category['category_name'])); ?>><?php echo stripslashes($category['category_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                                <option value="Female" <?php echo set_select("category", "Female"); ?>>Female</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="getFeeStructure" class="input__label"></label>
                                            <button id="getFeeStructure" name="getFeeStructure" type="submit" class="btn btn-sm btn-warning pull-right">Fetch Fee Structure&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/FeeConfig/createEditFeeStructure"); ?>'" tooltip="Create/Edit Fee Structure"><i class="fa fa-edit"></i> Create/Edit Fee Structure</button><br><br>
                                <table id="allFeeStructure" class="" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Year/Sem.</th>
                                            <th>Category</th>
                                            <th>Fee Head</th>
                                            <th>Amount</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Course</th>
                                            <th>Session</th>
                                            <th>Year/Sem.</th>
                                            <th>Category</th>
                                            <th>Fee Head</th>
                                            <th>Amount</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allFeeStructures); $i++) {
                                            $yearSuffix = "";
                                            $record = $allFeeStructures[$i];
                                            if ($record->course_time_mgmt_flag == 'Y') {
                                                $yearSuffix = $record->fsm_semester . " Year";
                                            } else if ($record->course_time_mgmt_flag == 'S') {
                                                $yearSuffix = " Semester | " . ceil($record->fsm_semester / 2) . " Year";
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo $yearSuffix; ?></td>
                                                <td><?php echo stripslashes($record->fsm_category); ?></td>
                                                <td><?php echo stripslashes($record->fhm_name); ?></td>
                                                <td>
                                                    <?php
                                                    if (!($record->fhm_type == "E" || $record->fhm_type == "S")) {
                                                        echo "<i class='fa fa-inr'></i>" . $record->fsm_amount . " /-";
                                                    } else {
                                                        echo "-";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#course").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#allotBtn").prop("disabled", "disabled");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#session").html("<option value=''>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
                $("#entryType").html("<option value=''>Select Entry Type</option>");
                $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
            });

            $("#session").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#entryType").html("<option value=''>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
                if ($("#entryType").val().trim() !== "" && $("#course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: $("#entryType").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#entryType").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "" && $("#course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#course").val(), ucs_map_id: $(this).val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                $("#allFeeStructure").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'portrait', pageSize: 'A4'}
                    ]});

                var selectedSemOrYear = '<?php echo $selectedSemOrYear; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedEntryType = '<?php echo $selectedEntryType; ?>';
                if ($("#course").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#session").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#semesterOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#session").html("<option value=''>Select Session</option>");
                    $("#entryType").html("<option value=''>Select Entry Type</option>");
                }

                if ($("#session").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/'); ?>',
                        data: {branch_id: $("#branch").val(), course_id: $("#course").val(), session_id: selectedSession, ucs_map_id: selectedEntryType, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#entryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#entryType").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#course").val(), semester: selectedSemOrYear, ucs_map_id: $("#entryType").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#semesterOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            feeStructureFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>