<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Update Reimbursed Fee From University| College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Fee Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Fee/cfReimbursement"); ?>"> Update Reimbursed Fee (From AKTU)</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-inr"></i> Update Reimbursed Fee (From AKTU)</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Fee/cfReimbursement'), ['name' => 'updateReimbursedFeeFilterFrm', 'id' => 'updateReimbursedFeeFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="collectionForSession" class="input__label">Collected For Session</label>
                                            <select id="collectionForSession" name="collectionForSession" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($collectionSessions as $cSession) { ?>
                                                    <option value="<?php echo $cSession->session_id; ?>" <?php echo set_select("collectionForSession", $cSession->session_id); ?>><?php echo stripslashes($cSession->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>All Courses</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <?php if (sizeof($filteredRecords)) { ?>
                                    <?php echo form_open(site_url('admin/Fee/saveReimbursementReceipt'), ['name' => 'updateReimbursedFeeFrm', 'id' => 'updateReimbursedFeeFrm']); ?>
                                    <fieldset id="facultySubjectAllotmentDetails">
                                        <legend>Pending Reimbursment(s) From AKTU</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                                    <th>Sr. No</th>
                                                    <th>Receipt No.</th>
                                                    <th>Pending Amount</th>
                                                    <th>Reimbursement Date *</th>
                                                    <th>Reimbursement Mode</th>
                                                    <th>Chq./DD/Txn.Id/NEFT Ref. No</th>
                                                </tr>
                                                <?php
                                                for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                                    $record = $filteredRecords[$i];
                                                    ?>
                                                    <tr>
                                                        <td><input type="checkbox" id="selectedReceipts<?php echo $i; ?>" name="selectedReceipts[]" value="<?php echo $record->fcnm_id; ?>"></td>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <td><?php echo "<a href='" . site_url("admin/Fee/showReceipt/" . $record->frm_id) . "' target='_blank'>" . stripslashes($record->frm_receipt_no) . "</a>"; ?></td>
                                                        <td><?php echo "<i class='fa fa-inr'></i> " . $record->fcnm_amount . "/-"; ?></td>
                                                        <td>
                                                            <input type="text" id="rmbDate<?php echo $record->fcnm_id; ?>" name="rmbDate[<?php echo $record->fcnm_id; ?>]" class="form-control input-sm rmbDate" value="<?php echo ($record->fcnm_rem_date == NULL) ? "" : date("d/m/Y", strtotime($record->fcnm_rem_date)); ?>" placeholder="Reimbursement Date" autocomplete="off">
                                                        </td>
                                                        <td>
                                                            <select id="rmbMode<?php echo $record->fcnm_id; ?>" name="rmbMode[<?php echo $record->fcnm_id; ?>]" class="custom-select">
                                                                <option value="">Select Reimbursement Mode</option>
                                                                <?php
                                                                foreach ($feeModes as $feeMode) {
                                                                    $selected = ($feeMode->fmm_id == $record->fcnm_rem_mode) ? "selected" : "";
                                                                    ?>
                                                                    <option value="<?php echo $feeMode->fmm_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($feeMode->fmm_short_name); ?></option>
                                                                <?php }
                                                                ?>
                                                            </select>
                                                        </td>
                                                        <td>
                                                            <input type="text" id="rmbRefNo<?php echo $record->fcnm_id; ?>" name="rmbRefNo[<?php echo $record->fcnm_id; ?>]" class="form-control input-sm" value="<?php echo stripslashes($record->fcnm_rem_ref_no) ?>" placeholder="Enter Chq/DD/NRFT/Txn Id/Ref No.">
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td colspan="7">
                                                        <label style='color:#Ff0000;'>Note:</label>
                                                        <ol>
                                                            <li style='color:#FF0000;font-weight:bolder;'>'Reimbursement Date' field is essential for updating reimbursment data. If you leave it blank for any selection then that record will not be updated.</li>
                                                        </ol>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-md-12">
                                                <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                                <label for="updateRmbBtn" class="input__label"></label>
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="col-md-6">
                                                <button id="removeRmbBtn" name="removeRmbBtn" type="button" class="btn btn-sm btn-danger btn-block">Remove Reimbursement Receiving&nbsp;<i class="fa fa-times"></i></button>
                                            </div>
                                            <div class="col-md-6">
                                                <button id="updateRmbBtn" name="updateRmbBtn" type="button" class="btn btn-sm btn-primary btn-block">Update Reimbursement Receiving&nbsp;<i class="fa fa-level-down"></i></button>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <?php
                                    echo form_close();
                                } else {
                                    ?>
                                    <span style='color:#FF0000;font-weight:bolder;'><?php echo $error; ?></span>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(".rmbDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));
            });

            $("#updateRmbBtn").on("click", function () {
                if ($("[name='selectedReceipts[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Record To Update For Reimbursement.");
                } else {
                    $("#spnErr").html("");
                    $("#updateReimbursedFeeFrm").submit();
                }
            });

            $("#removeRmbBtn").on("click", function () {
                if ($("[name='selectedReceipts[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Record To Remove Reimbursement Data From.");
                } else {
                    if (confirm('Are You Sure To Delete Reimbursement Receivings Of The Selected Receipts?')) {
                        $("#spnErr").html("");
                        $("[name='selectedReceipts[]']:checked").each(function () {
                            $("#rmbDate" + $(this).val()).val("");
                            $("#rmbMode" + $(this).val()).val("");
                            $("#rmbRefNo" + $(this).val()).val("");
                        });
                        $("#updateReimbursedFeeFrm").submit();
                    }
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>