<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Room | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Hostel</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/HostelConfig/rooms"); ?>">Room List Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("/admin/HostelConfig/createRoom"); ?>">Create New Room</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Room</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong></div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/HostelConfig/saveRoom'), ['name' => 'roomCreationFrm', 'id' => 'roomCreationFrm']); ?>
                                <fieldset>
                                    <legend>Room Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="room_name" class="input__label">Room Number *</label>
                                            <input type="text" autocomplete="Off" class="form-control" id="room_name" name="room_name" value="<?php echo set_value('room_name'); ?>" placeholder="Enter Room Number" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="room_type" class="input__label">Room type *</label>
                                            <select name="room_type" id="room_type" class="custom-select">
                                                <option  <?php echo set_select("room_type", ""); ?> value="">Select Room Type</option>
                                                <?php foreach ($roomtypes as $roomtype) { ?>
                                                    <option value="<?php echo $roomtype->fhom_id; ?>" <?php echo set_select("room_type", $roomtype->fhom_id); ?>><?php echo stripslashes($roomtype->fhom_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>  
                                        <!--                                        <div class="form-group col-md-4">
                                                                                    <label for="room_fees" class="input__label">Room Fees *</label>
                                                                                    <input type="text" class="form-control" id="room_fees" disabled="True" name="room_fees" value="" maxlength="200">
                                                                                </div>  -->
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create New Room</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
<!--        <script>
            $("#room_type").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/HostelConfig/getFeesByRoomTypes"); ?>',
                        data: {room_type: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var room_feesinfo = JSON.parse(result);
                            console.log(room_feesinfo);
                            $(".se-pre-con").fadeOut("slow");
                            $("#room_fees").val(room_feesinfo.roomFee);
                            csrfHash = room_feesinfo.csrfHash;
                            roomCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                }
            });


            $(document).ready(function () {
                if ($("#room_type").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/HostelConfig/getFeesByRoomTypes') ?>',
                        data: {room_type: $("#room_type").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var room_feesinfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#room_fees").val(room_feesinfo.roomFee);
                            csrfHash = room_feesinfo.csrfHash;
                            roomCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>-->
    </body>
</html>