<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($bookMagazineJournalInfo->lbmjm_title . " (" . $bookMagazineJournalInfo->lpcm_short_name . ")"); ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Library Management</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/viewBooksMagazinesJournal/"); ?>">View Books/Mgzn./Jrnls.</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/editBookMagazineJournal/" . $bookMagazineJournalInfo->lbmjm_id); ?>">Edit Book/Magazine/Journal</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Editing => <b><?php echo stripslashes($bookMagazineJournalInfo->lbmjm_title . " (" . $bookMagazineJournalInfo->lpcm_short_name . ")"); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/LibraryConfig/updateBookMagJnl'), ['name' => 'bookMagazineJournalUpdateFrm', 'id' => 'bookMagazineJournalUpdateFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="session" class="input__label">Session *</label>
                                        <select name="session" id="session" class="form-control custom-select">
                                            <option value="">Select Session</option>
                                            <?php
                                            foreach ($sessions as $session) {
                                                $selected = ($session->session_id == $bookMagazineJournalInfo->session_id) ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="lpcm_id" class="input__label">Publication Category *</label>
                                        <select name="lpcm_id" id="lpcm_id" class="form-control custom-select">
                                            <option value="">Select Publication Category</option>
                                            <?php
                                            foreach ($publicationCategories as $publicationCategory) {
                                                $selected = ($publicationCategory->lpcm_id == $bookMagazineJournalInfo->lpcm_id) ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $publicationCategory->lpcm_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($publicationCategory->lpcm_short_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="isbn_issn_no" class="input__label">ISBN/ISSN No. *</label>
                                        <input type="text" class="form-control" id="isbn_issn_no" name="isbn_issn_no" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_isbn_issn_no); ?>" placeholder="Enter ISBN/ISSN No." maxlength="20">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-8">
                                        <label for="title" class="input__label">Title *</label>
                                        <input type="text" class="form-control" id="title" name="title" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_title); ?>" placeholder="Enter Title" maxlength="200">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="authors" class="input__label">Author(s)</label>
                                        <input type="text" class="form-control" id="authors" name="authors" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_authors); ?>" placeholder="Enter Author Names (Separated By Comma)" maxlength="500">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="publicationYear" class="input__label">Publication Year</label>
                                        <input type="text" class="form-control" id="publicationYear" name="publicationYear" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_publication_year); ?>" placeholder="Enter Publication Year" maxlength="4">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="publisherName" class="input__label">Publisher Name/Details</label>
                                        <input type="text" class="form-control" id="publisherName" name="publisherName" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_publisher_name); ?>" placeholder="Enter Publisher Name/Details (Address)" maxlength="500">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="place" class="input__label">Place</label>
                                        <input type="text" class="form-control" id="place" name="place" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_place); ?>" placeholder="Enter Place (Stacks & Rows Etc.)" maxlength="200">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="subject" class="input__label">Subject Name</label>
                                        <input type="text" class="form-control" id="subject" name="subject" value="<?php echo stripslashes($bookMagazineJournalInfo->lbmjm_subject_name); ?>" placeholder="Enter Subject Name" maxlength="200">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="department" class="input__label">Department</label>
                                        <select name="department" id="department" class="form-control custom-select">
                                            <option value="">Select Department</option>
                                            <?php
                                            foreach ($departments as $department) {
                                                $selected = ($department->dept_id == $bookMagazineJournalInfo->dept_id) ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($department->dept_name); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="subDepartment" class="input__label">Sub-Department</label>
                                        <select name="subDepartment" id="subDepartment" class="form-control custom-select">
                                            <option value="">Select Sub-Department</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="description" class="input__label">Description</label>
                                        <textarea class="form-control input-style" name="description" id="description" placeholder="Enter Description (Max. 500 Chars Allowed)" maxlength="200"><?php echo stripslashes($bookMagazineJournalInfo->lbmjm_description); ?></textarea>
                                    </div>
                                </div>
                                <input type="hidden" name="lbmjm_id" value="<?php echo $bookMagazineJournalInfo->lbmjm_id; ?>">
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <a href="<?php echo site_url("admin/LibraryConfig/viewBooksMagazinesJournal"); ?>" class="btn btn-danger btn-block btn-style mt-4"><i class="fa fa-arrow-left"></i>&nbsp;Back/Cancel</a>
                                    </div>
                                </div>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#department").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            bookMagazineJournalUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDepartment").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#department").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#department").val(), sub_dept_id: '<?php echo $bookMagazineJournalInfo->sub_dept_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            bookMagazineJournalUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>