<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing Issue Setup | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Library Management</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/issueSetups/"); ?>">All Issue Setups</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/LibraryConfig/editIssueSetup/" . $issueSetupInfo->lism_id); ?>">Edit Issue Setup</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Issue Setup </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/LibraryConfig/updateIssueSetup'), ['name' => 'issueSetupUpdateFrm', 'id' => 'issueSetupUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Issue Rules/Setup Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="session" class="input__label">Session *</label>
                                            <select class="form-control input-style" name="session" id="session">
                                                <option value="">Select Session</option>
                                                <?php
                                                foreach ($sessions as $session) {
                                                    $selected = ($session->session_id == $issueSetupInfo->session_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="lism_user_type" class="input__label">User Type *</label>
                                            <select class="form-control input-style" name="lism_user_type" id="lism_user_type">
                                                <option value="" <?php echo ($issueSetupInfo->lism_user_type == "") ? "selected" : ""; ?>>Select User Type</option>
                                                <option value="U" <?php echo ($issueSetupInfo->lism_user_type == "U") ? "selected" : ""; ?>>UG Students</option>
                                                <option value="P" <?php echo ($issueSetupInfo->lism_user_type == "P") ? "selected" : ""; ?>>PG Students</option>
                                                <option value="S" <?php echo ($issueSetupInfo->lism_user_type == "S") ? "selected" : ""; ?>>Staff/Faculties</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="lism_max_copy_allowed" class="input__label">Max. Allowed Copies *</label>
                                            <input type="text" class="form-control input-style" id="lism_max_copy_allowed" name="lism_max_copy_allowed" value="<?php echo $issueSetupInfo->lism_max_copy_allowed; ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Enter Maximum Allowed Copies To Be Issued" maxlength="5">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="lism_max_allowed_day" class="input__label">Max. Allowed Days *</label>
                                            <input type="text" class="form-control input-style" id="lism_max_allowed_day" name="lism_max_allowed_day" value="<?php echo $issueSetupInfo->lism_max_allowed_day; ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Enter Maximum No. Of Days Allowed" maxlength="5">
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="lism_id" id="lism_id" value="<?php echo $issueSetupInfo->lism_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#lism_max_copy_allowed").on("keyup", function () {
                if (isNaN($("#lism_max_copy_allowed").val().trim())) {
                    alert('Maximum Allowed Copies Should Be An Integar Value Only.');
                    $("#lism_max_copy_allowed").val("");
                    $("#lism_max_copy_allowed").focus();
                }
            });

            $("#lism_max_allowed_day").on("keyup", function () {
                if (isNaN($("#lism_max_allowed_day").val().trim())) {
                    alert('Maximum Allowed Days Should Be An Integar Value Only.');
                    $("#lism_max_allowed_day").val("");
                    $("#lism_max_allowed_day").focus();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>