<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Course Outcome Target Percentage List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/coEachTargetPercentages"); ?>">Course Outcome Target Percentage Management</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-table"></i> Course Outcome Target Percentage List</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/OBESConfig/createCOTargetPercentage"); ?>'"><i class="fa fa-plus"></i> Create Course Outcome Target Percentage</button><br><br>    
                                <table id="allCOQuestionMapping" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>CO Name</th>
                                            <th>Subject</th>
                                            <th>Target Percentage</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>CO Name</th>
                                            <th>Subject</th>
                                            <th>Target Percentage</th>
                                            <th>Added On</th>
                                            <th>Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($coTargetPercentages); $i++) {
                                            $record = $coTargetPercentages[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->co_name); ?></td>
                                                <td><?php echo stripslashes($record->sm_name); ?></td>
                                                <td><?php echo stripslashes($record->ocotp_percentage); ?></td>
                                                <td><?php echo stripslashes($record->addedByAdmin) . " On " . date("d-m-Y h:i:s a", strtotime($record->ocotp_added_on)); ?></td>   
                                                <td><?php echo stripslashes($record->updatedByAdmin) . " On " . date("d-m-Y h:i:s a", strtotime($record->ocotp_updated_on)); ?></td> 
                                                <td>
                                                    <?php
                                                    if ($record->ocotp_delete_status == 'F') {
                                                        if ($record->ocotp_active_status == 'F') {
                                                            ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/toggleCOTargetPercentageStatus/' . $record->ocotp_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/editCOTargetPercentage/' . $record->ocotp_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/toggleCOTargetPercentageDeleteStatus/' . $record->ocotp_id . "/T") ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/toggleCOTargetPercentageStatus/' . $record->ocotp_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/editCOTargetPercentage/' . $record->ocotp_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This CO-Question Mapping" onClick="window.location.href = '<?php echo site_url('admin/OBESConfig/toggleCOTargetPercentageDeleteStatus/' . $record->ocotp_id . "/T") ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Course Outcome Target Percentage Deleted By <?php stripslashes($record->updatedByAdmin); ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->ocotp_updated_on)); ?>. <a href="<?php echo site_url('admin/OBESConfig/toggleCOTargetPercentageDeleteStatus/' . $record->ocotp_id . "/F") ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                            <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>        
        <script>
            $(document).ready(function () {
                $("#allCOQuestionMapping").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
