
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Sub Criteria | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/subCriteria"); ?>">Sub-Criteria Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/createSubCriteria"); ?>">Create New Sub-Criteria</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Sub Criteria </h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/saveNewSubCriteria"), ['name' => 'subcriteriaCreationFrm', 'id' => 'subcriteriaCreationFrm']); ?>
                                <fieldset>
                                    <legend>Sub Criteria Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label class="input__label required" for="cr_name">Criteria *</label>
                                            <select name="cr_name" id="cr_name" class="custom-select">
                                                <option <?php echo set_select("cr_name", ""); ?> value="">Select Criteria</option>
                                                <?php foreach ($criteria as $criterion) { ?>
                                                    <option value="<?php echo $criterion->cr_id; ?>" <?php echo set_select("cr_name", $criterion->cr_id); ?>><?php echo stripslashes($criterion->cr_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-4">
                                            <label for="csm_name" class="input__label required">Sub Criteria Name *</label>
                                            <input type="text" value="<?php echo set_value("csm_name") ?>" name="csm_name" id="csm_name" class="form-control" placeholder="Enter Sub Criteria Name">
                                        </div>
                                        <div class="form-group  col-sm-4">
                                            <label for="csm_marks" class="input__label required">Sub Criteria Marks *</label>
                                            <input type="text" value="<?php echo set_value("csm_marks") ?>" class="form-control" id="csm_marks" name="csm_marks" placeholder="Enter Sub Criteria Marks" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Create Sub Criteria</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>

