<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing CO-PO Mapping | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/copoMapping"); ?>">CO-PO Mappings</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/editCOPOMapping/" . $copoMappingInfo->co_po_id); ?>">Edit CO-PO Mapping</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Edit CO-PO Mapping</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url("admin/OBESConfig/updateCOPOMapping"), ['name' => 'copoMappingUpdateFrm', 'id' => 'copoMappingUpdateFrm']); ?>
                                <fieldset>
                                    <legend>CO-PO Mapping Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="course_name">Course *</label>
                                            <select name="course_name" id="course_name" class="custom-select">
                                                <option <?php echo set_select("course_name", ""); ?> value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $copoMappingInfo->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="po_name">Program Outcome *</label>
                                            <select name="po_name" id="po_name" class="custom-select">
                                                <option <?php echo set_select("po_name", ""); ?> value="">Select PO</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="sm_name">Subject *</label>
                                            <select name="sm_name" id="sm_name" class="custom-select">
                                                <option <?php echo set_select("sm_name", ""); ?> value="">Select Subject</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label class="input__label required" for="co_name">Course Outcome *</label>
                                            <select name="co_name" id="co_name" class="custom-select">
                                                <option <?php echo set_select("co_name", ""); ?> value="">Select CO</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="co_po_id" value="<?php echo $copoMappingInfo->co_po_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Course Program Outcome Allotment</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            $("#course_name").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getPOByCourseForDropdown") ?>',
                        data: {course_id: $(this).val(), po_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var poInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#po_name").html(poInfo.po_list);
                            csrfHash = poInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/Subject/getSubjectsForDropDown") ?>',
                        data: {course_id: $(this).val(), subject: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#sm_name").html(subjectInfo.subject_list);
                            csrfHash = subjectInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#po_name").html("<option>Select PO</option>");
                    $("#sm_name").html("<option>Select Subject</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#sm_name").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: $(this).val(), co_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            csrfHash = coInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#co_name").html("<option>Select CO</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#course_name").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getPOByCourseForDropdown") ?>',
                        data: {course_id: $("#course_name").val().trim(), po_id: '<?php echo $copoMappingInfo->po_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var poInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#po_name").html(poInfo.po_list);
                            csrfHash = poInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/Subject/getSubjectsForDropDown") ?>',
                        data: {course_id: $("#course_name").val().trim(), subject: '<?php echo $copoMappingInfo->sm_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#sm_name").html(subjectInfo.subject_list);
                            csrfHash = subjectInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ('<?php echo $copoMappingInfo->sm_id; ?>' !== '') {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: '<?php echo $copoMappingInfo->sm_id; ?>', co_id: '<?php echo $copoMappingInfo->co_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            csrfHash = coInfo.csrfHash;
                            copoMappingUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
    </body>
</html>




