<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing CO-Question Mapping | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">OBES Config</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/coQuestionMap"); ?>"> CO-Question Mappings</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OBESConfig/editCOQuestionMapping/" . $coQuestionMapInfo->sco_id); ?>"> Edit CO-Question Mapping</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Editing CO-Question Mapping</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url("admin/OBESConfig/updateCOQuestionMapping"), ['name' => 'coQuestionMapUpdateFrm', 'id' => 'coQuestionMapUpdateFrm']); ?>
                                <fieldset>
                                    <legend>CO-Question Mapping Info</legend>
                                    <div class="form-row">

                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="level">Levels *</label>
                                            <select name="level" id="level" class="custom-select">
                                                <option <?php echo set_select("level", ""); ?> value="">Select Levels</option>
                                                <?php
                                                foreach ($levels as $level) {
                                                    $selected = ($level->olk_id == $coQuestionMapInfo->qno_level) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $level->olk_id; ?>" <?php echo $selected; ?> ><?php echo stripslashes($level->olk_level_name)." (".stripslashes($level->olk_level_abbreviation).")"; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="sm_name">Subject *</label>
                                            <select name="sm_name" id="sm_name" class="custom-select readonly">
                                                <option <?php echo set_select("sm_name", ""); ?> value="">Select Subject</option>
                                                <?php
                                                foreach ($subjects as $subject) {
                                                    $selected = ($subject->sm_id == $coQuestionMapInfo->sm_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required " for="test_name">Assessment *</label>
                                            <select name="test_name" id="test_name" class="custom-select readonly">
                                                <option <?php echo set_select("test_name", ""); ?> value="">Select Assessment</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label class="input__label required" for="co_name">Course Outcome</label>
                                            <select name="co_name" id="co_name" class="custom-select">
                                                <option <?php echo set_select("co_name", ""); ?> value="">Select CO</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="sco_qno" class="input__label required">Question No. *</label>
                                            <input type="text" value="<?php echo stripslashes($coQuestionMapInfo->qno_name); ?>" name="qno_name" id="sco_qno" class="form-control readonly" placeholder="Enter Question No."  onkeypress="return event.charCode >= 46 && event.charCode <= 57">
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="sco_marks" class="input__label required">Question Marks *</label>
                                            <input type="text" value="<?php echo stripslashes($coQuestionMapInfo->qno_marks); ?>" name="sco_marks" id="sco_marks" class="form-control" placeholder="Enter Question marks"  onkeypress="return event.charCode >= 46 && event.charCode <= 57">
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="qno_file" class="input__label required">Question File </label>
                                            <input type="file" value="<?php echo set_value("qno_file") ?>" name="qno_file" id="qno_file" class="form-control" placeholder="Enter Question File">
                                        </div>
                                        <div class="form-group col-sm-3">
                                            <label for="" class="input__label required">Question File Download</label>
<?php echo ($coQuestionMapInfo->qno_file == null ) ? "<br> N/A" : '<a target="_blank" href="' . base_url($coQuestionMapInfo->qno_file) . '">View/Download</a>'; ?>
                                        </div>

                                        <div class="form-group col-sm-12">
                                            <label for="qno_desc" class="input__label required">Question Description</label>
                                            <textarea rows="5" type="text"  name="qno_desc" id="qno_desc" class="form-control" placeholder="Enter Question Description."><?php echo ($coQuestionMapInfo->qno_desc == null ) ? "" : stripslashes($coQuestionMapInfo->qno_desc); ?></textarea>
                                        </div>
                                </fieldset>
                                <input type="hidden" name="sco_id" value="<?php echo stripslashes($coQuestionMapInfo->sco_id); ?>">
                                <input type="hidden" name="qno_id" value="<?php echo stripslashes($coQuestionMapInfo->qno_id); ?>">
                                <input type="hidden" name="old_file" value="<?php echo stripslashes($coQuestionMapInfo->qno_file); ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Save Changes</button>
<?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div> 
            </div>
        </section>
<?php $this->load->view("admin/footer"); ?>
        <script>
            $("#sm_name").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: $(this).val(), co_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            csrfHash = coInfo.csrfHash;
                            coQuestionMapUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getTestsBySubjectForDropdown") ?>',
                        data: {sm_id: $(this).val(), test_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            coQuestionMapUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#co_name").html("<option>Select CO</option>");
                    $("#test_name").html("<option>Select Assessment</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#sm_name").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getCOBySubjectForDropdown") ?>',
                        data: {sm_id: $("#sm_name").val(), co_id: '<?php echo $coQuestionMapInfo->co_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var coInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#co_name").html(coInfo.co_list);
                            csrfHash = coInfo.csrfHash;
                            coQuestionMapUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                    $.ajax({
                        url: '<?php echo site_url("admin/OBESConfig/getTestsBySubjectForDropdown") ?>',
                        data: {sm_id: $("#sm_name").val(), test_id: '<?php echo $coQuestionMapInfo->test_id; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var testInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#test_name").html(testInfo.test_list);
                            csrfHash = testInfo.csrfHash;
                            coQuestionMapUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
    </body>
</html>


