<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Operation Groups List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/OperationGroup/"); ?>">Operation Group Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/OperationGroup"); ?>">All Operation Groups</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-expand"></i> Operation Group Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/OperationGroup/createOperationGroup"); ?>'" tooltip="Create New Operation Group"><i class="fa fa-plus"></i> Create New Operation Group</button><br><br>
                                <table id="allOperationGroups" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Icon</th>
                                            <th>Name</th>
                                            <th>Title</th>
                                            <th>Tooltip</th>
                                            <th>Slug</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Icon</th>
                                            <th>Name</th>
                                            <th>Title</th>
                                            <th>Tooltip</th>
                                            <th>Slug</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allOperationGroups); $i++) {
                                            $record = $allOperationGroups[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<i class='".$record->group_icon."'></i>"; ?></td>
                                                <td><?php echo stripslashes($record->group_name); ?></td>
                                                <td><?php echo stripslashes($record->group_title); ?></td>
                                                <td><?php echo stripslashes($record->group_tooltip); ?></td>
                                                <td><?php echo ($record->group_slug_url == "" || $record->group_slug_url == NULL) ? "Contains Sub-Menu" : stripslashes($record->group_slug_url); ?></td>
                                                <td><?php echo $record->addedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->group_added_on)); ?></td>
                                                <td><?php echo $record->updatedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->group_updated_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->group_delete_status == 'F') {
                                                        if ($record->group_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/toggleOperationGroupStatus/' . $record->group_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/editOperationGroup/' . $record->group_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/deleteOperationGroup/' . $record->group_id) ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/toggleOperationGroupStatus/' . $record->group_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/editOperationGroup/' . $record->group_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Operation Group" onClick="window.location.href = '<?php echo site_url('admin/OperationGroup/deleteOperationGroup/' . $record->group_id) ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Operation Group Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->group_updated_on)); ?>. <a href="<?php echo site_url('admin/OperationGroup/undoDeleteOperationGroup/' . $record->group_id) ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allOperationGroups").DataTable({responsive: true, dom: 'Blfrtip'});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>