<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo stripslashes($profileInfo->tprfl_firstname) . " " . stripslashes($profileInfo->tprfl_lastname); ?> | Update My Profile | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>

        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Profile/"); ?>">My Profile</a></li>
                        </ol>
                    </nav>
                    <section>
                        <div class="card card_border py-2 mb-4">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="row">
                                <div class="col-3">
                                    <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                                        <a class="nav-link <?php echo $this->session->flashdata('primaryInfoTab'); ?>" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">Primary Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('academicInfoTab'); ?>" id="v-pills-academic-tab" data-toggle="pill" href="#v-pills-academic" role="tab" aria-controls="v-pills-academic" aria-selected="true">Academic Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('contactInfoTab'); ?>" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-profile" aria-selected="false">Contact Info</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('officeInfoTab'); ?>" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">Office Records</a>
                                        <a class="nav-link <?php echo $this->session->flashdata('profileImageTab'); ?>" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Profile Image</a>
                                    </div>
                                </div>
                                <div class="col-9">
                                    <div class="tab-content" id="v-pills-tabContent">
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('primaryInfoTab'); ?>" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
                                            <?php echo form_open(site_url('admin/Profile/updatePrimaryInfo'), ['name' => 'primaryInfoUpdateFrm', 'id' => 'primaryInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empFirstName" class="input__label">First Name *</label>
                                                    <input type="text" class="form-control input-style" id="empFirstName" name="empFirstName" value="<?php echo stripslashes($profileInfo->tprfl_firstname); ?>" placeholder="Enter Your First Name" maxlength="50">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empLastName" class="input__label">Last Name</label>
                                                    <input type="text" class="form-control input-style" id="empLastName" name="empLastName" value="<?php echo stripslashes($profileInfo->tprfl_lastname); ?>" placeholder="Enter Your Last Name" maxlength="50">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empDOB" class="input__label">D.O.B.</label>
                                                    <input type="text" class="form-control input-style" id="empDOB" name="empDOB" value="<?php echo ($profileInfo->tprfl_dob == NULL || $profileInfo->tprfl_dob == "") ? "" : date("d/m/Y", strtotime($profileInfo->tprfl_dob)); ?>" placeholder="Choose Your DOB" autocomplete="off" maxlength="50">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label class="input__label">Gender *</label><br>
                                                    <input type="radio" id="empGenMale" name="empGender" value="M" <?php echo ($profileInfo->tprfl_gender == "M") ? "checked" : ""; ?>/>&nbsp;<label for="empGenMale">Male</label>
                                                    <input type="radio" id="empGenFemale" name="empGender" value="F" <?php echo ($profileInfo->tprfl_gender == "F") ? "checked" : ""; ?>/>&nbsp;<label for="empGenFemale">Female</label>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empPAN" class="input__label">PAN Number</label>
                                                    <input type="text" class="form-control input-style" id="empPAN" name="empPAN" value="<?php echo ($staffPANNumber == NULL || $staffPANNumber == "") ? "" : stripslashes($staffPANNumber); ?>" placeholder="Enter PAN No." autocomplete="off" maxlength="10">
                                                    <input type="hidden" name="empPANInfoId" value="<?php echo $staffPANInfoId; ?>">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empAadhar" class="input__label">Aadhar Number</label>
                                                    <input type="text" class="form-control input-style" id="empAadhar" name="empAadhar" value="<?php echo ($staffAadharNumber == NULL || $staffAadharNumber == "") ? "" : stripslashes($staffAadharNumber); ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" placeholder="Enter Aadhar No." autocomplete="off" maxlength="12">
                                                    <input type="hidden" name="empAadharInfoId" value="<?php echo $staffAadharInfoId; ?>">
                                                </div>
                                            </div>
                                            <input type="hidden" name="tprflId" value="<?php echo $profileInfo->tprfl_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Save</button>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('academicInfoTab'); ?>" id="v-pills-academic" role="tabpanel" aria-labelledby="v-pills-academic-tab">
                                            <div class="form-row">
                                                <div class="form-group col-sm-12">
                                                    <?php echo form_open(site_url('admin/Profile/updateEducationalQualificationInfo'), ['name' => 'eduQualiInfoUpdateFrm', 'id' => 'eduQualiInfoUpdateFrm']); ?>
                                                    <table class="centered table-success table-responsive-sm table-striped table-hover" style="width: 100%">
                                                        <tr>
                                                            <th colspan="4">1. Post-Graduation</th>
                                                        </tr>
                                                        <tr>
                                                            <th>Course Name</th>
                                                            <th>Passing Year</th>
                                                            <th>University</th>
                                                        </tr>
                                                        <tr>
                                                            <td><input type="text" class="form-control" name="pgCourseName" id="pgCourseName" value="<?php echo $profileInfo->seqi_pg_course; ?>" placeholder="M.Tech,MCA,MBA etc." maxlength="100"></td>
                                                            <td>
                                                                <select id="pgPassingYear" name="pgPassingYear" class="custom-select">
                                                                    <option value="NA">Select Passing Year</option>
                                                                    <?php
                                                                    for ($i = 1970; $i <= date('Y'); $i++) {
                                                                        $selected = ($i == $profileInfo->seqi_pg_passing_year) ? "selected" : "";
                                                                        ?>
                                                                        <option value="<?php echo $i; ?>" <?php echo $selected; ?>><?php echo $i; ?></option>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </td>
                                                            <td><input type="text" class="form-control" name="pgUniversity" id="pgUniversity" placeholder="University Name" value="<?php echo stripslashes($profileInfo->seqi_pg_university); ?>" maxlength="200"></td>
                                                        </tr>
                                                    </table>
                                                    <table class="centered table-warning table-responsive-sm table-striped table-hover" style="width: 100%">
                                                        <tr>
                                                            <th colspan="6">2. UGC-NET</th>
                                                        </tr>
                                                        <tr>
                                                            <th>Qualified</th>
                                                            <th>UGC Ref. No.</th>
                                                            <th>Roll No.</th>
                                                            <th>Stream/Subject</th>
                                                            <th>Qualifying Year</th>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <select id="ugcNETStatus" name="ugcNETStatus" class="custom-select">
                                                                    <option value="F" <?php echo ($profileInfo->seqi_net_status == 'F') ? "selected" : ""; ?>>No</option>
                                                                    <option value="T" <?php echo ($profileInfo->seqi_net_status == 'T') ? "selected" : ""; ?>>Yes</option>
                                                                </select>
                                                            </td>
                                                            <td><input type="text" class="form-control" name="ugcNETRefNo" id="ugcNETRefNo" placeholder="UGC-NET Ref. No." value="<?php echo stripslashes($profileInfo->seqi_net_ugc_ref_no); ?>" maxlength="150"></td>
                                                            <td><input type="text" class="form-control" name="ugcNETRollNo" id="ugcNETRollNo" placeholder="UGC-NET Roll No." value="<?php echo stripslashes($profileInfo->seqi_net_roll_no); ?>" maxlength="150"></td>
                                                            <td style="max-width:120px;">
                                                                <select id="ugcNETSubjectStream" name="ugcNETSubjectStream" class="form-control selectpicker" data-live-search="true" title="Select Subject/Stream">
                                                                    <?php
                                                                    for ($sub = 0; $sub < sizeof($ugcNETSubjects); $sub++) {
                                                                        $selected = (stripslashes($ugcNETSubjects[$sub]['subject_name']) == $profileInfo->seqi_net_stream) ? "selected" : "";
                                                                        ?>
                                                                        <option value="<?php echo addslashes($ugcNETSubjects[$sub]['subject_name']); ?>" <?php echo $selected; ?>><?php echo stripslashes($ugcNETSubjects[$sub]['subject_name']); ?></option>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </td>
                                                            <td>
                                                                <select id="ugcNETQualiYear" name="ugcNETQualiYear" class="custom-select">
                                                                    <option value="NA">Select Qualifying Year</option>
                                                                    <?php
                                                                    for ($i = 1989; $i <= date('Y'); $i++) {
                                                                        $selected = ($i == $profileInfo->seqi_net_quali_year) ? "selected" : "";
                                                                        ?>
                                                                        <option value="<?php echo $i; ?>" <?php echo $selected; ?>><?php echo $i; ?></option>;
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <table class="centered table-danger table-responsive-sm table-striped table-hover" style="width: 100%">
                                                        <tr>
                                                            <th colspan="7">3. PhD</th>
                                                        </tr>
                                                        <tr>
                                                            <th>Status</th>
                                                            <th>Enrl. No.</th>
                                                            <th>Enrollment Date</th>
                                                            <th>Stream/Subject</th>
                                                            <th>University</th>
                                                            <th>Qualifying Year</th>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <select id="phdStatus" name="phdStatus" class="custom-select">
                                                                    <option value="NA" <?php echo ($profileInfo->seqi_phd_status == "NA") ? "selected" : ""; ?>>NA</option>
                                                                    <option value="P" <?php echo ($profileInfo->seqi_phd_status == "P") ? "selected" : ""; ?>>Pursuing</option>
                                                                    <option value="S" <?php echo ($profileInfo->seqi_phd_status == "S") ? "selected" : ""; ?>>Submitted</option>
                                                                    <option value="A" <?php echo ($profileInfo->seqi_phd_status == "A") ? "selected" : ""; ?>>Awarded</option>
                                                                </select>
                                                            </td>
                                                            <td><input type="text" class="form-control" name="phdEnrollNo" id="phdEnrollNo" placeholder="Enter Enrl. No." value="<?php echo stripslashes($profileInfo->seqi_phd_enroll_no); ?>" maxlength="200"></td>
                                                            <td><input type="text" class="form-control" name="phdEnrollDate" id="phdEnrollDate" placeholder="Enter Enrollment Date" autocomplete="off" value="<?php echo ($profileInfo->seqi_phd_date == NULL || $profileInfo->seqi_phd_date == "") ? "" : date("d/m/Y", strtotime($profileInfo->seqi_phd_date)); ?>" maxlength="50"></td>
                                                            <td style="max-width:160px;">
                                                                <select id="phdSubjectStream" name="phdSubjectStream" class="form-control selectpicker" data-live-search="true" title="Select Subject/Stream">
                                                                    <?php
                                                                    $thisSubjectCategory = "";
                                                                    for ($sub = 0; $sub < sizeof($phdSubjects); $sub++) {
                                                                        $selected = (stripslashes($phdSubjects[$sub]['subject_name']) == $profileInfo->seqi_phd_stream) ? "selected" : "";
                                                                        if ($thisSubjectCategory == "") {
                                                                            $thisSubjectCategory = $phdSubjects[$sub]['subject_category'];
                                                                            ?>
                                                                            <optgroup label="<?php echo stripslashes($phdSubjects[$sub]['subject_category']); ?>">
                                                                                <option value="<?php echo addslashes($phdSubjects[$sub]['subject_name']); ?>" <?php echo $selected; ?>><?php echo stripslashes($phdSubjects[$sub]['subject_name']); ?></option>
                                                                                <?php
                                                                            } else {
                                                                                if ($thisSubjectCategory == $phdSubjects[$sub]['subject_category']) {
                                                                                    $thisSubjectCategory = $phdSubjects[$sub]['subject_category'];
                                                                                    ?>
                                                                                    <option value="<?php echo addslashes($phdSubjects[$sub]['subject_name']); ?>" <?php echo $selected; ?>><?php echo stripslashes($phdSubjects[$sub]['subject_name']); ?></option>
                                                                                    <?php
                                                                                } else {
                                                                                    $thisSubjectCategory = $phdSubjects[$sub]['subject_category'];
                                                                                    ?>
                                                                                </optgroup>
                                                                                <optgroup label="<?php echo stripslashes($phdSubjects[$sub]['subject_category']); ?>" >
                                                                                    <option value="<?php echo addslashes($phdSubjects[$sub]['subject_name']); ?>" <?php echo $selected; ?>><?php echo stripslashes($phdSubjects[$sub]['subject_name']); ?></option>
                                                                                    <?php
                                                                                }
                                                                            }
                                                                        }
                                                                        ?>
                                                                </select>
                                                            </td>
                                                            <td><input type="text" class="form-control" name="phdUniversity" id="phdUniversity" placeholder="Enter University Name" value="<?php echo stripslashes($profileInfo->seqi_phd_university); ?>" maxlength="200"></td>
                                                            <td>
                                                                <select id="phdQualiYear" name="phdQualiYear" class="custom-select">
                                                                    <option value="NA">Select Award Year</option>
                                                                    <?php
                                                                    for ($i = 1970; $i <= date('Y'); $i++) {
                                                                        $selected = ($i == $profileInfo->seqi_phd_year) ? "selected" : "";
                                                                        ?>
                                                                        <option value="<?php echo $i; ?>" <?php echo $selected; ?>><?php echo $i; ?></option>;
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <table class="centered table-primary table-responsive-sm table-striped table-hover" style="width: 100%">
                                                        <tr>
                                                            <th colspan="4">4. Any Other</th>
                                                        </tr>
                                                        <tr>
                                                            <th>Course Name</th>
                                                            <th>Passing/Qualifying Year</th>
                                                            <th>Roll/Enroll/Ref. No.</th>
                                                            <th>University/Institute</th>
                                                        </tr>
                                                        <tr>
                                                            <td><input type="text" class="form-control" name="othCourseName" id="othCourseName" value="<?php echo stripslashes($profileInfo->seqi_oth_course); ?>" placeholder="Course Name" maxlength="100"></td>
                                                            <td>
                                                                <select id="othPassingYear" name="othPassingYear" class="custom-select">
                                                                    <option value="NA">Select Passing Year</option>
                                                                    <?php
                                                                    for ($i = 1970; $i <= date('Y'); $i++) {
                                                                        $selected = ($i == $profileInfo->seqi_oth_passing_year) ? "selected" : "";
                                                                        ?>
                                                                        <option value="<?php echo $i; ?>" <?php echo $selected; ?>><?php echo $i; ?></option>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </td>
                                                            <td><input type="text" class="form-control" name="othRollNo" id="othRollNo" placeholder="Enter Roll No." value="<?php echo stripslashes($profileInfo->seqi_oth_roll_no); ?>" maxlength="150"></td>
                                                            <td><input type="text" class="form-control" name="othUniversity" id="othUniversity" placeholder="University Name" value="<?php echo stripslashes($profileInfo->seqi_oth_university); ?>" maxlength="200"></td>
                                                        </tr>
                                                    </table>
                                                    <input type="hidden" name="seqi_id" value="<?php echo $profileInfo->seqi_id; ?>">
                                                    <button type="submit" class="btn btn-block btn-warning mt-4"><i class="fa fa-save"></i>&nbsp;Save</button>
                                                    <?php echo form_close(); ?>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-12">
                                                    <h5>Attachments:</h5>
                                                    <small id="documentSubmissionInstruction" style="color:#0000FF;font-weight: bold;">Upload All Available Documents</small>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-sm-12">
                                                    <?php echo form_open_multipart(site_url('admin/Profile/updateEducationalQualifications'), ['name' => 'eduQualiUpdateFrm', 'id' => 'eduQualiUpdateFrm']); ?>
                                                    <table id="documentSubmitted" class="centered table-active table-responsive-sm table-striped table-hover" style="width: 100%">
                                                        <thead>
                                                            <tr>
                                                                <th>Document(s)</th>
                                                                <th>Uploaded File(If Any)</th>
                                                                <th>Action</th>
                                                                <th>Select File To Upload (Allowed Extensions Are *.pdf, *.jpg, *.jpeg, *.png Of Max. Size 3 MB Each)</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="documents">
                                                            <?php
                                                            for ($docs = 0; $docs < sizeof($staffDocumentInfo); $docs++) {
                                                                $thisDocument = $staffDocumentInfo[$docs];
                                                                ?>
                                                                <tr>
                                                                    <td><?php echo ($docs + 1) . ". " . $thisDocument['doc_name']; ?></td>
                                                                    <td>
                                                                        <?php if ($thisDocument['is_uploaded'] == 1 || $thisDocument['is_uploaded'] == '1') { ?>
                                                                            <a href="<?php echo base_url($thisDocument['file_name']); ?>" target="_blank" title="Click To View"><i class="fa fa-check-square" style="color:#00FF00;"></i>&nbsp;<i class="fa fa-file"></i></a>
                                                                        <?php } else { ?>
                                                                            <i class="fa fa-times" style="color:#FF0000;"></i>&nbsp;Not Uploaded
                                                                            <?php
                                                                        }
                                                                        ?>
                                                                    </td>
                                                                    <td>
                                                                        <?php if ($thisDocument['is_uploaded'] == 1 || $thisDocument['is_uploaded'] == '1') { ?>
                                                                            <i class='fa fa-times-circle-o' style='color:#FF0000;cursor: pointer;' title="Click To Remove" onClick="removeDocument(<?php echo $thisDocument['tddi_id']; ?>);"  ></i>
                                                                            <?php
                                                                        } else {
                                                                            echo "-";
                                                                        }
                                                                        ?>
                                                                    </td>
                                                                    <td><input type='file' class='form-control' name="empDocumentFile<?php echo $thisDocument['doc_id']; ?>"></td>
                                                            <input type='hidden' class='form-control' name='empDocumentFileId[]' value="<?php echo $thisDocument['doc_id']; ?>">    
                                                            <input type="hidden" name="docPrevFile[]" value="<?php echo $thisDocument['file_name']; ?>">
                                                            <input type="hidden" name="docInfoId[]" value="<?php echo $thisDocument['tddi_id']; ?>">
                                                            </tr>
                                                            <?php
                                                        }
                                                        ?>
                                                        </tbody>
                                                    </table>
                                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Upload & Save</button>
                                                    <?php echo form_close(); ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('contactInfoTab'); ?>" id="v-pills-profile" role="tabpanel" aria-labelledby="v-pills-profile-tab">
                                            <?php echo form_open(site_url('admin/Profile/updateContactInfo'), ['name' => 'contactInfoUpdateFrm', 'id' => 'contactInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-4">
                                                    <label for="empMobile" class="input__label">Mobile *</label>
                                                    <input type="text" class="form-control input-style" onkeypress="return event.charCode >= 48 && event.charCode <= 57" id="empMobile" name="empMobile" value="<?php echo $profileInfo->tprfl_mobile_no; ?>" placeholder="Enter Your Mobile No." maxlength="10">
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label for="empEmail" class="input__label">Email *</label>
                                                    <input type="text" class="form-control input-style" id="empEmail" name="empEmail" value="<?php echo $profileInfo->tprfl_email; ?>" placeholder="Enter Your Email" maxlength="80">
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label for="empTelNo" class="input__label">Tel. No.</label>
                                                    <input type="text" class="form-control input-style" id="empTelNo" name="empTelNo" value="<?php echo $profileInfo->tprfl_tel_no; ?>" placeholder="Enter Your Tel No." maxlength="20">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empCommState" class="input__label">Communication Address State</label>
                                                    <select id="empCommState" name="empCommState" class="form-control input-style">
                                                        <option value="">Select State</option>
                                                        <?php
                                                        foreach ($states as $state) {
                                                            $selected = ($state->state_id == $profileInfo->tprfl_comm_state) ? "selected" : "";
                                                            ?>
                                                            <option value="<?php echo $state->state_id; ?>" <?php echo $selected; ?>><?php echo $state->state_name; ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empCommCity" class="input__label">Communication Address City</label>
                                                    <select id="empCommCity" name="empCommCity" class="form-control input-style">
                                                        <option value="">Select City</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <label for="empCommFullAddress" class="input__label">Full Communication Address</label>
                                                    <textarea class="form-control input-style" name="empCommFullAddress" id="empCommFullAddress" placeholder="Enter Your Full Communication Address" maxlength="150"><?php echo stripslashes($profileInfo->tprfl_comm_full_address); ?></textarea>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <input type="checkbox" name="permaSameAsComm" id="permaSameAsComm" value="T" <?php echo set_radio("permaSameAsComm", "T"); ?>>&nbsp;<label for="permaSameAsComm"><strong>Permanent Address Same As Communication Address</strong></label>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empPermaState" class="input__label">Permanent Address State</label>
                                                    <select id="empPermaState" name="empPermaState" class="form-control input-style">
                                                        <option value="">Select State</option>
                                                        <?php
                                                        foreach ($states as $state) {
                                                            $selected = ($state->state_id == $profileInfo->tprfl_perma_state) ? "selected" : "";
                                                            ?>
                                                            <option value="<?php echo $state->state_id; ?>" <?php echo $selected; ?>><?php echo $state->state_name; ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empPermaCity" class="input__label">Permanent Address City</label>
                                                    <select id="empPermaCity" name="empPermaCity" class="form-control input-style">
                                                        <option value="">Select City</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-12">
                                                    <label for="empPermaFullAddress" class="input__label">Full Permanent Address</label>
                                                    <textarea class="form-control input-style" name="empPermaFullAddress" id="empPermaFullAddress" placeholder="Enter Your Full Permanent Address" maxlength="150"><?php echo stripslashes($profileInfo->tprfl_perma_full_address); ?></textarea>
                                                </div>
                                            </div>
                                            <input type="hidden" name="tldId" value="<?php echo $profileInfo->tld_id; ?>">
                                            <input type="hidden" name="tprflId" value="<?php echo $profileInfo->tprfl_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Save</button>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('officeInfoTab'); ?>" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">
                                            <?php echo form_open(site_url('admin/Staff/updateOfficeInfo'), ['name' => 'officeInfoUpdateFrm', 'id' => 'officeInfoUpdateFrm']); ?>
                                            <div class="form-row">
                                                <div class="form-group col-md-4">
                                                    <label for="empBranch" class="input__label">Branch *</label>
                                                    <select id="empBranch" name="empBranch" class="form-control input-style" disabled="disabled">
                                                        <option value="">Select Branch</option>
                                                        <?php
                                                        foreach ($branches as $branch) {
                                                            $selected = ($branch->branch_id == $profileInfo->branch_id) ? "selected" : "";
                                                            ?>
                                                            <option value="<?php echo $branch->branch_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label for="empDOJ" class="input__label">D.O.J.</label>
                                                    <input type="text" class="form-control input-style" id="empDOJ" name="empDOJ" value="<?php echo ($profileInfo->tprfl_doj == NULL || $profileInfo->tprfl_doj == "") ? "Not Updated" : date("d/m/Y", strtotime($profileInfo->tprfl_doj)); ?>" placeholder="Choose Employee Date Of Joining" autocomplete="off" maxlength="50" disabled="disabled">
                                                    <small id="dojInstruction" class="form-text text-muted">Initial Date Of Joining</small>
                                                </div>
                                                <div class="form-group col-md-4">
                                                    <label class="input__label">Is Head/Supervisor?</label><br>
                                                    <input type="radio" id="empIsHeadYes" name="empIsHead" value="T" <?php echo ($profileInfo->tld_is_head == "T") ? "checked" : ""; ?> disabled="disabled" />&nbsp;<label for="empIsHeadYes">Yes</label>
                                                    <input type="radio" id="empIsHeadNo" name="empIsHead" value="F" <?php echo ($profileInfo->tld_is_head == "F") ? "checked" : ""; ?> disabled="disabled"/>&nbsp;<label for="empIsHeadNo">No</label>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empDept" class="input__label">Department *</label>
                                                    <input type="text" class="form-control input-style" id="empDept" name="empDept" value="<?php echo stripslashes($profileInfo->dept_name); ?>" placeholder="Select Department" maxlength="150" disabled="disabled">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empSubDept" class="input__label">Sub-Department *</label>
                                                    <input type="text" class="form-control input-style" id="empSubDept" name="empSubDept" value="<?php echo stripslashes($profileInfo->sub_dept_name); ?>" placeholder="Select Sub-Department" maxlength="150" disabled="disabled">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empDesig" class="input__label">Category *</label>
                                                    <input type="text" class="form-control input-style" id="empDesigCat" name="empDesigCat" value="<?php echo stripslashes($profileInfo->dcm_name); ?>" placeholder="Select Designation Category" maxlength="150" disabled="disabled">
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empDesig" class="input__label">Designation *</label>
                                                    <input type="text" class="form-control input-style" id="empDesig" name="empDesig" value="<?php echo stripslashes($profileInfo->designatioName); ?>" placeholder="Select Designation" maxlength="150" disabled="disabled">
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="empRole" class="input__label">Role *</label>
                                                    <select id="empRole" name="empRole" class="form-control input-style" disabled="disabled">
                                                        <option value="">Select Role</option>
                                                        <?php
                                                        foreach ($roles as $role) {
                                                            $selected = ($role->role_id == $profileInfo->role_id) ? "selected" : "";
                                                            ?>
                                                            <option value="<?php echo $role->role_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($role->role_name); ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="empSigninId" class="input__label">Signin Id *</label>
                                                    <input type="text" class="form-control input-style" id="empSigninId" name="empSigninId" value="<?php echo stripslashes($profileInfo->tld_signinid); ?>" placeholder="Enter Your Signin Id" maxlength="80" disabled="disabled">
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4" disabled="disabled"><i class="fa fa-save"></i>&nbsp;Save</button>
                                            <small id="officeInfoInstruction" class="form-text text-muted">You Can Not Update Above Fields Yourself. If You Need Any Updation Please Contact Your HR.</small>
                                            <?php echo form_close(); ?>
                                        </div>
                                        <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('profileImageTab'); ?>" id="v-pills-settings" role="tabpanel" aria-labelledby="v-pills-settings-tab">
                                            <?php echo form_open_multipart(site_url('admin/Profile/updateProfilePhoto'), ['name' => 'profilePicUpdateFrm', 'id' => 'profilePicUpdateFrm']); ?>
                                            <div class="image-upload">
                                                <center>
                                                    <label for="file-input">
                                                        <img src="<?php echo base_url($profileInfo->staff_photograph); ?>" width=50%"/>
                                                    </label>
                                                    <br><br>
                                                    <input id="file-input" type="file" name="empPhotograph" />
                                                </center>
                                            </div>
                                            <input type="hidden" name="profilePhoto" value="<?php echo $profileInfo->staff_photograph; ?>">
                                            <input type="hidden" name="mediaId" value="<?php echo $profileInfo->tddi_id; ?>">
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-save"></i>&nbsp;Save</button>
                                            <small id="officeInfoInstruction" class="form-text text-muted">Allowed Extensions:*.png,*.jpg,*.jpeg,*.webp. Max. File Size: 1MB.</small>
                                            <?php echo form_close(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br>

                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empCommState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empCommCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            contactInfoUpdateFrm.csrf_token.value = csrfHash;
                            officeInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiInfoUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empCommCity").html("<option value=''>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empPermaState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empPermaCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            contactInfoUpdateFrm.csrf_token.value = csrfHash;
                            officeInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiInfoUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empPermaCity").html("<option value=''>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDOB").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });

            $("#permaSameAsComm").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#empPermaState").val($("#empCommState").val());
                    $("#empPermaState").trigger("change");
                    $("#empPermaCity").val($("#empPermaCity").val());
                    $("#empPermaFullAddress").val($("#empCommFullAddress").val());
                } else {
                    $("#empPermaState").val("");
                    $("#empPermaCity").val("");
                    $("#empPermaFullAddress").val("");
                }
            });

            $("#phdEnrollDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            });

            $(document).ready(function () {
                if ($("#empCommState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByStateSelected/') ?>',
                        data: {state_id: <?php echo $profileInfo->tprfl_comm_state; ?>, city_id: <?php echo $profileInfo->tprfl_comm_city; ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empCommCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            contactInfoUpdateFrm.csrf_token.value = csrfHash;
                            officeInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiInfoUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empPermaState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByStateSelected/') ?>',
                        data: {state_id: <?php echo $profileInfo->tprfl_perma_state; ?>, city_id: <?php echo $profileInfo->tprfl_perma_city; ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empPermaCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            primaryInfoUpdateFrm.csrf_token.value = csrfHash;
                            contactInfoUpdateFrm.csrf_token.value = csrfHash;
                            officeInfoUpdateFrm.csrf_token.value = csrfHash;
                            profilePicUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiUpdateFrm.csrf_token.value = csrfHash;
                            eduQualiInfoUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            function removeDocument(tddi_id) {
                if (confirm("Do You Want To Remove This Uploaded Document? This Action Can Not Be Rolled Back!")) {
                    window.location.href = '<?php echo site_url('admin/Profile/deleteStaffDocument/'); ?>' + tddi_id;
                }
            }
        </script>
        <style>
            .image-upload>input {
                display: none;
            }
        </style>
        <?php $this->load->view("admin/footer"); ?>
    </body>

</html>