<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing E-Content Schedule | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/eContentAssigments"); ?>">E-Content Assignments</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/editEContentAssignment/" . $econtentScheduleInfo->ecsm_id); ?>">Edit E-Content Schedule</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-edit"></i> Edit E-Content Schedule</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/TasksAndQuizzes/updateEContentAssignment'), ['name' => 'createEContentFrm', 'id' => 'createEContentFrm']); ?>
                                <fieldset>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label">E-Content Upload Session *</label>
                                            <select id="session" name="session" class="custom-select readonly">
                                                <?php
                                                foreach ($sessions as $session) {
                                                    $selected = ($session->session_id == $econtentScheduleInfo->session_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $session->session_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="custom-select readonly">
                                                <?php
                                                foreach ($subjects as $subject) {
                                                    $selected = ($subject->sm_id == $econtentScheduleInfo->sm_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo $selected; ?>><?php echo "[" . stripslashes($subject->sm_code) . "]-" . stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label">E-Content *</label>
                                            <select id="econtent" name="econtent" class="custom-select readonly" tabindex="=1">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4" style="display:none;">
                                            <label class="input__label">Course *</label>
                                            <select id="course" name="course" class="custom-select readonly" tabindex="-1">
                                                <option value="">Select Course</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset id="studentList" style="display: none;">
                                    <legend>Student(s) List</legend>
                                    <div class="form-row">
                                        <table style="width:100%" class="table table-warning">
                                            <tr>
                                                <th><input type="checkbox" id="selectAllStudents" name="selectAllStudents" value="A">&nbsp;Select All</th>
                                                <th>Sr. No</th>
                                                <th>Roll No.</th>
                                                <th>Name</th>
                                                <th>Session</th>
                                                <th>Type</th>
                                            </tr>
                                            <tbody id="studentDetails"></tbody>
                                        </table>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Scheduling Criterion</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="scheduleStartDate" class="input__label">Start Date *</label>
                                            <input type="text" class="form-control" id="scheduleStartDate" name="scheduleStartDate" value="<?php echo date("d/m/Y", strtotime($econtentScheduleInfo->ecsm_start_date)); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="scheduleEndDate" class="input__label">End Date *</label>
                                            <input type="text" class="form-control" id="scheduleEndDate" name="scheduleEndDate" value="<?php echo date("d/m/Y", strtotime($econtentScheduleInfo->ecsm_end_date)); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="note" class="input__label">Any Note/Instruction?</label>
                                            <textarea class="form-control" name="note" id="note" placeholder="Enter Note/Instruction If Any. (Max. 500 Characters). It Will Be Shown To Students."><?php echo stripslashes($econtentScheduleInfo->ecsm_note); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="ecsm_id" value="<?php echo $econtentScheduleInfo->ecsm_id; ?>">
                                <button id="assignBtn" disabled="disabled" type="button" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-reply-all"></i>&nbsp;Assign Model Paper</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                if ($("#subject").val().trim() !== "") {
                    event.preventDefault();
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getCourseBySubjectForDropDown/'); ?>',
                        data: {subject_id: $("#subject").val().trim(), course_id: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            csrfHash = subjectInfo.csrfHash;
                            if (subjectInfo.courses_avail !== '0' || subjectInfo.courses_avail !== 0) {
                                $("#course").html(subjectInfo.course_list);
                                $.ajax({
                                    url: '<?php echo site_url('admin/TasksAndQuizzes/getAllEContentsForDropDown/'); ?>',
                                    data: {subject_id: $("#subject").val().trim(), ecm_id: '<?php echo $econtentScheduleInfo->ecm_id; ?>', session_id: $("#session").val().trim(), csrf_token: csrfHash},
                                    type: 'POST',
                                    success: function (result) {
                                        var econtentInfo = JSON.parse(result);
                                        $(".se-pre-con").fadeOut("slow");
                                        csrfHash = econtentInfo.csrfHash;
                                        $("#econtent").html(econtentInfo.econtent_list);
                                        $.ajax({
                                            url: '<?php echo site_url('admin/Subject/getSubjectTeacherAllotmentDetails/'); ?>',
                                            data: {session_id: $("#session").val().trim(), subject_id: $("#subject").val().trim(), course_id: $("#course").val().trim(), smember_id: '<?php echo $this->session->userdata("adminData")["smember_id"]; ?>', csrf_token: csrfHash},
                                            type: 'POST',
                                            success: function (result) {
                                                var allotmentInfo = JSON.parse(result);
                                                csrfHash = allotmentInfo.csrfHash;
                                                staId = allotmentInfo.sta_id;
                                                $.ajax({
                                                    url: '<?php echo site_url('admin/Student/getStudentsAllotedToTeacherBy/'); ?>',
                                                    data: {sta_id: staId, mepsch_id: '<?php echo $econtentScheduleInfo->ecsm_id; ?>', mepm_id: '<?php echo $econtentScheduleInfo->ecm_id; ?>', csrf_token: csrfHash},
                                                    type: 'POST',
                                                    success: function (result) {
                                                        var studentsInfo = JSON.parse(result);
                                                        $(".se-pre-con").fadeOut("slow");
                                                        csrfHash = studentsInfo.csrfHash;
                                                        studentsList = "";
                                                        if (studentsInfo.available_students !== 0) {
                                                            for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                                                studentsList += "<tr>";
                                                                if (studentsInfo.student_list[i].if_mepm_sch) {
                                                                    studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "' checked='checked'></td>";
                                                                } else {
                                                                    studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                                                }
                                                                studentsList += "<td>" + (i + 1) + "</td>";
                                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_clg_id + "</td>";
                                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_session + "</td>";
                                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_entry_type + "</td>";
                                                                studentsList += "</tr>";
                                                            }
                                                            $("#studentDetails").html(studentsList);
                                                            $("#studentList").css("display", "block");
                                                            $("#assignBtn").prop("disabled", "");
                                                        } else {
                                                            studentsList += "<tr>";
                                                            studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                                                            studentsList += "</tr>";
                                                            $("#studentDetails").html(studentsList);
                                                            $("#studentList").css("display", "block");
                                                            $("#assignBtn").prop("disabled", "disabled");
                                                        }
                                                        createEContentFrm.csrf_token.value = csrfHash;
                                                    }
                                                });
                                            }
                                        });
                                    }
                                });
                            }
                        }
                    });
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#scheduleStartDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#scheduleEndDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $("#selectAllStudents").click(function () {
                $("input[name='selectedStudents[]']").prop('checked', $(this).prop('checked'));
            });

            $("#assignBtn").on("click", function () {
                if ($("#subject").val().trim() === "") {
                    alert("Please Select Any Subject.");
                    $("#subject").focus();
                } else if ($("#econtent").val().trim() === "") {
                    alert("Please Select An E-Content To Assign To Student.");
                    $("#econtent").focus();
                } else if ($("#scheduleStartDate").val().trim() === "") {
                    alert("Please Enter Start Date.");
                    $("#scheduleStartDate").focus();
                } else if ($("#scheduleEndDate").val().trim() === "") {
                    alert("Please Enter End Date.");
                    $("#scheduleEndDate").focus();
                } else if (($("[name='selectedStudents[]']:checked").length === 0)) {
                    alert("Please Select At Least One Student From The List To Assign E-Content.");
                } else {
                    $("#createEContentFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
