<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($topicInfo->stm_name); ?> Topic | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/TasksAndQuizzes/topics"); ?>">Topics Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/editTopic/" . $topicInfo->stm_id); ?>">Edit Topic</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Subject Topic => <b><?php echo stripslashes($topicInfo->stm_name); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/TasksAndQuizzes/updateTopic'), ['name' => 'topicUpdateFrm', 'id' => 'topicUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Topic Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = ($course->course_id == $topicInfo->course_id) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Subject">
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="subjectTopic" class="input__label">Topic *</label>
                                            <input type="text" class="form-control" id="subjectTopic" name="subjectTopic" value="<?php echo stripslashes($topicInfo->stm_name); ?>" placeholder="Enter Subject Topic" maxlength="500">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="subjectTopicDesc" class="input__label">Topic Description</label>
                                            <textarea class="form-control" id="subjectTopicDesc" name="subjectTopicDesc" placeholder="Enter Subject Topic Description" maxlength="1000"><?php echo stripslashes($topicInfo->stm_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="stm_id" value="<?php echo $topicInfo->stm_id; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            topicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subject").html("<option value=''>Select Subject</option>");
                }
            });

            $(document).ready(function () {
                if (<?php echo $topicInfo->course_id; ?> !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Subject/getSubjectsForMultipleDropDown/') ?>',
                        data: {course_id: <?php echo $topicInfo->course_id; ?>, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subjectInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subject").html(subjectInfo.subject_list);
                            $("#subject").selectpicker('refresh');
                            $("#subject").val(<?php echo $topicInfo->sm_id; ?>);
                            $("#subject").selectpicker('refresh');
                            csrfHash = subjectInfo.csrfHash;
                            topicUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>