<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo (sizeof($modelPaperInfo)) ? "Showing Schedules Of " . stripslashes($modelPaperInfo[0]->mepm_title) : "Model Papers Schedules"; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/modelPaperSchedules"); ?>">Model Paper Schedules</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-list-ol"></i> Model Paper Schedules</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Select Model Paper</legend>
                                    <?php echo form_open(site_url('admin/TasksAndQuizzes/modelPaperSchedules'), ['name' => 'fetchModelPaperScheduleFrm', 'id' => 'fetchModelPaperScheduleFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="" <?php echo set_select("subject", "") ?>>Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo set_select("subject", $subject->sm_id); ?>><?php echo stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-10">
                                            <label for="modelPaper" class="input__label">Model Paper *</label>
                                            <select id="modelPaper" name="modelPaper" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Model Paper">
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="fetchSchedules" class="input__label"></label>
                                            <button type="submit" id="fetchSchedules" name="fetchSchedules" class="btn btn-sm btn-warning pull-right">Fetch Schedules&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        </div>
                                    </div>
                                    <hr>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/createNewSchedule"); ?>'" tooltip="Create New Schedule"><i class="fa fa-plus"></i> Create New Schedule</button><br><br>
                                <table id="modelPaperSchedules" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Is Result To Show?</th>
                                            <th>Is Detailed Result To Show?</th>
                                            <th>Allowed Attempts</th>
                                            <th>Result</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>Is Result To Show?</th>
                                            <th>Is Detailed Result To Show?</th>
                                            <th>Allowed Attempts</th>
                                            <th>Result</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        if (sizeof($modelPaperSchedules)) {
                                            for ($i = 0; $i < sizeof($modelPaperSchedules); $i++) {
                                                $record = $modelPaperSchedules[$i];
                                                ?>
                                                <tr>
                                                    <td><?php echo ($i + 1); ?></td>
                                                    <td><?php echo date("d-m-Y", strtotime($record->mepsch_start_date)); ?></td>
                                                    <td><?php echo date("d-m-Y", strtotime($record->mepsch_end_date)); ?></td>
                                                    <td><?php echo ($record->mepsch_is_result_to_show == "T") ? "Yes" : "No"; ?></td>
                                                    <td><?php echo ($record->mepsch_is_detailed_result_to_show == "" || $record->mepsch_is_detailed_result_to_show == NULL) ? "No" : (($record->mepsch_is_detailed_result_to_show == "T") ? "Yes" : "No"); ?></td>
                                                    <td><?php echo ($record->mepsch_allowed_attempts == 0) ? "Unlimited" : $record->mepsch_allowed_attempts . " Times"; ?></td>
                                                    <td><a href='#' onClick="showResultSummary(<?php echo $record->mepsch_id; ?>);" class='badge badge-warning'>Show</a></td>
                                                    <td>
                                                        <?php
                                                        if ($record->mepsch_delete_status == 'F') {
                                                            if ($record->mepsch_active_status == 'T') {
                                                                ?>
                                                                <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Model Paper Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/toggleModelPaperScheduleStatus/' . $record->mepsch_id . '/F/' . 'O'); ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Model Paper Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editModelPaperScheduleStatus/' . $record->mepsch_id); ?>'"></i>
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Model Paper Schedule" onClick="deleteModelPaperSchedule(<?php echo $record->mepsch_id; ?>);"></i> 
                                                            <?php } else { ?>
                                                                <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Model Paper Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/toggleModelPaperScheduleStatus/' . $record->mepsch_id . '/T/' . 'O'); ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Model Paper Schedule" onClick="window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editModelPaperScheduleStatus/' . $record->mepsch_id); ?>'" ></i>
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Model Paper Schedule" onClick="deleteModelPaperSchedule(<?php echo $record->mepsch_id; ?>);"></i> 
                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </td>
                                                </tr>
                                                <?php
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getAllModelPaperBySubjectForDropDown/'); ?>',
                        data: {sm_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var modelPaperInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#modelPaper").html(modelPaperInfo.model_paper_list);
                            $("#modelPaper").selectpicker('refresh');
                            csrfHash = modelPaperInfo.csrfHash;
                            fetchModelPaperScheduleFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#modelPaper").html("<option value=''>Select Model Paper</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                $("#modelPaperSchedules").DataTable({responsive: true, dom: 'Blfrtip'});
                if ($("#subject").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getAllModelPaperBySubjectForDropDown/'); ?>',
                        data: {sm_id: $("#subject").val().trim(), mepm_id: '<?php echo (sizeof($modelPaperInfo)) ? $modelPaperInfo[0]->mepm_id : ""; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var modelPaperInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#modelPaper").html(modelPaperInfo.model_paper_list);
                            $("#modelPaper").selectpicker('refresh');
                            csrfHash = modelPaperInfo.csrfHash;
                            fetchModelPaperScheduleFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#modelPaper").html("<option value=''>Select Model Paper</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            function deleteModelPaperSchedule(mepsch_id) {
                if (confirm("Are You Sure You Want To Delete This Schedule?")) {
                    window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/deleteModelPaperSchedule/"); ?>' + mepsch_id;
                }
            }

            function showResultSummary(mepsch_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/TasksAndQuizzes/getModelPaperAttemptInfo/'); ?>',
                    data: {mepsch_id: mepsch_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var summaryResultInfo = JSON.parse(result);
                        csrfHash = summaryResultInfo.csrfHash;
                        fetchModelPaperScheduleFrm.csrf_token.value = csrfHash;
                        var resultDetails = "";
                        for (var i = 0; i < summaryResultInfo.student_attempt_info.length; i++) {
                            if (summaryResultInfo.student_attempt_info[i].attempts_used !== 0) {
                                resultDetails += "<tr style='background-color:#beeabe;color:#000;'>";
                            } else {
                                resultDetails += "<tr style='background-color:#e08484;color:#FFF;'>";
                            }
                            resultDetails += "<td>" + (i + 1) + "</td>";
                            resultDetails += "<td>" + summaryResultInfo.student_attempt_info[i].stu_enrollment_no + "</td>";
                            resultDetails += "<td>" + summaryResultInfo.student_attempt_info[i].stu_name + "</td>";
                            resultDetails += "<td>" + summaryResultInfo.student_attempt_info[i].result + "</td>";
                            resultDetails += "<td>" + summaryResultInfo.student_attempt_info[i].allowed_attempts + "</td>";
                            resultDetails += "<td id='attemptstd" + i + "'>" + summaryResultInfo.student_attempt_info[i].attempts_used + "</td>";
                            if (summaryResultInfo.student_attempt_info[i].attempts_used == summaryResultInfo.student_attempt_info[i].allowed_attempts) {
                                resultDetails += "<td id='unlocktd" + i + "'><i class='fa fa-unlock' style='color:#FF0000;cursor: pointer;' title='Unlock Attemp For This Student' onClick='unlockAttempt(" + i + "," + +summaryResultInfo.student_attempt_info[i].stu_id + "," + mepsch_id + ");'></i> </td>";
                            } else {
                                resultDetails += "<td><i class='fa fa-lock' style='color:#FFF;cursor: pointer;' title='Not Available'></i> </td>";
                            }
                            resultDetails += "</tr>";
                        }
                        $("#resultDetails").html(resultDetails);
                        $("#summaryResultModal").modal('show');
                    }
                });
            }

            function unlockAttempt(index, stu_id, sch_id) {
                if (confirm("Are You Sure To Unlock Attempt For This Student?")) {
                    var tdId = "#unlocktd" + index;
                    var attemptstd = "#attemptstd" + index;
                    event.preventDefault();
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/unlockModelPaperAttempt/'); ?>',
                        data: {mepsch_id: sch_id, tspi_id: stu_id, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            $(".se-pre-con").fadeOut("slow");
                            var unlockResponse = JSON.parse(result);
                            csrfHash = unlockResponse.csrfHash;
                            fetchModelPaperScheduleFrm.csrf_token.value = csrfHash;
                            if (unlockResponse.unlock_response === 1 || unlockResponse.unlock_response === '1') {
                                var currentAttempts = parseInt($(attemptstd).html());
                                var remainingAttempts = ((currentAttempts - 1) !== 0) ? (currentAttempts - 1) : 0
                                $(attemptstd).html(remainingAttempts);
                                $(tdId).html("<i class='fa fa-lock' style='color:#FFF;cursor: pointer;' title='Not Available'></i>");
                                $("#unlockSuccessfullModal").modal('show');
                            } else {
                                alert("Some Error Occured While Unlocking. Try Later");
                            }
                        }
                    });
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Model Paper Summary Result Modal Starts -->
        <div class="modal fade" id="summaryResultModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Summary Result</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <table class="table table-striped table-default">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>College Id/Form No.</th>
                                            <th>Student Name</th>
                                            <th>Result</th>
                                            <th>Attempts Allowed</th>
                                            <th>Attempts Used</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody id="resultDetails"></tbody>
                                </table>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Model Paper Summary Result Modal Ends -->
        <!-- Unlock Successful Model Starts -->
        <div class="modal fade" id="unlockSuccessfullModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title"><b>Attempt(s) Unlocked</b></h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>

                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <b>Attempts Unlocking Successful. All Previous Attempts Cleared For This Schedule Of This Student.</b><br><br><br>
                        <center>&nbsp;&nbsp;<button class="btn btn-info btn-sm" data-dismiss="modal">OK</button></center>
                    </div>
                </div>
            </div>
        </div>
        <!-- Unlock Successful Model Starts -->
    </body>
</html>