<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Schedule Model Paper | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/modelPaperSchedules"); ?>">Model Paper Schedules</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/createNewSchedule"); ?>">Schedule Model Paper</a></li>
                        </ol>
                    </nav>

                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-clock-o"></i> Schedule Model Paper</h3><br>
                            <div class="card-body">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/TasksAndQuizzes/saveModelPaperSchedule'), ['name' => 'modelPaperScheduleFrm', 'id' => 'modelPaperScheduleFrm']); ?>
                                <fieldset>
                                    <legend>Select Model Paper</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="subject" class="input__label">Subject *</label>
                                            <select id="subject" name="subject" class="custom-select">
                                                <option value="" <?php echo set_select("subject", "") ?>>Select Subject</option>
                                                <?php foreach ($subjects as $subject) { ?>
                                                    <option value="<?php echo $subject->sm_id; ?>" <?php echo set_select("subject", $subject->sm_id); ?>><?php echo stripslashes($subject->sm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-10">
                                            <label for="modelPaper" class="input__label">Model Paper *</label>
                                            <select id="modelPaper" name="modelPaper" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" onmousedown="if (this.options.length > 2) {
                                                        this.size = 2;
                                                    }" title="Select Model Paper">
                                            </select>
                                        </div>
                                    </div>

                                </fieldset>
                                <fieldset id="studentList" style="display: none;">
                                    <legend>Student(s) List</legend>
                                    <div class="form-row">
                                        <table style="width:100%" class="table table-warning">
                                            <tr>
                                                <th><input type="checkbox" id="selectAllStudents" name="selectAllStudents" value="A">&nbsp;Select All</th>
                                                <th>Sr. No</th>
                                                <th>College Id</th>
                                                <th>Name</th>
                                                <th>Session</th>
                                                <th>Type</th>
                                            </tr>
                                            <tbody id="studentDetails"></tbody>
                                        </table>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Scheduling Criterion</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3" style="display:none;">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php
                                                    if ($session->session_status == "C") {
                                                        echo "selected";
                                                    }
                                                    ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                    <?php }
                                                    ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="scheduleStartDate" class="input__label">Start Date *</label>
                                            <input type="text" class="form-control" id="scheduleStartDate" name="scheduleStartDate" value="<?php echo set_value('scheduleStartDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="scheduleEndDate" class="input__label">End Date *</label>
                                            <input type="text" class="form-control" id="scheduleEndDate" name="scheduleEndDate" value="<?php echo set_value('scheduleEndDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="allowedAttempts" class="input__label">Allowed Attempts *</label>
                                            <select id="allowedAttempts" name="allowedAttempts" class="custom-select">
                                                <option value="0">Unlimited</option>
                                                <option value="1">1 Attempt</option>
                                                <option value="2">2 Attempts</option>
                                                <option value="3">3 Attempts</option>
                                                <option value="4">4 Attempts</option>
                                                <option value="5">5 Attempts</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="" class="input__label">Is Result To Show? *</label>
                                            <input type="radio" id="resultShowYes" name="resultShow" value="T"> <label for="resultShowYes">Yes</label>&nbsp;
                                            <input type="radio" id="resultShowNo" name="resultShow" value="F" checked="checked"> <label for="resultShowNo">No</label>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="" class="input__label">Is Detailed Result To Show? *</label>
                                            <input type="radio" id="detailedResultShowYes" name="detailedResultShow" value="T" class="readonly" tabindex="-1"> <label>Yes</label>&nbsp;
                                            <input type="radio" id="detailedResultShowNo" name="detailedResultShow" value="F" checked="checked" class="readonly" tabindex="-1"> <label>No</label>
                                        </div>
                                    </div>
                                </fieldset>
                                <button id="allotBtn" disabled="disabled" type="button" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-reply-all"></i>&nbsp;Allot Model Paper</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subject").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/TasksAndQuizzes/getAllModelPaperBySubjectForDropDown/'); ?>',
                        data: {sm_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var modelPaperInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#modelPaper").html(modelPaperInfo.model_paper_list);
                            $("#modelPaper").selectpicker('refresh');
                            csrfHash = modelPaperInfo.csrfHash;
                            modelPaperScheduleFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#modelPaper").html("<option value=''>Select Model Paper</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#modelPaper").on("change", function () {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/TasksAndQuizzes/getModelPaperInfo/'); ?>',
                    data: {mepm_id: $(this).val().trim(), csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisModelPaperInfo = JSON.parse(result);
                        csrfHash = thisModelPaperInfo.csrfHash;
                        subjectId = thisModelPaperInfo.subject_id;
                        courseId = thisModelPaperInfo.course_id;
                        $.ajax({
                            url: '<?php echo site_url('admin/Subject/getSubjectTeacherAllotmentDetails/'); ?>',
                            data: {session_id: $("#session").val().trim(), subject_id: subjectId, course_id: courseId, smember_id: '<?php echo $this->session->userdata("adminData")["smember_id"]; ?>', csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var allotmentInfo = JSON.parse(result);
                                csrfHash = allotmentInfo.csrfHash;
                                staId = allotmentInfo.sta_id;
                                $.ajax({
                                    url: '<?php echo site_url('admin/Student/getStudentsAllotedToTeacherBy/'); ?>',
                                    data: {sta_id: staId, csrf_token: csrfHash},
                                    type: 'POST',
                                    success: function (result) {
                                        var studentsInfo = JSON.parse(result);
                                        $(".se-pre-con").fadeOut("slow");
                                        csrfHash = studentsInfo.csrfHash;
                                        studentsList = "";
                                        if (studentsInfo.available_students !== 0) {
                                            for (var i = 0; i < studentsInfo.student_list.length; i++) {
                                                studentsList += "<tr>";
                                                studentsList += "<td><input type='checkbox' name='selectedStudents[]' value='" + studentsInfo.student_list[i].stu_id + "'></td>";
                                                studentsList += "<td>" + (i + 1) + "</td>";
                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_clg_id + "</td>";
                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_name + "</td>";
                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_session + "</td>";
                                                studentsList += "<td>" + studentsInfo.student_list[i].stu_entry_type + "</td>";
                                                studentsList += "</tr>";
                                            }
                                            $("#studentDetails").html(studentsList);
                                            $("#studentList").css("display", "block");
                                            $("#allotBtn").prop("disabled", "");
                                        } else {
                                            studentsList += "<tr>";
                                            studentsList += "<td colspan='7'>" + studentsInfo.message + "</td>";
                                            studentsList += "</tr>";
                                            $("#studentDetails").html(studentsList);
                                            $("#studentList").css("display", "none");
                                            $("#allotBtn").prop("disabled", "disabled");
                                        }
                                        modelPaperScheduleFrm.csrf_token.value = csrfHash;
                                    }
                                });
                            }
                        });
                    }
                });
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#scheduleStartDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#scheduleEndDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $("#resultShowYes").on("click", function () {
                $("#detailedResultShowYes").removeClass("readonly");
                $("#detailedResultShowNo").removeClass("readonly");
            });

            $("#resultShowNo").on("click", function () {
                $("#detailedResultShowYes").attr("checked", false);
                $("#detailedResultShowNo").attr("checked", true);
                $("#detailedResultShowYes").addClass("readonly");
                $("#detailedResultShowNo").addClass("readonly");
            });

            $("#selectAllStudents").click(function () {
                $("input[name='selectedStudents[]']").prop('checked', $(this).prop('checked'));
            });

            $("#allotBtn").on("click", function () {
                if ($("#subject").val().trim() === "") {
                    alert("Please Select Any Subject.");
                    $("#subject").focus();
                } else if ($("#modelPaper").val().trim() === "") {
                    alert("Please Select Any Model Paper.");
                    $("#modelPaper").focus();
                } else if ($("#scheduleStartDate").val().trim() === "") {
                    alert("Please Enter Start Date.");
                    $("#scheduleStartDate").focus();
                } else if ($("#scheduleEndDate").val().trim() === "") {
                    alert("Please Enter End Date.");
                    $("#scheduleEndDate").focus();
                } else if (($("[name='selectedStudents[]']:checked").length === 0)) {
                    alert("Please Select At Least One Student From The List To Allot Model Paper.");
                } else {
                    $("#modelPaperScheduleFrm").submit();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
