<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Subjective Questions List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Tasks & Quizzes</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TasksAndQuizzes/subjectiveQuestions"); ?>">All Subjective Questions</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-quora"></i> Subjective Questions Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/createSubjectiveGeneralQuestions"); ?>'" tooltip="Add New General Question"><i class="fa fa-plus"></i> Add New General Question</button>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TasksAndQuizzes/createSubjectiveComprehensiveQuestions"); ?>'" tooltip="Add New Comprehensive Question"><i class="fa fa-plus"></i> Add New Comprehensive Question</button><br><br>
                                <div class="row">
                                    <div class="col-12">
                                        <nav>
                                            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                                                <a class="nav-item nav-link <?php echo $this->session->flashdata('genQuestionTab'); ?>" id="nav-gen-ques-tab" data-toggle="tab" href="#nav-gen-ques" role="tab" aria-controls="nav-gen-ques" aria-selected="true">General Questions</a>
                                                <a class="nav-item nav-link <?php echo $this->session->flashdata('compQuestionTab'); ?>" id="nav-comp-ques-tab" data-toggle="tab" href="#nav-comp-ques" role="tab" aria-controls="nav-comp-ques" aria-selected="false">Comprehensive Questions</a>
                                            </div>
                                        </nav>
                                        <div class="tab-content" id="nav-tabContent">
                                            <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('genQuestionTab'); ?>" id="nav-gen-ques" role="tabpanel" aria-labelledby="nav-gen-ques-tab">
                                                <br><br>
                                                <table id="allGeneralQuestions" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th>Sr. No</th>
                                                            <th>Question</th>
                                                            <th>Marks</th>
                                                            <th>Topic</th>
                                                            <th>Subject</th>
                                                            <th>Course</th>
                                                            <th>Last Updated On</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tfoot>
                                                        <tr>
                                                            <th>Sr. No</th>
                                                            <th>Question</th>
                                                            <th>Marks</th>
                                                            <th>Topic</th>
                                                            <th>Subject</th>
                                                            <th>Course</th>
                                                            <th>Last Updated On</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </tfoot>
                                                    <tbody>
                                                        <?php
                                                        for ($i = 0; $i < sizeof($subjectiveGenQuestion); $i++) {
                                                            $record = $subjectiveGenQuestion[$i];
                                                            ?>
                                                            <tr>
                                                                <td><?php echo ($i + 1); ?></td>
                                                                <th>
                                                                    <?php
                                                                    echo stripslashes($record->qb_question);
                                                                    if ($record->qb_image != NULL || $record->qb_image != "") {
                                                                        echo "<img src='" . base_url($record->qb_image) . "' width='50%'>";
                                                                    }
                                                                    ?>
                                                                </th>
                                                                <td><?php echo $record->qb_marks; ?></td>
                                                                <td><?php echo $record->stm_name; ?></td>
                                                                <td><?php echo stripslashes($record->sm_name); ?></td>
                                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->qb_updated_on)); ?></td>
                                                                <td>
                                                                    <?php if ($record->qb_delete_status == 'F') { ?>
                                                                        <i class = 'fa fa-edit' style = 'color:#002166;cursor: pointer;' title = "Edit This Question" onClick = "window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editGeneralQuestions/' . $record->qb_id) ?>'" ></i>
                                                                        <i class = "fa fa-trash" style = "color:#FF0000;cursor: pointer;" title = "Delete This Question" onClick = "deleteQuestion(<?php echo $record->qb_id; ?>);"></i>
                                                                    <?php }
                                                                    ?>
                                                                </td>
                                                            </tr>
                                                        <?php } ?>
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="tab-pane fade <?php echo "show " . $this->session->flashdata('compQuestionTab'); ?>" id="nav-comp-ques" role="tabpanel" aria-labelledby="nav-comp-ques-tab">
                                                <br><br>
                                                <table id="allComprehensiveQuestions" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                                    <thead>
                                                        <tr>
                                                            <th>Sr. No</th>
                                                            <th>Description</th>
                                                            <th>Question</th>
                                                            <th>Marks</th>
                                                            <th>Topic</th>
                                                            <th>Subject</th>
                                                            <th>Course</th>
                                                            <th>Last Updated On</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tfoot>
                                                        <tr>
                                                            <th>Sr. No</th>
                                                            <th>Description</th>
                                                            <th>Question</th>
                                                            <th>Marks</th>
                                                            <th>Topic</th>
                                                            <th>Subject</th>
                                                            <th>Course</th>
                                                            <th>Last Updated On</th>
                                                            <th>Action</th>
                                                        </tr>
                                                    </tfoot>
                                                    <tbody>
                                                        <?php
                                                        $thisGroupQuestion = "";
                                                        $bgcolor = "";
                                                        $tempVar = 1;
                                                        for ($i = 0; $i < sizeof($subjectiveCompQuestion); $i++) {
                                                            $record = $subjectiveCompQuestion[$i];
                                                            $tempGroupQuestion = "";
                                                            if ($thisGroupQuestion != $record->qg_question) {
                                                                $thisGroupQuestion = $record->qg_question;
                                                                $tempGroupQuestion = $record->qg_question;
                                                                $tempVar++;
                                                            } else {
                                                                $tempGroupQuestion = "";
                                                            }
                                                            if ($tempVar % 2 == 0) {
                                                                $bgcolor = "#e8e2e2";
                                                            } else {
                                                                $bgcolor = "#FFF";
                                                            }
                                                            ?>
                                                            <tr style="background-color:<?php echo $bgcolor; ?>">
                                                                <td><?php echo ($i + 1); ?></td>
                                                                <th><?php echo stripslashes($tempGroupQuestion); ?></th>
                                                                <td>
                                                                    <?php
                                                                    echo stripslashes($record->qb_question);
                                                                    if ($record->qg_image != NULL || $record->qg_image != "") {
                                                                        echo "<br><img src='" . base_url($record->qg_image) . "' width='50%'>";
                                                                    }
                                                                    ?>
                                                                </td>
                                                                <td><?php echo $record->qb_marks; ?></td>
                                                                <td><?php echo $record->stm_name; ?></td>
                                                                <td><?php echo stripslashes($record->sm_name); ?></td>
                                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->qb_updated_on)); ?></td>
                                                                <td>
                                                                    <?php if ($record->qb_delete_status == 'F') { ?>
                                                                        <i class = 'fa fa-edit' style = 'color:#002166;cursor: pointer;' title = "Edit This Question" onClick = "window.location.href = '<?php echo site_url('admin/TasksAndQuizzes/editSubjectiveComprehensiveQuestions/' . $record->qg_id) ?>'" ></i>
                                                                        <i class = "fa fa-trash" style = "color:#FF0000;cursor: pointer;" title = "Delete This Question" onClick = "deleteGroupQuestion(<?php echo $record->qg_id; ?>);"></i>
                                                                    <?php }
                                                                    ?>
                                                                </td>
                                                            </tr>
                                                        <?php } ?>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allGeneralQuestions").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            $(document).ready(function () {
                $("#allComprehensiveQuestions").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deleteQuestion(question_id) {
                if (confirm("Are You Sure To Delete This Question? Click OK To Continue And Cancel Otherwise.")) {
                    window.location.href = "<?php echo site_url('admin/TasksAndQuizzes/deleteGeneralQuestion/'); ?>" + question_id + "/S";
                }
            }

            function deleteGroupQuestion(group_question_id) {
                if (confirm("Are You Sure To Delete This Group/Comprehensive Question? Deleting A Single Sub-Question Will Delete Whole Question. For Removing Single Question Use Edit Instead. Click OK To Continue And Cancel Otherwise.")) {
                    window.location.href = "<?php echo site_url('admin/TasksAndQuizzes/deleteGroupQuestion/'); ?>" + group_question_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>