<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Employees Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Reports</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/staffReport"); ?>">Employee Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-flag-checkered"></i> Employees Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/staffReport'), ['name' => 'staffReportFitlerFrm', 'id' => 'staffReportFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="empBranch" class="input__label">Branch *</label>
                                            <select id="empBranch" name="empBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empCodeId" class="input__label">Emp. Id/Code</label>
                                            <input type="text" class="form-control" id="empCodeId" name="empCodeId" value="<?php echo set_value('empCodeId'); ?>" placeholder="Employee Id/Code" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empFirstName" class="input__label">First Name</label>
                                            <input type="text" class="form-control" id="empFirstName" name="empFirstName" value="<?php echo set_value('empFirstName'); ?>" placeholder="Employee First Name" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empLastName" class="input__label">Last Name</label>
                                            <input type="text" class="form-control" id="empLastName" name="empLastName" value="<?php echo set_value('empLastName'); ?>" placeholder="Employee Last Name" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empGender" class="input__label">Gender</label>
                                            <select id="empGender" name="empGender" class="custom-select">
                                                <option value="" <?php echo set_select("empGender", ""); ?>>All Gender</option>
                                                <option value="M" <?php echo set_select("empGender", "M"); ?>>Only Males</option>
                                                <option value="F" <?php echo set_select("empGender", "F"); ?>>Only Females</option>
                                                <option value="T" <?php echo set_select("empGender", "T"); ?>>Only Transgenders</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="empDept" class="input__label">Department</label>
                                            <?php if ($this->session->userdata("adminData")["role_id"] == 1) { ?>
                                                <select id="empDept" name="empDept" class="custom-select">
                                                    <option value="">Select Department</option>
                                                    <?php foreach ($departments as $department) { ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                    <?php }
                                                    ?>
                                                </select>
                                            <?php } else {
                                                ?>
                                                <select id = "empDept" name = "empDept" class = "custom-select readonly">
                                                    <option value = "">Select Department</option>
                                                    <?php
                                                    foreach ($departments as $department) {
                                                        $selected = ($department->dept_id == $this->session->userdata("adminData")["dept_id"]) ? "selected" : "";
                                                        ?>
                                                        <option value="<?php echo $department->dept_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            <?php } ?>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empSubDept" class="input__label">Sub-Department</label>
                                            <select id="empSubDept" name="empSubDept" class="custom-select">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesigCat" class="input__label">Designation Category</label>
                                            <select id="empDesigCat" name="empDesigCat" class="custom-select">
                                                <option value="">Select Designation Category</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo stripslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="empDesig" class="input__label">Designation</label>
                                            <select id="empDesig" name="empDesig" class="custom-select">
                                                <option value="">Select Designation</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-2">
                                            <label for="empUGCNETStatus" class="input__label">UGC-NET</label>
                                            <select id="empUGCNETStatus" name="empUGCNETStatus" class="custom-select">
                                                <option value="" <?php echo set_select("empUGCNETStatus", ""); ?>>All</option>
                                                <option value="T" <?php echo set_select("empUGCNETStatus", "T"); ?>>Qualified</option>
                                                <option value="F" <?php echo set_select("empUGCNETStatus", "N"); ?>>Not-Qualified</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="empPHDStatus" class="input__label">PhD Status</label>
                                            <select id="empPHDStatus" name="empPHDStatus" class="custom-select">
                                                <option value="" <?php echo set_select("empPHDStatus", "NA"); ?>>All</option>
                                                <option value="NA" <?php echo set_select("empPHDStatus", "NA"); ?>>Not-Applied</option>
                                                <option value="P" <?php echo set_select("empPHDStatus", "P"); ?>>Pursuing</option>
                                                <option value="S" <?php echo set_select("empPHDStatus", "S"); ?>>Submitted</option>
                                                <option value="A" <?php echo set_select("empPHDStatus", "A"); ?>>Awarded</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="empAppType" class="input__label">Appointment Type</label>
                                            <select id="empAppType" name="empAppType" class="custom-select">
                                                <option value="" <?php echo set_select("empAppType", ""); ?>>All</option>
                                                <option value="Contractual" <?php echo set_select("empAppType", "Contractual"); ?>>Contractual</option>
                                                <option value="Permanent" <?php echo set_select("empAppType", "Permanent"); ?>>Permanent</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="startDate" class="input__label">Start Date</label>
                                            <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="endDate" class="input__label">End Date</label>
                                            <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="dateRangeAppliedWith" class="input__label">Apply Range With</label>
                                            <select id="dateRangeAppliedWith" name="dateRangeAppliedWith" class="custom-select">
                                                <option value="JNG" <?php echo set_select("entryDateRangeAppliedWith", "JNG") ?>>Joinings</option>
                                                <option value="RSG" <?php echo set_select("entryDateRangeAppliedWith", "RSG") ?>>Resignings</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="allEmployeesReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Emp. Id/Code</th>
                                            <th>First Name</th>
                                            <th>Last Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Designation</th>
                                            <th>Appointment Type</th>
                                            <th style="display: none;">Desig. Category</th>
                                            <th style="display: none;">Sub. Dept</th>
                                            <th style="display: none;">Department</th>
                                            <th style="display: none;">Telephone No.</th>
                                            <th style="display: none;">D.O.B.</th>
                                            <th style="display: none;">PAN Number</th>
                                            <th style="display: none;">Branch</th>
                                            <th style="display: none;">Comm. Address State | City</th>
                                            <th style="display: none;">Comm. Full Address</th>
                                            <th style="display: none;">Resid. Address State | City</th>
                                            <th style="display: none;">Resid. Full Address</th>
                                            <th style="display: none;">Joining Date</th>
                                            <th style="display: none;">Has Resigned</th>
                                            <th style="display: none;">Resign Date</th>
                                            <th style="display: none;">Is Approving Authority</th>
                                            <th style="display: none;">Signin Id</th>
                                            <th style="display: none;">Role</th>
                                            <th style="display: none;">PG Course</th>
                                            <th style="display: none;">PG Passing Year</th>
                                            <th style="display: none;">PG University</th>
                                            <th style="display: none;">UGC-NET Qualified</th>
                                            <th style="display: none;">UGC-NET Ref. No.</th>
                                            <th style="display: none;">UGC-NET Roll No.</th>
                                            <th style="display: none;">UGC-NET Subject/Stream</th>
                                            <th style="display: none;">UGC-NET Qualifying Year</th>
                                            <th style="display: none;">PhD Status</th>
                                            <th style="display: none;">PhD Enrollment Number</th>
                                            <th style="display: none;">PhD Enrollment Date</th>
                                            <th style="display: none;">PhD Subject/Stream</th>
                                            <th style="display: none;">PhD University</th>
                                            <th style="display: none;">PhD Awarded In</th>
                                            <th style="display: none;">Photograph Path</th>
                                            <th style="display: none;">Login Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Emp. Id/Code</th>
                                            <th>First Name</th>
                                            <th>Last Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Designation</th>
                                            <th>Appointment Type</th>
                                            <th style="display: none;">Desig. Category</th>
                                            <th style="display: none;">Sub. Dept</th>
                                            <th style="display: none;">Department</th>
                                            <th style="display: none;">Telephone No.</th>
                                            <th style="display: none;">D.O.B.</th>
                                            <th style="display: none;">PAN Number</th>
                                            <th style="display: none;">Branch</th>
                                            <th style="display: none;">Comm. Address State | City</th>
                                            <th style="display: none;">Comm. Full Address</th>
                                            <th style="display: none;">Resid. Address State | City</th>
                                            <th style="display: none;">Resid. Full Address</th>
                                            <th style="display: none;">Joining Date</th>
                                            <th style="display: none;">Has Resigned</th>
                                            <th style="display: none;">Resign Date</th>
                                            <th style="display: none;">Is Approving Authority</th>
                                            <th style="display: none;">Signin Id</th>
                                            <th style="display: none;">Role</th>
                                            <th style="display: none;">PG Course</th>
                                            <th style="display: none;">PG Passing Year</th>
                                            <th style="display: none;">PG University</th>
                                            <th style="display: none;">UGC-NET Qualified</th>
                                            <th style="display: none;">UGC-NET Ref. No.</th>
                                            <th style="display: none;">UGC-NET Roll No.</th>
                                            <th style="display: none;">UGC-NET Subject/Stream</th>
                                            <th style="display: none;">UGC-NET Qualifying Year</th>
                                            <th style="display: none;">PhD Status</th>
                                            <th style="display: none;">PhD Enrollment Number</th>
                                            <th style="display: none;">PhD Enrollment Date</th>
                                            <th style="display: none;">PhD Subject/Stream</th>
                                            <th style="display: none;">PhD University</th>
                                            <th style="display: none;">PhD Awarded In</th>
                                            <th style="display: none;">Photograph Path</th>
                                            <th style="display: none;">Login Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            if ($record->smember_id == 1) {
                                                continue;
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($record->smember_code == "" || $record->smember_code == NULL) ? "-" : "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->smember_code) . "</a>"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->tprfl_lastname); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tprfl_gender == "M") {
                                                        echo "Male";
                                                    } else if ($record->tprfl_gender == "F") {
                                                        echo "Female";
                                                    } else {
                                                        echo "Transgender";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->tprfl_email); ?></td>
                                                <td><?php echo $record->tprfl_mobile_no; ?></td>
                                                <td><?php echo stripslashes($record->designatioName); ?></td>
                                                <td><?php echo $record->tprfl_appointment_type; ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->dcm_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->sub_dept_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->dept_name); ?></td>
                                                <td style="display: none;"><?php echo ($record->tprfl_tel_no == "" || $record->tprfl_tel_no == NULL) ? "-" : $record->tprfl_tel_no; ?></td>
                                                <td style="display: none;"><?php echo ($record->tprfl_dob == "" || $record->tprfl_dob == NULL) ? "-" : date("d-m-Y", strtotime($record->tprfl_dob)); ?></td>
                                                <td style="display: none;"><?php echo ($record->PANNumber == "" || $record->PANNumber == NULL) ? "" : stripslashes($record->PANNumber); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->branch_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->commCityName) . " | " . stripslashes($record->commStateName); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tprfl_comm_full_address); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->residCityName) . " | " . stripslashes($record->residStateName); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->tprfl_perma_full_address); ?></td>
                                                <td style="display: none;"><?php echo date("d-m-Y", strtotime($record->tprfl_doj)); ?></td>
                                                <td style="display: none;"><?php echo ($record->tld_working_status == 'L') ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo ($record->tprfl_dor == "" || $record->tprfl_dor == NULL) ? "Working" : date("d-m-Y", strtotime($record->tprfl_dor)); ?></td>
                                                <td style="display: none;"><?php echo ($record->tld_is_head == "T") ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo $record->tld_signinid; ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->role_name); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_pg_course); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_pg_passing_year); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_pg_university); ?></td>
                                                <td style="display: none;"><?php echo ($record->seqi_net_status == 'T') ? "Yes" : "No"; ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_net_ugc_ref_no); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_net_roll_no); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_net_stream); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_net_quali_year); ?></td>
                                                <td style="display: none;"><?php echo ($record->seqi_phd_status == 'P') ? "Pursuing" : (($record->seqi_phd_status == 'S') ? "Submitted" : (($record->seqi_phd_status == 'A') ? "Awarded" : "Not Applied")); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_phd_enroll_no); ?></td>
                                                <td style="display: none;"><?php echo ($record->seqi_phd_date == "" || $record->seqi_phd_date == NULL) ? "-" : date("d-m-Y", strtotime($record->seqi_phd_date)); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_phd_stream); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_phd_university); ?></td>
                                                <td style="display: none;"><?php echo stripslashes($record->seqi_phd_year); ?></td>
                                                <td style="display: none;"><?php echo base_url($record->staff_photograph); ?></td>
                                                <td style="display: none;">
                                                    <?php
                                                    if ($record->tld_working_status == 'L' || $record->tld_delete_status == 'T') {
                                                        echo "Employee Resigned Or Deleted";
                                                    } else {
                                                        echo ($record->tld_login_status == "T") ? "Active" : "Blocked";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#empDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            staffReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empSubDept").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#empDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            staffReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#empDesig").html("<option>Select Designation</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $(document).ready(function () {
                var selectedSubDepartment = '<?php echo $selectedSubDepartment; ?>';
                var selectedDesignation = '<?php echo $selectedDesignation; ?>';

                if ($("#empDept").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#empDept").val(), sub_dept_id: selectedSubDepartment, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empSubDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            staffReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#empDesigCat").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDownSelected/') ?>',
                        data: {desig_cat_id: $("#empDesigCat").val(), desig_id: selectedDesignation, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#empDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            staffReportFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#allEmployeesReport").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>