<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Issued Character Certficiate Report | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Certificates</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Reports/studentCCReport"); ?>">Student's CC Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-card-o"></i> Student's Character Certificate Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Reports/studentCCReport'), ['name' => 'studentCCReportFilterFrm', 'id' => 'studentCCReportFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label class="input__label"><b>Filtering Pattern:</b></label>
                                            <input type="radio" class="" id="FNW" name="filterPattern" value="FNW" <?php echo set_radio("filterPattern", "FNW"); ?>>&nbsp;<label for="FNW">Form No. Wise</label>
                                            <input type="radio" class="" id="RNW" name="filterPattern" value="RNW" <?php echo set_radio("filterPattern", "RNW"); ?>>&nbsp;<label for="RNW">Roll No./Enrl. No. Wise</label>
                                            <input type="radio" class="" id="CSW" name="filterPattern" value="CSW" <?php echo set_radio("filterPattern", "CSW"); ?>>&nbsp;<label for="CSW">Course/Session Wise (Many Records)</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuFormNo" class="input__label">Form No</label>
                                            <input type="text" class="form-control" id="stuFormNo" name="stuFormNo" value="<?php echo set_value('stuFormNo'); ?>" placeholder="Enter Form No." autocomplete="off" maxlength="15" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuRollNo" class="input__label">Roll No./Enrl. No.</label>
                                            <input type="text" class="form-control" id="stuRollNo" name="stuRollNo" value="<?php echo set_value('stuRollNo'); ?>" placeholder="Enter Roll No." autocomplete="off" maxlength="20" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select readonly">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select readonly">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select readonly">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Apply Filter&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <table id="studentCCReport" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Name & Gender</th>
                                            <th>Father's Name</th>
                                            <th>D.O.B.</th>
                                            <th>Course/Session/Type</th>
                                            <th>Status</th>
                                            <th>CC Issued</th>
                                            <th>CC Number</th>
                                            <th>Issue Date</th>
                                            <th>Issued By</th>
                                            <th>CC Type</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Enrl. No.</th>
                                            <th>Name & Gender</th>
                                            <th>Father's Name</th>
                                            <th>D.O.B.</th>
                                            <th>Course/Session/Type</th>
                                            <th>Status</th>
                                            <th>CC Issued</th>
                                            <th>CC Number</th>
                                            <th>Issue Date</th>
                                            <th>Issued By</th>
                                            <th>CC Type</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($ccReport); $i++) {
                                            $record = $ccReport[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record['stu_enroll_number']); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['stu_gender'] == "M") {
                                                        echo "<i class='fa fa-male'></i>|" . $record['stu_name'];
                                                    } else if ($record['stu_gender'] == "F") {
                                                        echo "<i class='fa fa-female'></i>|" . $record['stu_name'];
                                                    } else {
                                                        echo "<i class='fa fa-transgender'></i>|" . $record['stu_name'];
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record['stu_father_name']); ?></td>
                                                <td><?php echo stripslashes($record['stu_dob']); ?></td>
                                                <td><?php echo stripslashes($record['stu_course']) . "/" . stripslashes($record['stu_session']) . "/" . stripslashes($record['stu_entry_type']); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['stu_status'] == "CE") {
                                                        echo "Currently Enrolled";
                                                    } else if ($record['stu_status'] == "DV") {
                                                        echo "Document Verified & Counselling Complete";
                                                    } else if ($record['stu_status'] == "D") {
                                                        echo "Drop Out";
                                                    } else if ($record['stu_status'] == "E") {
                                                        echo "Expelled";
                                                    } else if ($record['stu_status'] == "P") {
                                                        echo "Passout";
                                                    } else {
                                                        echo "Not Admitted";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo ($record['is_cc_issued']) ? "<i class='fa fa-check-square' style='color:#00FF00' title='TC Issued'></i>" : "<i class='fa fa-exclamation-triangle' style='color:#FF0000;' title='TC Not Issued'></i>"; ?></td>
                                                <td><?php echo $record['cc_sr_no']; ?></td>
                                                <td><?php echo $record['cc_issue_date']; ?></td>
                                                <td><?php echo stripslashes($record['cc_issued_by']); ?></td>
                                                <td><?php echo stripslashes($record['is_cc_duplicate']); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record['is_cc_issued']) {
                                                        ?>
                                                        <i class="fa fa-eye" style="color:#002166;cursor: pointer;" title="View This TC" onClick="getCCInfo(<?php echo $record['cc_id']; ?>);"></i> 
                                                        <?php
                                                    } else {
                                                        echo "-";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentCCReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentCCReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#FNW").on("click", function () {
                $("#stuRollNo").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormNo").prop("readonly", false);
                $("#stuRollNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#RNW").on("click", function () {
                $("#stuFormNo").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormNo").prop("readonly", true);
                $("#stuRollNo").prop("readonly", false);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#CSW").on("click", function () {
                $("#stuFormNo").val("");
                $("#stuRollNo").val("");
                $("#stuFormNo").prop("readonly", true);
                $("#stuRollNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.remove("readonly");
                document.getElementById("stuSession").classList.remove("readonly");
                document.getElementById("stuEntryType").classList.remove("readonly");
            });

            $(document).ready(function () {
                var selectedPattern = '<?php echo $selectedPattern; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if (selectedPattern !== "") {
                    $("#" + selectedPattern).trigger("click");
                }
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            studentCCReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            studentCCReportFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
                $("#studentCCReport").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getCCInfo(tdii_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/DocumentIssue/getStudentCCFullInfo/'); ?>',
                    data: {tdii_id: tdii_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisCCInfo = JSON.parse(result);
                        csrfHash = thisCCInfo.csrfHash;
                        studentCCReportFilterFrm.csrf_token.value = csrfHash;
                        $("#ccNumber").html(thisCCInfo.cc_sr_no);
                        $("#ccDate").html(thisCCInfo.cc_date);
                        $("#ccContent").html(thisCCInfo.cc_content_html);
                        (thisCCInfo.is_duplicate === "T") ? $("#ccIsDuplicate").html("DUPLICATE") : $("#ccIsDuplicate").html("");
                        $("#ccViewModal").modal('show');
                    }
                });
            }

            function printCC() {
                var divToPrint = document.getElementById("ccPreview").innerHTML;
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html><body onload="window.print()">' + divToPrint + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- CC View Modal Ends -->
        <div class="modal fade" id="ccViewModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">View Character Certificate | <a href="#" onClick="printCC();" title="Print This Character Certificate"><i class="fa fa-print"></i></a></h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div id="ccPreview" class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <div style="background: #FFF;">
                            <table width="800" border="0" cellpadding="0" cellspacing="0" style="border:1px solid #000;" align="center">
                                <tr> 
                                    <td width="3"></td>
                                    <td width="797" align="center" valign="top">
                                        <table align="center" width="100%" border="0" cellpadding="0" cellspacing="0">
                                            <tr> 
                                                <td width="797" height="48" valign="top">
                                                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td width="797" height="120" align="center" valign="top"><img src="<?php echo base_url('assets/admin/images/smsheader.png'); ?>" width="95%" height="100" style="margin-top:4%"></td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                            <tr> 
                                                <td height="48" valign="top">
                                            <center>
                                                <p style="margin:5%;font-family: Courier;font-size: 15px;">
                                                <h4 style="font-family:Times;"><b><u>TO WHOM TO SO EVER IT MAY CONCERN</u></b></h4>
                                                </p>
                                            </center>
                                    </td>
                                </tr>

                                <tr style="font-family: Arial;font-size:12px;"> 
                                    <td height="48" valign="top">
                                        <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td width="797" height="25" valign="top">
                                                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr>
                                                            <td width="388" height="25" valign="middle">
                                                                <span style="margin-left:5%"><b>&nbsp;No.:&nbsp;<span id="ccNumber"></span>&nbsp;</b></span>
                                                            </td>
                                                            <td width="406" align="left"> 
                                                                <span style="margin-left:65%"><b>Date:&nbsp;<span id="ccDate"></span>&nbsp;</b></span>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr> 
                                    <td height="48" valign="top">
                                <center>
                                    <b><span id="ccIsDuplicate"></span></b>
                                    <h5 style="font-family:Times;"><b>CHARACTER CERTIFICATE</b></h5>
                                </center>
                                </td>
                                </tr>
                            </table>
                            <table id="ccContent">
                            </table>
                            </table>
                        </div>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- CC View Modal Ends -->
    </body>
</html>