<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Assign Supervisor To Employee | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Staff/supervisors"); ?>">Supervisor Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Staff/assignSupervisor"); ?>">Assign New Supervisor</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Assign New Supervisor <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Staff/saveNewSupervisorAssignment'), ['name' => 'supervisorAssignmentFrm', 'id' => 'supervisorAssignmentFrm']); ?>
                                <fieldset>
                                    <legend>Subordinate Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="subordinateDesigCat" class="input__label">Designation Category *</label>
                                            <select id="subordinateDesigCat" name="subordinateDesigCat" class="form-control input-style">
                                                <option value="">Select Designation Category</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo addslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subordinateDesig" class="input__label">Designation *</label>
                                            <select id="subordinateDesig" name="subordinateDesig" class="form-control input-style">
                                                <option value="">Select Designation</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="subordinateUser" class="input__label">Select Subordinate Employee *</label>
                                            <select id="subordinateUser" name="subordinateUser" class="form-control input-style">
                                                <option value="">Select Employee</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Supervisor Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="supervisorUser" class="input__label">Select Supervisor *</label>
                                            <select id="supervisorUser" name="supervisorUser" class="form-control input-style">
                                                <option value="">Select Supervisor Employee</option>
                                                <?php foreach ($supervisors as $supervisor) { ?>
                                                    <option value="<?php echo $supervisor->smember_id; ?>"><?php echo stripslashes($supervisor->tprfl_firstname . " " . $supervisor->tprfl_lastname); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Make Assignment</button>
                                <small id="officeInfoInstruction" class="form-text text-muted"><b>Note: If Any Subordinate Has Already Been Assigned A Supervisor Then In Such Case Previous Assignment Will Be Overridden By The New Selection.</b></small>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subordinateDesigCat").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subordinateDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            supervisorAssignmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subordinateDesig").html("<option>Select Designation</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#subordinateDesig").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesByDesignationForDropDown/') ?>',
                        data: {desig_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var empInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subordinateUser").html(empInfo.emp_list);
                            csrfHash = empInfo.csrfHash;
                            supervisorAssignmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subordinateUser").html("<option>Select Employee</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(document).ready(function () {
                if ($("#subordinateDesigCat").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Designation/getNonDeletedActiveDesignationsForDropDown/') ?>',
                        data: {desig_cat_id: $("#subordinateDesigCat").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var desigInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subordinateDesig").html(desigInfo.desig_list);
                            csrfHash = desigInfo.csrfHash;
                            supervisorAssignmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>