<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Employee Promotions List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">HR</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Staff/promotion"); ?>">Employee Promotion</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-address-card-o"></i> Employee Promotion</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/Staff/promotion'), ['name' => 'staffPromotionFitlerFrm', 'id' => 'staffPromotionFitlerFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-8">
                                            <label for="employee" class="input__label">Employee</label>
                                            <select id="employee" name="employee" class="custom-select">
                                                <option value="">All Employees</option>
                                                <?php foreach ($workingEmployee as $employee) { ?>
                                                    <option value="<?php echo $employee->smember_id; ?>" <?php echo set_select("employee", $employee->smember_id); ?>><?php echo stripslashes($employee->tprfl_firstname . " " . $employee->tprfl_lastname) . " (" . $employee->tld_signinid . ")"; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="col-md-4">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Get Promotion Info&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Staff/createPromotion"); ?>'" tooltip="Create New Promotion"><i class="fa fa-plus"></i> Create New Promotion</button><br><br>
                                <table id="allPromotions" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Name</th>
                                            <th>Department</th>
                                            <th>Sub-Department</th>
                                            <th>Category/Type</th>
                                            <th>Designation</th>
                                            <th>D.O.J.</th>
                                            <th>D.O.R.</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Name</th>
                                            <th>Department</th>
                                            <th>Sub-Department</th>
                                            <th>Category/Type</th>
                                            <th>Designation</th>
                                            <th>D.O.J.</th>
                                            <th>D.O.R.</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($promotionInfo); $i++) {
                                            $record = $promotionInfo[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->empName); ?></td>
                                                <td><?php echo stripslashes($record->dept_name); ?></td>
                                                <td><?php echo stripslashes($record->sub_dept_name); ?></td>
                                                <td><?php echo stripslashes($record->dcm_name); ?></td>
                                                <td><?php echo stripslashes($record->designationName); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->spm_doj)); ?></td>
                                                <td><?php echo ($record->spm_dor == NULL || $record->spm_dor == "") ? "-" : date("d-m-Y", strtotime($record->spm_dor)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tld_delete_status == "T" || $record->tld_working_status == "L") {
                                                        echo "Deleted Or Resigned Employee";
                                                    } else {
                                                        ?>
                                                        <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Promotion" onClick="window.location.href = '<?php echo site_url('admin/Staff/editPromotion/' . $record->spm_id) ?>'"  ></i>
                                                    <?php }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allPromotions").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'portrait', pageSize: 'LEGAL'}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>