<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Employees List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">HR</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Staff"); ?>">All Employees</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-users"></i> Employees Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Staff/addNewEmployee"); ?>'" tooltip="Add New Employee"><i class="fa fa-plus"></i> Add New Employee</button><br><br>
                                <table id="allEmployees" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Id/Code</th>
                                            <th>Full Name</th>
                                            <th>Designation</th>
                                            <th>Signin Id</th>
                                            <th>Mobile</th>
                                            <th>Login Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Employee Id/Code</th>
                                            <th>Full Name</th>
                                            <th>Designation</th>
                                            <th>Signin Id</th>
                                            <th>Mobile</th>
                                            <th>Login Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allEmployees); $i++) {
                                            $record = $allEmployees[$i];
                                            if ($record->smember_id == $this->session->userdata("adminData")["smember_id"] || $record->smember_id == 1) {
                                                continue;
                                            }
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($record->smember_code == "" || $record->smember_code == NULL) ? "-" : "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . $record->smember_code . "</a>"; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tprfl_gender == "M") {
                                                        echo "<i class='fa fa-male'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    } else if ($record->tprfl_gender == "F") {
                                                        echo "<i class='fa fa-female'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    } else {
                                                        echo "<i class='fa fa-transgender'></i>|" . "<a href='" . site_url("admin/Staff/viewEmployee/" . $record->smember_id) . "' target='_blank'>" . stripslashes($record->tprfl_firstname);
                                                        echo ($record->tprfl_lastname == "" || $record->tprfl_lastname == NULL) ? "" : " " . stripslashes($record->tprfl_lastname) . "</a>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo stripslashes($record->designatioName); ?></td>
                                                <td><?php echo $record->tld_signinid; ?></td>
                                                <td><?php echo $record->tprfl_mobile_no; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->tld_working_status == 'L' || $record->tld_delete_status == 'T') {
                                                        echo "<i class='fa fa-ban' style='color:#FF0000;'></i>";
                                                    } else {
                                                        echo ($record->tld_login_status == "T") ? "<i class='fa fa-check' style='color:#00FF00;'></i>Active" : "<i class='fa fa-ban' style='color:#FF0000;'></i>Blocked";
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php
                                                    if ($record->tld_working_status != 'L') {
                                                        if ($record->tld_delete_status == 'F') {
                                                            if ($record->tld_login_status == 'T') {
                                                                ?>
                                                                <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Block Employee's Login" onClick="window.location.href = '<?php echo site_url('admin/Staff/toggleStaffLoginActiveStatus/' . $record->tld_id . '/F') ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit Employee's Info" onClick="window.location.href = '<?php echo site_url('admin/Staff/editEmployee/' . $record->smember_id) ?>'"  ></i>
                                                                <i class="fa fa-key" style="color:#002166;cursor: pointer;" title="Reset Password (12345)" onClick="resetPassword(<?php echo $record->tld_id; ?>);"></i> 
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Employee" onClick="deleteEmployee(<?php echo $record->tld_id; ?>);"></i> 
                                                            <?php } else { ?>
                                                                <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Unblock Employee's Login" onClick="window.location.href = '<?php echo site_url('admin/Staff/toggleStaffLoginActiveStatus/' . $record->tld_id . '/T') ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit Employee's Info" onClick="window.location.href = '<?php echo site_url('admin/Staff/editEmployee/' . $record->smember_id) ?>'"  ></i>
                                                                <i class="fa fa-key" style="color:#002166;cursor: pointer;" title="Reset Password (12345)" onClick="resetPassword(<?php echo $record->tld_id; ?>);"></i> 
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Employee" onClick="deleteEmployee(<?php echo $record->tld_id; ?>);"></i> 
                                                                <?php
                                                            }
                                                        } else {
                                                            ?>
                                                            <b><a href="<?php echo site_url('admin/Staff/undoDeleteStaff/' . $record->tld_id) ?>" title="This Employee Is Deleted. Click This Icon To Recover."><i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Employee Resigned Dated <?php echo date("d-m-Y", strtotime($record->tld_updated_on)); ?></b> 
                                                    <?php } ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getStaffInfo(<?php echo $record->smember_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                $("#allEmployees").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function resetPassword(tld_id) {
                if (confirm("Are You Sure To Reset This Employee's Password?")) {
                    window.location.href = "<?php echo site_url('admin/Staff/resetStaffLoginPassword/'); ?>" + tld_id;
                }
            }

            function deleteEmployee(tld_id) {
                if (confirm("Are You Sure To Delete This Employee?")) {
                    window.location.href = "<?php echo site_url('admin/Staff/deleteStaff/'); ?>" + tld_id;
                }
            }

            function getStaffInfo(smember_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Staff/getStaffFullInfo/'); ?>',
                    data: {smember_id: smember_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisEmpInfo = JSON.parse(result);
                        csrfHash = thisEmpInfo.csrfHash;
                        $("#staff_image").prop("src", '<?php echo base_url("/"); ?>' + thisEmpInfo.staff_photograph);
                        $("#staff_name").html(thisEmpInfo.staff_name);
                        $("#staff_code_id").html(thisEmpInfo.staff_code_id);
                        $("#staff_desig").html(thisEmpInfo.staff_designation);
                        $("#staff_role").html(thisEmpInfo.staff_role);
                        $("#staff_sub_dept_dept").html(thisEmpInfo.staff_sub_dept);
                        $("#staff_department").html(thisEmpInfo.staff_dept);
                        $("#staff_email").html(thisEmpInfo.staff_email);
                        $("#staff_mobile").html(thisEmpInfo.staff_mobile);
                        $("#staff_tel_no").html(thisEmpInfo.staff_tel_no);
                        $("#staff_gender").html(thisEmpInfo.staff_gender);
                        $("#staff_dob").html(thisEmpInfo.staff_dob);
                        $("#staff_doj").html(thisEmpInfo.staff_doj);
                        $("#staff_comm_city").html(thisEmpInfo.staff_comm_city);
                        $("#staff_comm_state").html(thisEmpInfo.staff_comm_state);
                        $("#staff_comm_address").html(thisEmpInfo.staff_comm_address);
                        $("#staff_resid_city").html(thisEmpInfo.staff_resid_city);
                        $("#staff_resid_state").html(thisEmpInfo.staff_resid_state);
                        $("#staff_resid_address").html(thisEmpInfo.staff_resid_address);
                        $("#staff_signin_id").html(thisEmpInfo.staff_signinid);
                        $("#staff_branch").html(thisEmpInfo.staff_branch);
                        $("#staff_login_status").html(thisEmpInfo.staff_login_status);
                        $("#staff_work_status").html(thisEmpInfo.staff_work_status);
                        $("#staff_login_created_by").html(thisEmpInfo.staff_login_created_by);
                        $("#staff_profile_updated_on").html(thisEmpInfo.saff_profile_updated_on);
                        $("#staff_login_info_updated_on").html(thisEmpInfo.staff_security_info_updated_on);
                        $("#staff_if_logged_in").html(thisEmpInfo.staff_have_logged_in);
                        $("#staffDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Employee Details Modal Starts -->
        <div class="modal fade" id="staffDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Employee Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="staff_image" width="100px"><br>
                                        <b><span id="staff_name"></span>|<span id="staff_code_id"></span></b><br>
                                        <b><span id="staff_desig"></span></b><br>
                                        <b><span id="staff_role"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Sub. Dept.</b></div>
                                <div class="col-sm-3"><span id="staff_sub_dept_dept"></span></div>
                                <div class="col-sm-3"><b>Dept.</b></div>
                                <div class="col-sm-3"><span id="staff_department"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-3"><span id="staff_email"></span></div>
                                <div class="col-sm-3"><b>Mobile</b></div>
                                <div class="col-sm-3"><span id="staff_mobile"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Tel. No.</b></div>
                                <div class="col-sm-3"><span id="staff_tel_no"></span></div>
                                <div class="col-sm-3"><b>Gender</b></div>
                                <div class="col-sm-3"><span id="staff_gender"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>D.O.B.</b></div>
                                <div class="col-sm-3"><span id="staff_dob"></span></div>
                                <div class="col-sm-3"><b>D.O.J.</b></div>
                                <div class="col-sm-3"><span id="staff_doj"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Comm. City</b></div>
                                <div class="col-sm-3"><span id="staff_comm_city"></span></div>
                                <div class="col-sm-3"><b>Comm. State</b></div>
                                <div class="col-sm-3"><span id="staff_comm_state"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Comm. Full Address</b></div>
                                <div class="col-sm-9"><span id="staff_comm_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resid. City</b></div>
                                <div class="col-sm-3"><span id="staff_resid_city"></span></div>
                                <div class="col-sm-3"><b>Resid. State</b></div>
                                <div class="col-sm-3"><span id="staff_resid_state"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resid. Full Address</b></div>
                                <div class="col-sm-9"><span id="staff_resid_address"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Signin Id</b></div>
                                <div class="col-sm-3"><span id="staff_signin_id"></span></div>
                                <div class="col-sm-3"><b>Branch</b></div>
                                <div class="col-sm-3"><span id="staff_branch"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Login Status</b></div>
                                <div class="col-sm-3"><span id="staff_login_status"></span></div>
                                <div class="col-sm-3"><b>Working Status</b></div>
                                <div class="col-sm-3"><span id="staff_work_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Login/Profile Created By</b></div>
                                <div class="col-sm-9"><span id="staff_login_created_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Profile Last Updated On</b></div>
                                <div class="col-sm-9"><span id="staff_profile_updated_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Security Info Last Updated On</b></div>
                                <div class="col-sm-3"><span id="staff_login_info_updated_on"></span></div>
                                <div class="col-sm-3"><b>Ever Logged In</b></div>
                                <div class="col-sm-3"><span id="staff_if_logged_in"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Employee Details Modal Ends -->
    </body>
</html>