<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Assign Priviledge To <?php echo $assignmentInfo['name']; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Staff/priviledges"); ?>">Priviledge Assignment Step 1</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Priviledge Assignment Step 2</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Priviledge Assignment Step 2 : Select Operation(s)/Group(s) To Be Assigned To <?php echo $assignmentInfo['name']; ?> </h3><br>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Staff/priviledges"); ?>'" tooltip="Reselect User Again"><i class="fa fa-arrow-left"></i> Step 1: Re-Select Asignee Employee</button>
                                <small style="color:#FF0000;font-weight: bolder;">Please Do Not Refresh Or User Browser's Back Button.</small>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Staff/savePriviledge'), ['name' => 'priviledgeAssignmentFrmStepTwo', 'id' => 'priviledgeAssignmentFrmStepTwo', 'class' => 'was-validated']); ?>
                                <?php
                                $priviledgeInfo = $assignmentInfo['priviledge_assignment'];
                                for ($i = 0; $i < sizeof($priviledgeInfo); $i++) {
                                    $mainMenuRecord = $priviledgeInfo[$i];
                                    $subMenuRecord = $mainMenuRecord['operations'];
                                    ?>
                                    <fieldset>
                                        <legend>
                                            <?php
                                            if ($mainMenuRecord['is_group_isolated']) {
                                                echo ($mainMenuRecord['is_group_assigned'])?"<i class='" . $mainMenuRecord['group_icon'] . "'></i> <label for='optrnGroup" . $mainMenuRecord['group_id'] . "'>" . $mainMenuRecord['group_name'] . "</label>&nbsp;<input type='checkbox' id='optrnGroup" . $mainMenuRecord['group_id'] . "' name='groups[]' value='" . $mainMenuRecord['group_id'] . "' checked>":"<i class='" . $mainMenuRecord['group_icon'] . "'></i> <label for='optrnGroup" . $mainMenuRecord['group_id'] . "'>" . $mainMenuRecord['group_name'] . "</label>&nbsp;<input type='checkbox' id='optrnGroup" . $mainMenuRecord['group_id'] . "' name='groups[]' value='" . $mainMenuRecord['group_id'] . "'>";
                                                echo "&nbsp;<small>This Is An Isolated Menu Group Operation. Check This If You Want To Assign It To User.</small>";
                                            } else {
                                                echo "<i class='" . $mainMenuRecord['group_icon'] . "'></i> " . $mainMenuRecord['group_name'];
                                            }
                                            ?>
                                        </legend>
                                        <hr>
                                        <div class="form-row container-fluid">
                                            <?php
                                            for ($j = 0; $j < sizeof($subMenuRecord); $j++) {
                                                $thisSubMenuRecord = $subMenuRecord[$j];
                                                ?>
                                                <div class="form-group custom-control custom-checkbox col-md-2">
                                                    <input id="optrns<?php echo $thisSubMenuRecord['oprtn_id']; ?>" type="checkbox" name="operations[]" value="<?php echo $thisSubMenuRecord['oprtn_id']; ?>" class="custom-control-input" <?php echo ($thisSubMenuRecord['is_oprtn_assigned']) ? "checked" : ""; ?>>
                                                    <label class="custom-control-label" for="optrns<?php echo $thisSubMenuRecord['oprtn_id']; ?>"> <?php echo stripslashes($thisSubMenuRecord['oprtn_name']); ?></label>
                                                    <input type="hidden" name="operationGroup[<?php echo $thisSubMenuRecord['oprtn_id'] ?>]" value="<?php echo $mainMenuRecord['group_id']; ?>">
                                                </div>
                                            <?php }
                                            ?>
                                        </div>
                                    </fieldset>
                                <?php }
                                ?>
                                <input type="hidden" name="selectedUser" value="<?php echo $assignmentInfo['smember_id']; ?>">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Assign Priviledges</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>