<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Purchase Voucher | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-select.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Inventory & Stock</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/vouchers"); ?>">Voucher Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/createVoucher"); ?>">Create New Voucher</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Purchase Voucher</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/StockAndPurchase/savePurchaseVoucher'), ['name' => 'purchaseVoucherCreationFrm', 'id' => 'purchaseVoucherCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="invoiceNoInput" class="input__label">Bill/Invoice No. *</label>
                                        <select id="invoiceNoInput" name="invoiceNoInput" class="form-control selectpicker" data-selected-text-format="count > 1" data-dropup-auto="true" data-live-search="true" title="Select/Type Invoice No.">
                                            <option value="">Select Invoice</option>
                                            <?php
                                            foreach ($allInvoices as $invoice) {
                                                $selected = ($invoice->pm_id == $pm_id) ? "selected" : "";
                                                ?>
                                                <option value="<?php echo $invoice->pm_id; ?>" <?php echo ($selected == "selected") ? $selected : set_select("invoiceNoInput", $invoice->pm_id); ?>><?php echo stripslashes($invoice->pm_invoice_number) . " Dated " . date("d-m-Y", strtotime($invoice->pm_invoice_date)); ?></option>
                                            <?php }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="fetchInvoiceInfo" class="input__label"></label>
                                        <button type="button" id="fetchInvoiceInfo" name="fetchInvoiceInfo" onClick="getInvoiceInfo();" class="btn btn-sm btn-warning pull-right">Fetch Invoice Info&nbsp;<i class="fa fa-arrow-left"></i></button>
                                    </div>
                                </div>
                                <div id="printBtn" class="form-row" style="display:none;">
                                    <div class="col-md-12">
                                        <label for="print" class="input__label"></label>
                                        <i class="fa fa-print" onClick="printVoucherInfo();" style="cursor: pointer;" title="Click To Print"></i>
                                    </div>
                                </div>
                                <div id="printableArea">
                                    <fieldset id="invoiceDetails" style="display:none;">
                                        <legend>Invoice Info</legend>
                                        <div><br>
                                            <table border="1" class="table table-primary table-hover table-striped">
                                                <tr>
                                                    <th>Bill/Invoice No.</th>
                                                    <td><b><span id="invoiceNo" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Invoice Date</th>
                                                    <td><b><span id="invoiceDate" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Total Invoice Amt.+Tax</th>
                                                    <td><b><span id="totalAmt" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Category</th>
                                                    <td><b><span id="invCat" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Purchase Head</th>
                                                    <td><b><span id="pHead" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Supplier</th>
                                                    <td><b><span id="vendor" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Total Item(s)</th>
                                                    <td><b><span id="totalItems" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Paid Till Now</th>
                                                    <td><b><span id="paidTillNow" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                    <th>Amount Pending</th>
                                                    <td><b><span id="amtPending" style="color:#002166;text-decoration: underline;font-size: smaller;"></span></b></td>
                                                </tr>
                                            </table>
                                            <div class="form-row">
                                                <div class="col-md-12">
                                                    <a href="javascript:void(0);" id="invoiceFile" target="_blank">Click To See Invoice File</a>
                                                </div>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <fieldset id="itemFieldset" style="display: none;">
                                        <legend>Item Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-active">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Asset/Item Name</th>
                                                    <th>Make</th>
                                                    <th>Model</th>
                                                    <th>Qty.</th>
                                                    <th>Unit Price</th>
                                                    <th>Tax %</th>
                                                    <th>Total Amt.</th>
                                                </tr>
                                                <tbody id="itemDetails"></tbody>
                                                <tr style="border-top:2px solid #000;">
                                                    <th colspan="7">Total Invoice Amount (With Tax)</th>
                                                    <td colspan="1">
                                                        <b><label id="totalInvoiceAmtBelow"></label></b>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </fieldset>
                                    <fieldset id="preVouchers" style="display: none;">
                                        <legend>Previous Voucher(s) Info</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-dark">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Mode</th>
                                                    <th>Details</th>
                                                    <th>Amount</th>
                                                    <th>Date</th>
                                                </tr>
                                                <tbody id="preVoucherDetails"></tbody>
                                            </table>
                                        </div>
                                    </fieldset>
                                </div>
                                <fieldset id="paymentVoucherInfo" style="display: none;">
                                    <legend>Add New Voucher</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="pvmMode" class="input__label">Select Mode *</label>
                                            <select id="pvmMode" name="pvmMode" class="custom-select">
                                                <option value="">Select Mode</option>
                                                <option value="PFMS Voucher">PFMS Voucher</option>
                                                <option value="Cheque">Cheque</option>
                                                <option value="NEFT">NEFT</option>
                                                <option value="RTGS">RTGS</option>
                                                <option value="Others">Others</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label id="pvmDetaiLabel" for="pvmDetail" class="input__label">Details *</label>
                                            <input type="text" class="form-control" id="pvmDetail" name="pvmDetail" value="<?php echo set_value('pvmDetail'); ?>" placeholder="Enter Details" maxlength="500">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="pvmAmount" class="input__label">Amount *</label>
                                            <input type="text" class="form-control" id="pvmAmount" name="pvmAmount" value="<?php echo set_value('pvmAmount'); ?>" onkeypress="return isValidAmount(event);" placeholder="Enter Voucher Amount" maxlength="20">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="pvmDate" class="input__label">Date *</label>
                                            <input type="text" class="form-control" id="pvmDate" name="pvmDate" value="<?php echo set_value('pvmDate'); ?>" placeholder="Enter Voucher Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                    </div>
                                    <input type="hidden" id="pvmPaidAmt" name="pvmPaidAmt" value="">
                                    <input type="hidden" id="pvmPendingAmt" name="pvmPendingAmt" value="">
                                    <input type="hidden" id="pvmPaidTillNow" name="pvmPaidTillNow" value="">
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <button id="submitBtn" name="submitBtn" type="button" class="btn btn-primary btn-block btn-style mt-4">Create Purchase Voucher</button>
                                </fieldset>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#pvmDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#invoiceNoInput").on("change", function () {
                getInvoiceInfo();
            });

            $("#pvmMode").on("change", function () {
                if ($(this).val() === "") {
                    $("#pvmDetaiLabel").html("Details");
                } else if ($(this).val() === "PFMS Voucher") {
                    $("#pvmDetaiLabel").html("PFMS Voucher Details");
                } else if ($(this).val() === "Cheque") {
                    $("#pvmDetaiLabel").html("Cheque Details");
                } else if ($(this).val() === "NEFT") {
                    $("#pvmDetaiLabel").html("NEFT Details");
                } else if ($(this).val() === "RTGS") {
                    $("#pvmDetaiLabel").html("RTGS Details");
                } else {
                    $("#pvmDetaiLabel").html("Other Details");
                }
            });

            $("#submitBtn").on("click", function () {
                if ($("#pvmMode").val().trim() === "") {
                    $("#spnErr").html("Please Select Payment Mode");
                    $("#pvmMode").focus();
                } else if ($("#pvmDetail").val().trim() === "") {
                    $("#spnErr").html("Please Enter Payment Mode Details");
                    $("#pvmDetail").focus();
                } else if ($("#pvmAmount").val().trim() === "") {
                    $("#spnErr").html("Please Enter Payment Amount");
                    $("#pvmAmount").focus();
                } else if ($("#pvmDate").val().trim() === "") {
                    $("#spnErr").html("Please Enter/Select Payment Date");
                    $("#pvmDate").focus();
                } else if (isNaN($("#pvmAmount").val().trim())) {
                    $("#spnErr").html("Only Numbers Are Accepted In Amount Field");
                    $("#pvmAmount").focus();
                } else {
                    if (parseFloat($("#pvmAmount").val().trim()) <= parseFloat($("#pvmPendingAmt").val().trim())) {
                        $("#pvmPaidTillNow").val((parseFloat($("#pvmAmount").val().trim())) + (parseFloat($("#pvmPaidAmt").val().trim())));
                        $("#spnErr").html("");
                        $("#purchaseVoucherCreationFrm").submit();
                    } else if ($("#pvmPendingAmt").val().trim() === "0") {
                        $("#spnErr").html("No More Voucher Can Be Created Against This Invoice As The Amount Has Already Been Settled.");
                    } else {
                        $("#spnErr").html("The Amount You Are Trying To Enter Is Exceeding The Total Invoice Amount.");
                        $("#pvmAmount").focus();
                    }
                }
            }
            );

            function getInvoiceInfo() {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#invoiceNoInput").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/StockAndPurchase/getPurchaseFullInfo/'); ?>',
                        data: {pm_id: $("#invoiceNoInput").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            $(".se-pre-con").fadeOut("slow");
                            var thisInvoiceInfo = JSON.parse(result);
                            csrfHash = thisInvoiceInfo.csrfHash;
                            purchaseVoucherCreationFrm.csrf_token.value = csrfHash;
                            $("#invoiceFile").prop("href", thisInvoiceInfo.pm_invoice_file);
                            $("#invoiceNo").html(thisInvoiceInfo.pm_invoice_number);
                            $("#invoiceDate").html(thisInvoiceInfo.pm_invoice_date);
                            $("#totalAmt").html(thisInvoiceInfo.pm_total_amt_with_tax);
                            $("#totalInvoiceAmtBelow").html(thisInvoiceInfo.pm_total_amt_with_tax);
                            $("#totalItems").html(thisInvoiceInfo.pm_total_items);
                            $("#paidTillNow").html(thisInvoiceInfo.pvm_paid_till_now);
                            $("#invCat").html(thisInvoiceInfo.category_name);
                            $("#pHead").html(thisInvoiceInfo.purchase_head);
                            $("#vendor").html(thisInvoiceInfo.vendor_business_name);
                            $("#amtPending").html(thisInvoiceInfo.amount_pending);
                            $("#pvmPaidAmt").val(thisInvoiceInfo.paid_amt);
                            $("#pvmPendingAmt").val(thisInvoiceInfo.pending_amt);
                            var purchaseDetails = "";
                            for (var i = 0; i < thisInvoiceInfo.pm_purchase_details.length; i++) {
                                purchaseDetails += "<tr>";
                                purchaseDetails += "<td>" + (i + 1) + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_item_name + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_make + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_model + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_quantity + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_unit_price + "</td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_tax_perc + "% </td>";
                                purchaseDetails += "<td>" + thisInvoiceInfo.pm_purchase_details[i].pd_tot_cost_with_tax + "</td>";
                                purchaseDetails += "</tr>";
                            }
                            $("#itemDetails").html(purchaseDetails);
                            var purchaseVoucherDetails = "";
                            for (var i = 0; i < thisInvoiceInfo.pm_purchase_voucher_details.length; i++) {
                                purchaseVoucherDetails += "<tr>";
                                purchaseVoucherDetails += "<td>" + (i + 1) + "</td>";
                                purchaseVoucherDetails += "<td>" + thisInvoiceInfo.pm_purchase_voucher_details[i].pvm_mode + "</td>";
                                purchaseVoucherDetails += "<td>" + thisInvoiceInfo.pm_purchase_voucher_details[i].pvm_detail + "</td>";
                                purchaseVoucherDetails += "<td>" + thisInvoiceInfo.pm_purchase_voucher_details[i].pvm_amount + "</td>";
                                purchaseVoucherDetails += "<td>" + thisInvoiceInfo.pm_purchase_voucher_details[i].pvm_date + "</td>";
                                purchaseVoucherDetails += "</tr>";
                            }
                            if (purchaseVoucherDetails === "") {
                                $("#preVoucherDetails").html("<tr><td colspan='4'>No Payment Voucher Has Been Added Against This Invoice</td></tr>");
                            } else {
                                $("#preVoucherDetails").html(purchaseVoucherDetails);
                            }
                            $("#paymentVoucherInfo").css("display", "block");
                            $("#itemFieldset").css("display", "block");
                            $("#invoiceDetails").css("display", "block");
                            $("#preVouchers").css("display", "block");
                            $("#printBtn").css("display", "block");
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#itemDetails").html("");
                    $("#paymentVoucherInfo").css("display", "none");
                    $("#itemFieldset").css("display", "none");
                    $("#invoiceDetails").css("display", "none");
                }
            }

            function isValidAmount() {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }

            function printVoucherInfo() {
                var divToPrint = document.getElementById("printableArea").innerHTML;
                document.body.innerHTML = divToPrint;
                window.print();
                location.reload();
            }

            $(document).ready(function () {
                if ($("#invoiceNoInput").val().trim() !== "") {
                    getInvoiceInfo();
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>