<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Editing <?php echo stripslashes($verificationTitleInfo->svtm_name); ?> Title | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/IssueAndReturn/stockVerificationSetup"); ?>">Verification Title Mgmt.</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/IssueAndReturn/editVerificationTitle/" . $verificationTitleInfo->svtm_id); ?>">Edit Verification Title</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-edit"></i> Edit Stock Verification Title => <b><?php echo stripslashes($verificationTitleInfo->svtm_name); ?></b></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/IssueAndReturn/updateStockVerificationTitle'), ['name' => 'verificationTitleUpdateFrm', 'id' => 'verificationTitleUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Title Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="verificationTitle" class="input__label">Title *</label>
                                            <input type="text" class="form-control input-style" id="verificationTitle" name="verificationTitle" value="<?php echo stripslashes($verificationTitleInfo->svtm_name); ?>" placeholder="Enter Title" maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="verificationTitleDesc" class="input__label">Description</label>
                                            <textarea class="form-control input-style" name="verificationTitleDesc" id="verificationTitleDesc" placeholder="Enter Title Description (Max. 500 Chars)" maxlength="100"><?php echo stripslashes($verificationTitleInfo->svtm_description); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Upload</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="verificationFile" class="input__label">Upload Scanned Verification File</label>
                                            <input type="file" class="form-control" id="verificationFile" name="verificationFile">
                                            <small id="verificationFileInstruction" class="form-text text-muted">Allowed Extensions:*.pdf; Max. File Size: 5 MB</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <?php if ($verificationTitleInfo->svtm_verification_file != "" || $verificationTitleInfo->svtm_verification_file != NULL) { ?>
                                                <label class="input__label"></label><br>
                                                <label class="input__label pull-right"><a href="<?php echo base_url($verificationTitleInfo->svtm_verification_file); ?>" target="_blank"><i class="fa fa-hand-pointer-o"></i>View Uploaded File</a></label>
                                            <?php }
                                            ?>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="currentFile" value="<?php echo $verificationTitleInfo->svtm_verification_file; ?>">
                                <input type="hidden" name="verificationTitleId" id="verificationTitleId" value="<?php echo stripslashes($verificationTitleInfo->svtm_id); ?>" />
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>