<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Payment Vouchers | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">

        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/vouchers"); ?>">Voucher Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/StockAndPurchase/vouchers"); ?>">All Purchase Vouchers</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-credit-card-alt"></i> Payment Vouchers</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/StockAndPurchase/createVoucher"); ?>'" tooltip="Create New Voucher"><i class="fa fa-plus"></i> Create New Voucher</button><br><br>
                                <table id="allPurchaseVoucher" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice/Bill No.</th>
                                            <th>Invoice Date</th>
                                            <th colspan="5">Voucher Info</th>
                                        </tr>
                                        <tr>
                                            <th colspan="3"></th>
                                            <th>Mode</th>
                                            <th>Detail</th>
                                            <th>Amount</th>
                                            <th>Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Invoice/Bill No.</th>
                                            <th>Invoice Date</th>
                                            <th>Voucher Mode</th>
                                            <th>Voucher Detail</th>
                                            <th>Voucher Amount</th>
                                            <th>Voucher Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allVouchers); $i++) {
                                            $record = $allVouchers[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->pm_invoice_file == "" || $record->pm_invoice_file == NULL) {
                                                        echo stripslashes($record->pm_invoice_number);
                                                    } else {
                                                        echo "<a href='" . base_url($record->pm_invoice_file) . "' target='_blank'>" . stripslashes($record->pm_invoice_number) . "</a>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo ($record->pm_invoice_date == "1970-01-01") ? "Invalid Date" : date("d-m-Y", strtotime($record->pm_invoice_date)); ?></td>
                                                <td><?php echo stripslashes($record->pvm_mode); ?></td>
                                                <td><?php echo stripslashes($record->pvm_detail); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i>" . $record->pvm_amount . "/- INR"; ?></td>
                                                <td><?php echo $record->pm_invoice_date; ?></td>
                                                <td>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Voucher" onClick="deletePurchaseVoucher(<?php echo $record->pvm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allPurchaseVoucher").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function deletePurchaseVoucher(pvm_id) {
                if (confirm("Do You Really Want To Delete This Purchase Voucher? Click OK To Delete & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url('admin/StockAndPurchase/deleteVoucher/'); ?>' + pvm_id;
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>