<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Return Stock/Items From Department/Employees | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Inventory & Stock</li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/IssueAndReturn/stockReturn/"); ?>">Stock/Item(s) Return</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-random"></i> Return Stock/Item(s)</h3><br>
                            <div class="">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/IssueAndReturn/stockReturn'), ['name' => 'stockReturnFilterFrm', 'id' => 'stockReturnFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="pHead" class="input__label">Purchase Head</label>
                                            <select id="pHead" name="pHead" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($purchaseHeads as $pheads) {
                                                    ?>
                                                    <option value="<?php echo $pheads->iphm_id; ?>" <?php echo set_select("pHead", $pheads->iphm_id); ?>><?php echo stripslashes($pheads->iphm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="invoice" class="input__label">Invoice</label>
                                            <select id="invoice" name="invoice" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($allPurchases as $invoice) {
                                                    ?>
                                                    <option value="<?php echo $invoice->pm_id; ?>" <?php echo set_select("invoice", $invoice->pm_id); ?>><?php echo stripslashes($invoice->pm_invoice_number); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="invCategory" class="input__label">Inventory Category</label>
                                            <select id="invCategory" name="invCategory" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($inventoryCategories as $invCat) {
                                                    ?>
                                                    <option value="<?php echo $invCat->icm_id; ?>" <?php echo set_select("invCategory", $invCat->icm_id); ?>><?php echo stripslashes($invCat->icm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="itemAssets" class="input__label">Purchase Item</label>
                                            <select id="itemAssets" name="itemAssets" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($allItems as $item) {
                                                    ?>
                                                    <option value="<?php echo $item->pdm_id; ?>" <?php echo set_select("itemAssets", $item->pdm_id); ?>><?php echo stripslashes($item->pdm_item_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="dept" class="input__label">Department</label>
                                            <select id="dept" name="dept" class="custom-select">
                                                <option value="">All</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("dept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subDept" class="input__label">Sub-Department</label>
                                            <select id="subDept" name="subDept" class="custom-select">
                                                <option value="">All</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="emp" class="input__label">Employee</label>
                                            <select id="emp" name="emp" class="custom-select">
                                                <option value="">All</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="location" class="input__label">Location</label>
                                            <select id="location" name="location" class="custom-select">
                                                <option value="">All</option>
                                                <?php
                                                foreach ($locations as $location) {
                                                    ?>
                                                    <option value="<?php echo $location->lm_id; ?>" <?php echo set_select("location", $location->lm_id); ?>><?php echo stripslashes($location->lm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="startIssueDate" class="input__label">Start Issue Date</label>
                                            <input type="text" class="form-control" id="startIssueDate" name="startIssueDate" value="<?php echo set_value('startIssueDate'); ?>" placeholder="Issue Start Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="endIssueDate" class="input__label">End Issue Date</label>
                                            <input type="text" class="form-control" id="endIssueDate" name="endIssueDate" value="<?php echo set_value('endIssueDate'); ?>" placeholder="Issue Start Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="uidOrSrNo" class="input__label">UID Or Serial No.</label>
                                            <input type="text" class="form-control" id="uidOrSrNo" name="uidOrSrNo" value="<?php echo set_value('uidOrSrNo'); ?>" placeholder="Enter UID Or Serial Number" maxlength="100">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Issued Stock(s)&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                </fieldset>
                                <hr>
                                <fieldset>
                                    <legend>Issued Stock Details <i class="fa fa-random"></i></legend>
                                    <?php echo form_open(site_url('admin/IssueAndReturn/saveNewStockReturn'), ['name' => 'stockReturnFrm', 'id' => 'stockReturnFrm']); ?>
                                    <div class="form-row">
                                        <table style="width:100%" class="table table-warning">
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Asset/Item Name</th>
                                                <th>UID</th>
                                                <th>Serial No.</th>
                                                <th>Dept./Sub Dept.</th>
                                                <th>Location/Details</th>
                                                <th>Emp.</th>
                                                <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select</th>
                                            </tr>
                                            <tbody id="issuedItemDetails">
                                                <?php
                                                if (sizeof($allIssuedStocks)) {
                                                    for ($i = 0; $i < sizeof($allIssuedStocks); $i++) {
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->pdm_item_name); ?></td>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->sm_uid); ?></td>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->sm_sr_no); ?></td>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->dept_name) . "/" . stripslashes($allIssuedStocks[$i]->sub_dept_name); ?></td>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->lm_short_name) . "/" . stripslashes($allIssuedStocks[$i]->irm_location); ?></td>
                                                            <td><?php echo stripslashes($allIssuedStocks[$i]->issuedTo); ?></td>
                                                            <td><input type="checkbox" name="selectForReturn[]" value="<?php echo $allIssuedStocks[$i]->irm_id; ?>"></td>
                                                        </tr>
                                                        <?php
                                                    }
                                                } else {
                                                    echo "<tr><td colspan='4'>No Issued Item(s) Found For Return</td></tr>";
                                                }
                                                ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="returnDate" class="input__label">Return Date *</label>
                                            <input type="text" class="form-control" id="returnDate" name="returnDate" value="<?php echo set_value('endIssueDate'); ?>" placeholder="Issue Start Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                        </div>
                                    </div>
                                    <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                    <button type="button" id="createReturnBtn" name="createReturnBtn" <?php echo (sizeof($allIssuedStocks)) ? "" : "disabled" ?> class="btn btn-primary btn-block btn-style mt-4">Return Items&nbsp;<i class="fa fa-arrow-left"></i></button>
                                        <?php echo form_close(); ?>
                                </fieldset>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#returnDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#selectAll").click(function () {
                $("input[type=checkbox]").prop('checked', $(this).prop('checked'));

            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startIssueDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endIssueDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            $("#dept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            stockReturnFilterFrm.csrf_token.value = csrfHash;
                            stockReturnFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDept").html("<option value=''>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#subDept").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentForDropDown/') ?>',
                        data: {sub_dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#emp").html(employeeInfo.emp_list);
                            csrfHash = employeeInfo.csrfHash;
                            stockReturnFilterFrm.csrf_token.value = csrfHash;
                            stockReturnFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#emp").html("<option>All</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#createReturnBtn").on("click", function () {
                if ($("[name='selectForReturn[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Item To Be Returned.");
                } else if ($("#returnDate").val().trim() === "") {
                    $("#spnErr").html("Please Select Return Date");
                    $("#returnDate").focus();
                } else {
                    $("#spnErr").html("");
                    $("#stockReturnFrm").submit();
                }
            });

            $(document).ready(function () {
                var selectedSubDepartment = '<?php echo $selectedSubDepartment; ?>';
                var selectedEmployee = '<?php echo $selectedEmployee; ?>';
                $('#returnDate').datepicker('setDate', 'today');
                if ($("#dept").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDownSelected/') ?>',
                        data: {dept_id: $("#dept").val(), sub_dept_id: selectedSubDepartment, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDept").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            stockReturnFilterFrm.csrf_token.value = csrfHash;
                            stockReturnFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSubDepartment !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Staff/getAllEmployeesBySubDepartmentForDropDownSelected/') ?>',
                        data: {sub_dept_id: selectedSubDepartment, smember_id: selectedEmployee, csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var employeeInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#emp").html(employeeInfo.emp_list);
                            csrfHash = employeeInfo.csrfHash;
                            stockReturnFilterFrm.csrf_token.value = csrfHash;
                            stockReturnFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
