<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Update Section/Semester & Roll Number In Bulk | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page">Student Operations</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Student/updateSectionSemesterRollNumber"); ?>">Update Section/Semester & Roll Number (Bulk)</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-upload"></i> Update Section/Semester & Roll Number (Bulk)</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Student/updateSectionSemesterRollNumber'), ['name' => 'bulkRollUpdateFrm', 'id' => 'bulkRollUpdateFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <a href="<?php echo base_url("assets/admin/downloads/bulkrollnoupdatetemplate.csv"); ?>" class="btn btn-sm btn-primary pull-right" title="Click To Download Template File (*.csv)"><i class="fa fa-download"></i> &nbsp;Template CSV File</a>
                                    </div>
                                </div>
                                <fieldset>
                                    <legend>Upload Bulk CSV File</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="bulkSecSemRollNoFile" class="input__label">Select File *</label>
                                            <input type="file" class="form-control input-style" id="bulkSecSemRollNoFile" name="bulkSecSemRollNoFile">
                                            <small id="uploadFileInstruction" class="form-text text-muted"><b>To update student's roll number, section & semester in bulk you have to supply a CSV file with student's form number and their roll number, semester & section. The format of file being uploaded should be intact for updation to work. For safer side instead of creating file, please download the readymade template by clicking <a href="<?php echo base_url("assets/admin/downloads/bulkrollnoupdatetemplate.csv"); ?>">here</a>. Only files with extension *.csv and maximum file size 1MB is allowed.<br><span style="color:#FF0000">Please Note That Number Of Rows Should Not Exceed 1000 (Column Heads Included) In The Uploaded File. DO NOT CLICK BROWSER REFRESH/BACK BUTTON.</span></b></small>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" name="updateSubmitBtn" onsubmit="this.disabled = true;" class="btn btn-primary btn-block btn-style mt-4">Upload & Update</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>