<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Organisations List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active">Training & Placement</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/TrainingAndPlacement/"); ?>">Organisations Management</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-building-o"></i>&nbsp;Organisations</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Filters <i class="fa fa-filter"></i></legend>
                                    <?php echo form_open(site_url('admin/TrainingAndPlacement/'), ['name' => 'orgFilterFrm', 'id' => 'orgFilterFrm']); ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="searchKeyWord" class="input__label">Enter Keyword To Search</label>
                                            <input type="text" name="searchKeyWord" id="searchKeyWord" class="form-control" value="<?php echo ($key != "") ? $key : set_value("Enter Search Keyword (Organisation Name, CIN No./ Email / Mobile Etc.)"); ?>" placeholder="Enter Search Keyword (Organisation Name, CIN No./ Email / Mobile Etc.)">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="orgCategory" class="input__label">Organisation's Category</label>
                                            <select id="orgCategory" name="orgCategory" class="custom-select">
                                                <option value="" <?php echo set_select("orgCategory", ""); ?>>All</option>                                        
                                                <option value="Private" <?php echo set_select("orgCategory", "Private"); ?>>Private</option>
                                                <option value="Semi-Government" <?php echo set_select("orgCategory", "Semi-Government"); ?>>Semi-Government</option>
                                                <option value="Government" <?php echo set_select("orgCategory", "Government"); ?>>Government</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="orgIndustry" class="input__label">Industry</label>
                                            <select id="orgIndustry" name="orgIndustry" class="custom-select">
                                                <option value="" <?php echo set_select("orgIndustry", ""); ?>>All</option>                                                                      
                                                <option value="Banking" <?php echo set_select("orgIndustry", "Banking"); ?>>Banking</option>
                                                <option value="Consultancy Service" <?php echo set_select("orgIndustry", "Consultancy Service"); ?>>Consultancy Service</option>
                                                <option value="IT Service" <?php echo set_select("orgIndustry", "IT Service"); ?>>IT Service</option>
                                                <option value="Others" <?php echo set_select("orgIndustry", "Others"); ?>>Others</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <?php echo form_close(); ?>
                                    <hr>
                                </fieldset>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/TrainingAndPlacement/createOrganisation"); ?>'" tooltip="Add New Organisation."><i class="fa fa-plus"></i> Add New Organisation.</button><br><br>
                                <table id="organisationDataTable" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>CIN Number</th>
                                            <th>Address</th>
                                            <th>Category</th>
                                            <th>Industry</th>
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th style='display:none;'>Landline</th>
                                            <th style='display:none;'>CMM Level</th>
                                            <th style='display:none;'>Org. Size</th>
                                            <th style='display:none;'>Org. Headquarter</th>    
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Name</th>
                                            <th>CIN Number</th>
                                            <th>Address</th>
                                            <th>Category</th>
                                            <th>Industry</th>   
                                            <th>Mobile</th>
                                            <th>Email</th>
                                            <th style='display:none;'>Landline</th>
                                            <th style='display:none;'>CMM Level</th>
                                            <th style='display:none;'>Org. Size</th>
                                            <th style='display:none;'>Org. Headquarter</th>                                           
                                            <th style='display:none;'>Added By</th>
                                            <th style='display:none;'>Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_short_name); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_cin_no); ?></td>
                                                <td><?php
                                                    echo stripslashes($record->pla_org_address_line_one) . ", ";
                                                    echo ($record->pla_org_address_line_two == "") ? "" : stripslashes($record->pla_org_address_line_two) . ", ";
                                                    echo ($record->pla_org_address_line_three == "") ? "" : stripslashes($record->pla_org_address_line_three) . ", ";
                                                    echo stripslashes($record->city_name) . ", ";
                                                    echo stripslashes($record->state_name), "-" . $record->pla_org_zipcode;
                                                    ?></td>
                                                <td><?php echo stripslashes($record->pla_org_type); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_industry); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_mobile); ?></td>
                                                <td><?php echo stripslashes($record->pla_org_email); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_landline); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_cmm_level); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_size); ?></td>
                                                <td style='display:none;'><?php echo stripslashes($record->pla_org_headquarter); ?></td>                                                                                           
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->pla_org_added_on)) . " By " . stripslashes($record->addedByAdmin) ?></td>
                                                <td style='display:none;'><?php echo "Added On " . date('d-m-Y h:i:s A', strtotime($record->pla_org_updated_on)) . " By " . stripslashes($record->updatedByAdmin) ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->pla_org_delete_status == 'F') {
                                                        if ($record->pla_org_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Click To Disable" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/toggleOrganisationStatus/' . $record->pla_org_id . '/F') ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Click To Enable" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/toggleOrganisationStatus/' . $record->pla_org_id . '/T') ?>'"></i> 
                                                            <?php
                                                        }
                                                        ?>
                                                        <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Organisation" onClick="window.location.href = '<?php echo site_url('admin/TrainingAndPlacement/editOrganisation/' . $record->pla_org_id) ?>'"  ></i>
                                                        <a href="<?php echo site_url('admin/TrainingAndPlacement/deleteOrganisation/' . $record->pla_org_id . '/T') ?>"><i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Organisation" ></i> </a>
                                                        <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info About This Organisation" onClick="getOrganisationFullInfo(<?php echo $record->pla_org_id; ?>);"></i> 
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <b>Organisation Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->pla_org_updated_on)); ?>. <a href="<?php echo site_url('admin/TrainingAndPlacement/deleteOrganisation/' . $record->pla_org_id . '/F') ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                    <?php
                                                    ?>

                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#department").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                        data: {dept_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var subDeptInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subDepartment").html(subDeptInfo.sub_dept_list);
                            csrfHash = subDeptInfo.csrfHash;
                            orgFilterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#subDepartment").html("<option>Select Sub-Department</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $(function () {
                var dateFormat = "dd/mm/yy",
                        from = $("#startDate")
                        .datepicker({
                            dateFormat: dateFormat,
                            defaultDate: '0',
                            changeMonth: true,
                            changeYear: true,
                            numberOfMonths: 1
                        })
                        .on("change", function () {
                            to.datepicker("option", "minDate", getDate(this));
                        }),
                        to = $("#endDate").datepicker({
                    dateFormat: dateFormat,
                    defaultDate: '0',
                    changeMonth: true,
                    changeYear: true,
                    numberOfMonths: 1
                })
                        .on("change", function () {
                            from.datepicker("option", "maxDate", getDate(this));
                        });

                function getDate(element) {
                    var date;
                    try {
                        date = $.datepicker.parseDate(dateFormat, element.value);
                    } catch (error) {
                        date = null;
                    }
                    return date;
                }
            });

            function deleteOrganisation(pla_org_id) {
                if (confirm("Are You Sure You Want To Delete This Organisation? Click OK To Continue & Cancel Otherwise.")) {
                    window.location.href = '<?php echo site_url("admin/TrainingAndPlacement/deleteOrganisation/") ?>' + pla_org_id;
                }
            }

            function getOrganisationFullInfo(pla_org_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/TrainingAndPlacement/getOrganisationFullInfo/'); ?>',
                    data: {pla_org_id: pla_org_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var orgDetails = JSON.parse(result);
                        csrfHash = orgDetails.csrfHash;
                        orgFilterFrm.csrf_token.value = csrfHash;
                        $("#orgName").html(orgDetails.pla_org_name);
                        $("#orgCinNo").html(orgDetails.pla_org_cin_no);
                        $("#orgAddress").html(orgDetails.pla_org_address);
                        $("#orgEmail").html(orgDetails.pla_org_email);
                        $("#orgMobile").html(orgDetails.pla_org_mobile);
                        $("#orgvisionMsg").html(orgDetails.pla_org_vision_msg);
                        if (orgDetails.pla_org_website_link === "N/A") {
                            $("#orgWebsiteLink").html(orgDetails.pla_org_website_link);
                        } else {
                            $("#orgWebsiteLink").html("<a href='" + orgDetails.pla_org_website_link + "' target='_blank'><i class='fa fa-hand-pointer-o'></i>Click</a>");
                        }
                        if (orgDetails.pla_org_linkedin_link === "N/A") {
                            $("#orgLinkedInLink").html(orgDetails.pla_org_linkedin_link);
                        } else {
                            $("#orgLinkedInLink").html("<a href='" + orgDetails.pla_org_linkedin_link + "' target='_blank'><i class='fa fa-hand-pointer-o'></i>Click</a>");
                        }
                        if (orgDetails.pla_org_google_map_location === "N/A") {
                            $("#gmap").html(orgDetails.pla_org_google_map_location);
                        } else {
                            $("#gmap").html("<a href='" + orgDetails.pla_org_google_map_location + "' target='_blank'><i class='fa fa-hand-pointer-o'></i>Click</a>");
                        }
                        $("#orgSize").html(orgDetails.pla_org_size);
                        $("#orgCMMLevel").html(orgDetails.pla_org_cmm_level);
                        $("#orgHead").html(orgDetails.pla_org_headquarter);
                        $("#orgLogo").prop("src", orgDetails.pla_org_logo);
                        $("#added_on").html(orgDetails.pla_org_added_on + " By " + orgDetails.pla_org_added_by);
                        $("#updated_on").html(orgDetails.pla_org_updated_on + " By " + orgDetails.pla_org_updated_by);
                        $("#orgLandline").html(orgDetails.pla_org_landline);
                        $("#orgCate").html(orgDetails.pla_org_type);
                        $("#orgInd").html(orgDetails.pla_org_industry);
                        $("#orgDetailsModal").modal('show');
                    }
                });
            }

            $(document).ready(function () {
                $("#organisationDataTable").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'landscape', pageSize: 'LEGAL'}
                    ]});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Organization Details Modal Starts -->
        <div class="modal fade" id="orgDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Organisation Details</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div id="libraryCopyDetail" class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <div class="row">
                            <div class="col-sm-12">
                                <center>
                                    <img src="" id="orgLogo" width="30%" style="margin-top:4%"><br>
                                    <h5><b><u>Organisation Details</u></b></h5>
                                </center>
                            </div>
                        </div><br>
                        <div class="row">
                            <div class="col-sm-3"><b>Name</b></div>
                            <div class="col-sm-3"><span id="orgName"></span></div>
                            <div class="col-sm-3"><b>CIN No.</b></div>
                            <div class="col-sm-3"><span id="orgCinNo"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Address</b></div>
                            <div class="col-sm-3"><span id="orgAddress"></span></div>
                            <div class="col-sm-3"><b>Email</b></div>
                            <div class="col-sm-3"><span id="orgEmail"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Mobile</b></div>
                            <div class="col-sm-3"><span id="orgMobile"></span></div>
                            <div class="col-sm-3"><b>Landline</b></div>
                            <div class="col-sm-3"><span id="orgLandline"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Category</b></div>
                            <div class="col-sm-3"><span id="orgCate"></span></div>
                            <div class="col-sm-3"><b>Industry</b></div>
                            <div class="col-sm-3"><span id="orgInd"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Vision Message</b></div>
                            <div class="col-sm-9"><span id="orgvisionMsg"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Website Link</b></div>
                            <div class="col-sm-3"><span id="orgWebsiteLink"></span></div>
                            <div class="col-sm-3"><b>LinkedIn Link</b></div>
                            <div class="col-sm-3"><span id="orgLinkedInLink"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Size</b></div>
                            <div class="col-sm-3"><span id="orgSize"></span></div>
                            <div class="col-sm-3"><b>CMM Level</b></div>
                            <div class="col-sm-3"><span id="orgCMMLevel"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Head Quarter</b></div>
                            <div class="col-sm-3"><span id="orgHead"></span></div>
                            <div class="col-sm-3"><b>Google Map Link</b></div>
                            <div class="col-sm-3"><span id="gmap"></span></div>
                        </div>
                        <hr style="border-top: 1px solid black;">
                        <div class="row">
                            <div class="col-sm-3"><b>Added On</b></div>
                            <div class="col-sm-9"><span id="added_on"></span></div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3"><b>Last Updated On</b></div>
                            <div class="col-sm-9"><span id="updated_on"></span></div>
                        </div>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Organization Details Modal Ends -->
    </body>
</html>