<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Driver Vehicle Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script>
            var csrfHash  = '';
        </script>
    </head>
    <body>


        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Transport</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/"); ?>">Route Management</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/allotDriverToVehicle"); ?>">Driver Vehicle Allotment</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/allotedDriversToVehicle"); ?>">Driver Vehicle Allotment Report</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-bus"></i> Driver To Vehicle Allotment</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Route/allotedDriversToVehicle/"); ?>'" tooltip="Allot Driver To Vehicle"><i class="fa fa-eye"></i>&nbsp; View Existing Allotment</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Route/saveDriverToVehicleAllotment/'), ['name' => 'vehicleAllocationFrm', 'id' => 'vehicleAllocationFrm']); ?>
                                <fieldset>
                                    <legend>Vehicle & Driver Info</legend>
                                    <div class="form-row">

                                        <div class="form-group col-md-4">
                                            <label for="empDept" class="input__label required">Department</label>
                                            <select id="empDept" name="empDept" class="form-control input-style">
                                                <option value="">Select Department</option>
                                                <?php foreach ($departments as $department) { ?>
                                                    <option value="<?php echo $department->dept_id; ?>" <?php echo set_select("empDept", $department->dept_id); ?>><?php echo stripslashes($department->dept_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empSubDept" class="input__label required">Sub-Department</label>
                                            <select id="empSubDept" name="empSubDept" class="form-control input-style">
                                                <option value="">Select Sub-Department</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empDesigCat" class="input__label required">Designation Category</label>
                                            <select id="empDesigCat" name="empDesigCat" class="form-control input-style">
                                                <option value="">Select Designation Category</option>
                                                <?php foreach ($desigCategories as $desigCats) { ?>
                                                    <option value="<?php echo $desigCats->dcm_id; ?>" <?php echo set_select("empDesigCat", $desigCats->dcm_id); ?>><?php echo addslashes($desigCats->dcm_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="empInfo" class="input__label required">Employee</label>
                                            <select id="empInfo" name="empInfo" class="form-control input-style">
                                                <option value="">Select </option>
                                            </select>
                                        </div>

                                        <div class="form-group col-md-4">
                                            <label for="vehicle_type" class="input__label required">Select Vehicle Type</label>
                                            <select name="vehicle_type" id="vehicle_type" class="form-control input-style">
                                                <option <?php echo set_select("vehicle_type", ""); ?> value="">-Select Vehicle Type-</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($vehicleType); $i++) {
                                                    $ct = $vehicleType[$i];
                                                    ?>
                                                    <option value="<?php echo $ct->vtm_id; ?>" <?php echo set_select("vehicle_type", "$ct->vtm_id") ?> 
                                                            onselect="<?php echo site_url("admin/Route/allotVehicleToRoute" . $ct->vtm_id); ?>">
                                                                <?php echo $ct->vtm_name; ?>
                                                    </option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>

                                        <div class="form-group col-md-4">
                                            <label for="vehicle" class="input__label required">Select Vehicle</label>
                                            <select name="vehicle" id="vehicle" class="form-control input-style">
                                                <option <?php echo set_select("vehicle", ""); ?> value="">-Select Vehicle-</option>
                                            </select>
                                        </div>
                                    </div> 
                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Save Changes</button>
                                    <span id="spnError" style="color:red;"></span>
                                </fieldset>

                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
                                    $("#vehicle_type").on("change", function () {
                                        $(".se-pre-con").fadeIn("slow");
                                        if (csrfHash === '') {
                                            csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                                        }
                                        if ($(this).val().trim() !== "") {
                                            $.ajax({
                                                url: '<?php echo site_url("admin/Route/getActiveVehicleByVehicleTypeForDriver") ?>',
                                                data: {vehicle_type: $(this).val(), csrf_token: csrfHash},
                                                type: 'POST',
                                                async: false,
                                                success: function (result) {
                                                    var vehicleInfo = JSON.parse(result);
                                                    $(".se-pre-con").fadeOut("slow");
                                                    $("#vehicle").html(vehicleInfo.vehicle);
                                                    csrfHash = vehicleInfo.csrfHash;
                                                    vehicleAllocationFrm.csrf_token.value = csrfHash;
                                                    $("#spnError").html("");

                                                }
                                            });
                                        } else {
                                            $("#vehicle").html("<option value=''>-Vehicle-</option>");
                                            $(".se-pre-con").fadeOut("slow");
                                        }
                                    });

                                    $("#empDept").on("change", function () {
                                        $(".se-pre-con").fadeIn("slow");
                                        if (csrfHash === '') {
                                            csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                                        }
                                        if ($(this).val().trim() != "") {
                                            $.ajax({
                                                url: '<?php echo site_url('admin/SubDepartment/getNonDeletedActiveSubDepartmentsForDropDown/') ?>',
                                                data: {dept_id: $(this).val(), csrf_token: csrfHash},
                                                type: 'POST',
                                                success: function (result) {
                                                    var subDeptInfo = JSON.parse(result);
                                                    $(".se-pre-con").fadeOut("slow");
                                                    $("#empSubDept").html(subDeptInfo.sub_dept_list);
                                                    csrfHash = subDeptInfo.csrfHash;
                                                    vehicleAllocationFrm.csrf_token.value = csrfHash;
                                                    $("#empDesigCat").val("");
                                                    $("#spnError").html("");
                                                }
                                            });
                                        } else {
                                            $("#empSubDept").html("<option value=''>Select Sub-Department</option>");
                                            $("#spnError").html("Please Select Department To Proceed");
                                            $("#empDept").focus();
                                            $("#empSubDept").val("");
                                            $("#empDesigCat").val("");
                                            $(".se-pre-con").fadeOut("slow");
                                        }
                                    });

                                    $("#empDesigCat").on("change", function () {
                                        $(".se-pre-con").fadeIn("slow");
                                        if (csrfHash === '') {
                                            csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                                        }
                                        if ($("#empDept").val().trim() == "") {
                                            $("#spnError").html("Please Select Department To Proceed");
                                            $("#empDesigCat").val("");
                                            $("#empDept").focus();
                                            $(".se-pre-con").fadeOut("slow");
                                        } else if ($("#empSubDept").val().trim() == "") {
                                            $("#spnError").html("Please Select Sub-Department To Proceed");
                                            $("#empDesigCat").val("");
                                            $("#empSubDept").focus();
                                            $(".se-pre-con").fadeOut("slow");
                                        } else if ($(this).val().trim() != "") {
                                            $.ajax({
                                                url: '<?php echo site_url('admin/Route/getAllEmployeesByDepartmentAndDesignationForDropDown/') ?>',
                                                data: {sub_dept_id: $("#empSubDept").val(), desig_type: $(this).val(), csrf_token: csrfHash},
                                                type: 'POST',
                                                success: function (result) {
                                                    var empInfo = JSON.parse(result);
                                                    $(".se-pre-con").fadeOut("slow");
                                                    $("#empInfo").html(empInfo.emp_list);
                                                    csrfHash = empInfo.csrfHash;
                                                    vehicleAllocationFrm.csrf_token.value = csrfHash;
                                                    $("#spnError").html("");
                                                }
                                            });
                                        } else {
                                            $("#desig_id").html("<option value=''>Select Employee</option>");
                                            $(this).html("Please Select Designation Category To Proceed");
                                            $("#empSubDept").focus();
                                            $(".se-pre-con").fadeOut("slow");
                                        }
                                    });

        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>