<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Vehicle To Student Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <!--        <div class="se-pre-con"></div>-->
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Transport</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Transport/allotedVehiclesToStudent"); ?>">Student Vehicle Management</a></li>                            
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Transport/allotVehicleToStudent"); ?>">Student Vehicle Allotment</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user"></i> Student Vehicle Allotment</h3>
                            </div>
                            <div class="card-body">
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/allotedVehiclesToStudent"); ?>'" tooltip="View Existing Allotment"><i class="fa fa-eye"></i> View Existing Allotment</button><br><br>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Transport/allotVehicleToStudent'), ['name' => 'studentAllocationFrm', 'id' => 'studentAllocationFrm']); ?>
                                <fieldset>
                                    <legend>Course & Student Info</legend>
                                    <div class="form-row">

                                        <div class="form-group col-md-3">
                                            <label for="session" class="input__label">Session *</label>
                                            <select id="session" name="session" class="custom-select">
                                                <option value="">Select Session</option>
                                                <?php foreach ($sessions as $session) { ?>
                                                    <option <?php echo $selectedSession == $session->session_id ? "Selected" : (($session->session_status == "C") ? "selected" : ""); ?> value="<?php echo $session->session_id; ?>" <?php echo set_select("session", $session->session_id); ?>><?php echo stripslashes($session->session_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>

                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label required">Course</label>
                                            <select id="Course" name="Course" class="form-control ">
                                                <option value="">-Select Course-</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("Course", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="CourseSemOrYear" class="input__label required">Semester/Year</label>
                                            <select id="CourseSemOrYear" name="CourseSemOrYear" class="form-control ">
                                                <option value="">-Select Semester/Year-</option>


                                            </select>
                                        </div>
                                        <div class="form-group  col-sm-3">
                                            <label for="route" class="input__label required">Select Route *</label>
                                            <select name="route" id="route" class="form-control ">
                                                <option <?php echo set_select("route", ""); ?> value="">-Route-</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($routes); $i++) {
                                                    $ct = $routes[$i];
                                                    ?>
                                                    <option <?php echo set_select("route", $ct->fhom_id); ?>value="<?php echo $ct->fhom_id; ?>"><?php echo $ct->fhom_name; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-md-12">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="Submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Set List&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                </fieldset>

                                <?php if (sizeof($allotmentData) > 0) { ?>
                                    <fieldset id="studentList">
                                        <legend>Student(s) List</legend>
                                        <div class="form-row">
                                            <table style="width:100%" class="table table-warning">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Roll No.</th>
                                                    <th>Name</th>
                                                    <th>Course</th>
                                                    <th>Semester</th>
                                                    <th>Session</th>
                                                    <th>Type</th>
                                                    <th><input type="checkbox" id="selectAll" name="selectAll" value="A">&nbsp;Select All</th>
                                                </tr>
                                                <?php if (sizeof($allotmentData) < 1) { ?><h5  style="color:red;">No Student Available</h5><?php } ?>
                                                <tbody id="studentDetails">

                                                    <?php
                                                    for ($i = 0; $i < (sizeof($allotmentData)); $i++) {
                                                        $record = $allotmentData[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo ($i + 1); ?></th>
                                                            <td><?php echo stripslashes($record->tspi_rollNumber); ?></td>
                                                            <td><?php echo stripslashes($record->tspi_name); ?></td>
                                                            <td><?php echo stripslashes($record->course_name); ?></td>
                                                            <td><?php echo stripslashes($record->tsssi_semester); ?></td>
                                                            <td><?php echo stripslashes($record->session_name); ?></td>
                                                            <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
                                                    <input type="hidden" value="<?php echo stripslashes($record->tsssi_semester); ?>" name="semester">
                                                    <td><input type='checkbox' class="select" id='<?php echo $i; ?>' name='selectedStudents[]' value='<?php echo stripslashes($record->tspi_id); ?>'></td>
                                                    </tr>
                                                <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>

                                        <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                        <div class="form-row">
                                            <div class="form-group  col-sm-6">
                                                <label for="vehicle" class="input__label required">Select Vehicle</label>
                                                <select name="vehicle" id="vehicle" class="form-control input-style">
                                                    <option <?php echo set_select("vehicle", ""); ?> value="">-Select Vehicle-</option>
                                                    <?php
                                                    for ($i = 0; $i < sizeof($vehicleList); $i++) {
                                                        $ct = $vehicleList[$i];
                                                        ?>
                                                        <option value="<?php echo $ct->rva_id; ?>"><?php echo $ct->vtm_name . "-" . $ct->vm_sr_no . " [$ct->vm_reg_no]"; ?></option>
                                                        <?php
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                            <div class="form-group  col-sm-6">
                                                <button id="allotBtn" name="allotBtn" type="submit" class="btn btn-primary btn-block btn-style" style="margin-top: 29px;" >Allot Vehicle To Selected Students</button>
                                            </div>
                                        </div>
                                    </fieldset>
                                <?php } ?>
                            </div>
                            <?php echo form_close(); ?>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#session").change(function () {
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#Course").val("");
                $("#CourseSemOrYear").val("");
            });

            $("#Course").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#studentDetails").html("");
                $("#studentList").css("display", "none");
                $("#allotBtn").prop("disabled", "disabled");
                $("#vehicle").prop("disabled", "disabled");
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#Course").val(), selectedSemOrYear: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#CourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#CourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#studentDetails").html("");
                }
            });
            $("#vehicle").change(function () {
                var isAnyCheckboxChecked = false;
                $("input:checkbox[class=select]:checked").each(function () {
                    isAnyCheckboxChecked = true;
                });
                if ($(this).val() !== "" && isAnyCheckboxChecked) {
                    $("#allotBtn").prop("disabled", "");
                } else {
                    $("#allotBtn").prop("disabled", "disabled");
                }
            });
            $("#allotBtn").on("click", function () {
                if ($("[name='selectedStudents[]']:checked").length === 0) {
                    $("#spnErr").html("Please Select At Least One Student To Allot A The Set.");
                    // event.preventDefault();
                } else {
                    $("#spnErr").html("");
                    $("#studentAllocationFrm").submit();
                }
            });


            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($("#Course").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#Course").val(), semester: '<?php echo $selectedSemOrYear; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#CourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            studentAllocationFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#CourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    $("#studentDetails").html("");
                }
            });

            $(document).ready(function () {
                $(".select").prop('checked', false);
                $("#allotBtn").prop("disabled", "disbaled");

            });
            $(".select").on("click", function () {
                var isAnyCheckboxChecked = false;
                $("input:checkbox[class=select]:checked").each(function () {
                    isAnyCheckboxChecked = true;
                });
                if (isAnyCheckboxChecked && $("#vehicle").val() !== "") {
                    $('#allotBtn').prop("disabled", "");
                } else {
                    $('#allotBtn').prop("disabled", "disbaled");
                }
            });
            $("#selectAll").click(function () {
                $(".select").prop('checked', $(this).prop('checked'));
                if ($(this).prop("checked") === true && $("#vehicle").val() !== "") {
                    $("#allotBtn").prop("disabled", "");
                } else {
                    $("#allotBtn").prop("disabled", "disbaled");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>