<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Collect Transport Fee | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a >Transport</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Fee/collectTransportOptionalFee"); ?>">Collect Transport Fee</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-inr"></i>&nbsp;<i class="fa fa-plus"></i> Collect Optional Fee</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Fee/collectTransportOptionalFee'), ['name' => 'feeCollectionFrm', 'id' => 'feeCollectionFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="formEnrlRollNo" class="input__label">Form No./College ID/Roll No. *</label>
                                        <input type="text" class="form-control" id="formEnrlRollNo" name="formEnrlRollNo" value="<?php echo set_value('formEnrlRollNo'); ?>" placeholder="Enter Form No./College ID/Roll No." maxlength="50" autocomplete="off">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="fetchStudentInfo" class="input__label"></label>
                                        <span id="spnErr" class="pull-left" style="color:#FF0000;font-weight: bolder;font-size: smaller;"><?php echo $error; ?></span>
                                        <button type="submit" id="fetchStudentInfo" name="fetchStudentInfo" class="btn btn-sm btn-warning pull-right">Fetch Student & Fee Info&nbsp;<i class="fa fa-arrow-left"></i></button>
                                    </div>
                                </div>
                                <?php if (sizeof($studentInfo)) { ?>
                                    <fieldset id="studentDetails">
                                        <legend>Student Info</legend>
                                        <div>
                                            <table border="1" class="table table-warning table-hover table-striped">
                                                <tr>
                                                    <td rowspan="3">
                                                        <a href="<?php echo $studentInfo['stu_photograph']; ?>" target="_blank" title="Click To Open Photograph"><img src="<?php echo $studentInfo['stu_photograph']; ?>" id="photograph" height="78px" alt="Photograph Not Available"/></a><br><br>
                                                        <a href="<?php echo $studentInfo['stu_sign']; ?>" target="_blank" title="Click To Open Signature"><img src="<?php echo $studentInfo['stu_sign']; ?>" id="sign" width="78px" alt="Signature Not Available"/></a>
                                                    </td>
                                                    <th>Form No.</th>
                                                    <td><b><span id="formNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_form_no']; ?></span></b></td>
                                                    <th>College ID</th>
                                                    <td><b><span id="enrollmentNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_enrollment_no']; ?></span></b></td>
                                                    <th>Roll No.</th>
                                                    <td><b><span id="rollNo" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_roll_no']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Name</th>
                                                    <td><b><span id="name" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_name']; ?></span></b></td>
                                                    <th>Father's Name</th>
                                                    <td><b><span id="fatherName" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_father_name']; ?></span></b></td>
                                                    <th>D.O.B.</th>
                                                    <td><b><span id="dob" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_dob']; ?></span></b></td>
                                                </tr>
                                                <tr>
                                                    <th>Course</th>
                                                    <td><b><span id="course" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_course'] . " (" . $studentInfo['stu_entry_type'] . ")"; ?></span></b></td>
                                                    <th>Batch</th>
                                                    <td><b><span id="batch" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_batch']; ?></span></b></td>
                                                    <th>Current Semester/Year</th>
                                                    <td><b><span id="semesterOrYear" style="color:#002166;text-decoration: underline;font-size: smaller;"><?php echo $studentInfo['stu_current_semester']; ?></span></b></td>
                                                </tr>
                                            </table>
                                        </div>
                                        <input type="hidden" id="tspi_id" name="tspi_id" value="<?php echo $studentInfo['stu_id']; ?>">
                                    </fieldset>

                                    <?php if (sizeof($optionalFeeInfo)) { ?> 
                                        <fieldset id="feeToSubmitDetails">
                                            <div class="form-row">
                                                <div class="form-group col-md-6">
                                                    <label for="session" class="input__label  ">Collection For Session *</label>
                                                    <select id="session" name="session" class="custom-select <?php
                                                    if (sizeof($feeDetail) > 0 && $feeDetail[0]->fsom_amount != $paidFee) {
                                                        echo "readonly";
                                                    }
                                                    ?>">
                                                        <option>Select Session</option>
                                                        <?php foreach ($sessions as $session) { ?>

                                                            <option <?php
                                                            if (sizeof($feeDetail)) {
                                                                echo ($feeDetail[0]->fsom_amount == $paidFee && $feeDetail[0]->session_id == $session->session_id ) ? "disabled='disabled'" : "";
                                                                echo ($feeDetail[0]->session_id == $session->session_id && $feeDetail[0]->fsom_amount != $paidFee) ? "selected" : "";
                                                            }
                                                            ?> 
                                                            <?php
                                                            ?> 
                                                                value="<?php echo $session->session_id; ?>">

                                                                <?php echo stripslashes($session->session_name); ?> <?php
                                                                if (sizeof($feeDetail)) {
                                                                    echo ($feeDetail[0]->fsom_amount == $paidFee && $feeDetail[0]->session_id == $session->session_id ) ? "Room Already Allotted" : "";
                                                                }
                                                                ?>
                                                            </option>
                                                        <?php }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label for="routeHeads" class="input__label">Select Route Head *</label>

                                                    <select id="routeHeads" name="routeHeads" class="custom-select <?php
                                                    if (sizeof($feeDetail) > 0 && $feeDetail[0]->fsom_amount != $paidFee) {
                                                        echo "readonly";
                                                    }
                                                    ?> ">
                                                        <option value=''>Select Route Head</option>
                                                        <?php
                                                        $a = 0;
                                                        foreach ($optionalFeeInfo as $optionalFee) {
                                                            ?>
                                                            <option <?php
                                                            if (sizeof($feeDetail) > 0) {
                                                                if ($feeDetail[0]->fhom_id == $optionalFee->fhom_id) {
                                                                    echo "Selected";
                                                                    $a++;
                                                                }
                                                            }
                                                            ?> value="<?php echo $optionalFee->fhom_id; ?>" ><?php echo stripslashes($optionalFee->fhom_name); ?></option>
                                                            <?php }
                                                            ?>
                                                    </select>
                                                    <?php if (sizeof($feeDetail)) { ?>
                                                        <input type="hidden" name="routeHeads" value="<?php echo $feeDetail[0]->fhom_id; ?>">
                                                    <?php } ?>
                                                </div>
                                            </div>
                                            <div class="form-row">
                                                <div class="form-group col-md-4">
                                                    <label for="amount" class="input__label">Amount Payable *</label>
                                                    <input type="text" class="form-control" id="amount" name="amount" value="<?php
                                                    if ($a > 0) {
                                                        echo $feeDetail[0]->fsom_amount;
                                                    } else {
                                                        echo 0;
                                                    }
                                                    ?>" placeholder="Enter Payable Amount." maxlength="200" readonly="readonly">
                                                </div>

                                                <div class="form-group col-md-4">
                                                    <label for="amountdue" class="input__label">Amount Due*</label>
                                                    <input type="text" class="form-control" id="amountdue" name="amountdue" value="<?php
                                                    if ($a > 0) {
                                                        echo $feeDetail[0]->fsom_amount - $paidFee;
                                                    } else {
                                                        echo 0;
                                                    }
                                                    ?>" placeholder="Enter Amount To Be Paid." maxlength="200" readonly="readonly" >
                                                </div>

                                                <div class="form-group col-md-4">
                                                    <label for="amountNeedToPay" class="input__label">Amount To Be Paid *</label>
                                                    <input oncopy="return false" oncut="return false" onpaste="return false" onkeypress="return isValidAmount(event);" onkeyup="checkAndSetAmount()" type="text" class="form-control" id="amountNeedToPay" name="amountNeedToPay"  placeholder="Enter Ammount To Be Paid." maxlength="200" >
                                                </div>

                                            </div>

                                            <div class="form-row">
                                                <div class="form-group col-md-3">
                                                    <label for="feeMode" class="input__label">Mode *</label>
                                                    <select id="feeMode" name="feeMode" class="custom-select">
                                                        <option value="">Select Payment Mode</option>
                                                        <?php foreach ($feeModes as $mode) { ?>
                                                            <option value="<?php echo $mode->fmm_id; ?>" <?php echo set_select("feeMode", $mode->fmm_id); ?>><?php echo stripslashes($mode->fmm_short_name); ?></option>
                                                        <?php }
                                                        ?>
                                                    </select>

                                                </div>
                                                <div class="form-group col-md-3">
                                                    <label for="chDDTxnNRFN" class="input__label">Chq./DD/Txn.Id/NEFT Ref. No. *</label>
                                                    <input type="text" class="form-control" id="chDDTxnNRFN" name="chDDTxnNRFN" value="<?php echo set_value("chDDTxnNRFN"); ?>" placeholder="Enter Cheque/DD/Txn.Id/NEFT Ref. No." maxlength="200">
                                                </div>
                                                <div class="form-group col-md-3">
                                                    <label for="chDDNEFTDate" class="input__label">Chq./DD/NEFT Date *</label>
                                                    <input  tabindex="-1" type="text" class="form-control" id="chDDNEFTDate"  oncopy="return false" oncut="return false" onpaste="return false" name="chDDNEFTDate" value="<?php echo set_value('chDDNEFTDate'); ?>" placeholder="Enter Cheque/DD/NEFT Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                                </div>
                                                <div class="form-group col-md-3">
                                                    <label  class="input__label">Receipt Date *</label>
                                                    <input  oncopy="return false" oncut="return false" onpaste="return false" tabindex="-1" type="text" class="form-control readonly" id="feeReceiptDate" name="feeReceiptDate" value="<?php echo set_value('feeReceiptDate'); ?>" placeholder="Enter Receipt Date (DD/MM/YYYY)" autocomplete="off" maxlength="50">
                                                </div>
                                            </div>
                                            <span id="spnErr" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                        </fieldset>
                                        <input type="hidden" name="fsom_id" id="fsom_id" value="<?php echo $studentInfo['stu_form_no']; ?>">
                                        <button name="submitFrmBtn" type="button" onClick="submitFee();" class="btn btn-dark btn-block btn-style mt-4"><i class="fa fa-inr"></i>&nbsp;Save And Generate Receipt&nbsp;<i class="fa fa-file-o"></i>&nbsp;<i class="fa fa-arrow-right"></i></button>
                                        <?php }
                                        ?>  
                                <?php } ?>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>

            function isValidAmount(evt) {
                var charCode = (evt.which) ? evt.which : evt.keyCode;
                if (charCode !== 46 && charCode > 31 && (charCode < 48 || charCode > 57))
                    return false;
                return true;
            }

            function checkAndSetAmount() {
                if (isNaN($("#amountNeedToPay").val().trim())) {
                    alert('Only Numbers Are Accepted.');
                    $("#amountNeedToPay").val("");
                    $("#amountNeedToPay").focus();
                }
            }
            $("#session").on("change", function () {
                $("#amount").val(0);
                $("#amountdue").val(0);
            });
            $("#routeHeads").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/FeeConfig/getFeeAgainst/') ?>',
                        data: {head: $(this).val(), tspi_id: $("#tspi_id").val(), session: $("#session").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var optHeadeFee = JSON.parse(result);

                            $(".se-pre-con").fadeOut("slow");
                            if (optHeadeFee.structureFound) {
                                $("#amount").val(optHeadeFee.fee);
                                $("#amountdue").val((optHeadeFee.dueAmount === 0) ? optHeadeFee.fee : optHeadeFee.dueAmount);
                                $("#fsom_id").val(optHeadeFee.fsom_id);
                            } else {
                                $("#spnErr").html("Structure Not Defined For The Selected Session.");
                                $("#amount").val(0);
                                $("#amountdue").val(0);
                            }

                            csrfHash = optHeadeFee.csrfHash;
                            feeCollectionFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#amount").val(0.00);
                    $(".se-pre-con").fadeOut("slow");
                }
            });

           

            $("#amountNeedToPay").on("keyup", function () {
                var amountToPay = $("#amountdue").val();
                if (parseFloat(amountToPay) < parseFloat($(this).val())) {
                    alert("Amount Can't exceed Due Amount.");
                    $(this).val("");
                    $(this).focus();
                }
            });

            $("#chDDNEFTDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                minDate: '-3M',
                maxDate: new Date(),
                numberOfMonths: 1
            });

            $("#feeReceiptDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:+0',
                maxDate: 0,
                numberOfMonths: 1
            });

            $("#feeMode").on("change", function () {
                $("#chDDTxnNRFN").val("");
                $("#chDDNEFTDate").val("");
            });

            $(document).ready(function () {
                $('#feeReceiptDate').datepicker('setDate', 'today');
            });

            function submitFee() {
                if ($("#feeMode").val().trim() === "") {
                    alert("Please Select Fee Payment Mode.");
                    $("#feeMode").focus();
                } else if ($("#chDDTxnNRFN").val().trim() === "") {
                    alert("Please Enter Cheque/DD/Txn.Id/NEFT Reference No. & NA In Case Of Cash Mode.");
                    $("#chDDTxnNRFN").focus();
                } else if ($("#chDDNEFTDate").val().trim() === "") {
                    alert("Please Enter Cheque/DD/NEFT Date & Current Date In Case Of Cash Mode.");
                    $("#chDDNEFTDate").focus();
                } else if ($("#feeReceiptDate").val().trim() === "") {
                    alert("Please Enter Fee Receipt Date.");
                    $("#feeReceiptDate").focus();
                } else if ($("#amountNeedToPay").val().trim() === "" || parseInt($("#amountNeedToPay").val().trim()) === 0) {
                    alert("Please Enter Amount Need To Be Paid.");
                    $("#amountNeedToPay").val("");
                    $("#amountNeedToPay").focus();
                } else {
                    $("#feeCollectionFrm").attr('action', "<?php echo site_url('admin/Fee/saveTransportOptionalFeeAndGenerateReceipt') ?>");
                    $("#feeCollectionFrm").submit();
                }
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
