<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Vehicle | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <!-- google fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Transport/vehicles/"); ?>">Vehicle Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Transport/createVehicle"); ?>">Create New Vehicle</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Vehicle <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/Transport/saveNewVehicle'), ['name' => 'vehicleCreationFrm', 'id' => 'vehicleCreationFrm']); ?>
                                <fieldset>
                                    <legend>Vehicle Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="vType" class="input__label">Select Type *</label>
                                            <select id="vType" name="vType" class="form-control input-style">
                                                <option value="" <?php echo set_select("vType", "") ?>>Select Vehicle Type</option>
                                                <?php foreach ($allVehicleTypes as $thisVehicleType) { ?>
                                                    <option value="<?php echo $thisVehicleType->vtm_id; ?>" <?php echo set_select("vType", $thisVehicleType->vtm_id); ?>><?php echo stripslashes($thisVehicleType->vtm_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vSrNo" class="input__label">Serial Number *</label>
                                            <input type="text" class="form-control input-style" id="vSrNo" name="vSrNo" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('vSrNo'); ?>" placeholder="Enter Vehicle Serial Number" maxlength="5">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vRegNo" class="input__label">Registration Number *</label>
                                            <input type="text" class="form-control input-style" id="vRegNo" name="vRegNo" value="<?php echo set_value('vRegNo'); ?>" placeholder="Enter Vehicle Registration Number (Ex: UP65AT0852)" maxlength="12">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vCapacity" class="input__label">Seating Capacity *</label>
                                            <input type="text" class="form-control input-style" id="vCapacity" name="vCapacity" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('vCapacity'); ?>" placeholder="Enter Vehicle Capacity (No.Of Person)" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="vMake" class="input__label">Make</label>
                                            <input type="text" class="form-control input-style" id="vMake" name="vMake" value="<?php echo set_value('vMake'); ?>" placeholder="Enter Vehicle Make" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vModel" class="input__label">Model</label>
                                            <input type="text" class="form-control input-style" id="vModel" name="vModel" value="<?php echo set_value('vModel'); ?>" placeholder="Enter Vehicle Model" maxlength="50">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vColor" class="input__label">Color</label>
                                            <input type="text" class="form-control input-style" id="vColor" name="vColor" value="<?php echo set_value('vColor'); ?>" placeholder="Enter Vehicle Color" maxlength="15">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="" class="input__label">Is Commercial? *</label><br>
                                            <input type="radio" id="vCommercialYes" name="vCommercial" value="T" <?php echo set_radio('vCommercial', "T"); ?>>&nbsp;<label for="vCommercialYes">Yes</label>
                                            <input type="radio" id="vCommercialNo" name="vCommercial" value="F" <?php echo set_radio('vCommercial', "F"); ?>>&nbsp;<label for="vCommercialNo">No</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="vDriverName" class="input__label">Driver Name</label>
                                            <input type="text" class="form-control input-style" id="vDriverName" name="vDriverName" value="<?php echo set_value('vDriverName'); ?>" placeholder="Enter Driver Name" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vPurchaseDate" class="input__label">Date Of Purchase</label>
                                            <input type="text" class="form-control input-style" id="vPurchaseDate" name="vPurchaseDate" value="<?php echo set_value('vPurchaseDate'); ?>" placeholder="Choose Purchase Date" autocomplete="off" readonly="readonly">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vEnrollDate" class="input__label">In-Service Date</label>
                                            <input type="text" class="form-control input-style" id="vEnrollDate" name="vEnrollDate" value="<?php echo set_value('vEnrollDate'); ?>" placeholder="Choose In-Service Date" autocomplete="off" readonly="readonly">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="vPurpose" class="input__label">Purpose</label>
                                            <select id="vPurpose" name="vPurpose" class="form-control input-style">
                                                <option value="" <?php echo set_select("vPurpose", "") ?>>Select Vehicle Purpose</option>
                                                <option value="SDS" <?php echo set_select("vPurpose", "SDS") ?>>For Day-Scholars</option>
                                                <option value="SGH" <?php echo set_select("vPurpose", "SGH") ?>>For Girls Hostel</option>
                                                <option value="SBH" <?php echo set_select("vPurpose", "SBH") ?>>For Boys Hostel</option>
                                                <option value="ESE" <?php echo set_select("vPurpose", "ESE") ?>>For Staff/Employees</option>
                                                <option value="AMB" <?php echo set_select("vPurpose", "AMB") ?>>Ambulance</option>
                                                <option value="OTH" <?php echo set_select("vPurpose", "OTH") ?>>Others</option>
                                            </select>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Vehicle</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#vRegNo").on("keyup", function () {
                $(this).val(($(this).val()).toUpperCase());
                //$("#vTypeShortName").val($(this).val());
            });
            
            $("#vPurchaseDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });

            $("#vEnrollDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1995:+0',
                numberOfMonths: 1
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>