<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Route Vehicle Allotment | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <?php $this->load->view("admin/navAndHeader"); ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Master Entry</li>
                        <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Route/allotedVehiclesToRoute"); ?>">Route Vehicle Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Route/editVehicleToRouteAllotment/", $allotments->rva_id); ?>">Edit Route Vehicle Allotment</a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <div class="card card_border py-2 mb-4">
                        <div class="cards__heading">
                            <h3><i class="fa fa-edit"></i> Edit Route & Vehicle=> <b><?php echo stripslashes($allotments->fhom_name) . " & " . stripslashes($allotments->vm_make); ?></b></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <!-- form -->
                            <?php echo form_open(site_url("admin/Transport/updateVehicleToRouteAllotment"), ['name' => 'editVehicleAllocatioFrm', 'id' => 'editVehicleAllocatioFrm']); ?>
                            <fieldset>
                                <legend>Route & Vehicle Info.</legend>
                                <div class="form-row">

                                    <div class="form-group col-sm-4">
                                        <label for="vehicle" class="input__label">Route Name</label>
                                        <input type="text" value="<?php echo stripslashes($allotments->fhom_name); ?>" name="route" id="route" class="form-control input-style" readonly="readonly">
                                        <input type="hidden" value="<?php echo stripslashes($allotments->rva_id); ?>" name="rva_id">
                                    </div>
                                    <div class="form-group  col-sm-4">
                                        <label for="vehicle_type" class="input__label required">Select Vehicle Type</label>
                                        <select name="vehicle_type" id="vehicle_type" class="form-control input-style">
                                            <option <?php echo set_select("vehicle_type", ""); ?> value="">-Select Vehicle Type-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($vehicleType); $i++) {
                                                $ct = $vehicleType[$i];
                                                ?>
                                                <option value="<?php echo $ct->vtm_id; ?>" <?php if ($allotments->vtm_id == $ct->vtm_id) echo 'Selected'; ?>>
                                                    <?php echo $ct->vtm_name; ?>
                                                </option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group  col-sm-4">
                                        <label for="vehicle" class="input__label required">Select Vehicle</label>
                                        <select name="vehicle" id="vehicle" class="form-control input-style">
                                            <option <?php echo set_select("vehicle", ""); ?> value="">-Select Vehicle-</option>


                                        </select>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-2">Save Changes</button>
                                </div>
                            </fieldset>
                            <?php echo form_close(); ?>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </body>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $("#vehicle_type").on("change", function () {
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';

            }
            if ($(this).val().trim() !== "") {
                $.ajax({
                    url: '<?php echo site_url("admin/Route/getActiveVehicleByVehicleType") ?>',
                    data: {vehicle_type: $(this).val(), csrf_token: csrfHash},
                    type: 'POST',
                    async: false,
                    success: function (result) {
                        console.log(result);
                        var vehicleInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        console.log(vehicleInfo);
                        $("#vehicle").html(vehicleInfo.vehicle);
                        csrfHash = vehicleInfo.csrfHash;
                        editVehicleAllocatioFrm.csrf_token.value = csrfHash;

                    }
                });
            } else {
                $("#vehicle").html("<option value=>''>-Vehicle-</option>");
                $(".se-pre-con").fadeOut("slow");
            }
        });
        $(document).ready(function () {
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';

            }
            if ($("#vehicle_type").val().trim() !== "") {
                $.ajax({
                    url: '<?php echo site_url("admin/Route/getActiveVehicleByVehicleType") ?>',
                    data: {vehicle_type: $("#vehicle_type").val(), vehicle: '<?php echo $allotments->vm_id; ?>', csrf_token: csrfHash},
                    type: 'POST',
                    async: false,
                    success: function (result) {
                        console.log(result);
                        var vehicleInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        console.log(vehicleInfo);
                        $("#vehicle").html(vehicleInfo.vehicle);
                        csrfHash = vehicleInfo.csrfHash;
                        editVehicleAllocatioFrm.csrf_token.value = csrfHash;

                    }
                });
            } else {
                $("#vehicle").html("<option value=>''>-Vehicle-</option>");
                $(".se-pre-con").fadeOut("slow");
            }
        });
    </script>