<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>All Vehicles List | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Transport/vehicles/"); ?>">Vehicle Management</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-bus"></i> Vehicle Management</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Transport/createVehicle"); ?>'" tooltip="Create New Vehicle"><i class="fa fa-plus"></i> Create New Vehicle</button><br><br>
                                <table id="allVehicles" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Vehicle Sr. No.</th>
                                            <th>Type</th>
                                            <th>Reg. No.</th>
                                            <th>Capacity</th>
                                            <th>Driver</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>In-Service</th>
                                            <th>Purchase Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Vehicle Sr. No.</th>
                                            <th>Type</th>
                                            <th>Reg. No.</th>
                                            <th>Capacity</th>
                                            <th>Driver</th>
                                            <th>Make</th>
                                            <th>Model</th>
                                            <th>In-Service</th>
                                            <th>Purchase Date</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allVehicles); $i++) {
                                            $record = $allVehicles[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo stripslashes($record->vm_sr_no); ?></td>
                                                <td><?php echo stripslashes($record->vtm_short_name); ?></td>
                                                <td><?php echo stripslashes($record->vm_reg_no); ?></td>
                                                <td><?php echo $record->vm_seat_cap . " Person"; ?></td>
                                                <td><?php echo ($record->vm_driver_name == "" || $record->vm_driver_name == NULL) ? "NA" : stripslashes($record->vm_driver_name); ?></td>
                                                <td><?php echo ($record->vm_make == "" || $record->vm_make == NULL) ? "NA" : stripslashes($record->vm_make); ?></td>
                                                <td><?php echo ($record->vm_model == "" || $record->vm_model == NULL) ? "NA" : stripslashes($record->vm_model); ?></td>
                                                <td><?php echo ($record->vm_enroll_date == "" || $record->vm_enroll_date == NULL) ? "NA" : date("d-m-Y", strtotime($record->vm_enroll_date)); ?></td>
                                                <td><?php echo ($record->vm_purchase_date == "" || $record->vm_purchase_date == NULL) ? "NA" : date("d-m-Y", strtotime($record->vm_purchase_date)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->vm_delete_status == 'F') {
                                                        if ($record->vm_active_status == 'T') {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleStatus/' . $record->vm_id . '/F') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/editVehicle/' . $record->vm_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleDeleteStatus/' . $record->vm_id.'T') ?>'"></i> 
                                                        <?php } else { ?>
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleStatus/' . $record->vm_id . '/T') ?>'"></i> 
                                                            <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/editVehicle/' . $record->vm_id) ?>'"  ></i>
                                                            <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Vehicle" onClick="window.location.href = '<?php echo site_url('admin/Transport/toggleVehicleDeleteStatus/' . $record->vm_id .'T') ?>'"></i> 
                                                            <?php
                                                        }
                                                    } else {
                                                        ?>
                                                        <b>Vehicle Deleted By <?php echo $record->updatedByAdmin; ?> On <?php echo date("d-m-Y h:i:s A", strtotime($record->vm_updated_on)); ?>. <a href="<?php echo site_url('admin/Transport/toggleVehicleDeleteStatus/' . $record->vm_id.'F') ?>">Click To Undo <i class="fa fa-undo" style="color:#FF0000"></i></a></b> 
                                                    <?php } ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getVehicleInfo(<?php echo $record->vm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#allVehicles").DataTable({responsive: true, dom: 'Blfrtip'});
            });
            function getVehicleInfo(vehicle_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Transport/getVehicleFullInfo/'); ?>',
                    data: {vehicle_id: vehicle_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisVehicleInfo = JSON.parse(result);
                        csrfHash = thisVehicleInfo.csrfHash;
                        $("#veh_sr_no").html(thisVehicleInfo.vm_sr_no);
                        $("#veh_reg_no").html(thisVehicleInfo.vm_reg_no);
                        $("#veh_type").html(thisVehicleInfo.vm_type);
                        $("#veh_seat_cap").html(thisVehicleInfo.vm_seat_capacity);
                        $("#veh_make").html(thisVehicleInfo.vm_make);
                        $("#veh_model").html(thisVehicleInfo.vm_model);
                        $("#veh_enroll_date").html(thisVehicleInfo.vm_inservice_date);
                        $("#veh_purchase_date").html(thisVehicleInfo.vm_purchase_date);
                        $("#veh_color").html(thisVehicleInfo.vm_color);
                        $("#veh_driver").html(thisVehicleInfo.vm_driver_name);
                        $("#veh_if_commercial").html(thisVehicleInfo.vm_commercial_flag);
                        $("#veh_purpose").html(thisVehicleInfo.vm_purpose);
                        $("#veh_active_status").html(thisVehicleInfo.vm_active_status);
                        $("#veh_delete_status").html(thisVehicleInfo.vm_delete_status);
                        $("#veh_added_by").html(thisVehicleInfo.vm_added_by);
                        $("#veh_updated_by").html(thisVehicleInfo.vm_updated_by);
                        $("#vehicleDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- Vehicle Details Modal Starts -->
        <div class="modal fade" id="vehicleDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Vehicle Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-3"><b>Vehicle Type</b></div>
                                <div class="col-sm-3"><span id="veh_type"></span></div>
                                <div class="col-sm-3"><b>Serial Number</b></div>
                                <div class="col-sm-3"><span id="veh_sr_no"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Registration Number</b></div>
                                <div class="col-sm-3"><span id="veh_reg_no"></span></div>
                                <div class="col-sm-3"><b>Seating Capacity</b></div>
                                <div class="col-sm-3"><span id="veh_seat_cap"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Make</b></div>
                                <div class="col-sm-3"><span id="veh_make"></span></div>
                                <div class="col-sm-3"><b>Model</b></div>
                                <div class="col-sm-3"><span id="veh_model"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Purchased On</b></div>
                                <div class="col-sm-3"><span id="veh_purchase_date"></span></div>
                                <div class="col-sm-3"><b>In-Service Since</b></div>
                                <div class="col-sm-3"><span id="veh_enroll_date"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Color</b></div>
                                <div class="col-sm-3"><span id="veh_color"></span></div>
                                <div class="col-sm-3"><b>Driver</b></div>
                                <div class="col-sm-3"><span id="veh_driver"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>If Commercial?</b></div>
                                <div class="col-sm-3"><span id="veh_if_commercial"></span></div>
                                <div class="col-sm-3"><b>Purpose</b></div>
                                <div class="col-sm-3"><span id="veh_purpose"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Resid. State</b></div>
                                <div class="col-sm-3"><span id="staff_resid_state"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Active Status</b></div>
                                <div class="col-sm-3"><span id="veh_active_status"></span></div>
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="veh_delete_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Added By</b></div>
                                <div class="col-sm-9"><span id="veh_added_by"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Last Updated By</b></div>
                                <div class="col-sm-9"><span id="veh_updated_by"></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Vehicle Details Modal Ends -->
    </body>
</html>