<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Download/View Semester/Year Wise Course Profile | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Academics/courseProfile/"); ?>"> Course Profile</a></li>                            
                        </ol>
                    </nav>
                </div>               
                <div class="data-tables">
                    <div class="row px-2">
                        <div class="col-md-12 mb-4 px-2">
                            <div class="card card_border p-4">
                                <h3 class="card__title"><i class="fa fa-download"></i> Download/View Semester/Year Wise Course Profile</h3><br>
                                <div class="table-responsive">
                                    <table id="courseProfile" class="table-striped table-success" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Session</th>
                                                <th>Semester/Year</th>
                                                <th>File</th>
                                            </tr>
                                        </thead>
                                        <tfoot>
                                            <tr>
                                                <th>Session</th>
                                                <th>Semester/Year</th>
                                                <th>File</th>
                                            </tr>
                                        </tfoot>
                                        <tbody>
                                            <?php
                                            for ($i = 0; $i < sizeof($courseProfiles); $i++) {
                                                $record = $courseProfiles[$i];
                                                ?>
                                                <tr>
                                                    <th><?php echo stripslashes($record->session_name); ?></th>
                                                    <th><?php echo $record->cp_sem_or_year; ?></th>
                                                    <td><?php echo "<a href='" . base_url($record->cp_file_path) . "' target='_blank' title='Click To View File'><i class='fa fa-download'></i> Download</a>"; ?></td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#courseProfile").DataTable({responsive: true});
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>
