<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>My Achievements | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Profile/myAchievements"); ?>">My Achievements</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-trophy"></i> My Achievements</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("student/Profile/createAchievement"); ?>'" tooltip="Add New Achievement"><i class="fa fa-plus"></i> Add New Achievement</button><br><br>
                                <table id="myAchievements" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Type</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th>Created On</th>
                                            <th>Last Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Type</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>File</th>
                                            <th>Created On</th>
                                            <th>Last Updated On</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($myAchievements); $i++) {
                                            $record = $myAchievements[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <th><a href="javascript:void(0);" class="badge badge-success"><?php echo stripslashes($record->tsam_short_title); ?></a></th>
                                                <th><?php echo stripslashes($record->sam_title); ?></th>
                                                <td><?php echo stripslashes($record->sam_description); ?></td>
                                                <td><?php echo ($record->sam_file != "" || $record->sam_file != NULL) ? "<a href='" . base_url($record->sam_file) . "' target='_blank' title='Click To View File'><i class='fa fa-file'></i></a>" : "-"; ?></td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->sam_added_on)); ?></td>
                                                <td><?php echo date("d-m-Y h:i:s A", strtotime($record->sam_updated_on)); ?></td>
                                                <td>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Operation" onClick="window.location.href = '<?php echo site_url('student/Profile/editAchievement/' . $record->sam_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Operation" onClick="confirmDeleteAchievement(<?php echo $record->sam_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#myAchievements").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function confirmDeleteAchievement(sam_id) {
                if (confirm("Do you really want to delete this achievement? You can not get back deleted achievements. Click OK to continue & Cancel otherwise.")) {
                    window.location.href = '<?php echo site_url('student/Profile/deleteAchievement/'); ?>' + sam_id;
                }
            }
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>