<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Change Password | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/ChangePassword"); ?>">Change Password</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-key"></i> Change Password <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage') . " <p style='color:#FF0000'>You Will Be Logged Out Now.</p>"; ?> </strong> </div>
                                    <?php
                                    $this->output->set_header("refresh:3;url='" . site_url('/student/Authentication/authLogout') . "'");
                                }
                                ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('student/ChangePassword/changePassword'), ['name' => 'passwordUpdateFrm', 'id' => 'passwordUpdateFrm']); ?>
                                <fieldset>
                                    <legend>Password Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="curPass" class="input__label">Current Password *</label>
                                            <input type="password" class="form-control input-style" id="curPass" name="curPass" placeholder="Enter Current Password">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="newPass" class="input__label">New Password *</label>
                                            <input type="password" class="form-control input-style" id="newPass" name="newPass" placeholder="Enter Current Password (6-12 Chars)" maxlength="12">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="confNewPass" class="input__label">Confirm New Password *</label>
                                            <input type="password" class="form-control input-style" id="confNewPass" name="confNewPass" placeholder="Re-Enter New Password (6-12 Chars)" maxlength="12">
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Change Password</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>