<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Paid & Due Fee Details Of <?php echo stripslashes($this->session->userdata("studentData")["stu_name"]) . " | " . $this->session->userdata("studentData")["stu_course"] . " | " . $this->session->userdata("studentData")["stu_batch"]; ?> | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Fee & Scholarships</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Fee/"); ?>"> View Fee Info</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-money"></i> Fee Structure Schedule Chart (With Paid & Dues)</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="feeStructure" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Semester/Year</th>
                                            <th>Fee Head</th>
                                            <th>Applicable Amount</th>
                                            <th>Paid Amount</th>
                                            <th>Due Amount</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Semester/Year</th>
                                            <th>Fee Head</th>
                                            <th>Applicable Amount</th>
                                            <th>Paid Amount</th>
                                            <th>Due Amount</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        $thisSemesterOrYear = "";
                                        $bgcolor = "";
                                        $tempVar = 1;
                                        for ($i = 0; $i < sizeof($feeInfo); $i++) {
                                            $record = $feeInfo[$i];
                                            $tempSemesterOrYear = "";
                                            if ($thisSemesterOrYear != $record['fsm_semester']) {
                                                $thisSemesterOrYear = $record['fsm_semester'];
                                                $tempSemesterOrYear = $record['fsm_semester'];
                                                $tempVar++;
                                            } else {
                                                $tempSemesterOrYear = "";
                                            }
                                            if ($record['course_time_mgmt_flag'] == 'Y') {
                                                $yearSuffix = $record['fsm_semester'] . " Year";
                                            } else if ($record['course_time_mgmt_flag'] == 'S') {
                                                $yearSuffix = " Semester | " . ceil($record['fsm_semester'] / 2) . " Year";
                                            }
                                            ?>
                                            <tr <?php if ($record['fcm_due_amount'] == "0.0") { ?> style="background-color: #91ef91;" <?php } else { ?> style="background-color: #f1c3b1;" <?php } ?>>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo ($tempSemesterOrYear == "") ? "" : $yearSuffix; ?></td>
                                                <td><?php echo stripslashes($record['fhm_name']); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record['fsm_amount'] . "/-"; ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record['fcm_paid_amount'] . "/-"; ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record['fcm_due_amount'] . "/-"; ?></td>
                                                <td>
                                                    <?php if ($record['frm_id'] != "NA") { ?>
                                                    <a href="<?php echo site_url("student/Fee/showReceipt/" . $record['frm_id']); ?>" target="_blank" class='badge badge-primary'><i class="fa fa-download"></i> Receipt</a>
                                                        <?php
                                                    } else {
                                                        echo "-";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#feeStructure").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'portrait', pageSize: 'A4'}
                    ]});
            });
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>
