<?php
$MERCHANT_KEY = "FsLXLfPg";
$SALT = "QVzZHjcVtp";
// Merchant Key and Salt as provided by Payu.
$PAYU_BASE_URL = "https://sandboxsecure.payu.in";  // For Sandbox Mode
//$PAYU_BASE_URL = "https://secure.payu.in";      // For Production Mode
$action = '';
$posted = array();
if (!empty($_POST)) {
    foreach ($_POST as $key => $value) {
        $posted[$key] = $value;
    }
}
$formError = 0;
if (empty($posted['txnid'])) {
    // Generate random transaction id
    $txnid = substr(hash('sha256', mt_rand() . microtime()), 0, 20);
} else {
    $txnid = $posted['txnid'];
}
$hash = '';
// Hash Sequence
$hashSequence = "key|txnid|amount|productinfo|firstname|email|udf1|udf2|udf3|udf4|udf5|udf6|udf7|udf8|udf9|udf10";
if (empty($posted['hash']) && sizeof($posted) > 0) {
    if (
            empty($posted['key']) || empty($posted['txnid']) || empty($posted['amount']) || empty($posted['firstname']) || empty($posted['email']) || empty($posted['phone']) || empty($posted['productinfo']) || empty($posted['surl']) || empty($posted['furl']) || empty($posted['service_provider'])
    ) {
        $formError = 1;
    } else {
        $hashVarsSeq = explode('|', $hashSequence);
        $hash_string = '';
        foreach ($hashVarsSeq as $hash_var) {
            $hash_string .= isset($posted[$hash_var]) ? $posted[$hash_var] : '';
            $hash_string .= '|';
        }
        $hash_string .= $SALT;
        $hash = strtolower(hash('sha512', $hash_string));
        $action = $PAYU_BASE_URL . '/_payment';
    }
} elseif (!empty($posted['hash'])) {
    $hash = $posted['hash'];
    $action = $PAYU_BASE_URL . '/_payment';
}
?>
<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Pay Fee Online | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <script>
        var hash = '<?php echo $hash ?>';
        function submitPayuForm() {
            if (hash == '') {
                return;
            }
            var payuForm = document.forms.payuForm;
            payuForm.submit();
        }
    </script>
    <body onload="submitPayuForm();">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Fee & Scholarships</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Fee/payFeeOnline"); ?>"> Pay Fee Online</a></li>                            
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-credit-card"></i> Pay Due Fee Online</h3><br>
                            <form action="<?php echo $action; ?>" method="post" name="payuForm">
                                <input type="hidden" name="key" value="<?php echo $MERCHANT_KEY ?>" />
                                <input type="hidden" name="hash" value="<?php echo $hash ?>"/>
                                <input type="hidden" name="txnid" value="<?php echo $txnid ?>" />
                                <input type="hidden" name="firstname" id="firstname" value="<?php echo stripslashes($this->session->userdata("studentData")["stu_name"]); ?>" />
                                <input type="hidden" name="email" id="email" value="<?php echo stripslashes($this->session->userdata("studentData")["stu_email"]); ?>" />
                                <input type="hidden" name="phone" value="<?php echo stripslashes($this->session->userdata("studentData")["stu_mobile"]); ?>" />
                                <input type="hidden" name="productinfo" value="<?php echo stripslashes($this->session->userdata("studentData")["stu_form_no"]); ?>" />
                                <input type="hidden" name="service_provider" value="payu_paisa" size="64" />
                                <?php
                                if (sizeof($payableFee)) {
                                    ?>
                                    <div class="table-responsive">
                                        <?php if ($this->session->flashdata('successMessage')) { ?>
                                            <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                        <?php } ?>
                                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                                            <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                        <?php } ?>
                                        <table id="feeStructure" style="width:100%" class="table bootstrap table-striped table-bordered table-active">
                                            <thead>
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Due For</th>
                                                    <th>Fee Head</th>
                                                    <th>Applicable Amount</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $thisSemesterOrYear = "";
                                                $bgcolor = "";
                                                $tempVar = 1;
                                                $totalPayableAmt = 0.0;
                                                for ($i = 0; $i < sizeof($payableFee); $i++) {
                                                    $record = $payableFee[$i];
                                                    $tempSemesterOrYear = "";
                                                    if ($thisSemesterOrYear != $currentYearOrSem) {
                                                        $thisSemesterOrYear = $currentYearOrSem;
                                                        $tempSemesterOrYear = $currentYearOrSem;
                                                        $tempVar++;
                                                    } else {
                                                        $tempSemesterOrYear = "";
                                                    }
                                                    if ($record->course_time_mgmt_flag == 'Y') {
                                                        $yearSuffix = $currentYearOrSem . " Year";
                                                    } else if ($record->course_time_mgmt_flag == 'S') {
                                                        $yearSuffix = " Semester | " . ceil($currentYearOrSem / 2) . " Year";
                                                    }
                                                    $totalPayableAmt += $record->fssm_amount;
                                                    ?>
                                                    <tr>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <td><?php echo ($tempSemesterOrYear == "") ? "" : $yearSuffix; ?></td>
                                                        <td><?php echo stripslashes($record->fhm_name); ?></td>
                                                        <td><?php echo "<i class='fa fa-inr'></i> " . $record->fssm_amount . "/-"; ?></td>
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <th colspan="3">Total Payable</th>
                                                    <th>
                                                        <input type="hidden" name="amount" value="<?php echo $totalPayableAmt; ?>" />
                                                        <input type="hidden" name="surl" value="<?php echo site_url('student/Fee/paymentSuccessful/' . $this->session->userdata("studentData")["stu_id"] . "/" . $txnid . "/" . $currentYearOrSem . "/" . $totalPayableAmt); ?>" />
                                                        <input type="hidden" name="furl" value="<?php echo site_url('student/Fee/paymentFailed/' . $this->session->userdata("studentData")["stu_id"] . "/" . $txnid . "/" . $currentYearOrSem . "/" . $totalPayableAmt); ?>" />
                                                        <?php
                                                        echo "<i class='fa fa-inr'></i> " . $totalPayableAmt . "/-";
                                                        ?>
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <th colspan="4">
                                                        <?php
                                                        if (!$hash) {
                                                            ?>
                                                <center><button id="submitBtn" type="submit" class="btn btn-md btn-primary" >Pay Online &nbsp;<i class="fa fa-arrow-right"></i></button></center>
                                                <?php
                                            }
                                            ?>
                                            </th>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                <?php } else {
                                    ?>
                                    <center>
                                        <i class="fa fa-check fa-5x" style="color:#00FF00;"></i>
                                        <h3 style="color:#004bf5;font-weight: bolder;">No Fee Is Due For Payment.</h3>
                                    </center>
                                    <?php
                                }
                                ?>
                            </form>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>
