<!DOCTYPE HTML>
<html>
    <head id="head">
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo ($status) ? $receipt_number : "Fee Payment Failed"; ?> | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <?php $this->load->view("student/navAndHeader"); ?>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Fee & Scholarships</li>
                            <li class="breadcrumb-item">Payment Status</li>                            
                        </ol>
                    </nav>
                    <?php if ($status) { ?>
                        <section class="forms" id="appPrint" style="background-image: '<?php echo base_url("assets/admin/images/header.png"); ?>'">
                            <div class="card card_border p-1">
                                <div class="card col-lg-12">
                                    <div class="text-center">
                                        <a href="javascript:void(0);"><img src="<?php echo base_url("assets/admin/images/header.png"); ?>" alt=""></a>
                                    </div>
                                    <div class="card-body">
                                        <table class="table table-bordered" style="">
                                            <tr>
                                                <th colspan="6" style="text-align: center;">
                                                    <h3><b><u><?php echo $receipt_title; ?></u></b></h3><br>
                                                    <span style="color:#FF0000;font-size: xx-large;"><?php echo ($is_cancelled) ? "CANCELLED" : ""; ?></span>
                                                </th>
                                            </tr>
                                            <tr>
                                                <td colspan="3" style="text-align: left;"><b>Receipt No.: </b><?php echo $receipt_number; ?></td>
                                                <td colspan="3" style="text-align: right;"><b>Date: </b><?php echo $receipt_date; ?></td>
                                            </tr>
                                        </table>
                                        <hr style="border-top: 1px solid black;">
                                        <table class="table table-bordered" style="font-size: small;">
                                            <tr>
                                                <td colspan="6" style="text-align: left;"><b>Name: </b><?php echo stripslashes($student_details->tspi_name); ?></td>
                                                <td colspan="2" style="text-align: left;"><b>Course: </b><?php echo stripslashes($student_details->course_name . " (" . $student_details->tcsm_course_type . ")"); ?></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="text-align: left;"><b>Form No.: </b><?php echo stripslashes($student_details->tspi_form_no); ?></td>
                                                <td colspan="4" style="text-align: left;"><b>Enrl. No.: </b><?php echo ($student_details->tspi_enrollment_no == $student_details->tspi_form_no) ? "-" : stripslashes($student_details->tspi_enrollment_no); ?></td>
                                                <td colspan="2" style="text-align: left;"><b>Roll No.: </b><?php echo ($student_details->tspi_rollNumber == $student_details->tspi_form_no) ? "-" : stripslashes($student_details->tspi_rollNumber); ?></td>  
                                            </tr>
                                            <tr>
                                                <td colspan="2" style="text-align: left;"><b>Amount Received: </b><?php echo "<i class='fa fa-inr'></i> " . $total_paid . "/-"; ?></td>
                                                <td colspan="2" style="text-align: left;"><b>Date: </b><?php echo $chqDDTxnNEFTDate; ?></td>  
                                                <td colspan="2" style="text-align: left;"><b>Payment Mode: </b><?php echo $fee_mode; ?></td>
                                                <td colspan="2" style="text-align: left;"><b>Chq./DD/NEFT/UPI/Txn. Ref. No.: </b><?php echo $chqDDTxnNEFTRefNo; ?></td>
                                            </tr>
                                        </table>
                                        <?php if (sizeof($collection_info)) { ?>
                                            <hr style="border-top: 1px solid black;">
                                            <table class="table table-bordered" style="font-size: small;">
                                                <tr>
                                                    <td colspan="6" style="text-align: left;"><b>Particulars</b></td>
                                                    <td colspan="2" style="text-align: left;"><b>Year/Semester</b></td>
                                                    <td colspan="2" style="text-align: left;"><b>Amount</b></td>
                                                </tr>
                                                <?php for ($i = 0; $i < sizeof($collection_info); $i++) { ?>
                                                    <tr>
                                                        <td colspan="6" style="text-align: left;"><b><?php echo $collection_info[$i]['fee_head']; ?></b></td>
                                                        <td colspan="2" style="text-align: left;"><b><?php echo ($student_details->course_time_mgmt_flag == "Y") ? $collection_info[$i]['sem_or_year'] . " Year" : $collection_info[$i]['sem_or_year'] . " Semester"; ?></b></td>
                                                        <td colspan="2" style="text-align: left;"><b><?php echo $collection_info[$i]['amount_paid'] . " " . $collection_info[$i]['is_part_payment']; ?></b></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </table>
                                        <?php } ?>
                                        <?php if (sizeof($councelling_fee)) { ?>
                                            <hr style="border-top: 1px solid black;">
                                            <table class="table table-bordered" style="font-size: small;"> 
                                                <tr>
                                                    <th colspan="8">Couselling Fee/Paid To University</th>
                                                </tr>
                                                <tr>
                                                    <td colspan="1" style="text-align: left;"><b>Paid Amount: </b><?php echo "<i class='fa fa-inr'></i> " . $councelling_amount . "/-"; ?></td>
                                                    <td colspan="1" style="text-align: left;"><b>Date: </b><?php echo $councelling_fee_date; ?></td>  
                                                    <td colspan="1" style="text-align: left;"><b>Payment Mode: </b><?php echo $councelling_fee_mode; ?></td>
                                                    <td colspan="1" style="text-align: left;"><b>Chq./DD/NEFT/UPI/Txn. Ref. No.: </b><?php echo $councelling_fee_ref_no; ?></td>  
                                                </tr>
                                            </table>
                                        <?php } ?>
                                        <hr style="border-top: 1px solid black;">
                                        <table class="table table-bordered">
                                            <tr height="100px;">
                                                <th colspan="4" style="text-align: center;font-size: small;vertical-align: middle;">
                                                    <b><?php echo "<i class='fa fa-inr'></i> " . $total_paid . "/-"; ?></b><br>
                                                    (<?php echo $total_paid_in_words . " Rupees Only"; ?>)
                                                </th>
                                                <th colspan="3" style="text-align: center;vertical-align: bottom;">
                                                    <b style="text-decoration: overline;">Authorised Signature</b><br>
                                                    <h6 style="font-size: smaller;font-style: italic;">For <?php echo stripslashes($this->session->userdata("studentData")["branch_short_name"]); ?></h6>
                                                </th>
                                            </tr>
                                        </table>
                                        <div class="form-row">
                                            <div class="form-group col-md-12">
                                                <ul>
                                                    <li>
                                                        <small class="form-text text-muted">In no case, fees once deposited, will be refunded/adjusted/transferred.</small>
                                                    </li>
                                                    <li>
                                                        <small class="form-text text-muted">Security money will be refunded after completion of course.</small>
                                                    </li>
                                                    <li>
                                                        <small class="form-text text-muted">All disputes subject to district/city jurisdiction only.</small>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>
                        <div class="row">
                            <div class="col-md-6">
                                <button onclick="printDiv()" id="print" class="btn btn-block btn-warning"><i class="fa fa-print"></i> Print Receipt</button>
                            </div>
                            <div class="col-md-6">
                                <a href="<?php echo site_url("student/Dashboard/"); ?>" class="btn btn-block btn-primary"><i class="fa fa-arrow-left"></i> Back To Dashboard</a>
                            </div>
                        </div>
                    <?php } else { ?>
                        <section class="card">
                            <div class="card-body">
                                <div class="row px-2">
                                    <div class="col-md-12 mb-4 px-2">
                                        <div>
                                            <center>
                                                <i class="fa fa-times fa-5x" style="color:#FF0000;"></i>
                                                <h3 style="color:#FF0000;font-weight: bolder;">PAYMENT FAILED</h3>
                                            </center>
                                            <div class="alert alert-danger"> <strong><?php echo $message; ?></strong></div>

                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <a href="<?php echo site_url("student/Dashboard/"); ?>" class="btn btn-block btn-primary"><i class="fa fa-arrow-left"></i> Back To Dashboard</a>
                                    </div>
                                    <div class="col-md-6">
                                        <a href="<?php echo site_url("student/Fee/payFeeOnline"); ?>" class="btn btn-block btn-warning"><i class="fa fa-arrow-left"></i> Back To Due Fee</a>
                                    </div>
                                </div>
                        </section>
                    <?php } ?>
                </div>
            </div>
        </section>
        <?php $this->load->view("student/footer"); ?>
        <script>
            function printDiv() {
                var divToPrint = document.getElementById('appPrint');
                var head = document.getElementById('head');
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html>' + head.innerHTML + '<body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
    </body>
</html>
