<!doctype html>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo stripslashes($this->session->userdata("studentData")["stu_name"]); ?> Profile | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Profile/"); ?>">My Profile</a></li>
                        </ol>
                    </nav>
                    <section class="data-tables">
                        <div class="card card_border p-5">

                            <div class="col-lg-12">
                                <div class="text-center">
                                    <a href="javascript:void(0);"><img src="<?php echo base_url("assets/admin/images/header.png"); ?>" alt="<?php echo $this->session->userdata("studentData")["branch_short_name"]; ?>" class="img-responsive mt-3"></a>
                                </div>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <div class="card-body">
                                    <div class="form-row">
                                        <h2 class="card__title font-weight-bold">FORM DETAILS</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-2 font-weight-bold">Form Number:</div>
                                        <div class="col-sm-2"><?php echo $stuPersonalInfoWithPicAndSign->tspi_form_no; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Enrl. No.:</div>
                                        <div class="col-sm-2"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_form_no == $stuPersonalInfoWithPicAndSign->tspi_enrollment_no) ? "-" : $stuPersonalInfoWithPicAndSign->tspi_enrollment_no; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Roll Numbers:</div>
                                        <div class="col-sm-2"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_form_no == $stuPersonalInfoWithPicAndSign->tspi_rollNumber) ? "-" : $stuPersonalInfoWithPicAndSign->tspi_rollNumber; ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-2 font-weight-bold">Course:</div>
                                        <div class="col-sm-2"><?php echo $stuPersonalInfoWithPicAndSign->course_name; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Session:</div>
                                        <div class="col-sm-2"><?php echo $stuPersonalInfoWithPicAndSign->session_name; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Entry Type:</div>
                                        <div class="col-sm-2"><?php echo $stuPersonalInfoWithPicAndSign->tcsm_course_type; ?></div>
                                    </div>
                                    <hr class="mt-2" style="border-top: 1px solid black;">
                                    <div class="form-row ">
                                        <h2 class="card__title font-weight-bold">PERSONAL DETAILS</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Name:</div>
                                        <div class="col-sm-9"><?php echo stripslashes($stuPersonalInfoWithPicAndSign->tspi_name); ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Father's Name:</div>
                                        <div class="col-sm-3"><?php echo stripslashes($stuFatherName); ?></div>
                                        <div class="col-sm-3 font-weight-bold">Mother's Name:</div>
                                        <div class="col-sm-3"><?php echo stripslashes($stuMotherName); ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Gender:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_gender == "M") ? "Male" : (($stuPersonalInfoWithPicAndSign->tspi_gender == "F") ? "Female" : "Transgender"); ?></div>
                                        <div class="col-sm-3 font-weight-bold">D.O.B.:</div>
                                        <div class="col-sm-3"><?php echo date("d-m-Y", strtotime($stuPersonalInfoWithPicAndSign->tspi_dob)); ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Category:</div>
                                        <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_category; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Religion:</div>
                                        <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_religion; ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Mobile:</div>
                                        <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_mobile; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Email:</div>
                                        <div class="col-sm-3"><?php echo $stuPersonalInfoWithPicAndSign->tspi_email; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-3 font-weight-bold">Admission Date:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_admission_date == "" || $stuPersonalInfoWithPicAndSign->tspi_admission_date == NULL) ? "-" : date('d-m-Y', strtotime($stuPersonalInfoWithPicAndSign->tspi_admission_date)); ?></div>
                                        <div class="col-sm-3 font-weight-bold">Enrollment Date:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_enrollment_date == "" || $stuPersonalInfoWithPicAndSign->tspi_enrollment_date == NULL) ? "-" : date('d-m-Y', strtotime($stuPersonalInfoWithPicAndSign->tspi_enrollment_date)); ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-3 font-weight-bold">Differently Abled:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_is_diff_abled == "T") ? "Yes" : "No"; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Parent's Annual Income:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_parent_annual_income == "" || $stuPersonalInfoWithPicAndSign->tspi_parent_annual_income == NULL) ? "-" : "<i class='fa fa-inr'></i> " . $stuPersonalInfoWithPicAndSign->tspi_parent_annual_income . "/-"; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-3 font-weight-bold">Year Gap Applicable:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_ygap_applied == "T") ? "Yes" : "No"; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Eligible For Scholarship:</div>
                                        <div class="col-sm-3"><?php echo ($stuPersonalInfoWithPicAndSign->tspi_scholarship_eligible == "T") ? "Yes (" . $stuPersonalInfoWithPicAndSign->tspi_scholarship_percentage . "%)" : "No"; ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Aadhar:</div>
                                        <div class="col-sm-3"><?php echo $stuAadharNumber; ?></div>
                                        <div class="col-sm-3 font-weight-bold">PAN:</div>
                                        <div class="col-sm-3"><?php echo $stuPANNumber; ?></div>
                                    </div>
                                    <div class="form-row">                                
                                        <div class="col-sm-3 font-weight-bold">Caste Certificate No.:</div>
                                        <div class="col-sm-3"><?php echo $stuCSTCNumber; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Annual Income Certificate No.:</div>
                                        <div class="col-sm-3"><?php echo $stuAICNumber; ?></div>
                                    </div>
                                    <hr class="mt-2" style="border-top: 1px solid black;">
                                    <div class="form-row ">
                                        <h2 class="card__title font-weight-bold">CONTACT DETAILS</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Parent Mobile:</div>
                                        <div class="col-sm-3"><?php echo ($stuContactInfo->tsci_parent_mobile == "" || $stuContactInfo->tsci_parent_mobile == NULL) ? "-" : $stuContactInfo->tsci_parent_mobile; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Parent Landline:</div>
                                        <div class="col-sm-3"><?php echo ($stuContactInfo->tsci_parent_landline == "" || $stuContactInfo->tsci_parent_landline == NULL) ? "-" : $stuContactInfo->tsci_parent_landline; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-12 font-weight-bold"><u>Mailing Address</u></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-1 font-weight-bold">Street:</div>
                                        <div class="col-sm-11">
                                            <?php
                                            echo ($stuContactInfo->tsci_resid_address_line_one == "" || $stuContactInfo->tsci_resid_address_line_one == NULL) ? "" : stripslashes($stuContactInfo->tsci_resid_address_line_one);
                                            echo ($stuContactInfo->tsci_resid_address_line_two == "" || $stuContactInfo->tsci_resid_address_line_two == NULL) ? "" : ", " . stripslashes($stuContactInfo->tsci_resid_address_line_two);
                                            echo ($stuContactInfo->tsci_resid_address_line_three == "" || $stuContactInfo->tsci_resid_address_line_three == NULL) ? "" : ", " . stripslashes($stuContactInfo->tsci_resid_address_line_three);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">City:</div>
                                        <div class="col-sm-2"><?php echo $stuContactInfo->mailingCity; ?></div>
                                        <div class="col-sm-2 font-weight-bold">State:</div>
                                        <div class="col-sm-3"><?php echo $stuContactInfo->mailingState; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Pincode:</div>
                                        <div class="col-sm-2"><?php echo ($stuContactInfo->tsci_resid_zipcode == "" || $stuContactInfo->tsci_resid_zipcode == NULL) ? "-" : $stuContactInfo->tsci_resid_zipcode; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-12 font-weight-bold"><u>Permanent Address</u></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-1 font-weight-bold">Street:</div>
                                        <div class="col-sm-11">
                                            <?php
                                            echo ($stuContactInfo->tsci_perma_address_line_one == "" || $stuContactInfo->tsci_perma_address_line_one == NULL) ? "" : stripslashes($stuContactInfo->tsci_perma_address_line_one);
                                            echo ($stuContactInfo->tsci_perma_address_line_two == "" || $stuContactInfo->tsci_perma_address_line_two == NULL) ? "" : ", " . stripslashes($stuContactInfo->tsci_perma_address_line_two);
                                            echo ($stuContactInfo->tsci_perma_address_line_three == "" || $stuContactInfo->tsci_perma_address_line_three == NULL) ? "" : ", " . stripslashes($stuContactInfo->tsci_perma_address_line_three);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">City:</div>
                                        <div class="col-sm-2"><?php echo $stuContactInfo->permaCity; ?></div>
                                        <div class="col-sm-2 font-weight-bold">State:</div>
                                        <div class="col-sm-3"><?php echo $stuContactInfo->permaState; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Pincode:</div>
                                        <div class="col-sm-2"><?php echo ($stuContactInfo->tsci_perma_zipcode == "" || $stuContactInfo->tsci_perma_zipcode == NULL) ? "-" : $stuContactInfo->tsci_perma_zipcode; ?></div>
                                    </div>
                                    <hr class="mt-2" style="border-top: 1px solid black;">
                                    <div class="form-row">
                                        <h2 class="card__title font-weight-bold">EDUCATIONAL QUALIFICATION</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row mt-4">
                                        <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                            <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                                <thead>
                                                    <tr valign="center" align="center">
                                                        <th>Name Of Examination</th>
                                                        <th>Board / University of Examination</th>
                                                        <th>Stream</th>
                                                        <th>Year of Passing</th>
                                                        <th>Max. Marks / CGPA</th>
                                                        <th>Marks / CGPA Obtained</th>
                                                        <th>% of Marks/CGPA Obtained</th>
                                                        <th>Division</th>                                             
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    for ($i = 0; $i < sizeof($stuEduQualifInfo); $i++) {
                                                        $rec = $stuEduQualifInfo[$i];
                                                        ?>
                                                        <tr>
                                                            <th><?php echo $rec->exam_name; ?></th>
                                                            <td><?php echo $rec->tesi_board; ?></td>
                                                            <td><?php echo $rec->tesi_stream; ?></td>
                                                            <td style="word-wrap:break-word;"><?php echo $rec->tesi_passing_year; ?></td>
                                                            <td><?php echo $rec->tesi_max_marks_cgpa; ?></td>
                                                            <td><?php echo $rec->tesi_cgpa; ?></td>
                                                            <td><?php echo $rec->tesi_percnt; ?></td>
                                                            <td><?php echo $rec->tesi_division; ?></td>
                                                        </tr>
                                                        <?php
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <hr class="mt-3" style="border-top: 1px solid black;">
                                    <div class="form-row">
                                        <h2 class="card__title font-weight-bold"></i>PROFESSIONAL EXPERIENCE</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Have Professional Experience:</div>
                                        <div class="col-sm-9"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_is_prof_exp == "T") ? "Yes" : "No"; ?></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">Exprnce.:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_no_of_years == "" || $stuEntranceExamAndProfExpInfo->tsevi_no_of_years == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_no_of_years . " Years"; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Organization:</div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_organization == "" || $stuEntranceExamAndProfExpInfo->tsevi_organization == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_organization; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Description:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_job_desc == "" || $stuEntranceExamAndProfExpInfo->tsevi_job_desc == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_job_desc; ?></div>
                                    </div>
                                    <hr class="" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4">
                                        <h2 class="card__title font-weight-bold">EXTRA-CURRICULAR ACTIVITIES/GAMES/SPORTS</h2>                     
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-12"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_extra_activities == "" || $stuEntranceExamAndProfExpInfo->tsevi_extra_activities == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_extra_activities; ?></div>
                                    </div>
                                    <hr class="" style="border-top: 1px solid black;">
                                    <div class="form-row">
                                        <h2 class="card__title font-weight-bold"></i>FAMILY BACKGROUND DETAILS</h2><br>
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-lg-12" style="font-size:16px; border:0px solid black;">
                                            <table class="" border="1" style="border-collapse:collapse; table-layout:fixed; width:100%;">
                                                <thead>
                                                    <tr valign="center">
                                                        <th >Name</th>
                                                        <th >Relationship</th>
                                                        <th >Designation</th>
                                                        <th>Organization</th>                                            
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    for ($i = 0; $i < sizeof($stuFamilyBGInfo); $i++) {
                                                        $rec = $stuFamilyBGInfo[$i];
                                                        ?>
                                                        <tr>
                                                            <td><?php echo $rec->tfbi_name; ?></td>
                                                            <td><?php echo $rec->rel_title; ?></td>
                                                            <td style="word-wrap:break-word;"><?php echo $rec->tfbi_designation; ?></td>
                                                            <td><?php echo $rec->tfbi_organization; ?></td>
                                                        </tr>
                                                        <?php
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <hr class="" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4">
                                        <h2 class="card__title font-weight-bold">HOW DID YOU COME TO KNOW ABOUT COLLEGE?</h2>                     
                                    </div>
                                    <hr>
                                    <?php
                                    if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "F") {
                                        echo "Friends/Relatives";
                                    } else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "A") {
                                        echo "Advertisement";
                                    } else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "T") {
                                        echo "Teachers";
                                    } else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "I") {
                                        echo "Internet";
                                    } else if ($stuEntranceExamAndProfExpInfo->tsevi_how_know_sms == "O") {
                                        echo $stuEntranceExamAndProfExpInfo->tsevi_how_know_sms;
                                    } else {
                                        echo $stuEntranceExamAndProfExpInfo->tsevi_how_know_sms;
                                    }
                                    ?>
                                    <hr class="" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4">
                                        <h2 class="card__title font-weight-bold">ENTRANCE EXAM DETAILS</h2>                     
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">Exam:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_entrance_through == "" || $stuEntranceExamAndProfExpInfo->tsevi_entrance_through == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_entrance_through; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Reg./Form No.:</div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_form_no == "" || $stuEntranceExamAndProfExpInfo->tsevi_form_no == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_form_no; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Composite Score:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_composite_score == "" || $stuEntranceExamAndProfExpInfo->tsevi_composite_score == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_composite_score; ?></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">Prcntl.:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_percnt_obtained == "" || $stuEntranceExamAndProfExpInfo->tsevi_percnt_obtained == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_percnt_obtained; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Percentage:</div>
                                        <div class="col-sm-3"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_percntage == "" || $stuEntranceExamAndProfExpInfo->tsevi_percntage == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_percntage; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Rank:</div>
                                        <div class="col-sm-2"><?php echo ($stuEntranceExamAndProfExpInfo->tsevi_rank == "" || $stuEntranceExamAndProfExpInfo->tsevi_rank == NULL) ? "-" : $stuEntranceExamAndProfExpInfo->tsevi_rank; ?></div>
                                    </div>
                                    <hr class="mt-3" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4 ">
                                        <h4 class="card__title font-weight-bold">RESIDENCE DETAILS</h4>                     
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Opted For Hostel:</div>
                                        <div class="col-sm-9"><?php echo ($stuHostelAndResidInfo->tshri_is_hostel_opted) ? "Yes" : "No"; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-12 font-weight-bold"><u>Communication Address</u></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-3 font-weight-bold">Street:</div>
                                        <div class="col-sm-9">
                                            <?php
                                            echo ($stuHostelAndResidInfo->tshri_comm_address_line_one == "" || $stuHostelAndResidInfo->tshri_comm_address_line_one == NULL) ? "" : stripslashes($stuHostelAndResidInfo->tshri_comm_address_line_one);
                                            echo ($stuHostelAndResidInfo->tshri_comm_address_line_two == "" || $stuHostelAndResidInfo->tshri_comm_address_line_two == NULL) ? "" : ", " . stripslashes($stuHostelAndResidInfo->tshri_comm_address_line_two);
                                            echo ($stuHostelAndResidInfo->tshri_comm_address_line_three == "" || $stuHostelAndResidInfo->tshri_comm_address_line_three == NULL) ? "" : ", " . stripslashes($stuHostelAndResidInfo->tshri_comm_address_line_three);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">City:</div>
                                        <div class="col-sm-2"><?php echo $stuHostelAndResidInfo->commCity; ?></div>
                                        <div class="col-sm-2 font-weight-bold">State:</div>
                                        <div class="col-sm-3"><?php echo $stuHostelAndResidInfo->commState; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Pincode:</div>
                                        <div class="col-sm-2"><?php echo ($stuHostelAndResidInfo->tshri_comm_zipcode == "" || $stuHostelAndResidInfo->tshri_comm_zipcode == NULL) ? "-" : $stuHostelAndResidInfo->tshri_comm_zipcode; ?></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-3 font-weight-bold">Mobile:</div>
                                        <div class="col-sm-3"><?php echo ($stuHostelAndResidInfo->tshri_comm_mobile == "" || $stuHostelAndResidInfo->tshri_comm_mobile == "") ? "-" : $stuHostelAndResidInfo->tshri_comm_mobile; ?></div>
                                        <div class="col-sm-3 font-weight-bold">Landline:</div>
                                        <div class="col-sm-3"><?php echo ($stuHostelAndResidInfo->tshri_comm_tel_no == "" || $stuHostelAndResidInfo->tshri_comm_tel_no == "") ? "-" : $stuHostelAndResidInfo->tshri_comm_tel_no; ?></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-12 font-weight-bold"><u>Local Guardian Name & Address</u></div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">Name:</div>
                                        <div class="col-sm-2"><?php echo ($stuHostelAndResidInfo->tshri_loc_guard_name == "" || $stuHostelAndResidInfo->tshri_loc_guard_name == "") ? "-" : $stuHostelAndResidInfo->tshri_loc_guard_name; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Mobile:</div>
                                        <div class="col-sm-3"><?php echo ($stuHostelAndResidInfo->tshri_loc_guard_mob == "" || $stuHostelAndResidInfo->tshri_loc_guard_mob == "") ? "-" : $stuHostelAndResidInfo->tshri_loc_guard_mob; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Landline:</div>
                                        <div class="col-sm-2"><?php echo ($stuHostelAndResidInfo->tshri_loc_guard_tel_no == "" || $stuHostelAndResidInfo->tshri_loc_guard_tel_no == "") ? "-" : $stuHostelAndResidInfo->tshri_loc_guard_tel_no; ?></div>
                                    </div>
                                    <div class="form-row">   
                                        <div class="col-sm-3 font-weight-bold">Street:</div>
                                        <div class="col-sm-9">
                                            <?php
                                            echo ($stuHostelAndResidInfo->tshri_loc_guard_address_line_one == "" || $stuHostelAndResidInfo->tshri_loc_guard_address_line_one == NULL) ? "" : stripslashes($stuHostelAndResidInfo->tshri_loc_guard_address_line_one);
                                            echo ($stuHostelAndResidInfo->tshri_loc_guard_address_line_two == "" || $stuHostelAndResidInfo->tshri_loc_guard_address_line_two == NULL) ? "" : ", " . stripslashes($stuHostelAndResidInfo->tshri_loc_guard_address_line_two);
                                            echo ($stuHostelAndResidInfo->tshri_loc_guard_address_line_three == "" || $stuHostelAndResidInfo->tshri_loc_guard_address_line_three == NULL) ? "" : ", " . stripslashes($stuHostelAndResidInfo->tshri_loc_guard_address_line_three);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-1 font-weight-bold">City:</div>
                                        <div class="col-sm-2"><?php echo $stuHostelAndResidInfo->locGuardCity; ?></div>
                                        <div class="col-sm-2 font-weight-bold">State:</div>
                                        <div class="col-sm-3"><?php echo $stuHostelAndResidInfo->locGuardState; ?></div>
                                        <div class="col-sm-2 font-weight-bold">Pincode:</div>
                                        <div class="col-sm-2"><?php echo ($stuHostelAndResidInfo->tshri_loc_guard_zipcode == "" || $stuHostelAndResidInfo->tshri_loc_guard_zipcode == NULL) ? "-" : $stuHostelAndResidInfo->tshri_loc_guard_zipcode; ?></div>
                                    </div>
                                    <hr class="mt-3" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4 ">
                                        <h4 class="card__title font-weight-bold">DOCUMENTS SUBMITTED</h4>                     
                                    </div>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <table id="documentSubmitted" class="table-active table-responsive-sm table-striped table-hover" style="width:100%">
                                                <thead>
                                                    <tr>
                                                        <th>Document(s)</th>
                                                        <th>Uploaded File(If Any)</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="documents">
                                                    <?php
                                                    for ($docs = 0; $docs < sizeof($stuDocumentInfo); $docs++) {
                                                        $thisDocument = $stuDocumentInfo[$docs];
                                                        ?>
                                                        <tr>
                                                            <td><?php echo $thisDocument['doc_name']; ?></td>
                                                            <td>
                                                                <?php if ($thisDocument['is_uploaded'] == 1 || $thisDocument['is_uploaded'] == '1') { ?>
                                                                    <a href="<?php echo base_url("assets/admin/uploads/studentData/" . $thisDocument['file_name']); ?>" target="_blank" title="Click To View"><i class="fa fa-check-square" style="color:#00FF00;"></i>&nbsp;<i class="fa fa-file"></i></a>
                                                                <?php } else { ?>
                                                                    <i class="fa fa-times" style="color:#FF0000;"></i>&nbsp;Not Uploaded
                                                                    <?php
                                                                }
                                                                ?>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <hr class="mt-4" style="border-top: 1px solid black;">
                                    <div class="form-row font-weight-bold mt-4 ">
                                        <h4 class="card__title font-weight-bold">PHOTO & SIGNATURE</h4>                     
                                    </div>
                                    <hr>
                                    <?php echo form_open_multipart(site_url('student/Profile/updatePhotoAndSignature')) ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuPhotograph" class="input__label">Photograph</label>
                                            <center><img src="<?php echo base_url("assets/admin/uploads/studentData/" . $stuPersonalInfoWithPicAndSign->studentPhoto); ?>" height="100px" width="100px"></center>
                                            <?php if ($stuPersonalInfoWithPicAndSign->studentPhoto == "picnotavail.jpg") { ?>
                                                <input type="file" class="form-control" id="stuPhotograph" name="stuPhotograph">
                                                <input type="hidden" name="stuPhotoPrevFile" value="<?php echo $stuPersonalInfoWithPicAndSign->studentPhoto; ?>">
                                                <input type="hidden" name="stuPhotoDocInfoId" value="<?php echo $stuPersonalInfoWithPicAndSign->studentPhotoId; ?>">
                                            <?php }
                                            ?>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuSignature" class="input__label">Signature</label>
                                            <center><img src="<?php echo base_url("assets/admin/uploads/studentData/" . $stuPersonalInfoWithPicAndSign->studentSign); ?>" height="100px" width="100px"></center>
                                            <?php if ($stuPersonalInfoWithPicAndSign->studentSign == "signnotavail.png") { ?>
                                                <input type="file" class="form-control" id="stuSignature" name="stuSignature">
                                                <input type="hidden" name="stuSignPrevFile" value="<?php echo $stuPersonalInfoWithPicAndSign->studentSign; ?>">
                                                <input type="hidden" name="stuSignDocInfoId" value="<?php echo $stuPersonalInfoWithPicAndSign->studentSignId; ?>">
                                            <?php }
                                            ?>
                                        </div>
                                        <?php if ($stuPersonalInfoWithPicAndSign->studentPhoto == "picnotavail.jpg" || $stuPersonalInfoWithPicAndSign->studentSign == "signnotavail.png") { ?>
                                            <small id="photoAndSignInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Photo & Signature Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                        <?php }
                                        ?>
                                    </div>
                                    <?php if ($stuPersonalInfoWithPicAndSign->studentPhoto == "picnotavail.jpg" || $stuPersonalInfoWithPicAndSign->studentSign == "signnotavail.png") { ?>
                                        <div class="form-row">
                                            <div class="form-group col-md-12">
                                                <button class="btn btn-sm btn-block btn-primary">Save <i class="fa fa-save"></i></button>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    echo form_close();
                                    ?>
                                    <hr class="mt-4" style="border-top: 1px solid black;">
                                    <h5 style="text-align: center">Address For Correspondence :</h5>
                                    <hr style="border-top: 1px solid black;">
                                    <div class="form-row mt-3">
                                        <div class="col-sm-12">
                                            <p style="font-weight: bold; text-align: center">
                                                <?php echo $this->session->userdata("studentData")["branch_name"]; ?><br>
                                                <i class="fa fa-phone"></i> &nbsp;Mobile No: <?php echo $this->session->userdata("studentData")["branch_mobile"]; ?><br>
                                                <i class="fa fa-envelope"></i>&nbsp;<?php echo $this->session->userdata("studentData")["branch_email"]; ?><br>
                                                <i class="fa fa-globe"></i> &nbsp; <?php echo $this->session->userdata("studentData")["branch_website"]; ?> 
                                            </p>
                                        </div>
                                    </div>
                                    <hr style="border-top: 1px solid black;">
                                    <div class="form-row mt-3 ">
                                        <div class="text-center col-sm-12">
                                            <a href="<?php echo site_url("student/Feedback/makeCorrectionRequest"); ?>" class="btn btn-sm btn-danger"><i class="fa fa-edit"></i>&nbsp;For Any Correction Click Here</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div> 
        </section>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>


