<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Scholarship Details Of <?php echo stripslashes($this->session->userdata("studentData")["stu_name"]) . " | " . $this->session->userdata("studentData")["stu_course"] . " | " . $this->session->userdata("studentData")["stu_batch"]; ?> | <?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("student/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("student/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Fee & Scholarships</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("student/Fee/scholarships/"); ?>"> Scholarship(s) Info</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-money"></i> All Applied Scholarships Info</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("student/Fee/createScholarshipInfo"); ?>'" tooltip="Add New Scholarship Info"><i class="fa fa-plus"></i> Add New Scholarship Info</button><br><br>
                                <table id="scholarships" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Reg. No.</th>
                                            <th>Income Certificate No.</th>
                                            <th>Issue Date (IC)</th>
                                            <th>Caste Certificate No.</th>
                                            <th>Issue Date (CC)</th>
                                            <th>Application File</th>
                                            <th>Session</th>
                                            <th>Type</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Reg. No.</th>

                                            <th>Income Certificate No.</th>
                                            <th>Issue Date (IC)</th>
                                            <th>Caste Certificate No.</th>
                                            <th>Issue Date (CC)</th>
                                            <th>Application File</th>
                                            <th>Session</th>
                                            <th>Type</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($scholarships); $i++) {
                                            $record = $scholarships[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . base_url($record->ssm_app_file) . "' target='_blank'>" . stripslashes($record->ssm_reg_no) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->ssm_income_cert_no); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ssm_income_cert_issued_on)); ?></td>
                                                <td><?php echo stripslashes($record->ssm_caste_cert_no); ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->ssm_caste_cert_issued_on)); ?></td>
                                                <td><?php echo "<a href='" . base_url($record->ssm_app_file) . "' target='_blank' title='Click To View/Open'><i class='fa fa-file'></i> Click To View<a/>"; ?></td>
                                                <td><?php echo $record->session_name; ?></td>
                                                <td><?php echo $record->ssm_type; ?></td>
                                                <td>
                                                    <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Invoice" onClick="window.location.href = '<?php echo site_url('student/Fee/editScholarshipInfo/' . $record->ssm_id) ?>'"  ></i>
                                                    <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Scholarship Info" onClick="deleteScholarshipInfo(<?php echo $record->ssm_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>  
            </div>
        </section>
        <script>
            $(document).ready(function () {
                $("#scholarships").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                        {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                        {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                        {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'portrait', pageSize: 'A4'}
                    ]});
            });

            function deleteScholarshipInfo(ssm_id) {
                if (confirm("Do You Really Want To Delete This Scholarship Info. This Action Can Not Be Undone. Click OK To Contine & Cancel Otherwise.")) {
                    window.location.href = "<?php echo site_url('student/Fee/deleteScholarship/') ?>" + ssm_id;
                }
            }
        </script>
        <?php $this->load->view("student/footer"); ?>
    </body>
</html>
