<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Add New Grievance Cell/Management Member</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">User Mgmnt.</li>
                            <li class="breadcrumb-item active" aria-current="page">Create G-Cell Member</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user-plus"></i> Add G-Cell/Mgmnt. Member</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('Users/createNewGCellMgmtMember'), ['name' => 'gCellMgmtMemberCreationFrm', 'id' => 'gCellMgmtMemberCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="userFirstName" class="input__label">First Name *</label>
                                        <input type="text" class="form-control input-style" id="userFirstName" name="userFirstName" value="<?php echo set_value('userFirstName'); ?>" placeholder="Enter First Name">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="userLastName" class="input__label">Last Name</label>
                                        <input type="text" class="form-control input-style" id="userLastName" name="userLastName" value="<?php echo set_value('userLastName'); ?>" placeholder="Enter Last Name">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="userEmail" class="input__label">Email *</label>
                                        <input type="text" class="form-control input-style" id="userEmail" name="userEmail" value="<?php echo set_value('userEmail'); ?>" placeholder="Enter Email">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="userMobile" class="input__label">Mobile *</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="userMobile" name="userMobile" value="<?php echo set_value('userMobile'); ?>" placeholder="Enter Mobile">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="userGender" class="input__label">Gender *</label>
                                        <select id="userGender" name="userGender" class="form-control input-style">
                                            <option value="">-Select Gender-</option>
                                            <option value="M" <?php echo set_select("userGender", 'M'); ?>>Male</option>
                                            <option value="F" <?php echo set_select("userGender", 'F'); ?>>Female</option>
                                            <option value="O" <?php echo set_select("userGender", 'O'); ?>>Other</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="userRole" class="input__label">Role *</label>
                                        <select id="userRole" name="userRole" class="form-control input-style">
                                            <option value="GCM" <?php echo set_select("userRole", 'GCM') ?>>Grievance Cell Member</option>
                                            <option value="MGMT" <?php echo set_select("userRole", 'MGMT') ?>>Management Member</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="userGCategories" class="input__label">Grievance Categories *</label>
                                        <select multiple id="userGCategories" name="userGCategories[]" aria-describedby="gCategoryHelp" class="form-control input-style">
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_gcatgs); $i++) {
                                                echo "<option value='" . $non_del_gcatgs[$i]->gcm_id . "'>" . $non_del_gcatgs[$i]->gcm_title . "</option>";
                                            }
                                            ?>
                                        </select>
                                        <small id="gCategoryHelp" class="form-text text-muted">Use Ctrl+Click To Select Multiple Categories. At Least One Selection Is Required.</small>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6 custom-file">
                                        <label for="profileImg" class="input__label">Profile Image</label>
                                        <input type="file" name="profileImg" class="custom-file-input" id="profileImg">
                                    </div>
                                </div>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Create G-Cell/Mgmnt. Member</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("userMgmnt").classList.add("active");
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>