<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Submit New Grievance</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Grievance</li>
                            <li class="breadcrumb-item active" aria-current="page">Post Grievance</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Submit New Grievance</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('Grievance/saveGrievance'), ['name' => 'grievanceCreationFrm', 'id' => 'grievanceCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="gCategory" class="input__label">Grievance Category *</label>
                                        <select id="gCategory" name="gCategory" class="form-control input-style">
                                            <option value="">-Select Grievance Category-</option>
                                            <?php for ($i = 0; $i < sizeof($non_del_actv_gcatgs); $i++) { ?>
                                                <option value="<?php echo $non_del_actv_gcatgs[$i]->gcm_id; ?>" <?php echo set_select("gCategory", $non_del_actv_gcatgs[$i]->gcm_id); ?>><?php echo $non_del_actv_gcatgs[$i]->gcm_title; ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="gSubject" class="input__label">Title *</label>
                                        <input type="text" class="form-control input-style" id="gSubject" name="gSubject" value="<?php echo set_value('gSubject'); ?>" placeholder="Enter Grievance Subject" maxlength="200">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="gDesc" class="input__label">Description *</label>
                                        <textarea id="gDesc" name="gDesc" class="form-control input-style" placeholder="Enter Description (Max. 2000 Characters)"><?php echo set_value('gDesc'); ?></textarea>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-6">
                                        <label for="gFileOne" class="input__label">File 1</label>
                                        <input type="file" name="gFileOne" class="custom-file-input" id="gFileOne">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="gFileTwo" class="input__label">File 2</label>
                                        <input type="file" name="gFileTwo" class="custom-file-input" id="gFileTwo">
                                    </div>
                                </div>
                                <small class="form-text text-muted">Only Files With Extension *.jpg,*.png,*.jpeg,*.webp,*.doc,*.docx,*.pdf And Size 1MB Each Is Allowed To Upload.</small>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Submit Grievance</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                //*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("stuGrievances").classList.add("active");
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>