<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: System Admin Password Change</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Change Password</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-key"></i> Change Login Password <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage') . " <p style='color:#FF0000'>You Will Be Logged Out Now.</p>"; ?> </strong> </div>
                                    <?php
                                    $this->output->set_header("refresh:3;url='" . site_url('Authentication/authLogout') . "'");
                                }
                                ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('ChangePassword/changePassword'), ['name' => 'changePasswordFrm', 'id' => 'changePasswordFrm']); ?>
                                <div class="form-group">
                                    <label for="cur_psw" class="input__label">Current Password *</label>
                                    <input type="password" class="form-control input-style" name="cur_psw" id="cur_psw" placeholder="Enter Current Password">
                                </div>
                                <div class="form-group">
                                    <label for="new_psw" class="input__label">New Password *</label>
                                    <input type="password" class="form-control input-style" name="new_psw" id="new_psw" placeholder="Enter New Password">
                                </div>
                                <div class="form-group">
                                    <label for="cnf_new_psw" class="input__label">Confirm New Password *</label>
                                    <input type="password" class="form-control input-style" name="cnf_new_psw" id="cnf_new_psw" placeholder="Enter New Password Again">
                                </div>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Save</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("changePassword").classList.add("active");
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>