<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Dashboard</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <!-- main content start -->
            <div class="main-content">
                <!-- content -->
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                        </ol>
                    </nav>
                    <div class="welcome-msg pt-3 pb-4">
                        <h1>Hi <span class="text-primary"><?php echo $this->session->userdata('f_name'); ?></span>, Welcome back</h1>
                    </div>
                    <?php
                    if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') {
                        ?>
                        <!-- statistics data -->
                        <div class="statistics">
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-graduation-cap text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $totStudents; ?></h3>
                                                <p class="stat-text">Student Accounts</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-user-circle-o text-primary"> </i>
                                                <h3 class="text-secondary number"><?php echo $totParents; ?></h3>
                                                <p class="stat-text">Parent Accounts</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-id-card text-primary"> </i>
                                                <h3 class="text-success number"><?php echo $totFaculties; ?></h3>
                                                <p class="stat-text">Faculty Accounts</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-address-book text-primary"> </i>
                                                <h3 class="text-danger number"><?php echo $totNonTeaching; ?></h3>
                                                <p class="stat-text">Non-Teaching Staff A/C</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-id-badge text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $totGCellMembers; ?></h3>
                                                <p class="stat-text">G-Cell Members</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-user-circle-o text-primary"> </i>
                                                <h3 class="text-secondary number"><?php echo $totMgmtMembers; ?></h3>
                                                <p class="stat-text">Mgmnt. Members</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-forward text-success"> </i>
                                                <h3 class="text-success number"><?php echo $totPostedGrievances; ?></h3>
                                                <p class="stat-text">Grievance Posted</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-archive text-danger"> </i>
                                                <h3 class="text-danger number"><?php echo $totGCategories; ?></h3>
                                                <p class="stat-text">Grvnc-Catgs.</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-book text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $totCourses; ?></h3>
                                                <p class="stat-text">Courses</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //statistics data -->
                    <?php } ?>
                    <?php
                    if ($this->session->userdata('role') == 'NA' && ($this->session->userdata('type') == 'S' || $this->session->userdata('type') == 'P' || $this->session->userdata('type') == 'F' || $this->session->userdata('type') == 'N')) {
                        ?>
                        <!-- statistics data -->
                        <div class="statistics">
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-question-circle text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $totGrvncs; ?></h3>
                                                <p class="stat-text">My Grievances</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-question text-primary"> </i>
                                                <h3 class="text-danger number"><?php echo $pendingGrvncs; ?></h3>
                                                <p class="stat-text">Pending Grievances</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-check-circle text-primary"> </i>
                                                <h3 class="text-success number"><?php echo $resovledGrvncs; ?></h3>
                                                <p class="stat-text">Resolved/Closed Grievances</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //statistics data -->
                    <?php } ?>
                    <?php
                    if (($this->session->userdata('role') == 'GCM' || $this->session->userdata('role') == 'MGMT') && ($this->session->userdata('type') == 'NA')) {
                        ?>
                        <!-- statistics data -->
                        <div class="statistics">
                            <div class="row">
                                <div class="col-xl-12 pr-xl-2">
                                    <div class="row">
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-lock text-primary"> </i>
                                                <h3 class="text-primary number"><?php echo $lockedGrvncs; ?></h3>
                                                <p class="stat-text">Locked Grievances</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-question text-primary"> </i>
                                                <h3 class="text-danger number"><?php echo $pendingGrvncs; ?></h3>
                                                <p class="stat-text">Pending Grievances</p>
                                            </div>
                                        </div>
                                        <div class="col-sm-3 pr-sm-2 statistics-grid">
                                            <div class="card card_border border-primary-top p-4">
                                                <i class="fa fa-check-circle text-primary"> </i>
                                                <h3 class="text-success number"><?php echo $resovledGrvncs; ?></h3>
                                                <p class="stat-text">Resolved/Closed Grievances</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- //statistics data -->
                    <?php } ?>   
                </div>
                <!-- //content -->
            </div>
            <!-- main content end-->
        </section>
        <?php $this->load->view("footer"); ?>
    </body>
</html>
