<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Grievance History</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Grievances</li>
                            <li class="breadcrumb-item active" aria-current="page">Grievance History</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-paper-plane-o"></i> Showing Grievance History => <?php echo $grievance_info->gm_disp_id; ?></h3>
                            </div>
                            <div class="card-body">
                                <?php
                                $userType = "";
                                if ($grievance_info->cau_user_type_flag == "S") {
                                    $userType = "Student";
                                } else if ($grievance_info->cau_user_type_flag == "P") {
                                    $userType = "Parent";
                                } else if ($grievance_info->cau_user_type_flag == "F") {
                                    $userType = "Faculty/Teaching Staff";
                                } else {
                                    $userType = "Non-Teaching Staff";
                                }
                                ?>
                                <div class="card">
                                    <div class="card-body">
                                        <h5 class="card-title"><?php echo $grievance_info->gm_disp_id . ":" . $grievance_info->gm_subject; ?></h5>
                                        <h6 class="card-title"><?php echo $grievance_info->gcm_title; ?></h6>
                                        <h6 class="card-title"><i class="fa fa-user"></i>&nbsp;<?php echo $grievance_info->cau_first_name . " " . $grievance_info->cau_last_name . " (" . $userType . ")"; ?>&nbsp;<i class="fa fa-clock-o"></i>&nbsp;<?php echo date("d-m-Y h:i:s A", strtotime($grievance_info->gm_submitted_on)); ?></h6>
                                        <p class="card-text mb-4">
                                            <i class="fa fa-quote-left"></i>&nbsp;<?php echo $grievance_info->gm_description; ?>&nbsp;<i class="fa fa-quote-right"></i>
                                        </p>
                                        <label class="input__label"><?php echo ($grievance_info->gm_file_one == "" || $grievance_info->gm_file_one == NULL) ? "" : "<a href='" . $grievance_info->gm_file_one . "' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View File</a>"; ?></label>
                                        <label class="input__label"><?php echo ($grievance_info->gm_file_two == "" || $grievance_info->gm_file_two == NULL) ? "" : "<a href='" . $grievance_info->gm_file_two . "' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View File</a>"; ?></label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 pl-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Redressal History In Chronological Order
                                </div>
                                <div class="card-body">
                                    <div class="timeline">
                                        <?php for ($i = 0; $i < sizeof($grievance_history); $i++) { ?>
                                            <div class="entry">
                                                <div class="title">
                                                    <h6><?php echo date("d-m-Y h:i A", strtotime($grievance_history[$i]->grl_action_taken_on)); ?></h6>
                                                </div>
                                                <div class="body">
                                                    <h4 class="card__title"><?php echo $grievance_history[$i]->grl_remark; ?></h4>
                                                    <ul>
                                                        <li><?php echo $grievance_history[$i]->grl_reply; ?></li>
                                                        <?php if ($grievance_history[$i]->grl_reply_file_one != "" || $grievance_history[$i]->grl_reply_file_one != NULL) { ?>
                                                            <li><a href='<?php echo base_url($grievance_history[$i]->grl_reply_file_one); ?>' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View Reply Attachment File</a><li>
                                                            <?php } ?>
                                                            <?php if ($grievance_history[$i]->grl_reply_file_two != "" || $grievance_history[$i]->grl_reply_file_two != NULL) { ?>
                                                            <li><a href='<?php echo base_url($grievance_history[$i]->grl_reply_file_two); ?>' target='_blank'><i class='fa fa-file'></i>&nbsp;Click To View Reply Attachment File</a><li>
                                                            <?php } ?>                                                                
                                                        <li>
                                                            By: <img src="<?php echo base_url($grievance_history[$i]->cau_image_url); ?>" alt="" width="30px" class="rounded-circle" />&nbsp;<?php echo $grievance_history[$i]->cau_first_name . " " . $grievance_history[$i]->cau_last_name; ?>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                //*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("stuGrievances").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("reports").classList.add("active");
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>