<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Update My Profile</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url');?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>        
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item">My Profile</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-user"></i> Update My Profile</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('Profile/updateMyProfile'), ['name' => 'myProfileUpdateFrm', 'id' => 'myProfileUpdateFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="userInstitute" class="input__label">Institute *</label>
                                        <input type="text" disabled class="form-control input-style" id="userInstitute" name="userInstitute" value="<?php echo $this->session->userdata('inst_name'); ?>" placeholder="">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userFirstName" class="input__label">First Name *</label>
                                        <input type="text" class="form-control input-style" id="userFirstName" name="userFirstName" value="<?php echo $u_info->cau_first_name; ?>" placeholder="Enter First Name">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userLastName" class="input__label">Last Name</label>
                                        <input type="text" class="form-control input-style" id="userLastName" name="userLastName" value="<?php echo $u_info->cau_last_name; ?>" placeholder="Enter Last Name">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="userEmail" class="input__label">Email *</label>
                                        <input type="text" disabled class="form-control input-style" id="userEmail" name="userEmail" value="<?php echo $u_info->cau_email; ?>" placeholder="Enter Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userMobile" class="input__label">Mobile *</label>
                                        <input type="text" disabled maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="userMobile" name="userMobile" value="<?php echo $u_info->cau_mobile; ?>" placeholder="Enter Mobile">
                                    </div>
                                    <?php
                                    $maleSelected = "";
                                    $femaleSelected = "";
                                    $otherSelected = "";
                                    if ($u_info->cau_gender == "M") {
                                        $maleSelected = "selected";
                                        $femaleSelected = "";
                                        $otherSelected = "";
                                    } else if ($u_info->cau_gender == "F") {
                                        $maleSelected = "";
                                        $femaleSelected = "selected";
                                        $otherSelected = "";
                                    } else {
                                        $maleSelected = "";
                                        $femaleSelected = "";
                                        $otherSelected = "selected";
                                    }
                                    ?>
                                    <div class="form-group col-md-4">
                                        <label for="userGender" class="input__label">Gender *</label>
                                        <select id="userGender" name="userGender" class="form-control input-style">
                                            <option value="">-Select Gender-</option>
                                            <option value="M" <?php echo $maleSelected; ?>>Male</option>
                                            <option value="F" <?php echo $femaleSelected; ?>>Female</option>
                                            <option value="O" <?php echo $otherSelected; ?>>Other</option>
                                        </select>
                                    </div>
                                </div>
                                <?php if ($this->session->userdata('role') == 'NA' && $this->session->userdata('type') == 'S') { ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="userCourse" class="input__label">Course *</label>
                                            <select id="userCourse" name="userCourse" class="form-control login_text_field_bg input-style">
                                                <option value="">-Select Course-</option>
                                                <?php
                                                for ($i = 0; $i < sizeof($non_del_actv_course); $i++) {
                                                    $selected = "";
                                                    if ($non_del_actv_course[$i]->course_id == $u_info->course_id) {
                                                        $selected = "selected";
                                                    }
                                                    echo "<option value='" . $non_del_actv_course[$i]->course_id . "' " . $selected . ">" . $non_del_actv_course[$i]->course_name . "</option>";
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="userCourseSemOrYear" class="input__label">Year/Semester *</label>
                                            <select id="userCourseSemOrYear" name="userCourseSemOrYear" class="form-control login_text_field_bg input-style">
                                                <option value="">-Select Year/Semester-</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="userCourseCompleteDate" class="input__label">Course Complete Date *</label>
                                            <input type="text" class="form-control input-style" id="userCourseCompleteDate" name="userCourseCompleteDate" value="<?php echo date("d-m-Y", strtotime($u_info->cau_course_complt_on)); ?>" placeholder="Course Complete Date">
                                        </div>
                                    </div>
                                <?php } ?>
                                <?php
                                $imageUploadDisabled = "";
                                if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') {
                                    $imageUploadDisabled = "disabled";
                                }
                                ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="userAltEmail" class="input__label">Alt. Email</label>
                                        <input type="text" class="form-control input-style" id="userAltEmail" name="userAltEmail" value="<?php echo $u_info->cau_alt_email; ?>" placeholder="Enter Alternate Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userAltMobile" class="input__label">Alt. Mobile</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="userAltMobile" name="userAltMobile" value="<?php echo $u_info->cau_alt_mobile; ?>" placeholder="Enter Alternamte Mobile">
                                    </div>
                                    <div class="form-group col-md-4 custom-file">
                                        <label for="userProfileImg" class="input__label">Profile Image</label>
                                        <input type="file" <?php echo $imageUploadDisabled; ?> name="userProfileImg" class="custom-file-input" id="userProfileImg">
                                    </div>
                                </div>
                                <input type="hidden" name="cau_id" value="<?php echo $this->session->userdata('id'); ?>">
                                <input type="hidden" name="cau_image_url" value="<?php echo $u_info->cau_image_url; ?>">
                                <?php if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') { ?>
                                    <small class="form-text text-muted">For Updating The Disabled Values Please Contact Us (Service Provider).</small>
                                <?php } ?>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Save Changes</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("userMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataMgmnt").classList.remove("active");
            });
            $("#userCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('Course/getSemsOrYearsOfGivenCourse/') ?>',
                        data: {course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var durationInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#userCourseSemOrYear").html(durationInfo.duration_list);
                            csrfHash = durationInfo.csrfHash;
                            myProfileUpdateFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#userCourseYearOrSem").html("<option value=''>-Select Year/Semester-</option>");
                }
            });

            if ($("#userCourse").val().trim() != "") {
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('Course/getSemsOrYearsOfGivenCourseForEdit/') ?>',
                    data: {course_id: $("#userCourse").val(), sem_or_year: "<?php echo $u_info->cau_course_ysem; ?>", csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var durationInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#userCourseSemOrYear").html(durationInfo.duration_list);
                        csrfHash = durationInfo.csrfHash;
                        myProfileUpdateFrm.csrf_token.value = csrfHash;
                    }
                });
            }

            $("#userCourseCompleteDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                numberOfMonths: 1
            });
        </script>
        <?php $this->load->view("footer"); ?>
    </body>
</html>