<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $this->session->userdata('inst_name'); ?>: Grievance Redressal Portal Login</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" >
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
    </head>

    <body class="sidebar-menu-collapsed">
        <section>
            <!-- content -->
            <div class="">
                <!-- login form -->
                <?php
                $admNoRegNoEmpNoLable = "";
                $signUpType = "";
                if ($roleOrType == "S") {
                    $loginType = "Student Login";
                } else if ($roleOrType == "P") {
                    $loginType = "Parent Login";
                } else if ($roleOrType == "F") {
                    $loginType = "Faculty Login";
                } else if ($roleOrType == "N") {
                    $loginType = "Non-Teaching Staff Login";
                } else if ($roleOrType == "CA") {
                    $loginType = "Institute Admin Login";
                } else if ($roleOrType == "GCM") {
                    $loginType = "Grievance Cell Member Login";
                } else {
                    $loginType = "Mgmnt. Member Login";
                }
                ?>
                <section class="login-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url('Authentication/authLogin'), ['id' => 'instituteUsersLoginFrm']); ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                <h3 class="login__title mb-2"> 
                                    <span class="text-primary">
                                        <img width="25%" src="<?php echo $this->session->userdata('inst_logo_url'); ?>" />
                                    </span>
                                </h3>
                                <h5>Grievance Redressal Portal</h5>
                                <p><?php echo $loginType; ?></p>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="mailOrMobile" class="input__label">Email Or Mobile</label>
                                <input type="text" class="form-control login_text_field_bg input-style" id="mailOrMobile" name="mailOrMobile" value="<?php echo set_value('mailOrMobile'); ?>" placeholder="Enter Email Or Mobile" autofocus>
                            </div>
                            <div class="form-group">
                                <label for="password" class="input__label">Password</label>
                                <input type="password" class="form-control login_text_field_bg input-style" id="password" name="password" placeholder="Enter Password">
                            </div>
                            <input type="hidden" name="userTypeOrRole" value="<?php echo $roleOrType; ?>">
                            <input type="hidden" name="userTypeOrRoleFlag" value="<?php echo $roleOrTypeFLag; ?>">
                            <input type="hidden" name="slug" value="<?php echo $slug; ?>">
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" class="btn btn-primary btn-style mt-4">Login <i class="fa fa-arrow-right"></i></button>
                                <?php if ($roleOrType == 'S' || $roleOrType == 'P' || $roleOrType == 'F' || $roleOrType == 'N') { ?>
                                    <p class="signup mt-4">Don’t have an account? <a href="<?php echo site_url("Authentication/signUp/") . $slug; ?>" class="signuplink">Sign Up</a></p>
                                <?php } ?>
                            </div>
                            <?php echo form_close(); ?>	
                            <!-- //form -->
                            <p class="backtohome mt-4"><a href="<?php echo site_url("Home"); ?>" class="back"><i class="fa fa-chevron-left" aria-hidden="true"></i>Back to Home </a></p>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </section>
        <?php $this->load->view("footer"); ?>
    </body>
</html>