<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $this->session->userdata('inst_name'); ?>: Grievance Redressal Portal Sign Up</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>" rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" >
        <link rel="image icon" href="<?php echo $this->session->userdata('inst_logo_url'); ?>">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <!-- content -->
            <div class="">
                <!-- login form -->
                <section class="register-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php
                            $admNoRegNoEmpNoLable = "";
                            $signUpType = "";
                            if ($roleOrType == "S") {
                                $admNoRegNoEmpNoLable = "Admsn./Reg./Roll No.";
                                $signUpType = "Student Registration";
                            } else if ($roleOrType == "P") {
                                $admNoRegNoEmpNoLable = "Your Ward's Admsn./Reg./Roll No.";
                                $signUpType = "Parent Registration";
                            } else if ($roleOrType == "F") {
                                $admNoRegNoEmpNoLable = "Emp. No./Code";
                                $signUpType = "Faculty Registration";
                            } else {
                                $admNoRegNoEmpNoLable = "Emp. No./Code";
                                $signUpType = "Non-Teaching Staff Registration";
                            }
                            ?>
                            <?php echo form_open(site_url('Authentication/registerUser'), ['id' => 'instituteUserRegisterFrm', 'name' => 'instituteUserRegisterFrm']); ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                <h3 class="login__title mb-2">
                                    <span class="text-primary">
                                        <img width="25%" src="<?php echo $this->session->userdata('inst_logo_url'); ?>" />
                                    </span>
                                </h3>
                                <h5>Grievance Redressal Portal</h5>
                                <p><?php echo $signUpType; ?></p>
                            </div>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="userRegEmpAdmNo" class="input__label"><?php echo $admNoRegNoEmpNoLable; ?> *</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" id="userRegEmpAdmNo" name="userRegEmpAdmNo" value="<?php echo set_value("userRegEmpAdmNo"); ?>" placeholder="Enter <?php echo $admNoRegNoEmpNoLable; ?>" autofocus>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="userFirstName" class="input__label">First Name *</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" id="userFirstName" name="userFirstName" value="<?php echo set_value("userFirstName"); ?>" placeholder="Enter First Name">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="userLastName" class="input__label">Last Name</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" id="userLastName" name="userLastName" value="<?php echo set_value("userLastName"); ?>" placeholder="Enter Last Name">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="userGender" class="input__label">Gender *</label>
                                    <select id="userGender" name="userGender" class="form-control login_text_field_bg input-style">
                                        <option value="" <?php echo set_select("userGender", ""); ?> >-Select Gender-</option>
                                        <option value="M" <?php echo set_select("userGender", "M"); ?> >Male</option>
                                        <option value="F" <?php echo set_select("userGender", "F"); ?>>Female</option>
                                        <option value="O" <?php echo set_select("userGender", "O"); ?>>Other</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="userEmail" class="input__label">Email *</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" id="userEmail" name="userEmail" value="<?php echo set_value("userEmail"); ?>" placeholder="Enter Email">
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="userMobile" class="input__label">Mobile *</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" id="userMobile" name="userMobile" maxlength="10" value="<?php echo set_value("userMobile"); ?>" placeholder="Enter Mobile">
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-6">
                                    <label for="userPassword" class="input__label">Password *</label>
                                    <input type="password" class="form-control login_text_field_bg input-style" id="userPassword" name="userPassword" minlength="6" maxlength="10" placeholder="Enter Password (6-10 Chars)">
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="userCnfPassword" class="input__label">Confirm Password *</label>
                                    <input type="password" class="form-control login_text_field_bg input-style" id="userCnfPassword" name="userCnfPassword" maxlength="10" placeholder="Enter Password Again">
                                </div>
                            </div>
                            <?php
                            if ($roleOrType == 'S') {
                                ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="userCourse" class="input__label">Course *</label>
                                        <select id="userCourse" name="userCourse" class="form-control login_text_field_bg input-style">
                                            <option value="" <?php echo set_select("userCourse", ""); ?> >-Select Course-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($non_del_actv_course); $i++) {
                                                echo "<option value='" . $non_del_actv_course[$i]->course_id . "' " . set_select("userCourse", $non_del_actv_course[$i]->course_id) . ">" . $non_del_actv_course[$i]->course_name . "</option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userCourseYearOrSem" class="input__label">Year/Semester *</label>
                                        <select id="userCourseYearOrSem" name="userCourseYearOrSem" class="form-control login_text_field_bg input-style">
                                            <option value="" <?php echo set_select("userCourse", ""); ?> >-Select Year/Semester-</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="userCourseCompleteDate" class="input__label">Course Complete Date *</label>
                                        <input type="text" class="form-control login_text_field_bg input-style" id="userCourseCompleteDate" name="userCourseCompleteDate" value="<?php echo set_value('userCourseCompleteDate'); ?>" autocomplete="off" placeholder="Course Complt. Date">
                                    </div>
                                </div>
                            <?php } ?>
                            <input type="hidden" name="userTypeOrRole" value="<?php echo $roleOrType; ?>">
                            <input type="hidden" name="userTypeOrRoleFlag" value="<?php echo $roleOrTypeFLag; ?>">
                            <input type="hidden" name="slug" value="<?php echo $slug; ?>">
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" class="btn btn-primary btn-style mt-4">Register <i class="fa fa-arrow-right"></i></button>
                                <?php if ($roleOrType == 'S' || $roleOrType == 'P' || $roleOrType == 'F' || $roleOrType == 'N') { ?>
                                    <p class="signup mt-4">Already Have An Account? <a href="<?php echo site_url("Authentication/login/") . $slug; ?>" class="signuplink">Login</a></p>
                                <?php } ?>
                            </div>
                            <?php echo form_close(); ?>	
                            <!-- //form -->
                            <p class="backtohome mt-4"><a href="<?php echo site_url("Home"); ?>" class="back"><i class="fa fa-chevron-left" aria-hidden="true"></i>Back to Home </a></p>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </section>
        <?php $this->load->view("footer"); ?>
        <script>
            $("#userCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('Course/getSemsOrYearsOfGivenCourse/') ?>',
                        data: {course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var durationInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#userCourseYearOrSem").html(durationInfo.duration_list);
                            csrfHash = durationInfo.csrfHash;
                            instituteUserRegisterFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#userCourseYearOrSem").html("<option value=''>-Select Year/Semester-</option>");
                }
            });

            if ($("#userCourse").val().trim() != "") {
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('Course/getSemsOrYearsOfGivenCourse/') ?>',
                    data: {course_id: $("#userCourse").val(), csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        var durationInfo = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#userCourseYearOrSem").html(durationInfo.duration_list);
                        csrfHash = durationInfo.csrfHash;
                        instituteUserRegisterFrm.csrf_token.value = csrfHash;
                    }
                });
            }

            $("#userCourseCompleteDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                numberOfMonths: 1
            });
        </script>
    </body>
</html>