<?php

/**
 * Model Class For Handling All DB Operations Related To Grievance Categories
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class GrievanceCategoriesManagement extends CI_Model {

    function __construct() {
        parent::__construct();
        $this->load->database();
    }

    function getTotalDefGCategories() {
        $this->db->select("count(*) totalDefGCatgs");
        $this->db->from('default_grievance_cats');
        return $this->db->get();
    }

    function createNewDefGCategory(array $newDefGCategoryInfo) {
        $this->db->insert('default_grievance_cats', $newDefGCategoryInfo);
        return $this->db->insert_id();
    }

    function getAllGrievanceCategories() {
        $this->db->select("GCM.gcm_id,GCM.gcm_title,GCM.gcm_description,GCM.gcm_active_status,GCM.gcm_delete_status,GCM.gcm_added_on,GCM.gcm_updated_on,CLGM.clg_name");
        $this->db->from('grievance_cat_mst GCM');
        $this->db->join('college_mst CLGM', 'GCM.clg_id = CLGM.clg_id');
        $this->db->order_by('GCM.gcm_added_on desc');
        return $this->db->get();
    }

    function getAllDefaultGrievanceCategories() {
        $this->db->select("DFC.dfc_id,DFC.dfc_title,DFC.dfc_description,DFC.dfc_delete_status,"
                . "DFC.dfc_allotment_allow_status,DFC.dfc_added_on,DFC.dfc_updated_on,SAA.sa_name addedByAdmin,SAU.sa_name updatedByAdmin");
        $this->db->from('default_grievance_cats DFC');
        $this->db->join('system_admin SAA', 'DFC.dfc_added_by = SAA.sa_id');
        $this->db->join('system_admin SAU', 'DFC.dfc_updated_by = SAU.sa_id');
        $this->db->order_by('DFC.dfc_added_on desc');
        return $this->db->get();
    }

    function updateDefaultGrievanceCategoryInfo($defaultGCategoryUpdatedInfo) {
        $this->db->where('dfc_id', $defaultGCategoryUpdatedInfo['dfc_id']);
        return $this->db->update('default_grievance_cats', $defaultGCategoryUpdatedInfo);
    }

    function getDefGCategoryInfoById($dfc_id) {
        $this->db->select("*");
        $this->db->from('default_grievance_cats');
        $this->db->where('dfc_id', $dfc_id);
        return $this->db->get();
    }

    function getAllottedGCToUesrFullInfo($cau_id) {
        $this->db->select("*");
        $this->db->from('gcell_member_allot GMA');
        $this->db->join('grievance_cat_mst GCM', 'GMA.gcm_id = GCM.gcm_id');
        $this->db->where('GMA.cau_id', $cau_id);
        return $this->db->get();
    }

}
