<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Create New Default Grievance Category</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Default Stuffs</li>
                            <li class="breadcrumb-item active" aria-current="page">Create Grvnc. Catgs.</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-archive"></i> Create new Default Grievance Category</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open(site_url('admin/DefaultStuffs/saveDefGCategory'), ['name' => 'defGCatCreationFrm', 'id' => 'defGCatCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="defGCatTitle" class="input__label">Title *</label>
                                        <input type="text" class="form-control input-style" id="defGCatTitle" name="defGCatTitle" value="<?php echo set_value('defGCatTitle'); ?>" placeholder="Enter Grievance Title" maxlength="200">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="defGCatDesc" class="input__label">Description</label>
                                        <textarea id="defGCatDesc" style="height: 100%" name="defGCatDesc" class="form-control input-style" placeholder="Enter Description (Max. 1000 Characters)"><?php echo set_value('defGCatDesc'); ?></textarea>
                                    </div>
                                </div>
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Def. Grvnc. Category</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("defaultStuffs").classList.add("active");
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>