<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Create New Institute</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Institues</li>
                            <li class="breadcrumb-item active" aria-current="page">Create New Institute</li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-university"></i> Create New Institute</h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Institute/saveNewInstitute'), ['name' => 'instituteCreationFrm', 'id' => 'instituteCreationFrm']); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-8">
                                        <label for="instName" class="input__label">Name *</label>
                                        <input type="text" class="form-control input-style" id="instName" name="instName" value="<?php echo set_value('instName'); ?>" placeholder="Enter Institute Name">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instCode" class="input__label">Code *</label>
                                        <input type="text" class="form-control input-style" id="instCode" name="instCode" value="<?php echo set_value('instCode'); ?>" placeholder="Enter Institute Code">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="instEmail" class="input__label">Email *</label>
                                        <input type="text" class="form-control input-style" id="instEmail" name="instEmail" value="<?php echo set_value('instEmail'); ?>" placeholder="Enter Institute Primary Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instMobile" class="input__label">Mobile *</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="instMobile" name="instMobile" value="<?php echo set_value('instMobile'); ?>" placeholder="Enter Institute Primary Mobile">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instLandline" class="input__label">Landline *</label>
                                        <input type="text" maxlength="11" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="instLandline" name="instLandline" value="<?php echo set_value('instLandline'); ?>" placeholder="Enter Institute Primary Landline">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="instWebsite" class="input__label">Website *</label>
                                        <input type="text" class="form-control input-style" id="instWebsite" name="instWebsite" value="<?php echo set_value('instWebsite'); ?>" placeholder="Enter Institute Website">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instSubdomain" class="input__label">Subdomain *</label>
                                        <input type="text" class="form-control input-style" id="instSubdomain" name="instSubdomain" value="<?php echo set_value('instSubdomain'); ?>" placeholder="Enter Institute Subdomain">
                                    </div>
                                    <div class="form-group col-md-4 custom-file">
                                        <label for="instLogo" class="input__label">Logo *</label>
                                        <input type="file" name="instLogo" class="custom-file-input" id="instLogo">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="instState" class="input__label">State</label>
                                        <select id="instState" name="instState" class="form-control input-style">
                                            <option>-Select State-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($allStates); $i++) {
                                                echo "<option value='" . $allStates[$i]->id . "'>" . $allStates[$i]->name . "</option>";
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instCity" class="input__label">City</label>
                                        <select id="instCity" name="instCity" class="form-control input-style"></select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instZip" class="input__label">Zip Code</label>
                                        <input type="text" maxlength="6" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="instZip" name="instZip" value="<?php echo set_value('instZip'); ?>" placeholder="Enter Zip Code">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="instAddrLineOne" class="input__label">Address Line One</label>
                                        <input type="text" class="form-control input-style" id="instAddrLineOne" name="instAddrLineOne" value="<?php echo set_value('instAddrLineOne'); ?>" maxlength="200" placeholder="Address Line One">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instAddrLineTwo" class="input__label">Address Line Two</label>
                                        <input type="text" class="form-control input-style" id="instAddrLineTwo" name="instAddrLineTwo" value="<?php echo set_value('instAddrLineTwo'); ?>" maxlength="200" placeholder="Address Line Two">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instAddrLineThree" class="input__label">Address Line Three</label>
                                        <input type="text" class="form-control input-style" id="instAddrLineThree" name="instAddrLineThree" value="<?php echo set_value('instAddrLineThree'); ?>" maxlength="200" placeholder="Address Line Three">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="instLandMark" class="input__label">Landmark</label>
                                        <textarea class="form-control input-style" id="instLandMark" name="instLandMark" placeholder="Enter Institute Landmark (Max. 150 Characters Only)" maxlength="200"><?php echo set_value('instLandMark'); ?></textarea>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label for="instAltEmail" class="input__label">Alt. Email</label>
                                        <input type="text" class="form-control input-style" id="instAltEmail" name="instAltEmail" value="<?php echo set_value('instAltEmail'); ?>" placeholder="Enter Institute Alternate Email">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instAltMobile" class="input__label">Alt. Mobile</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="instAltMobile" name="instAltMobile" value="<?php echo set_value('instAltMobile'); ?>" placeholder="Enter Institute Alternate Mobile">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="instAltLandline" class="input__label">Alt. Landline</label>
                                        <input type="text" maxlength="10" onkeypress="return event.charCode >= 48 && event.charCode <= 57" class="form-control input-style" id="instAltLandline" name="instAltLandline" value="<?php echo set_value('instAltLandline'); ?>" placeholder="Enter Institute Alternate Landline">
                                    </div>
                                </div>
                                
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4">Add Institute</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("institute").classList.add("active");

                $("#instState").on("change", function () {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    if ($(this).val().trim() != "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                            data: {state_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            success: function (result) {
                                var cityInfo = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#instCity").html(cityInfo.city_list);
                                csrfHash = cityInfo.csrfHash;
                                instituteCreationFrm.csrf_token.value = csrfHash;
                            }
                        });
                    }
                });
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>