<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: All Courses Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Misc. Report</li>
                            <li class="breadcrumb-item active" aria-current="page">Courses</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Courses</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allCourses" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Course Name</th>
                                            <th>Years/Sems.</th>
                                            <th>Duration Shown</th>
                                            <th>Institute</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Current Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Course Name</th>
                                            <th>Years/Sems.</th>
                                            <th>Duration Shown</th>
                                            <th>Institute</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Current Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allCourses); $i++) {
                                            $record = $allCourses[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->course_name . "(" . $record->course_full_name . ")"; ?></td>
                                                <td><?php echo $record->course_no_of_years . "/" . $record->course_no_of_sems; ?></td>
                                                <td><?php echo ($record->course_populate_flag == "Y") ? "Year Wise" : "Semester Wise"; ?></td>
                                                <td><?php echo $record->clg_name; ?></td>
                                                <td><?php echo $record->addedByCA . " On " . date("d-m-Y h:i:s A", strtotime($record->course_added_on)); ?></td>
                                                <td><?php echo $record->updatedByCA . " On " . date("d-m-Y h:i:s A", strtotime($record->course_updated_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->course_delete_status == "F") {
                                                        if ($record->course_active_status == "T") {
                                                            echo "<span class='badge badge-success'>Active</span>";
                                                        } else {
                                                            echo "<span class='badge badge-danger'>Blocked</span>";
                                                        }
                                                        ?>
                                                        <?php
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> Course Deleted On " . date("d-m-Y", strtotime($record->course_updated_on));
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("miscReport").classList.add("active");
                $("#allCourses").DataTable({responsive: true});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>