<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: All Default Grievance Categories Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Default Stuffs</li>
                            <li class="breadcrumb-item active" aria-current="page">Default Grievance Categories</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Default Grievance Categories</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/DefaultStuffs/createDefaultGCategory"); ?>'" tooltip="Create New Default Grievance Category"><i class="fa fa-plus"></i> Create Default Grievance Category</button><br><br>
                                <table id="allDefGrievanceCategories" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Insert Status</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Insert Status</th>
                                            <th>Added By</th>
                                            <th>Last Updated By</th>
                                            <th>Action</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allDefGrvnces); $i++) {
                                            $record = $allDefGrvnces[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->dfc_title; ?></td>
                                                <td><?php echo ($record->dfc_description == "" || $record->dfc_description == NULL) ? "NA" : $record->dfc_description; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->dfc_delete_status == "F") {
                                                        if ($record->dfc_allotment_allow_status == "T") {
                                                            echo "<span class='badge badge-success'>Allowed</span>";
                                                        } else {
                                                            echo "<span class='badge badge-danger'>Not-Allowed</span>";
                                                        }
                                                        ?>
                                                        <?php
                                                    } else {
                                                        echo "<span class='badge badge-danger'>Deleted</span>";
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $record->addedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->dfc_added_on)); ?></td>
                                                <td><?php echo $record->updatedByAdmin . " On " . date("d-m-Y h:i:s A", strtotime($record->dfc_updated_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->dfc_delete_status == "F") {
                                                        if ($record->dfc_allotment_allow_status == "T") {
                                                            ?>
                                                            <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Dis-Allow Insertion Of This Grievance Category" onClick="window.location.href = '<?php echo site_url('admin/DefaultStuffs/toggleDefGCategoriesInsertStatus/' . $record->dfc_id . '/F') ?>'"></i> 
                                                        <?php } else { ?>                                                                
                                                            <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Allow Insertion Of This Grievance Category" onClick="window.location.href = '<?php echo site_url('admin/DefaultStuffs/toggleDefGCategoriesInsertStatus/' . $record->dfc_id . '/T') ?>'"></i> 
                                                        <?php } ?>
                                                        <i class='fa fa-pencil' style='color:#002166;cursor: pointer;' title="Edit This Default Grievance Category" onClick="window.location.href = '<?php echo site_url('admin/DefaultStuffs/editDefGCategory/' . $record->dfc_id) ?>'"  ></i>
                                                        <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Default Grievance Category" onClick="window.location.href = '<?php echo site_url('admin/DefaultStuffs/deleteDefGCategories/' . $record->dfc_id) ?>'"></i> 
                                                        <?php
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> Def. Cat. Deleted On " . date("d-m-Y", strtotime($record->dfc_updated_on)) . " <a href='" . site_url('admin/DefaultStuffs/undoDeleteDefGCategories/' . $record->dfc_id) . "'>&nbsp;<i class='fa fa-undo' title='Undo Delete'></i></a>";
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("miscReport").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("defaultStuffs").classList.add("active");
                $("#allDefGrievanceCategories").DataTable({responsive: true});
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>