<!DOCTYPE HTML>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: All Users Report</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item">Misc. Report</li>
                            <li class="breadcrumb-item active" aria-current="page">Users</li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title">All Users</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <table id="allUsers" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>UId</th>
                                            <th>Full Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Institute</th>
                                            <th>User Type</th>
                                            <th>Sign Up On</th>
                                            <th>Current Status</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                            <th>Sr. No</th>
                                            <th>UId</th>
                                            <th>Full Name</th>
                                            <th>Gender</th>
                                            <th>Email</th>
                                            <th>Mobile</th>
                                            <th>Institute</th>
                                            <th>User Type</th>
                                            <th>Sign Up On</th>
                                            <th>Current Status</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php
                                        for ($i = 0; $i < sizeof($allUsers); $i++) {
                                            $record = $allUsers[$i];
                                            ?>
                                            <tr>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo $record->cau_adm_reg_roll_no; ?></td>
                                                <td><?php echo $record->cau_first_name . " " . $record->cau_last_name; ?></td>
                                                <td>
                                                    <?php
                                                    $gender = "";
                                                    if ($record->cau_gender == "M") {
                                                        $gender = "Male <i class='fa fa-male'></i>";
                                                    } else {
                                                        if ($record->cau_gender == "F") {
                                                            $gender = "Female <i class='fa fa-female'></i>";
                                                        } else {
                                                            $gender = "Other <i class='fa fa-transgender'></i>";
                                                        }
                                                    }
                                                    echo $gender;
                                                    ?>
                                                </td>
                                                <td><?php echo $record->cau_email; ?></td>
                                                <td><?php echo $record->cau_mobile; ?></td>
                                                <td><?php echo $record->clg_name; ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->cau_user_type_flag == "S") {
                                                        echo "Student";
                                                    } else if ($record->cau_user_type_flag == "P") {
                                                        echo "Parent";
                                                    } else if ($record->cau_user_type_flag == "N") {
                                                        echo "Non-Teaching";
                                                    } else if ($record->cau_user_type_flag == "F") {
                                                        echo "Teaching/Faculty";
                                                    } else {
                                                        echo $record->cau_user_type_flag;
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo date("d-m-Y", strtotime($record->cau_signup_on)); ?></td>
                                                <td>
                                                    <?php
                                                    if ($record->cau_delete_status == "F") {
                                                        if ($record->cau_block_status == "F") {
                                                            echo "<span class='badge badge-success'>Active</span>";
                                                        } else {
                                                            echo "<span class='badge badge-danger'>Blocked</span>";
                                                        }
                                                        ?>
                                                        <?php
                                                    } else {
                                                        echo "<i style='color:#FF0000' class='fa fa-times'></i> User Deleted On " . date("d-m-Y", strtotime($record->cau_last_updated_on));
                                                    }
                                                    ?>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info" onClick="getUserInfo(<?php echo $record->cau_id; ?>);"></i> 
                                                </td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                            <small class="form-text text-muted">UId Denotes Emp. Code/No. For Teaching And Non Teaching Staff. For Students It Denotes His/Her Reg./Admsn./Roll No. While For Parent's Account It Shows Their Ward's Reg./Admsn./Roll No.</small>
                        </div>
                    </section>
                </div>
            </div>
        </section>

        <script>
            $(document).ready(function () {
                /*Removing Active Class From Current Page Menu*/
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("sysAdmnMgmnt").classList.remove("active");
                document.getElementById("changePassword").classList.remove("active");
                document.getElementById("institute").classList.remove("active");
                document.getElementById("location").classList.remove("active");
                document.getElementById("defaultStuffs").classList.remove("active");
                /*Adding Active Class To Current Page Menu*/
                document.getElementById("miscReport").classList.add("active");
                $("#allUsers").DataTable({responsive: true});
            });

            function getUserInfo(cau_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/MiscellaneousReports/getUserFulllInfoBy/'); ?>',
                    data: {cau_id: cau_id, type: 'typeWise', csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisUserInfo = JSON.parse(result);
                        csrfHash = thisUserInfo.csrfHash;
                        $("#user_img").prop("src", thisUserInfo.cau_image_url);
                        $("#user_regEmpAdmsnNo").html(thisUserInfo.cau_adm_emp_id);
                        $("#user_firstname").html(thisUserInfo.cau_first_name);
                        $("#user_lastname").html(thisUserInfo.cau_last_name);
                        $("#user_email").html(thisUserInfo.cau_email);
                        $("#user_mobile").html(thisUserInfo.cau_mobile);
                        $("#user_gender").html(thisUserInfo.cau_gender);
                        $("#user_mail_verify").html(thisUserInfo.cau_email_verify_status);
                        $("#user_mobile_verify").html(thisUserInfo.cau_mobile_verify_status);
                        $("#user_alt_mobile").html(thisUserInfo.cau_alt_mobile);
                        $("#user_alt_email").html(thisUserInfo.cau_alt_email);
                        $("#user_course").html(thisUserInfo.cau_course_name);
                        $("#user_course_complete_on").html(thisUserInfo.cau_course_complete_on);
                        $("#user_type").html(thisUserInfo.cau_user_type_flag);
                        $("#user_parent_of").html(thisUserInfo.cau_parent_of);
                        $("#user_signup_on").html(thisUserInfo.cau_signup_on);
                        $("#user_delete_status").html(thisUserInfo.cau_delete_status);
                        $("#user_block_status").html(thisUserInfo.cau_block_status);
                        $("#user_approve_status").html(thisUserInfo.cau_approve_status);
                        $("#user_college").html(thisUserInfo.clg_name);
                        $("#userDetailsModal").modal('show');
                    }
                });
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
        <!-- User Details Modal Starts -->
        <div class="modal fade" id="userDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">User Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-12">
                                    <center>
                                        <img src="" id="user_img" width="100px"><br>
                                        <b><span id="user_regEmpAdmsnNo"></span></b>
                                    </center>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>First Name</b></div>
                                <div class="col-sm-3"><span id="user_firstname"></span></div>
                                <div class="col-sm-3"><b>Last Name</b></div>
                                <div class="col-sm-3"><span id="user_lastname"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email</b></div>
                                <div class="col-sm-9"><span id="user_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Mobile</b></div>
                                <div class="col-sm-3"><span id="user_mobile"></span></div>
                                <div class="col-sm-3"><b>Gender</b></div>
                                <div class="col-sm-3"><span id="user_gender"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Email Verified</b></div>
                                <div class="col-sm-3"><span id="user_mail_verify"></span></div>
                                <div class="col-sm-3"><b>Mobile Verified</b></div>
                                <div class="col-sm-3"><span id="user_mobile_verify"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Alt. Mobile</b></div>
                                <div class="col-sm-3"><span id="user_alt_mobile"></span></div>
                                <div class="col-sm-3"><b>Alt. Email</b></div>
                                <div class="col-sm-3"><span id="user_alt_email"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Course</b></div>
                                <div class="col-sm-3"><span id="user_course"></span></div>
                                <div class="col-sm-3"><b>Completed On</b></div>
                                <div class="col-sm-3"><span id="user_course_complete_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>User Type</b></div>
                                <div class="col-sm-3"><span id="user_type"></span></div>
                                <div class="col-sm-3"><b>Parent Of</b></div>
                                <div class="col-sm-3"><span id="user_parent_of"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Sign Up On</b></div>
                                <div class="col-sm-9"><span id="user_signup_on"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Approve Status</b></div>
                                <div class="col-sm-3"><span id="user_approve_status"></span></div>
                                <div class="col-sm-3"><b>Block Status</b></div>
                                <div class="col-sm-3"><span id="user_block_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Delete Status</b></div>
                                <div class="col-sm-3"><span id="user_delete_status"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Institute</b></div>
                                <div class="col-sm-9"><span id="user_college" href=""></span></div>
                            </div>
                        </fieldset>
                    </div>    
                    <div class="modal-footer">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- User Details Modal Ends -->
    </body>
</html>