<?php

/**
 * Description of ReportManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class ReportManagement extends CI_Model {
    function getAppliedVacanies($app_details_id) {
        $this->db->select("*");
        $this->db->from("application_mst am");
        $this->db->join("vacancy_mst vm", "vm.vm_id=am.vm_id");
        $this->db->join("designation_mst desig", "desig.desig_id=vm.desig_id");
        $this->db->join("department_mst dm", "vm.dm_id=dm.dm_id");
        $this->db->join("session_mst sess", "sess.session_id=vm.session_id");
        $this->db->where("am.app_details_id", $app_details_id);
        return $this->db->get();
    }

    function getApplicationsDetails($um_id = '', $app_details_id = '') {
        $this->db->select("*,cm.city_name as mailing_city,cp.city_name as per_city ,sm.state_name as mailing_state, sp.state_name as per_state,c1.c_name as grad, c2.c_name as post");
        $this->db->from("application_details_mst adm");
        $this->db->join("tbl_city_master cm", "adm.mailing_city_id = cm.city_id");
        $this->db->join("tbl_city_master cp", "adm.per_city_id = cp.city_id");
        $this->db->join("tbl_states_master sm", "adm.mailing_state_id = sm.state_id");
        $this->db->join("tbl_states_master sp", "adm.per_state_id = sp.state_id");
        $this->db->join("tbl_course c1", "c1.c_id = adm.exam1");
        $this->db->join("tbl_course c2", "c2.c_id = adm.exam2");
        if ($um_id != '') {
            $this->db->where("adm.um_id", $um_id);
        }
        if ($app_details_id != '') {
            $this->db->where("adm.app_details_id", $app_details_id);
        }
        return $this->db->get();
    }
}
