<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Application Report:: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Report/") ?>">Application Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i>&nbsp;&nbsp;Job Application Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <fieldset>
                                <legend>Filters <i class="fa fa-filter"></i></legend>
                                <?php echo form_open(site_url('admin/Report'), array("name" => "reportFrm", "id" => "reportFrm")); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <label for="name" class="input__label">Applicant Name</label>
                                        <input type="text" class="form-control" id="name" name="name" value="<?php echo set_value('name'); ?>" placeholder="Enter Applicant Name" autocomplete="off" maxlength="150">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label class="input__label" for="department">Department</label>
                                        <select name="department" id="department" class="custom-select">
                                            <option <?php echo set_select("department", ""); ?> value="">-Department-</option>
                                            <?php
                                            for ($i = 0; $i < sizeof($departments); $i++) {
                                                $dept = $departments[$i];
                                                //echo $course;
                                                ?>
                                                <option  <?php echo set_select("department", $dept->dm_id); ?> value="<?php echo $dept->dm_id; ?>" ><?php echo $dept->dm_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="desig" class="input__label">Designation</label>
                                        <select id="desig" name="desig" class="custom-select">
                                            <option value="" <?php echo set_select("designation", ""); ?>>-Designation-</option>

                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="from" class="input__label">From</label>
                                        <input type="text" class="form-control" id="from" name="from" value="<?php echo set_value('from'); ?>" placeholder="Choose From Date" autocomplete="off" maxlength="15">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="to" class="input__label">To</label>
                                        <input type="text" class="form-control" id="to" name="to" value="<?php echo set_value('to'); ?>" placeholder="Choose To Date" autocomplete="off" maxlength="15">
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="declaration" class="input__label">Application Declaration</label>
                                        <select id="declaration" name="declaration" class="custom-select">
                                            <option value="" <?php echo set_select("declaration", ""); ?>>ALL</option>
                                            <option value="T" <?php echo set_select("declaration", "T"); ?>>Declared</option>
                                            <option value="F" <?php echo set_select("declaration", "F"); ?>>Not-Declared</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-1">
                                        <label for="div10" class="input__label">10th</label>
                                        <select id="div10" name="div10" class="custom-select">
                                            <option value="" <?php echo set_select("div10", ""); ?>>Division</option>
                                            <option value="1" <?php echo set_select("div10", 1); ?>>I</option>
                                            <option value="2" <?php echo set_select("div10", 2); ?>>II</option>
                                            <option value="3" <?php echo set_select("div10", 3); ?>>III</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-1">
                                        <label for="div12" class="input__label">12th</label>
                                        <select id="div12" name="div12" class="custom-select">
                                            <option value="" <?php echo set_select("div12", ""); ?>>Division</option>
                                            <option value="1" <?php echo set_select("div12", 1); ?>>I</option>
                                            <option value="2" <?php echo set_select("div12", 2); ?>>II</option>
                                            <option value="3" <?php echo set_select("div12", 3); ?>>III</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-1">
                                        <label for="div1" class="input__label">UG</label>
                                        <select id="div1" name="div1" class="custom-select">
                                            <option value="" <?php echo set_select("div1", ""); ?>>Division</option>
                                            <option value="1" <?php echo set_select("div1", 1); ?>>I</option>
                                            <option value="2" <?php echo set_select("div1", 2); ?>>II</option>
                                            <option value="3" <?php echo set_select("div1", 3); ?>>III</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-1">
                                        <label for="div2" class="input__label">PG</label>
                                        <select id="div2" name="div2" class="custom-select">
                                            <option value="" <?php echo set_select("div2", ""); ?>>Division</option>
                                            <option value="1" <?php echo set_select("div2", 1); ?>>I</option>
                                            <option value="2" <?php echo set_select("div2", 2); ?>>II</option>
                                            <option value="3" <?php echo set_select("div2", 3); ?>>III</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label class="input__label" for="passingYear">Passing Year</label>
                                        <select class="custom-select" name="passingYear" id="passingYear">
                                            <option selected disabled="true">Select</option>
                                            <?php
                                            $year = date("Y");
                                            echo $year;
                                            for ($i = ($year + 4); $i >= 1995; $i--) {
                                                ?>
                                                <option <?php echo set_select("passingYear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-1">
                                        <label for="phd" class="input__label">P.H.D.</label>
                                        <select  name="phd" id="phd" class="custom-select" aria-describedby="phd">
                                            <option  value="">All</option>       
                                            <option <?php echo set_select("phd", "NA"); ?> value="NA">Not Applicable</option>    
                                            <option <?php echo set_select("phd", "Pursuing"); ?> value="Pursuing">Pursuing</option>  
                                            <option <?php echo set_select("phd", "Submitted"); ?> value="Submitted">Submitted</option>  
                                            <option <?php echo set_select("phd", "Awarded"); ?> value="Awarded">Awarded</option>  
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="phstream" class="input__label">P.H.D. Stream</label>
                                        <select  name="phstream" id="phstream" class="custom-select" aria-describedby="phstream">
                                            <option  value="">Stream</option>       
                                            <option <?php echo set_select("phstream", "Commerce"); ?> value="Commerce">Commerce</option>    
                                            <option <?php echo set_select("phstream", "Computer Sceince"); ?> value="Computer Sceince">Computer Sceince</option> 
                                            <option <?php echo set_select("phstream", "English"); ?> value="English">English</option>  
                                            <option <?php echo set_select("phstream", "Management"); ?> value="Management">Management</option>  
                                            <option <?php echo set_select("phstream", "Maths"); ?> value="Maths">Maths</option> 
                                            <option <?php echo set_select("phstream", "other"); ?> value="other">Other</option> 
                                        </select>
                                    </div>
                                    <div class="form-group col-md-1">
                                        <label for="net" class="input__label">N.E.T.</label>
                                        <select  name="net" id="net" class="custom-select" aria-describedby="net">
                                            <option  value="">All</option>        
                                            <option <?php echo set_select("net", "T"); ?> value="T">Yes</option>  
                                            <option <?php echo set_select("net", "F"); ?> value="F">No</option>  
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="netstream" class="input__label">N.E.T. Stream</label>
                                        <select  name="netstream" id="netstream" class="custom-select" aria-describedby="netstream">
                                            <option  value="">Stream</option>       
                                            <option <?php echo set_select("netstream", "Commerce"); ?> value="Commerce">Commerce</option>    
                                            <option <?php echo set_select("netstream", "Computer Sceince"); ?> value="Computer Sceince">Computer Sceince</option> 
                                            <option <?php echo set_select("netstream", "English"); ?> value="English">English</option>  
                                            <option <?php echo set_select("netstream", "Management"); ?> value="Management">Management</option>  
                                            <option <?php echo set_select("netstream", "Maths"); ?> value="Maths">Maths</option> 
                                            <option <?php echo set_select("netstream", "other"); ?> value="other">Other</option> 
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-2">
                                        <label for="industry" class="input__label">Industry Experience</label>
                                        <select name="industry" id="industry" class="custom-select"
                                                aria-describedby="industry">
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo set_select("industry", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="academic" class="input__label">Academic Experience</label>
                                        <select name="academic" id="academic" class="custom-select"
                                                aria-describedby="academic">
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo set_select("academic", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label for="session" class="input__label">Sessions</label>
                                        <select name="session" id="session" class="custom-select"
                                                aria-describedby="session">
                                            <option  value="">-Select-</option>       
                                            <?php
                                            for ($i = 0; $i < sizeof($sessions); $i++) {
                                                $sess=$sessions[$i];
                                                ?>
                                                <option <?php echo set_select("session", $sess->session_id); ?> value="<?php echo $sess->session_id; ?>"><?php echo $sess->session_name; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="filterSubmitBtn" class="input__label"></label>
                                        <button id="filterSubmitBtn" name="filterSubmitBtn" value="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                    </div>
                                </div>
                                <hr>
                            </fieldset>
                            <?php echo form_close(); ?>
                            <table id="applicationData" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr bgcolor=""> 
                                        <th  rowspan="2" valign="top">Sl. No</th>
                                        <th  rowspan="2" valign="top">Application Form No.</th>
                                        <th  rowspan="2" valign="top">ApplyDate</th>
                                        <th rowspan="2" valign="top">Department</th>
                                        <th rowspan="2" valign="top">Post</th>
                                        <th  rowspan="2" valign="top">Name</th>
                                        <th  rowspan="2" valign="top">Gender</th>
                                        <th  rowspan="2" valign="top">DOB</th>
                                        <th  rowspan="2" valign="top">Marital Status</th>
                                        <th  rowspan="2" valign="top">Father's Name</th>
                                        <th  colspan="4" valign="top">PRESENT</th>
                                        <th  colspan="4" abbr=""valign="top">PERMANENT</th>
                                        <th  rowspan="2" valign="top">Mobile</th>
                                        <th  rowspan="2" valign="top">Email</th>
                                        <th colspan="2" valign="top">Experience</th>
                                        <th colspan="2" valign="top">UGC-NET</th>
                                        <th colspan="5" valign="top">Ph.D</th>
                                        <th colspan="6" valign="top">Post Graduation</th>
                                        <th colspan="6" valign="top">Other Post Graduation</th>
                                        <th colspan="6" valign="top">Graduation</th>
                                        <th colspan="5" valign="top">12<sup>th</sup></th>
                                        <th colspan="5" valign="top">10<sup>th</sup></th>
                                       <!-- <th colspan="5" valign="top">Any Other</th>-->
                                        <th colspan="3" valign="top">Employer-1</th>
                                        <th colspan="3" valign="top">Employer-2</th>
                                        <th rowspan="2" valign="top">Reference1</th>
                                        <th  rowspan="2" valign="top">Reference2</th>

                                    </tr>
                                    <tr class="mtextblack" bgcolor=""> 
                                        <th   valign="top">Address</th>
                                        <th  valign="top">City</th>
                                        <th  valign="top">State</th>
                                        <th  valign="top">Pin</th>
                                        <th  valign="top">Address</th>
                                        <th  valign="top">City</th>
                                        <th  valign="top">State</th>
                                        <th  valign="top">Pin</th>
                                        <th  valign="top">Industry</th>
                                        <th  valign="top">Academic</th>
                                        <th  valign="top">Status</th>
                                        <th  valign="top">Stream</th>
                                        <th  valign="top">Status</th>
                                        <th  valign="top">Stream</th>
                                        <th  valign="top">Topic</th>
                                        <th  valign="top">University</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Exam</th>
                                        <th  valign="top">University</th>
                                        <th  valign="top">Subject</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Div</th>
                                        <th  valign="top">Per(%)</th>
                                        <th  valign="top">Exam</th>
                                        <th  valign="top">University</th>
                                        <th  valign="top">Subject</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Div</th>
                                        <th  valign="top">Per(%)</th>
                                        <th  valign="top">Exam</th>
                                        <th  valign="top">University</th>
                                        <th  valign="top">Subject</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Div</th>
                                        <th  valign="top">Per(%)</th>
                                        <th  valign="top">Board</th>
                                        <th  valign="top">Subject</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Div</th>
                                        <th  valign="top">Per(%)</th>
                                        <th  valign="top">Board</th>
                                        <th  valign="top">Subject</th>
                                        <th  valign="top">Year</th>
                                        <th  valign="top">Div</th>
                                        <th  valign="top">Per(%)</th>
                                        <th  valign="top">Name</th>
                                        <th  valign="top">Designation</th>
                                        <th  valign="top">Duration</th>
                                        <th  valign="top">Name</th>
                                        <th  valign="top">Designation</th>
                                        <th  valign="top">Duration</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($report); $i++) {
                                        $record = $report[$i];
                                        ?>
                                        <tr>
                                            <td height="32" valign="top"><?php echo ($i + 1); ?></td>
                                            <td height="32" valign="top">
                                                <a href="<?php echo site_url("admin/Report/applicationDetails/") . $record["app_details_id"]; ?>" target="_blank"><?php echo $record["applicationFormNo"]; ?></a> 
                                            </td>
                                            <td valign="top"><?php echo $record["regdt"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["departments"]); ?>&nbsp;</td>
                                            <td valign="top"> <?php echo strtoupper($record["designations"]); ?> &nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["name"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["gender"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["dob"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["m_status"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["fanm"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["mail_add"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["mailing_city"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["mailing_state"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["mailing_pin"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per_add"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per_city"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per_state"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per_pin"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["mobile"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo $record["email"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo $record["industry"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo $record["academic"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo ($record["net"] == "F") ? "Not Appeared" : "Appeared"; ?>&nbsp;</td>
                                            <td valign="top"><?php echo $record["netstream"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo ($record["phd"] == "NA") ? "Not Applicable" : $record["phd"]; ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["phstream"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["phtopic"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["phuniv"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["phyear"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["exam2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["univ2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["subject2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["year2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["div2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["exam0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["univ0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["subject0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["year0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["div0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per0"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["exam1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["univ1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["subject1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["year1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["div1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["univ12"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo substr(strtoupper($record["subject12"]), 0, 18) . ".."; ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["year12"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["div12"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per12"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["univ10"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo substr(strtoupper($record["subject10"]), 0, 18) . ".."; ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["year10"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["div10"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["per10"]); ?>&nbsp;</td>

                                            <td valign="top"><?php echo strtoupper($record["employer1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["desig1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["duration1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["employer2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["desig2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["duration2"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["ref1"]); ?>&nbsp;</td>
                                            <td valign="top"><?php echo strtoupper($record["ref2"]); ?>&nbsp;</td>

                                        </tr> 
                                    <?php }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>

        $(document).ready(function () {
            $("#applicationData").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                    {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                    {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                    {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                ]});
        });
        $(function () {
            var dateFormat = "dd/mm/yy",
                    from = $("#from")
                    .datepicker({
                        dateFormat: dateFormat,
                        defaultDate: '0',
                        changeMonth: true,
                        changeYear: true,
                        numberOfMonths: 1
                    }).on("change", function () {
                to.datepicker("option", "minDate", getDate(this));
            }),
                    to = $("#to").datepicker({
                dateFormat: dateFormat,
                defaultDate: '0',
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            }).on("change", function () {
                from.datepicker("option", "maxDate", getDate(this));
            });
            function getDate(element) {
                var date;
                try {
                    date = $.datepicker.parseDate(dateFormat, element.value);
                } catch (error) {
                    date = null;
                }
                return date;
            }
        });

        $("#department").on("change", function () {
            //alert($(this).val());
            $(".se-pre-con").fadeIn("slow");
            if (csrfHash === '') {
                csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
            }
            if ($(this).val().trim() != "") {
                $.ajax({
                    url: '<?php echo site_url('admin/BasicDetails/getDesignationByDepartment/') ?>',
                    data: {dm_id: $(this).val(), csrf_token: csrfHash},
                    type: 'POST',
                    async: false,
                    success: function (result) {
                        var designations = JSON.parse(result);
                        $(".se-pre-con").fadeOut("slow");
                        $("#desig").html(designations.designations);
                        csrfHash = designations.csrfHash;
                        reportFrm.csrf_token.value = csrfHash;
                    }
                });
            } else {
                $("#desig").html("<option>-Designation-</option>");
                $(".se-pre-con").fadeOut("slow");
            }
        });
    </script>
