<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create New Branch ::  <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Branch/"); ?>">Branch Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Branch/createBranch"); ?>">Create New Branch</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><i class="fa fa-plus"></i> Create New Branch <span></span></h3>
                            </div>
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('admin/Branch/saveNewBranch'), ['name' => 'branchCreationFrm', 'id' => 'branchCreationFrm']); ?>
                                <fieldset>
                                    <legend>Campus Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="branchName" class="input__label">Branch Name *</label>
                                            <input type="text" class="form-control input-style" id="branchName" name="branchName" value="<?php echo set_value('branchName'); ?>" placeholder="Enter Branch Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="branchShortName" class="input__label">Branch Short Name *</label>
                                            <input type="text" class="form-control input-style" id="branchShortName" name="branchShortName" value="<?php echo set_value('branchShortName'); ?>" placeholder="Enter Branch Short Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="branchMob" class="input__label">Mobile No. *</label>
                                            <input type="text" class="form-control input-style" id="branchMob" name="branchMob" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('branchMob'); ?>" placeholder="Enter Branch Mobile No." maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="branchEmail" class="input__label">Email *</label>
                                            <input type="text" class="form-control input-style" id="branchEmail" name="branchEmail" value="<?php echo set_value('branchEmail'); ?>" placeholder="Enter Branch Email" maxlength="80">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="branchTelNo" class="input__label">Tel. No.</label>
                                            <input type="text" class="form-control input-style" id="branchTelNo" name="branchTelNo" value="<?php echo set_value('branchTelNo'); ?>" placeholder="Enter Branch Tel No." maxlength="20">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="branchFax" class="input__label">Fax</label>
                                            <input type="text" class="form-control input-style" id="branchFax" name="branchFax" value="<?php echo set_value('branchFax'); ?>" placeholder="Enter Branch Fax" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="branchState" class="input__label">State</label>
                                            <select id="branchState" name="branchState" class="form-control input-style">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("branchState", $state->state_id); ?>><?php echo $state->state_name; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="branchCity" class="input__label">City</label>
                                            <select id="branchCity" name="branchCity" class="form-control input-style">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="branchFullAddress" class="input__label">Full Address</label>
                                            <textarea class="form-control input-style" name="branchFullAddress" id="branchFullAddress" placeholder="Enter Full Campus Address" maxlength="200"><?php echo set_value('branchFullAddress'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>

                                <fieldset>
                                    <legend>City Office Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="branchCOMob" class="input__label">Mobile No.</label>
                                            <input type="text" class="form-control input-style" id="branchCOMob" name="branchCOMob" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('branchCOMob'); ?>" placeholder="Enter City Office Mobile No." maxlength="10">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchCOEmail" class="input__label">Email</label>
                                            <input type="text" class="form-control input-style" id="branchCOEmail" name="branchCOEmail" value="<?php echo set_value('branchCOEmail'); ?>" placeholder="Enter City Office Email" maxlength="80">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchCOTelNo" class="input__label">Tel. No.</label>
                                            <input type="text" class="form-control input-style" id="branchCOTelNo" name="branchCOTelNo" value="<?php echo set_value('branchCOTelNo'); ?>" placeholder="Enter City Office Tel No." maxlength="20">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchCOFax" class="input__label">Fax</label>
                                            <input type="text" class="form-control input-style" id="branchCOFax" name="branchCOFax" value="<?php echo set_value('branchCOFax'); ?>" placeholder="Enter City Office Fax" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="branchCOFullAddress" class="input__label">Full Address</label>
                                            <textarea class="form-control input-style" name="branchCOFullAddress" id="branchCOFullAddress" placeholder="Enter Full City Office Address" maxlength="200"><?php echo set_value('branchCOFullAddress'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset>
                                    <legend>Website & Logo</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="branchWebsite" class="input__label">Website URL</label>
                                            <input type="text" class="form-control input-style" id="branchWebsite" name="branchWebsite" value="<?php echo set_value('branchWebsite'); ?>" placeholder="Enter Branch Website" maxlength="100">
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchLogo" class="input__label">Logo *</label>
                                            <input type="file" class="form-control input-style" id="branchLogo" name="branchLogo">
                                            <small id="branchLogoInstruction" class="form-text text-muted">Allowed Extensions:Only *.png. Max. File Size: 500KB</small>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchLetterHeadImg" class="input__label">Letter Head Image *</label>
                                            <input type="file" class="form-control input-style" id="branchLetterHeadImg" name="branchLetterHeadImg">
                                            <small id="branchLHImageInstruction" class="form-text text-muted">Allowed Extensions:Only *.png. Max. File Size: 500KB</small>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="branchBGImage" class="input__label">BG Image *</label>
                                            <input type="file" class="form-control input-style" id="branchBGImage" name="branchBGImage">
                                            <small id="branchBGImageInstruction" class="form-text text-muted">Allowed Extensions:Only *.jpg [720x391 PX]. Max. File Size: 1MB</small>
                                        </div>
                                    </div>
                                </fieldset>
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-4">Create Branch</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#branchName").on("keyup", function () {
                $("#branchShortName").val($(this).val());
            });

            $("#branchState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() != "") {
                    $.ajax({
                        url: '<?php echo site_url('user/Location/getCitiesByState/') ?>',
                        data: {state: $(this).val(),csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#branchCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            branchCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });

            $(document).ready(function () {
                if ($("#branchState").val() != "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('user/Location/getActiveCitiesByStateSelected/') ?>',
                        data: {state: $("#branchState").val(),city: '', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#branchCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            branchCreationFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>