
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Department :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Data Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Department</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <h3 class="card__title"><i class="fa fa-plus"></i>&nbsp;Create Department  </h3><br>
                        
                        <?php echo form_open(site_url("admin/Department/saveDepartment"), array("name" => "departmentFrm", "id" => "departmentFrm")); ?>
                        <?php if (validation_errors() != false) { ?>
                            <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('successMessage')) { ?>
                            <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                            <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                        <?php } ?>
                        <div class="form-group">
                            <label for="departmentName" class="input__label required">Department     Name</label>
                            <input type="text" value="<?php echo set_value("departmentName"); ?>" name="departmentName" id="departmentName" class="form-control login_text_field_bg input-style"
                                   aria-describedby="departmentName" placeholder="Enter Department Name" autofocus onkeyup="departmentUp()">
                        </div>
                        <div class="form-group">
                            <label for="departmentShortName" class="input__label required">Department Short Name</label>
                            <input type="text" value="<?php echo set_value("departmentShortName"); ?>" name="departmentShortName" id="departmentShortName" class="form-control login_text_field_bg input-style"
                                   aria-describedby="departmentShortName" placeholder="Enter Department Short Name" >
                        </div>
                        <div class="form-group">
                            <label for="description" class="input__label required">Department Description</label>
                            <textarea name="description" id="description" class="form-control login_text_field_bg input-style"
                                      aria-describedby="" placeholder="Enter Department Description" ><?php echo set_value("description"); ?></textarea>
                        </div>
                        <div class="d-flex align-items-center flex-wrap justify-content-center">
                            <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CREATE</button>
                        </div>
                        <br>
                        <span style="color:red;">(*) marked fields are mandatory.</span>
                        <?php echo form_close(); ?>
                        <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            function departmentUp() {
                
                $("#departmentShortName").val($("#departmentName").val());
            }
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataManagement").classList.add("active");
            });
        </script>