
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Create Session :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Data Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Create Session</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <h3 class="card__title"><i class="fa fa-plus"></i>&nbsp;Create Session  </h3><br>

                            <?php echo form_open(site_url("admin/Sessions/saveSession"), array("name" => "sessionFrm", "id" => "sessionFrm")); ?>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <fieldset>
                                <legend>Session Info</legend>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="sessionName" class="input__label required">Session Name</label>
                                        <input type="text" class="form-control input-style" id="sessionName" name="sessionName" value="<?php echo set_value('sessionName'); ?>" placeholder="Enter Session Name (Ex: 2012-2013)" maxlength="150">
                                        <input type="checkbox" value="C" for="curSession" id="isCurrentSession" name="isCurrentSession">&nbsp;<label id="curSession">Current Session</label>
                                        <small id="currentSessionInstruction" class="form-text text-muted">Leave This Checkbox If This Is Not Current Session. You Can Set Any Session As 'Current' Anytime Later.</small>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <label for="sessionDesc" class="input__label required">Description</label>
                                        <textarea class="form-control input-style" id="sessionDesc" name="sessionDesc" placeholder="Enter Session Description (Max. 100 Chars)" maxlength="100"><?php echo set_value('sessionDesc'); ?></textarea>
                                    </div>
                                </div>
                            </fieldset>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">CREATE</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("designation").classList.remove("active");
                document.getElementById("vacancy").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataManagement").classList.add("active");
            });
        </script>