
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Department Report :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Data Management</li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Department Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> &nbsp;Department Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Department/createDepartment"); ?>'" tooltip="Add New Department"><i class="fa fa-plus"></i> Add New Department</button><br><br>    
                            <table id="departments" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Department</th>                                      
                                        <th>Short Name</th>
                                        <th>Description</th>
                                        <th>Added On</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Department</th>                                      
                                        <th>Short Name</th>
                                        <th>Description</th>
                                        <th>Added On</th>
                                        <th>Action</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($departments); $i++) {
                                        $record = $departments[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->dm_name); ?></td>  
                                            <td><?php echo stripslashes($record->dm_short_name); ?></td>  
                                            <td><?php echo stripslashes($record->dm_desc); ?></td>                                           
                                            <td><?php echo date("d-m-Y H:i:sa", strtotime($record->dm_added_on)); ?></td>  
                                            <td>
                                                <?php
                                                if ($record->dm_delete_status == "F") {
                                                    ?>                                              
                                                    <a href="<?php echo site_url("admin/Department/editDepartment/$record->dm_id") ?>"><i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit Department Detail"  ></i></a>
                                                    <?php
                                                    if ($record->dm_active_status == "T") {
                                                        ?>
                                                        <a href="<?php echo site_url("admin/Department/toggleDepartmentStatus/$record->dm_id/F") ?>"><i class='fa fa-ban' style='color:#FF0000;cursor: pointer;' data-toggle="tooltip" title="Click To Disable Department" ></i></a>
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <a href="<?php echo site_url("admin/Department/toggleDepartmentStatus/$record->dm_id/T") ?>"><i class='fa fa-check-circle' style='color:#297534;cursor: pointer;' data-toggle="tooltip" title="Click To Enable Department"  ></i></a>
                                                        <?php
                                                    }
                                                    ?>
                                                        <a href="<?php echo site_url("admin/Department/toggleDepartmentDeleteStatus/$record->dm_id/T") ?>"><i class='fa fa-trash' style='color:#FF0000;cursor: pointer;' data-toggle="tooltip" title="Click To Delete Department" ></i></a>
                                                        <?php
                                                } else {
                                                    ?>
                                                        <span ><?php echo "Department deleted on    " . date("d-m-Y H:i:sa", strtotime($record->dm_updated_on)) . ". Click to undo." ?></span>
                                                    <a href="<?php echo site_url("admin/Department/toggleDepartmentDeleteStatus/$record->dm_id/F") ?>"><i class='fa fa-undo' style='color:#297534;cursor: pointer;' data-toggle="tooltip" title="Click To Un-Delete Department"  ></i></a>
                                                        <?php
                                                    }
                                                    ?>
                                            </td>
                                            <?php
                                        }
                                        ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#departments").DataTable({responsive: true, dom: 'Blfrtip'})
        });
        $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("designation").classList.remove("active");
                document.getElementById("vacancy").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataManagement").classList.add("active");
        });
    </script>
