
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit Vacancy :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Vacancy Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Edit Vacancy</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <h3 class="card__title"><i class="fa fa-edit"></i>&nbsp;Edit Vacancy</h3><br>

                            <?php echo form_open(site_url("admin/Vacancy/updateVacancy"), array("name" => "vacancyFrm", "id" => "vacancyFrm")); ?>
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <div class="form-row">

                                <div class="col-sm-6">
                                    <label for="cm_id" class="input__label required">Category</label>
                                    <select name="cm_id" id="cm_id" class="form-control login_text_field_bg input-style readonly"
                                            aria-describedby="cm_id" >
                                        <option value="">-Category-</option>
                                        <?php
                                        for ($i = 0; $i < sizeof($categories); $i++) {
                                            $record = $categories[$i];
                                            ?>
                                            <option <?php if ($vacancy->cm_id == $record->cm_id) echo "selected"; ?> value="<?php echo $record->cm_id; ?>"><?php echo $record->cm_name; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-6">
                                    <label for="dm_id" class="input__label required">Department</label>
                                    <select name="dm_id" id="dm_id" class="form-control login_text_field_bg input-style readonly"
                                            aria-describedby="dm_id">
                                        <option value="">-Department-</option>
                                        <?php
                                        for ($i = 0; $i < sizeof($departments); $i++) {
                                            $record = $departments[$i];
                                            ?>                                
                                            <option <?php if ($vacancy->dm_id == $record->dm_id) echo "selected"; ?> <?php echo set_select("dm_id", $record->dm_id); ?> value="<?php echo $record->dm_id; ?>"><?php echo $record->dm_name; ?></option> 
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row mt-2">
                                <div class="col-sm-6">
                                    <label for="desig_id" class="input__label required">Designations</label>
                                    <select name="desig_id" id="desig_id" class="form-control login_text_field_bg input-style readonly"
                                            aria-describedby="desig_id" readonly="readonly">
                                        <option value="">-Designations-</option>
                                    </select>
                                    <input type="hidden" name="vm_id" value="<?php echo $vacancy->vm_id; ?>">
                                </div>
                                <div class="col-sm-6">
                                    <label for="openings" class="input__label required">No. Of Openings</label>
                                    <input type="text" class="form-control login_text_field_bg input-style" value="<?php echo $vacancy->no_of_openings; ?>" name="openings" id="openings" aria-describedby="desig_id" placeholder="Enter No. Of Openings">
                                </div>
                            </div>

                            <div class="form-row mt-2">
                                <div class="col-sm-6">
                                    <label for="startDate" class="input__label required">Start Date</label>
                                    <input type="text" readonly="readonly" value="<?php echo ($vacancy->start_date == null || $vacancy->start_date == "") ? "" : date("d/m/Y", strtotime($vacancy->start_date)); ?>" name="startDate" id="startDate" class="form-control login_text_field_bg input-style"
                                           aria-describedby="startDate" placeholder="Choose Start Date">
                                </div>
                                <div class="col-sm-6">
                                    <label for="endDate" class="input__label required">End Date</label>
                                    <input type="text" readonly="readonly" value="<?php echo ($vacancy->end_date == null || $vacancy->end_date == "") ? "" : date("d/m/Y", strtotime($vacancy->end_date)); ?>" name="endDate" id="endDate" class="form-control login_text_field_bg input-style"
                                           aria-describedby="endDate" placeholder="Choose End Date" readonly="readonly">
                                </div>
                            </div>
                            <div class="form-row mt-2">
                                <div class="col-sm-6">
                                    <label for="forYear" class="input__label required">For Year</label>
                                    <select name="forYear" id="forYear" class="form-control login_text_field_bg input-style readonly"
                                            aria-describedby="forYear">
                                        <option value="">-For year-</option>
                                        <?php
                                        $year = date("Y");
                                        for ($i = $year; $i <= $year + 1; $i++) {
                                            ?>
                                            <option <?php if ($vacancy->vm_for_year == $i) echo "selected"; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-6">
                                    <label for="session_id" class="input__label required">For Year</label>
                                    <select name="session_id" id="session_id" class="form-control login_text_field_bg input-style readonly"
                                            aria-describedby="session_id">
                                        <option value="">-For year-</option>
                                        <?php
                                        for ($i = 0; $i < sizeof($sessions); $i++) {
                                            $record = $sessions[$i];
                                            ?>
                                            <option <?php if ($vacancy->session_id == $record->session_id) echo "selected"; ?> value="<?php echo $record->session_id; ?>"><?php echo $record->session_name; ?></option>
                                            <?php
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="d-flex align-items-center flex-wrap justify-content-center mt-3">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">SAVE</button>
                            </div>
                            <br>
                            <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            $("#startDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1,
                yearRange: "+0:+1"
            });
            $("#endDate").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1,
                yearRange: "+0:+1"
            });


            $(document).ready(function () {
                var cm_id = '<?php echo $vacancy->cm_id; ?>';
                var desig_id = '<?php echo $vacancy->desig_id; ?>';
                if ($("#cm_id").val() != null) {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/BasicDetails/getDesignationByCategory/') ?>',
                        data: {cm_id: cm_id, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var designations = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#desig_id").html(designations.designations);
                            $("#desig_id").val(desig_id);
                            csrfHash = designations.csrfHash;
                            vacancyFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                $("#cm_id").on("change", function () {
                    alert($(this).val());
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    if ($(this).val().trim() != "") {
                        $.ajax({
                            url: '<?php echo site_url('admin/BasicDetails/getDesignationByCategory/') ?>',
                            data: {cm_id: $(this).val(), csrf_token: csrfHash},
                            type: 'POST',
                            async: false,
                            success: function (result) {
                                var designations = JSON.parse(result);
                                $(".se-pre-con").fadeOut("slow");
                                $("#desig_id").html(designations.designations);
                                csrfHash = designations.csrfHash;
                                vacancyFrm.csrf_token.value = csrfHash;
                            }
                        });
                    } else {
                        $("#desig_id").html("<option>-Designation-</option>");
                        $(".se-pre-con").fadeOut("slow");
                    }
                });
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("designation").classList.remove("active");
                document.getElementById("vacancy").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("vacancy").classList.add("active");
            });
        </script>