
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Session Report :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Data Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Session Report</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <section class="data-tables">
                            <div class="card card_border p-4">
                                <h3 class="card__title"><i class="fa fa-calendar-o"></i> Sessions Management</h3><br>
                                <div class="table-responsive">
                                    <?php if ($this->session->flashdata('successMessage')) { ?>
                                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                    <?php } ?>
                                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                    <?php } ?>
                                    <button class="btn btn-sm btn-primary" onClick="window.location.href = '<?php echo site_url("admin/Sessions/createSession"); ?>'" tooltip="Create New Sessions"><i class="fa fa-plus"></i> Create New Sessions</button><br><br>
                                    <table id="sessions" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                        <thead>
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Name</th>
                                                <th>Status</th>
                                                <th>Desciption</th>
                                                <th>Added On</th>
                                                <th>Last Updated On</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tfoot>
                                            <tr>
                                                <th>Sr. No</th>
                                                <th>Name</th>
                                                <th>Status</th>
                                                <th>Desciption</th>
                                                <th>Added On</th>
                                                <th>Last Updated On</th>
                                                <th>Action</th>
                                            </tr>
                                        </tfoot>
                                        <tbody>
                                            <?php
                                            for ($i = 0; $i < sizeof($allSessions); $i++) {
                                                $record = $allSessions[$i];
                                                ?>
                                                <tr>
                                                    <td><?php echo ($i + 1); ?></td>
                                                    <td><?php echo stripslashes($record->session_name); ?></td>
                                                    <td><?php echo ($record->session_status == "C") ? "Current Session" : "Old Session"; ?></td>
                                                    <td><?php echo ($record->session_desc == "" || $record->session_desc == NULL) ? "NA" : stripslashes($record->session_desc); ?></td>
                                                    <td><?php echo date("d-m-Y h:i:s A", strtotime($record->session_added_on)); ?></td>
                                                    <td><?php echo date("d-m-Y h:i:s A", strtotime($record->session_updated_on)); ?></td>
                                                    <td>
                                                        <?php
                                                        if ($record->session_delete_status == 'F') {
                                                            if ($record->session_active_status == 'T') {
                                                                if ($record->session_status == 'O') {
                                                                    ?>
                                                                    <i class='fa fa-calendar-check-o' style='color:#002166;cursor: pointer;' title="Mark This Session As Current" onClick="window.location.href = '<?php echo site_url('admin/Sessions/markAsCurrentSession/' . $record->session_id) ?>'"  ></i>
                                                                <?php } ?>
                                                                <i class="fa fa-ban" style="color:#FF0000;cursor: pointer;" title="Disable This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/toggleSessionStatus/' . $record->session_id . '/F') ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/editSession/' . $record->session_id) ?>'"  ></i>
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/deleteSession/' . $record->session_id) ?>'"></i> 
                                                            <?php } else { ?>
                                                                <i class="fa fa-check-circle" style="color:#297534;cursor: pointer;" title="Enable This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/toggleSessionStatus/' . $record->session_id . '/T') ?>'"></i> 
                                                                <i class='fa fa-edit' style='color:#002166;cursor: pointer;' title="Edit This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/editSession/' . $record->session_id) ?>'"  ></i>
                                                                <i class="fa fa-trash" style="color:#FF0000;cursor: pointer;" title="Delete This Session" onClick="window.location.href = '<?php echo site_url('admin/Sessions/deleteSession/' . $record->session_id) ?>'"></i> 
                                                                <?php
                                                            }
                                                        } else {
                                                            ?>
                                                            <b>Session Deleted On <?php echo date("d-m-Y h:i:s A", strtotime($record->session_updated_on)); ?>. <a href="<?php echo site_url('admin/Sessions/undoDeleteSession/' . $record->session_id) ?>">Click To Undo <i class="fa fa-undo" style="color:#297534"></i></a></b> 
                                                                <?php } ?>
                                                    </td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </section>
                    </div>
                </div>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            $(document).ready(function () {
                $("#sessions").DataTable({responsive: true, dom: 'Blfrtip'})
            });
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("designation").classList.remove("active");
                document.getElementById("vacancy").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dataManagement").classList.add("active");
            });
        </script>