
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $thirdStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$thirdStep->step_slug"; ?>"><?php echo $thirdStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <?php echo form_open_multipart(site_url("user/Application/saveQualifications"), ['name' => 'qualificationFrm', 'id' => 'qualificationFrm']); ?>
                    <div class="card card_border">
                        <div class="cards__heading pb-1">
                            <h3><i class="fa <?php echo $thirdStep->step_class; ?>"></i>&nbsp;<?php echo $thirdStep->step_title; ?></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <fieldset>
                                <div class="col-lg-12">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>High School / 10th Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row ">
                                        <div class="col-sm-2">
                                            <label for="exam10" class="input__label required">Exam Name</label>
                                            <?php //echo ($app_details->step3 == 'T') ? (($app_details->univ10 == null || $app_details->univ10 == '') ? '' : $app_details->univ10) : set_value('univ10'); ?>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" readonly="readonly" value="10" name="exam10" id="exam10" aria-describedby="exam10" placeholder="Enter Exam Name">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="univ10" class="input__label required">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->univ10 == null || $app_details->univ10 == '') ? '' : $app_details->univ10) : set_value('univ10'); ?>" name="univ10" id="univ10" aria-describedby="univ10" placeholder="Enter Board / University Of Exam">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="subject10" class="input__label required">Subjects</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->subject10 == null || $app_details->subject10 == "") ? "" : $app_details->subject10) : set_value('subject10'); ?>" name="subject10" id="subject10" aria-describedby="subject10" placeholder="Enter Subjects Names (Maths,Science).">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="year10" class="input__label required">Year Of Passing</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="year10" id="year10" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="year10">
                                                <option  value="">-Year Of Passing-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->year10 == $i) ? "Selected" : "") : set_select("year10", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="per10" class="input__label required">CGPA / Marks (%)</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="per10" id="per10" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="per10">
                                                <option  value="">-CGPA / Marks-</option>       
                                                <?php
                                                for ($i = 50; $i <= 100; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->per10 == $i) ? "Selected" : "") : set_select("per10", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-sm-3 mt-3">
                                            <label for="div10" class="input__label required">Division</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="div10" id="div10" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="div10">
                                                <option  value="">-Division-</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div10 == "1") ? "Selected" : "") : set_select("div10", 1); ?> value="1">I</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div10 == "2") ? "Selected" : "") : set_select("div10", 2); ?> value="2">II</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div10 == "3") ? "Selected" : "") : set_select("div10", 3); ?> value="3">III</option>
                                            </select>
                                        </div>  
                                    </div>
                                </div>

                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>Intermidiate / 12th Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-2">
                                            <label for="exam12" class="input__label required">Exam Name</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" readonly="readonly" value="12" name="exam12" id="exam12" aria-describedby="exam12" placeholder="Enter Exam Name">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="univ12" class="input__label required">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->univ12 == null || $app_details->univ12 == "") ? "" : $app_details->univ12) : set_value('univ12'); ?>" name="univ12" id="univ12" aria-describedby="univ12" placeholder="Enter Board / University Of Exam">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="subject12" class="input__label required">Subjects</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->subject12 == null || $app_details->subject12 == "") ? "" : $app_details->subject12) : set_value('subject12'); ?>" name="subject12" id="subject12" aria-describedby="subject12" placeholder="Enter Subjects Names (Maths,Science).">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="year12" class="input__label required">Year Of Passing</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="year12" id="year12" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="year12">
                                                <option  value="">-Year Of Passing-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->year12 == $i) ? "Selected" : "") : set_select("year12", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="per12" class="input__label required">CGPA / Marks (%)</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="per12" id="per12" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="per12">
                                                <option  value="">-CGPA / Marks-</option>       
                                                <?php
                                                for ($i = 50; $i <= 100; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->per12 == $i) ? "Selected" : "") : set_select("per12", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-sm-3 mt-3">
                                            <label for="div12" class="input__label required">Division</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="div12" id="div12" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="div12">
                                                <option  value="">-Division-</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div12 == "1") ? "Selected" : "") : set_select("div12", 1); ?> value="1">I</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div12 == "2") ? "Selected" : "") : set_select("div12", 2); ?> value="2">II</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div12 == "3") ? "Selected" : "") : set_select("div12", 3); ?> value="3">III</option>
                                            </select>
                                        </div>  
                                    </div>
                                </div>


                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>Graduation Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-2">
                                            <label for="exam1" class="input__label required">Exam Name</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="exam1" id="exam1" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="exam1">
                                                <option  value="">-Exam Name-</option>       
                                                <?php
                                                for ($i = 0; $i < sizeof($ugCourses); $i++) {
                                                    $record = $ugCourses[$i];
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->exam1 == $record->c_id) ? "Selected" : "") : set_select("exam1", $record->c_id); ?> value="<?php echo $record->c_id; ?>"><?php echo $record->c_name; ?></option>    
                                                    <?php
                                                }
                                                ?>
<!--                                                <option  <?php //echo ($app_details->exam1 == 0) ? "selected" : "";           ?> value="other">Other</option>   -->
                                            </select>
                                            <input  class="form-control login_text_field_bg input-style mt-2" type="text" value="<?php echo ($app_details->other1 == null || $app_details->other1 == "") ? "" : $app_details->other1; ?>" name="other1" id="other1" readonly="readonly">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="univ1" class="input__label required">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->univ1 == null || $app_details->univ1 == "") ? "" : $app_details->univ1) : set_value('univ1'); ?>" name="univ1" id="univ1" aria-describedby="univ1" placeholder="Enter Board / University Of Exam">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="subject1" class="input__label required">Subjects</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->subject1 == null || $app_details->subject1 == "") ? "" : $app_details->subject1) : set_value('subject1'); ?>" name="subject1" id="subject1" aria-describedby="subject1" placeholder="Enter Subjects Names (Maths,Science).">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="year1" class="input__label required">Year Of Passing</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="year1" id="year1" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="year1">
                                                <option  value="">-Year Of Passing-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->year1 == $i) ? "Selected" : "") : set_select("year1", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="per1" class="input__label required">CGPA / Marks (%)</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="per1" id="per1" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="per1">
                                                <option  value="">-CGPA / Marks-</option>       
                                                <?php
                                                for ($i = 50; $i <= 100; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->per1 == $i) ? "Selected" : "") : set_select("per1", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-sm-3 mt-3">
                                            <label for="div1" class="input__label required">Division</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="div1" id="div1" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="div1">
                                                <option  value="">-Division-</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div1 == "1") ? "Selected" : "") : set_select("div1", 1); ?> value="1">I</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div1 == "2") ? "Selected" : "") : set_select("div1", 2); ?>  value="2">II</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div1 == "3") ? "Selected" : "") : set_select("div1", 3); ?>  value="3">III</option>
                                            </select>
                                        </div>  
                                    </div>
                                </div>

                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>Post Graduation Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-2">
                                            <label for="exam2" class="input__label required">Exam Name</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="exam2" id="exam2" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="exam2">
                                                <option  value="">-Exam Name-</option>       
                                                <?php
                                                for ($i = 0; $i < sizeof($pgCourses); $i++) {
                                                    $record = $pgCourses[$i];
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->exam2 == $record->c_id) ? "Selected" : "") : set_select("exam2", $record->c_id); ?> value="<?php echo $record->c_id; ?>"><?php echo $record->c_name; ?></option>    
                                                    <?php
                                                }
                                                ?>
<!--                                                <option  <?php //echo ($app_details->exam2 == 0) ? "selected" : "";           ?> value="other">Other</option>   -->
                                            </select>
                                            <input  class="form-control login_text_field_bg input-style mt-2" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->other2 == null || $app_details->other2 == "") ? "" : $app_details->other2) : set_value('other2'); ?>" type="text" name="other2" id="other2" readonly="readonly">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="univ2" class="input__label required">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->univ2 == null || $app_details->univ2 == "") ? "" : $app_details->univ2) : set_value('univ2'); ?>" name="univ2" id="univ2" aria-describedby="univ2" placeholder="Enter Board / University Of Exam">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="subject2" class="input__label required">Subjects</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->subject2 == null || $app_details->subject2 == "") ? "" : $app_details->subject2) : set_value('subject2'); ?>" name="subject2" id="subject2" aria-describedby="subject2" placeholder="Enter Subjects Names (Maths,Science).">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="year2" class="input__label required">Year Of Passing</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="year2" id="year2" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="year2">
                                                <option  value="">-Year Of Passing-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->year2 == $i) ? "Selected" : "") : set_select("year2", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="per2" class="input__label required">CGPA / Marks (%)</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="per2" id="per2" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="per2">
                                                <option  value="">-CGPA / Marks-</option>       
                                                <?php
                                                for ($i = 50; $i <= 100; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->per2 == $i) ? "Selected" : "") : set_select("per2", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-sm-3 mt-3">
                                            <label for="div2" class="input__label required">Division</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="div2" id="div2" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="div2">
                                                <option  value="">-Division-</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div2 == "1") ? "Selected" : "") : set_select("div2", 1); ?> value="1">I</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div2 == "2") ? "Selected" : "") : set_select("div2", 2); ?> value="2">II</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div2 == "3") ? "Selected" : "") : set_select("div2", 3); ?> value="3">III</option>
                                            </select>
                                        </div>  
                                    </div>
                                </div>

                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>Other Graduation Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-2">
                                            <label for="exam0" class="input__label ">Exam Name</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="exam0" id="exam0" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="exam0">
                                                <option  value="">-Exam Name-</option>       
                                                <?php
                                                for ($i = 0; $i < sizeof($courses); $i++) {
                                                    $record = $courses[$i];
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->exam0 == $record->c_id) ? "Selected" : "") : set_select("exam0", $record->c_id); ?> value="<?php echo $record->c_id; ?>"><?php echo $record->c_name; ?></option>    
                                                    <?php
                                                }
                                                ?>
<!--                                                <option  <?php //echo ($app_details->exam0 == 0) ? "selected" : "";           ?> value="other">Other</option>   -->
                                            </select>
                                            <input  <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> class="form-control login_text_field_bg input-style mt-2" type="text" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->other0 == null || $app_details->other0 == "") ? "" : $app_details->other0) : set_value('other0'); ?>" name="other0" id="other0" readonly="readonly">
                                        </div>
                                        <div class="col-sm-4">
                                            <label for="univ0" class="input__label ">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->univ0 == null || $app_details->univ0 == "") ? "" : $app_details->univ0) : set_value('univ0'); ?>" name="univ0" id="univ0" aria-describedby="univ0" placeholder="Enter Board / University Of Exam">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="subject0" class="input__label ">Subjects</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->subject0 == null || $app_details->subject0 == "") ? "" : $app_details->subject0) : set_value('subject0'); ?>" name="subject0" id="subject0" aria-describedby="subject0" placeholder="Enter Subjects Names (Maths,Science).">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="year0" class="input__label ">Year Of Passing</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="year0" id="year0" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="year0">
                                                <option  value="">-Year Of Passing-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->year0 == $i) ? "Selected" : "") : set_select("year0", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="per0" class="input__label ">CGPA / Marks (%)</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="per0" id="per0" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="per0">
                                                <option  value="">-CGPA / Marks-</option>       
                                                <?php
                                                for ($i = 50; $i <= 100; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->per0 == $i) ? "Selected" : "") : set_select("per0", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                        <div class="col-sm-3 mt-3">
                                            <label for="div0" class="input__label ">Division</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="div0" id="div0" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="div0">
                                                <option  value="">-Division-</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div0 == "1") ? "Selected" : "") : set_select("div0", 1); ?> value="1">I</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div0 == "2") ? "Selected" : "") : set_select("div0", 2); ?> value="2">II</option>
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->div0 == "3") ? "Selected" : "") : set_select("div0", 3); ?> value="3">III</option>
                                            </select>
                                        </div>  
                                    </div>
                                </div>



                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>P.H.D. Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-2">
                                            <label for="phd" class="input__label required">Exam Name</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="phd" id="phd" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="phd">
                                                <option  value="">- P.H.D. Status -</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phd == "NA") ? "Selected" : "") : set_select("phd", "NA"); ?> value="NA">Not Applicable</option>    
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phd == "Pursuing") ? "Selected" : "") : set_select("phd", "Pursuing"); ?> value="Pursuing">Pursuing</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phd == "Submitted") ? "Selected" : "") : set_select("phd", "Submitted"); ?> value="Submitted">Submitted</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phd == "Awarded") ? "Selected" : "") : set_select("phd", "Awarded"); ?> value="Awarded">Awarded</option>  
                                            </select>

                                        </div>
                                        <div class="col-sm-4">
                                            <label for="phuniv" id="phunivl" class="input__label ">Board / University</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->phuniv == null || $app_details->phuniv == "") ? "" : $app_details->phuniv) : set_value('phuniv'); ?>" name="phuniv" id="phuniv" aria-describedby="phuniv" placeholder="Enter Board / University Of P.H.D.">

                                        </div>
                                        <div class="col-sm-6">
                                            <label for="phtopic" id="phtopicl" class="input__label">Topic</label>
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="text" class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->phtopic == null || $app_details->phtopic == "") ? "" : $app_details->phtopic) : set_value('phtopic'); ?>" name="phtopic" id="phtopic" aria-describedby="phtopic" placeholder="Enter P.H.D. Topic.">

                                        </div>

                                        <div class="col-sm-3 mt-3">
                                            <label for="phstream" id="phstreaml" class="input__label">Stream</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="phstream" id="phstream" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="phstream">
                                                <option  value="">- Stream -</option>       
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "Commerce") ? "Selected" : "") : set_select("phstream", "Commerce"); ?> value="Commerce">Commerce</option>    
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "Computer Sceince") ? "Selected" : "") : set_select("phstream", "Computer Sceince"); ?> value="Computer Sceince">Computer Sceince</option> 
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "English") ? "Selected" : "") : set_select("phstream", "English"); ?> value="English">English</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "Management") ? "Selected" : "") : set_select("phstream", "Management"); ?> value="Management">Management</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "Maths") ? "Selected" : "") : set_select("phstream", "Maths"); ?> value="Maths">Maths</option> 
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "other") ? "Selected" : "") : set_select("phstream", "other"); ?> value="other">Other</option> 
                                            </select>
                                            <label for="phother" id="photherl" class="input__label mt-2">Other</label>
                                            <input  <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> class="form-control login_text_field_bg input-style" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->phstream == "other" && ($app_details->phother == null || $app_details->phother == "")) ? "" : $app_details->phother) : set_value('phother'); ?>" type="text" name="phother" id="phother" readonly="readonly">
                                        </div> 
                                        <div class="col-sm-3 mt-3">
                                            <label for="phyear" id="phyearl" class="input__label">Year</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="phyear" id="phyear" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="phyear">
                                                <option  value="">-Year-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->phyear == $i) ? "Selected" : "") : set_select("phyear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                    </div>
                                </div>


                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>UGC NET Details</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">

                                        <div class="col-sm-3">
                                            <label for="net" class="input__label required">Qualified</label>
                                            <div class="form-row p-2">
                                                <div class="form-check form-check-inline">
                                                    <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> class="form-check-input netQualifiedStatus" <?php echo ($app_details->step3 == 'T') ? (($app_details->net == 'T') ? "checked='true'" : "") : set_radio("net", "T"); ?> type="radio" name="net" id="net1" value="T">
                                                    <label class="form-check-label" for="net">Yes</label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> class="form-check-input netQualifiedStatus"  <?php echo ($app_details->step3 == 'T') ? (($app_details->net == 'F') ? "checked='true'" : "") : set_radio("net", "F"); ?> type="radio" name="net" id="net2" value="F">
                                                    <label class="form-check-label" for="">No</label>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-3">
                                            <label for="netstream" id="netstreaml" class="input__label ">Stream</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="netstream" id="netstream" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="netstream">
                                                <option  value="">- Stream -</option>                                           
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "Commerce") ? "Selected" : "") : set_select("netstream", "Commerce"); ?> value="Commerce">Commerce</option>    
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "Computer Sceince") ? "Selected" : "") : set_select("netstream", "Computer Sceince"); ?> value="Computer Sceince">Computer Sceince</option> 
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "English") ? "Selected" : "") : set_select("netstream", "English"); ?> value="English">English</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "Management") ? "Selected" : "") : set_select("netstream", "Management"); ?> value="Management">Management</option>  
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "Maths") ? "Selected" : "") : set_select("netstream", "Maths"); ?> value="Maths">Maths</option> 
                                                <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "other") ? "Selected" : "") : set_select("netstream", "other"); ?> value="other">Other</option> 
                                            </select>
                                        </div>
                                        <div class="col-sm-3">
                                            <label for="netother" id="netotherl" class="input__label ">Other</label>
                                            <input  <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> class="form-control login_text_field_bg input-style" type="text" value="<?php echo ($app_details->step3 == 'T') ? (($app_details->netstream == "other" && ($app_details->netother == null || $app_details->netother == "")) ? "" : $app_details->netother) : set_value('netother'); ?>" name="netother" id="netother" readonly="readonly">
                                        </div> 
                                        <div class="col-sm-3">
                                            <label for="netyear" id="netyearl" class="input__label ">Year</label>
                                            <select <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> name="netyear" id="netyear" class="form-control login_text_field_bg input-style"
                                                                                                                     aria-describedby="netyear">
                                                <option  value="">-Year-</option>       
                                                <?php
                                                $curyear = date("Y");
                                                for ($i = 1950; $i <= $curyear; $i++) {
                                                    ?>
                                                    <option <?php echo ($app_details->step3 == 'T') ? (($app_details->netyear == $i) ? "Selected" : "") : set_select("netyear", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>  
                                    </div>
                                </div>
                                <div class="col-lg-12 mt-4">
                                    <div class="form-row">
                                        <div class="cards__heading p-0">
                                            <h3>Document</h3>
                                        </div>                                       
                                    </div>
                                    <div class="form-row">
                                        <div class="col-sm-9">
                                            <input <?php if ($app_details->step6 == "T") echo "disabled='true'"; ?> type="file"  name="docs" id="docs" class="form-control login_text_field_bg input-style"
                                                                                                                    aria-describedby="docs" >
                                            <input type="hidden" name="oldDoc" value="<?php echo ($app_details->docs == null || $app_details->docs == "") ? "" : $app_details->docs; ?>">
                                            <small id="officeInfoInstruction" class="form-text text-muted">Attach your qualification (10th, 12th, graduation, post-graduation etc.) related documents in single pdf file. File Size: 3MB.</small>
                                        </div>
                                        <div class="col-sm-3 text-center pt-2">
                                            <?php if ($app_details->docs == null || $app_details->docs == "" || $app_details->docs == "NA") {
                                                ?>
                                                <p>No Document Uploaded Yet.</p>
                                                <?php
                                            } else {
                                                ?>
                                                <a href="<?php echo base_url() . $app_details->docs; ?>" target="_blank"> <h3>View<i class="fa fa-hand-o-up"></h3></i></a>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                    </div>


                                </div>
                                <?php if ($app_details->step6 == "F") { ?>
                                    <div class="col-lg-12 d-flex align-items-center flex-wrap justify-content-center mt-3">
                                        <input type="hidden" name="app_details_id" value="<?php echo $app_details->app_details_id; ?>">
                                        <button type="submit" class="btn btn-primary btn-block btn-style mt-2"> SAVE</button>
                                    </div>  
                                <?php } ?>
                            </fieldset>

                        </div>
                    </div>



                    <?php echo form_close(); ?>
                </section>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("user/footer");
        ?>

        <script>
            $(document).ready(function () {
                $("#exam1").on("change", function () {
                    if (($(this).val() == "0" || $(this).val() == 0) && $(this).val() != "") {
                        $("#other1").prop("readonly", "");
                        $("#other1").prop("placeholder", "Enter Your Exam Name");
                        $("#other1").focus();
                    } else {
                        $("#other1").prop("readonly", "readonly");
                        $("#other1").val("");
                        $("#other1").prop("placeholder", "");
                    }

                });

                $("#exam2").on("change", function () {
                    if (($(this).val() == "0" || $(this).val() == 0) && $(this).val() != "") {
                        $("#other2").prop("readonly", "");
                        $("#other2").prop("placeholder", "Enter Your Exam Name");
                        $("#other2").focus();
                    } else {
                        $("#other2").prop("readonly", "readonly");
                        $("#other2").val("");
                        $("#other2").prop("placeholder", "");
                    }
                });


                $("#exam0").on("change", function () {
                    if (($(this).val() == "0" || $(this).val() == 0) && $(this).val() != "") {
                        $("#other0").prop("readonly", "");
                        $("#other0").prop("placeholder", "Enter Your Exam Name");
                        $("#other0").focus();
                    } else {
                        $("#other0").prop("readonly", "readonly");
                        $("#other0").prop("placeholder", "");
                    }
                });

                $("#phstream").on("change", function () {
                    if ($(this).val() == "other") {
                        $("#phother").prop("readonly", "");
                        $("#phother").prop("placeholder", "Enter Your Stream.");
                        document.getElementById("photherl").classList.add("required");
                        $("#phother").focus();
                    } else {
                        $("#phother").prop("readonly", "readonly");
                        $("#phother").val("");
                        $("#phother").prop("placeholder", "");
                        document.getElementById("photherl").classList.remove("required");
                    }

                });

                $(".netQualifiedStatus").on("click", function () {
                    if ($(this).val() == "T") {
                        document.getElementById("netstream").classList.remove("readonly");
                        document.getElementById("netyear").classList.remove("readonly");
                        document.getElementById("netstreaml").classList.add("required");
                        document.getElementById("netyearl").classList.add("required");

                    } else {
                        document.getElementById("netstream").classList.add("readonly");
                        document.getElementById("netyear").classList.add("readonly");
                        document.getElementById("netstreaml").classList.remove("required");
                        document.getElementById("netyearl").classList.remove("required");
                        $("#netother").val("");
                        $("#netother").prop("placeholder", "");
                        $("#netstream").val("");
                        $("#netyear").val("");

                        $("#netother").prop("readonly", "readonly");
                    }
                });

                $("#netstream").on("change", function () {
                    if ($(this).val() == "other") {
                        $("#netother").prop("readonly", "");
                        $("#netother").prop("placeholder", "Enter Your Stream.");
                        document.getElementById("netotherl").classList.add("required");
                        $("#phother").focus();
                    } else {
                        $("#netother").prop("readonly", "readonly");
                        $("#netother").prop("placeholder", "");
                        $("#netother").val("");
                        $("#netother").prop("placeholder", "");
                        document.getElementById("netotherl").classList.remove("required");
                    }

                });

                $("#phd").on("change", function () {
                    if ($(this).val() == "NA") {
                        $("#phuniv").prop("readonly", "readonly");
                        document.getElementById("phstream").classList.add("readonly");
                        document.getElementById("phyear").classList.add("readonly");
                        $("#phtopic").prop("readonly", "readonly");
                        $("#phother").prop("readonly", "readonly");
                        document.getElementById("phstreaml").classList.remove("required");
                        document.getElementById("phyearl").classList.remove("required");
                        document.getElementById("phtopicl").classList.remove("required");
                        document.getElementById("photherl").classList.remove("required");
                        document.getElementById("phunivl").classList.remove("required");
                        $("#phstream").val("");
                        $("#phyear").val("");
                        $("#phtopic").val("");
                        $("#phother").val("");
                        $("#phuniv").val("");
                    } else {
                        $("#phuniv").prop("readonly", "");
                        document.getElementById("phstream").classList.remove("readonly");
                        document.getElementById("phyear").classList.remove("readonly");

                        document.getElementById("phstreaml").classList.add("required");
                        document.getElementById("phyearl").classList.add("required");
                        document.getElementById("phtopicl").classList.add("required");

                        document.getElementById("phunivl").classList.add("required");
                        $("#phtopic").prop("readonly", "");
                        $("#phother").prop("readonly", "readonly");
                    }

                });

//                $("#year10").on("change", function () {
//                    let year12 = $("#year12").val();
//                    if (year12 != null || year12 != "") {
//                        if ($(this).val() >= year12) {
//                            alert("Passing Year Of Intermidiate/12th Can't Be Same Or Of Previous Years As Of High School/10th");
//                            $(this).val("");
//                            $("#year12").val("");
//                            $(this).focus();
//                        }
//                    }
//                });

                $("#year12").on("change", function () {
                    let year10 = $("#year10").val();
                    if (year10 != null || year10 != "") {
                        if ($(this).val() <= year10) {
                            alert("Passing Year Of Intermidiate/12th Can't Be Same Or Of Previous Years As Of High School/10th");
                            $(this).val("");
                            $(this).focus();
                        }
                    }
                });

                $("#year1").on("change", function () {
                    let year12 = $("#year12").val();
                    if (year12 != null || year12 != "") {
                        if ($(this).val() <= year12) {
                            alert("Passing Year Of  Graduation Can't Be Same Or Of Previous Year As Of Intermidiate/12th");
                            $(this).val("");
                            $(this).focus();
                        }
                    }
                });

                $("#year2").on("change", function () {
                    let year1 = $("#year1").val();
                    if (year1 != null || year1 != "") {
                        if ($(this).val() <= year1) {
                            alert("Passing Year Of  Post Graduation Can't Be Same Or Of Previous Year As Of Graduation.");
                            $(this).val("");
                            $(this).focus();
                        }
                    }
                });

                $("#phyear").on("change", function () {
                    let year2 = $("#year2").val();
                    if (year2 != null || year2 != "") {
                        if ($(this).val() <= year2) {
                            alert("Year Of  P.H.D. Can't Be Same Or Of Previous Year As Of Post Graduation.");
                            $(this).val("");
                            $(this).focus();
                        }
                    }
                });

                if ($("#phd").val() != null || $("#phd").val() != "") {
                    if ($("#phd").val() == "NA") {
                        $("#phuniv").prop("readonly", "readonly");
                        document.getElementById("phstream").classList.add("readonly");
                        document.getElementById("phyear").classList.add("readonly");
                        $("#phtopic").prop("readonly", "readonly");
                        $("#phother").prop("readonly", "readonly");
                        document.getElementById("phstreaml").classList.remove("required");
                        document.getElementById("phyearl").classList.remove("required");
                        document.getElementById("phtopicl").classList.remove("required");
                        document.getElementById("photherl").classList.remove("required");
                        document.getElementById("phunivl").classList.remove("required");
                        $("#phstream").val("");
                        $("#phyear").val("");
                        $("#phtopic").val("");
                        $("#phother").val("");
                        $("#phuniv").val("");
                    }
                }
                if ($("#net2").val() != null || $("#phd").val() != "") {
                    if ($("#net2").val() == "F") {
                        document.getElementById("netstream").classList.add("readonly");
                        document.getElementById("netyear").classList.add("readonly");
                        $("#netother").val("");
                        $("#netother").prop("placeholder", "");
                        $("#netstream").val("");
                        $("#netyear").val("");

                        $("#netother").prop("readonly", "readonly");
                    }
                }
            });
        </script>
