
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $firstStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Vacancy Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$firstStep->step_slug"; ?>"><?php echo $firstStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <div class="card card_border">
                        <div class="cards__heading">
                            <h3><i class="fa fa-check"></i><?php echo $firstStep->step_title; ?></h3><br>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>
                            <?php echo form_open(site_url($formAction), ['name' => 'applyForPostFrm', 'id' => 'applyForPostFrm']); ?>

                            <fieldset>
                                <?php
                                //echo (sizeof($app_details));
                                //print_r($app_details);
                                if ($vacancyStatsIsNull) {
                                    ?>
                                    <p class="alert-warning"> No vacancy is open.</p>
                                    <?php
                                } else {
                                    //echo sizeof($categories);
                                    for ($c = 0; $c < sizeof($categories); $c++) {
                                        $cate = $categories[$c];
                                        ?>
                                        <div class="card">
                                            <h5 class="card-header"><?php echo $cate->cm_name; ?></h5>
                                            <div class="card-body">
                                                <div class="form-row card_border"> 
                                                    <?php
                                                    for ($de = 0; $de < sizeof($departments); $de++) {
                                                        $dept = $departments[$de];
                                                        if ($cate->cm_id == $dept->cm_id) {
                                                            ?>
                                                            <div class="col-lg-12">
                                                                <h5 class="">Department : &nbsp;<?php echo $dept->dm_name; ?></h5><br>
                                                            </div>

                                                            <?php
                                                            
                                                            for ($i = 0; $i < sizeof($vacancies); $i++) {
                                                                
                                                                $vac = $vacancies[$i];
                                                                $repeated_vm_id = 0;

                                                                if ($vac->dm_id == $dept->dm_id && $vac->cate_id == $cate->cm_id) {
                                                                    foreach ($alreadyAppliedVacanciesDeatils as $dbVacancy) {
                                                                        if ($vac->vm_id == $dbVacancy->vm_id) {
                                                                            $repeated_vm_id = $dbVacancy->vm_id;
                                                                            ?>
                                                                            <div class="col-sm-3">
                                                                                <div class="form-check form-check-inline">
                                                                                    <input class="form-check-input" checked="true" type="checkbox" value="<?php echo $vac->vm_id; ?>" name="vacancies[]"  <?php echo (sizeof($app_details) > 0) ? (($app_details[0]->step6 == "T") ? "disabled='disabled'" : "") : ""; ?>>
                                                                                    <label class="form-check-label" for="flexCheckDefault">
                                                                                        <?php echo $vac->desig_name; ?> <?php //echo $vac->last_applied; ?>
                                                                                    </label>
                                                                                </div>
                                                                            </div>
                                                                            <?php
                                                                            break;
                                                                        }
                                                                    }


                                                                    if ($repeated_vm_id != $vac->vm_id) {
                                                                        ?>
                                                                        <div class="col-sm-3">
                                                                            <div class="form-check form-check-inline">
                                                                                <input class="form-check-input" type="checkbox" value="<?php echo $vac->vm_id; ?>" name="vacancies[]" <?php if ($vac->last_applied == "T") echo "disabled='disabled'"; ?> <?php echo (sizeof($app_details) > 0) ? (($app_details[0]->step6 == "T") ? "disabled='disabled'" : "") : ""; ?>>
                                                                                <label class="form-check-label" for="flexCheckDefault">
                                                                                    <?php echo $vac->desig_name; ?> <?php //echo $vac->cate_id; ?>
                                                                                </label>
                                                                            </div>
                                                                        </div>
                                                                        <?php
                                                                    }
                                                                }
                                                            }
                                                            ?>
                                                            <?php
                                                        }
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                    <?php
                                    if (sizeof($app_details) > 0) {
                                        if ($app_details[0]->step6 == "F") {
                                            ?>
                                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                                <input type="hidden" name="app_details_id" value="<?php echo $app_details[0]->app_details_id; ?>">
                                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2"><?php
                                if ($formAction === "user/Application/saveAppliedPosts")
                                    echo "APPLY";
                                else
                                    echo "UPDATE";
                                            ?></button>
                                            </div>    
                                            <?php
                                        }
                                    }else {
                                        ?>

                                        <div class="d-flex align-items-center flex-wrap justify-content-center">
                                            <?php if (!($formAction === "user/Application/saveAppliedPosts")) { ?>
                                                <input type="hidden" name="app_details_id" value="<?php echo (sizeof($app_details) > 0) ? $app_details[0]->app_details_id : ""; ?>">
                                            <?php } ?>
                                            <button type="submit" class="btn btn-primary btn-block btn-style mt-2"><?php
                                            if ($formAction === "user/Application/saveAppliedPosts")
                                                echo "APPLY";
                                            else
                                                echo "UPDATE";
                                            ?></button>
                                        </div>  
                                        <?php
                                    }
                                }
                                ?>
                            </fieldset>
                            <?php echo form_close(); ?>
                        </div>
                    </div>
                </section>
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("user/footer");
        ?>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("report").classList.remove("active");
                document.getElementById("apply").classList.add("active");
            });
        </script>