


<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                    </ol>
                </nav>
                <div class="welcome-msg pt-3 pb-4">
                    <h1>Hi <span class="text-primary"><?php echo $this->session->userdata("userData")["user_email"]; ?></span>, Welcome back</h1>
                </div>

                <?php if (validation_errors() != false) { ?>
                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('successMessage')) { ?>
                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                <?php } ?>
                <?php if ($this->session->flashdata('errorMessage')) { ?>
                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                <?php } ?>
                <!-- statistics data -->
                <div class="statistics">
                    <div class="row">
                        <div class="col-xl-12 ">
                            <div class="row">
                                <div class="col-sm-4 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-suitcase"> </i>
                                        <h3 class="text-primary number"><?php echo sizeof($totalOpeningsCount);?></h3>
                                        <p class="stat-text">Total Openings</p>
                                    </div>
                                </div>
                                <div class="col-sm-4 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-tasks"> </i>
                                        <h3 class="text-secondary number"><?php echo sizeof($totalApplicationCount);?></h3>
                                        <p class="stat-text">Total Applied Applications</p>
                                    </div>
                                </div>
                                <div class="col-sm-4 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-tasks"> </i>
                                        <h3 class="text-secondary number"><?php echo sizeof($totalDeclarationCount)?></h3>
                                        <p class="stat-text">Declaration Completed</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- //statistics data -->
                <!-- timeline -->
                <section class="template-cards">
                    <div class="card card_border mb-5">
                        <?php
                        if ($firstLogin) {
                            ?>
<!--                            <div class="cards__heading text-center">
                                <h3>First Login</h3>
                            </div>-->
                            <div class="card-body">
                                <center>
                                    <div class="row col-sm-4 mb-5">                                       
                                        <a class="btn btn-primary btn-block text-white" onClick="window.location.href = '<?php echo site_url("user") . "$firstStep->step_slug"; ?>'">APPLY NOW <i class="fa fa-hand-o-up"></i></a>
                                        </form>

                                    </div>
                                </center>
                            </div>
                            <?php
                        } else {

                            if (!$vacancyStatsIsNull) {
                                ?>
                                <div class="cards__heading text-center">
                                    <h3>Timeline - <span>Recent Activities</span></h3>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-lg-12 pr-lg-2 chart-grid">
                                            <div class="card text-center card_border">
                                                <div class="card-body">
                                                    <div class="timeline row">
                                                        <?php
                                                        if (sizeof($steps) > 0) {
                                                            for ($i = 0; $i < sizeof($steps); $i++) {
                                                                $record = $steps[$i];
                                                                ?>
                                                                <div class="entry col-sm-6">
                                                                    <div class="title">
                                                                        <h3 class="card__title"> &nbsp;&nbsp;<i onclick="window.location.href = '<?php echo site_url("user") . "$record->step_slug"; ?>'" style="cursor:pointer;" class="fa <?php echo $record->step_class; ?>"></i>

                                                                        </h3>
                                                                    </div>
                                                                    <div class="body">
                                                                        <h4 class="card__title" onclick="window.location.href = '<?php echo site_url("user") . "$record->step_slug"; ?>'" style="cursor:pointer;"><?php echo "Step " . $record->step_order . " - " . $record->step_name; ?></h4>
                                                                        <ul>
                                                                            <li><?php echo $record->step_desc; ?></li>

                                                                        </ul>
                                                                        <?php if ($stepsStatusArray[$i] == "T") { ?>
                                                                            <p style="color:green"><i class="fa fa-check-circle-o" ></i>&nbsp;&nbsp;Submitted</p>
                                                                            <?php if ($i == 5) { ?>
                                                                                <p style="color:green"><i class="fa fa-check-circle-o" ></i>&nbsp;&nbsp;Application Status  : Declared</p>
                                                                            <?php } ?>
                                                                        <?php }
                                                                        ?>



                                                                    </div>
                                                                </div>
                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>   
                                <?php
                            }
                            ?>

                            <?php
                        }
                        ?>

                    </div>

                </section>
                <!-- //timeline -->
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("user/footer");
        ?>
        <script>
            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("apply").classList.remove("active");
                document.getElementById("report").classList.remove("active");
                document.getElementById("dashboard").classList.add("active");
            });
        </script>