
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $fifthStep->step_title; ?> :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>

        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script> 
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item">Vacancy Management</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("user") . "$fifthStep->step_slug"; ?>"><?php echo $fifthStep->step_title; ?></a></li>
                    </ol>
                </nav>
                <section class="forms">
                    <?php echo form_open_multipart(site_url("user/Application/saveWorkExperienceAndReference"), ['name' => 'workExperienceAndReferencesFrm', 'id' => 'workExperienceAndReferencesFrm']); ?>
                    <div class="card card_border">
                        <div class="cards__heading pb-1">
                            <h3><i class="fa <?php echo $fifthStep->step_class; ?>"></i>&nbsp;<?php echo $fifthStep->step_title; ?></h3>
                        </div>
                        <div class="card-body">
                            <?php if (validation_errors() != false) { ?>
                                <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <div class="col-lg-12">
                                <div class="form-row">
                                    <div class="col-sm-6 mt-3">
                                        <label for="industry" class="input__label ">Industry Experience</label>
                                        <select name="industry" id="industry" class="form-control login_text_field_bg input-style"
                                                aria-describedby="industry" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->industry == $i) ? "Selected" : "") : set_select("industry", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-6 mt-3">
                                        <label for="academic" class="input__label ">Academic Experience</label>
                                        <select name="academic" id="academic" class="form-control login_text_field_bg input-style"
                                                aria-describedby="academic" <?php if($app_details->step6 =="T") echo "disabled='true'";?>>
                                            <option  value="">-Select-</option>       
                                            <?php
                                            $curyear = date("Y");
                                            for ($i = 0; $i <= 100; $i++) {
                                                ?>
                                                <option <?php echo ($app_details->step4 == 'T') ? (($app_details->academic == $i) ? "Selected" : "") : set_select("academic", $i); ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                                                <?php
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="card card_border">
                                <div class="cards__heading pb-0">
                                    <h3><i class="fa fa-briefcase"></i>&nbsp;Present Employer Info.</h3>
                                </div>
                                <div class="card-body">
                                    <div class="col-lg-12">
                                        <div class="form-row">
                                            <div class="col-sm-3">
                                                <label for="emp1" class="input__label">Name</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="emp1" id="emp1"  value="<?php echo ($app_details->emp1 == null || $app_details->emp1 =="")? "" : $app_details-> emp1; ?>" class="form-control login_text_field_bg input-style" aria-describedby="emp1" placeholder="Enter Present Employer Name.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="loc1" class="input__label">Location</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="loc1" id="loc1" value="<?php echo ($app_details->loc1 == null || $app_details->loc1 =="")? "" : $app_details-> loc1; ?>" class="form-control login_text_field_bg input-style" aria-describedby="loc1" placeholder="Enter Employer Location.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="desig1" class="input__label">Your Designation</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="desig1" id="desig1" value="<?php echo ($app_details->desig1 == null || $app_details->desig1 =="")? "" : $app_details-> desig1; ?>" class="form-control login_text_field_bg input-style" aria-describedby="desig1" placeholder="Enter Your Designation.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="duration1" class="input__label">Joining Date</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text"  name="duration1" id="duration1" value="<?php echo ($app_details->duration1 == null || $app_details->duration1 =="")? "" : $app_details-> duration1; ?>" class="form-control login_text_field_bg input-style" aria-describedby="duration1" placeholder="Choose Duration">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="card card_border">
                                <div class="cards__heading pb-0">
                                    <h3><i class="fa fa-clock-o"></i>&nbsp;Previous Employer Info.</h3>
                                </div>
                                <div class="card-body">
                                    <div class="col-lg-12">
                                        <div class="form-row">
                                            <div class="col-sm-3">
                                                <label for="emp2" class="input__label">Name</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="emp2" id="emp2" value="<?php echo ($app_details->emp2 == null || $app_details->emp2 =="")? "" : $app_details-> emp2; ?>"class="form-control login_text_field_bg input-style" aria-describedby="emp2" placeholder="Enter Present Employer Name.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="loc2" class="input__label">Location</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="loc2" id="loc2" value="<?php echo ($app_details->loc2 == null || $app_details->loc2 =="")? "" : $app_details-> loc2; ?>" class="form-control login_text_field_bg input-style" aria-describedby="loc2" placeholder="Enter Employer Location.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="desig2" class="input__label">Your Designation</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text" name="desig2" id="desig2" value="<?php echo ($app_details->desig2 == null || $app_details->desig2 =="")? "" : $app_details-> desig2; ?>" class="form-control login_text_field_bg input-style" aria-describedby="desig2" placeholder="Enter Your Designation.">
                                            </div>
                                            <div class="col-sm-3">
                                                <label for="duration2" class="input__label">Duration</label>
                                                <input <?php if($app_details->step6 =="T") echo "disabled='true'";?> type="text"  name="duration2" id="duration2" value="<?php echo ($app_details->duration2 == null || $app_details->duration2 =="")? "" : $app_details-> duration2; ?>" class="form-control login_text_field_bg input-style" aria-describedby="duration2" placeholder="Choose Duration.">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-row">
                                <div class="col-lg-12 mt-3">
                                    <label  class="input__label">References: (Please specify name, designation, organization, phone no, email).</label>
                                    <textarea <?php if($app_details->step6 =="T") echo "disabled='true'";?> name="ref1" id=""extra class="form-control login_text_field_bg input-style mt-2"  placeholder="Reference 1"><?php echo ($app_details->ref1 == null || $app_details->ref1 == "" ) ? "" : $app_details->ref1; ?></textarea>
                                    <textarea <?php if($app_details->step6 =="T") echo "disabled='true'";?> name="ref2" id=""extra class="form-control login_text_field_bg input-style mt-2"  placeholder="Reference 2"><?php echo ($app_details->ref2 == null || $app_details->ref2 == "" ) ? "" : $app_details->ref2; ?></textarea>
                                </div>
                                <?php if($app_details->step6 =="F"){?>
                                <div class="col-lg-12 d-flex align-items-center flex-wrap justify-content-center mt-3">
                                    <input type="hidden" name="app_details_id" value="<?php echo $app_details->app_details_id; ?>">
                                    <button type="submit" class="btn btn-primary btn-block btn-style mt-2"> SAVE</button>
                                </div> 
                                <?php }?>
                            </div>
                        </div>

                    </div>
            </div>



            <?php echo form_close(); ?>
        </section>
    </div>           
</div>
<!-- main content end-->
<?php
$this->load->view("user/footer");
?>

<script>
</script>
